diff -crN tkdesk-1.1/Makefile tkdesk-1.1-jp/Makefile
*** tkdesk-1.1/Makefile	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/Makefile	Sun Nov  7 20:12:58 1999
***************
*** 0 ****
--- 1,342 ----
+ # Generated automatically from Makefile.in by configure.
+ # This file is the Makefile for TkDesk.  If it has the name "Makefile.in"
+ # then it is a template for a Makefile;  to generate the actual Makefile,
+ # run "./configure", which is a configuration script generated by the
+ # "autoconf" program (constructs like "@foo@" will get replaced in the
+ # actual Makefile.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Default top-level directories in which to install architecture-
+ # specific files (exec_prefix) and machine-independent files such
+ # as scripts (prefix).  The values specified here may be overridden
+ # at configure-time with the --exec-prefix and --prefix options
+ # to the "configure" script.
+ 
+ prefix =	/usr/local
+ exec_prefix =	${prefix}
+ 
+ # The following definition can be set to non-null for special systems
+ # like AFS with replication.  It allows the pathnames used for installation
+ # to be different than those used for actually reference files at
+ # run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
+ # when installing files.
+ INSTALL_ROOT =
+ 
+ # Directory from which TkDesk will reference its library of Tcl scripts:
+ TKDESK_LIBRARY =	$(prefix)/lib/TkDesk
+ 
+ # Path name to use when installing library scripts:
+ SCRIPT_INSTALL_DIR =	$(INSTALL_ROOT)$(TKDESK_LIBRARY)
+ 
+ # Directory where tkdesksh will look for its library scripts:
+ SCRIPT_SEARCH_DIR =	$(SCRIPT_INSTALL_DIR)
+ 
+ # Directory in which to install the program tkdesksh:
+ BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin
+ 
+ # Directory where tkdesksh will look for the tkdesk script:
+ BIN_SEARCH_DIR =	$(BIN_INSTALL_DIR)
+ 
+ # Top-level directory in which to install manual entries:
+ MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man
+ 
+ # Directory in which to install manual entry for tkdesk:
+ MAN1_INSTALL_DIR =	$(MAN_INSTALL_DIR)/man1
+ 
+ # To change the compiler switches, for example to change from -O
+ # to -g, change the following line:
+ CC_OPTS = -O -DKANJI -DKINPUT2
+ 
+ # To change the linker switches, for example to add -s,
+ # change the following line:
+ LD_OPTS = 
+ 
+ # Tcl used to let the configure script choose which program to use
+ # for installing, but there are just too many different versions of
+ # "install" around;  better to use the install-sh script that comes
+ # with the distribution, which is slower but guaranteed to work.
+ 
+ INSTALL =		/usr/src/tkdesk-1.1/install-sh -c
+ INSTALL_PROGRAM =	${INSTALL} -m 755
+ INSTALL_DATA =		${INSTALL} -m 644
+ 
+ #----------------------------------------------------------------
+ # The information below is modified by the configure script when
+ # Makefile is generated from Makefile.in.  You shouldn't normally
+ # modify any of this stuff by hand.
+ #----------------------------------------------------------------
+ 
+ # Location of Tcl header files:
+ TCL_INCLUDE_DIR =	/usr/include
+ 
+ # Location of Tk header files:
+ TK_INCLUDE_DIR =	/usr/include
+ 
+ # Location of X11 header files:
+ X_INCLUDE_FLAG =	-I/usr/X11R6/include
+ 
+ # Specification of Tcl library:
+ TCL_LIB_SPEC   =	-L/usr/lib -ltcl7.6jp
+ TCL_LIB_STATIC =	/usr/lib/libtcl7.6jp.a
+ 
+ # Specification of Tk library:
+ TK_LIB_SPEC    =	-L/usr/lib -ltk4.2jp
+ TK_LIB_STATIC  =	/usr/lib/libtk4.2jp.a
+ 
+ # Specification if itcl library:
+ ITCL_LIB_SPEC   =       itcl/libitcl.a
+ ITCL_LIB_STATIC =       itcl/libitcl.a
+ 
+ # Directory in which to install libtcl.so or libtcl.a:
+ LIB_INSTALL_DIR =	/usr/lib
+ 
+ # Path to use at runtime to refer to LIB_INSTALL_DIR:
+ LIB_RUNTIME_DIR =	$(LIB_INSTALL_DIR)
+ 
+ # Complete library option string to pass to linker:
+ LIBS =			$(ITCL_LIB_SPEC) $(TK_LIB_SPEC) $(TCL_LIB_SPEC) -L/usr/X11R6/lib -lX11 -ldl -lm
+ LIBS_STATIC =		$(ITCL_LIB_STATIC) $(TK_LIB_STATIC) $(TCL_LIB_STATIC) -L/usr/X11R6/lib -lX11 -ldl -lm
+ 
+ # Miscellaneous settings:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ SRC_DIR =		/usr/src/tkdesk-1.1
+ RANLIB =		ranlib
+ CC =			gcc
+ SHELL =                 /bin/sh
+ 
+ # Command for creating directories.  Alternatives include "mkdir"
+ # and "mkdirhier".
+ MKDIR =                 mkdir -p
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I. -I${TCL_INCLUDE_DIR} -I${TK_INCLUDE_DIR} ${X_INCLUDE_FLAG}
+ LDFLAGS =	${LD_OPTS}
+ 
+ PKGNAME =	tkdesk
+ VERSION =	1.1
+ FVERSION =	11
+ PKGDIR =	$(PKGNAME)-$(VERSION)
+ 
+ all: shell client tkdesk_script man2text jisdecode catheader text2bin easypr
+ 	@echo "========= Build complete."
+ 	@echo " "
+ 	@echo "You can try out TkDesk before installing it by commenting"
+ 	@echo "out the sixth line in the file tkdesk and then executing:"
+ 	@echo "./tkdesksh tkdesk -default"
+ 
+ shell: makelibs tkAppInit.o
+ 	$(CC) $(LDFLAGS)  -o tkdesksh \
+ 		tkAppInit.o libdesk/libdesk.a netscape-remote/libnetscape.a \
+ 		blt/libBLT.a $(LIBS)
+ 
+ static: makelibs tkAppInit-static.o client tkdesk_script man2text jisdecode catheader text2bin easypr
+ 	$(CC) $(LDFLAGS)  -static -o tkdesksh \
+ 		tkAppInit-static.o libdesk/libdesk.a netscape-remote/libnetscape.a \
+ 		blt/libBLT.a itcl/libitcl.a $(LIBS_STATIC)
+ 
+ tkAppInit-static.o: tkAppInit.c
+ 	$(CC) $(CFLAGS) -DSTATIC_BUILD -DTKDESK_LIBRARY="\"$(TKDESK_LIBRARY)\"" -c tkAppInit.c -o $@
+ 
+ makelibs: lib_blt lib_itcl lib_netscape lib_libdesk
+ 
+ lib_blt:
+ 	cd blt; $(MAKE) CC_OPTS="$(CC_OPTS)" LIB_DIR="$(SCRIPT_SEARCH_DIR)" lib
+ 
+ lib_itcl:
+ 	cd itcl; $(MAKE) CC_OPTS="$(CC_OPTS)" lib
+ 
+ lib_netscape:
+ 	cd netscape-remote; $(MAKE) CC_OPTS="$(CC_OPTS)" lib
+ 
+ lib_libdesk:
+ 	cd libdesk; $(MAKE) CC_OPTS="$(CC_OPTS)" lib
+ 
+ client:
+ 	cd tkdeskclient; $(MAKE) CC_OPTS="$(CC_OPTS)" LD_OPTS="$(LD_OPTS)" all
+ 
+ tkdesk_script:
+ 	@echo '#!/bin/sh' >tkdesk
+ 	@echo '#-*- tcl -*- \' >>tkdesk
+ 	@echo "PATH=$(BIN_SEARCH_DIR):"'$$PATH ;#\' >>tkdesk
+ 	@echo "exec tkdesksh \"\$$0\" \"\$$@\"" >>tkdesk
+ 	@echo "" >>tkdesk
+ 	@echo "set tkdesk(library) \"$(SCRIPT_SEARCH_DIR)\"" >>tkdesk
+ 	@echo "set tkdesk(in_development) 0" >>tkdesk
+ 	@echo "set tkdesk(no_auto_loading) 0" >>tkdesk
+ 	@echo "set tkdesk(debug) 0" >>tkdesk
+ 	@cat tkdesk.main >>tkdesk
+ 	@chmod 755 tkdesk
+ 
+ rm_tkdesk_script:
+ 	@rm -f tkdesk
+ 
+ man2text:
+ 	gcc -o man2text man2text.c
+ 
+ text2bin:
+ 	gcc -o text2bin text2bin.c
+ 
+ jisdecode:
+ 	gcc -o jisdecode jisdecode.c
+ 
+ catheader:
+ 	gcc -o catheader catheader.c
+ 
+ easypr:
+ 	echo '#!'`which tkdesksh` > easypr
+ 	cat easypr.in >> easypr
+ 	chmod +x easypr
+ 
+ install: shell client rm_tkdesk_script tkdesk_script dirs
+ 	@chmod +x install-sh
+ 	@echo "=== Installing the executables..."
+ 	@for f in tkdesksh tkdesk tkdeskclient/tkdeskclient tools/pauseme tools/ed-tkdesk tools/cd-tkdesk tools/od-tkdesk tools/op-tkdesk tools/pop-tkdesk; do \
+ 	    echo "installing $$f" ;\
+ 	    rm -f $(BIN_INSTALL_DIR)/`basename $$f` ;\
+ 	    $(INSTALL_PROGRAM) $$f $(BIN_INSTALL_DIR) ;\
+ 	done
+ 	@echo "=== Installing TkDesk's library..."
+ 	@cd ./tcldesk; tar cf - * | (cd $(SCRIPT_INSTALL_DIR); tar xvf -)
+ 	@echo "=== Setting permissions..."
+ 	find $(SCRIPT_INSTALL_DIR) -type f -exec chmod a+r {} \;
+ 	find $(SCRIPT_INSTALL_DIR) -type d -exec chmod a+rx {} \;
+ 	@echo "=== Creating index..."
+ 	cd $(SCRIPT_INSTALL_DIR); $(BIN_INSTALL_DIR)/tkdesksh mkindex
+ 	@echo "=== Installing the manual pages..."
+ 	@for f in tkdesk.1 cd-tkdesk.1 ed-tkdesk.1 od-tkdesk.1; do \
+ 	    echo "installing $$f" ;\
+ 	    rm -f $(MAN1_INSTALL_DIR)/$$f ;\
+ 	    $(INSTALL_DATA) doc/$$f $(MAN1_INSTALL_DIR) ;\
+ 	done
+ 	cp man2text $(BIN_INSTALL_DIR)
+ 	cp text2bin $(BIN_INSTALL_DIR)
+ 	cp jisdecode $(BIN_INSTALL_DIR)
+ 	cp catheader $(BIN_INSTALL_DIR)
+ 	cp easypr $(BIN_INSTALL_DIR)
+ 	cp lpr2 $(BIN_INSTALL_DIR)
+ 	chmod 755 $(BIN_INSTALL_DIR)/lpr2
+ 
+ 	@echo "=== Installation complete."
+ 
+ uninstall:
+ 	@echo "=== Uninstalling TkDesk's library..."
+ 	-rm -r $(SCRIPT_INSTALL_DIR)
+ 	@echo "=== Uninstalling TkDesk's executables..."
+ 	-rm $(BIN_INSTALL_DIR)/tkdesksh $(BIN_INSTALL_DIR)/tkdesk $(BIN_INSTALL_DIR)/pauseme $(BIN_INSTALL_DIR)/ed-tkdesk $(BIN_INSTALL_DIR)/cd-tkdesk $(BIN_INSTALL_DIR)/od-tkdesk $(BIN_INSTALL_DIR)/op-tkdesk $(BIN_INSTALL_DIR)/pop-tkdesk $(BIN_INSTALL_DIR)/tkdeskclient
+ 	@echo "=== Done."
+ 
+ dirs:
+ 	@for i in $(SCRIPT_INSTALL_DIR) $(BIN_INSTALL_DIR) $(MAN1_INSTALL_DIR); \
+ 	    do \
+ 	    	if [ ! -d $$i ] ; then \
+ 		    echo "Making directory $$i"; \
+ 		    $(MKDIR) $$i; \
+ 		    chmod 755 $$i; \
+ 		fi; \
+ 	    done;
+ 
+ 
+ clean:
+ 	cd blt; $(MAKE) clean
+ 	cd itcl; $(MAKE) clean
+ 	cd netscape-remote; $(MAKE) clean
+ 	cd libdesk ; $(MAKE) clean
+ 	cd tkdeskclient ; $(MAKE) clean
+ 	cd tcldesk ; rm -f #*#
+ 	rm -f *.o tkdesksh man2text jisdecode catheader text2bin easypr
+ 
+ tags:
+ 	find libdesk tcldesk \( -name "*.c" -o -name "*.h" -o -name "*.tcl" \) -print | etags -
+ 
+ export:
+ 	@echo "Making distribution for $(PKGDIR) ..."
+ 	@echo "Did you think about updating tkdesk.main and CFLAGS?"
+ 	@(cd .. ;\
+ 	mkdir $(PKGDIR) ;\
+ 	mkdir $(PKGDIR)/blt ;\
+ 	mkdir $(PKGDIR)/blt/cf ;\
+ 	mkdir $(PKGDIR)/blt/src ;\
+ 	mkdir $(PKGDIR)/doc ;\
+ 	mkdir $(PKGDIR)/itcl ;\
+ 	mkdir $(PKGDIR)/itcl/src ;\
+ 	mkdir $(PKGDIR)/netscape-remote ;\
+ 	mkdir $(PKGDIR)/tkdeskclient ;\
+ 	mkdir $(PKGDIR)/libdesk ;\
+ 	mkdir $(PKGDIR)/tcldesk ;\
+ 	mkdir $(PKGDIR)/tcldesk/cb_tools ;\
+ 	mkdir $(PKGDIR)/tcldesk/cb_tools/bitmaps ;\
+ 	mkdir $(PKGDIR)/tcldesk/doc ;\
+ 	mkdir $(PKGDIR)/tcldesk/images ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/ficons16 ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/ficons32 ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/be ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/next ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/xbm ;\
+ 	mkdir $(PKGDIR)/tcldesk/sounds ;\
+ 	mkdir $(PKGDIR)/tcldesk/configs ;\
+ 	mkdir $(PKGDIR)/tcldesk/configs/.trash ;\
+ 	mkdir $(PKGDIR)/tcldesk/tcl_lib ;\
+ 	mkdir $(PKGDIR)/tcldesk/tk_lib ;\
+ 	mkdir $(PKGDIR)/tools ;\
+ 	mkdir $(PKGDIR)/contrib ;\
+ 	cp TkDesk/{COPYING,INSTALL,*.in,TODO,license.terms,README,CREDITS} \
+ 	   TkDesk/{configure,*.c,tkdesk.main,install-sh,testdrive} $(PKGDIR) ;\
+ 	cp TkDesk/blt/{Makefile.in,README,README.BLT,*.h,*.c} \
+ 		$(PKGDIR)/blt ;\
+ 	cp TkDesk/doc/{guide.sgml,guide.txt,guide.ps,*.1} $(PKGDIR)/doc ;\
+ 	cp TkDesk/doc/Makefile $(PKGDIR)/doc ;\
+ 	cp TkDesk/itcl/{Makefile.in,README,*.c,*.h} \
+ 		$(PKGDIR)/itcl ;\
+ 	cp TkDesk/netscape-remote/{Makefile.in,COPYRIGHT,README,*.c} \
+ 		$(PKGDIR)/netscape-remote ;\
+ 	cp TkDesk/tkdeskclient/{Makefile.in,*.c} \
+ 		$(PKGDIR)/tkdeskclient ;\
+ 	cp TkDesk/libdesk/{Makefile.in,*.c,*.h} $(PKGDIR)/libdesk ;\
+ 	cp TkDesk/tcldesk/{*.tcl,tclIndex,mkindex} $(PKGDIR)/tcldesk ;\
+ 	cp TkDesk/tcldesk/cb_tools/{*.tcl,tclIndex,mkindex} \
+ 		$(PKGDIR)/tcldesk/cb_tools ;\
+ 	cp TkDesk/tcldesk/cb_tools/bitmaps/*.xbm \
+ 		$(PKGDIR)/tcldesk/cb_tools/bitmaps ;\
+ 	cp TkDesk/tcldesk/doc/{License,Guide,*.html} $(PKGDIR)/tcldesk/doc ;\
+ 	cp TkDesk/tcldesk/doc/QuickStart $(PKGDIR)/tcldesk/doc ;\
+ 	cp TkDesk/CHANGES $(PKGDIR)/tcldesk/doc ;\
+ 	cp TkDesk/tcldesk/images/*.xpm $(PKGDIR)/tcldesk/images ;\
+ 	cp TkDesk/tcldesk/images/ficons16/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/ficons16 ;\
+ 	cp TkDesk/tcldesk/images/ficons32/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/ficons32 ;\
+ 	cp TkDesk/tcldesk/images/be/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/be ;\
+ 	cp TkDesk/tcldesk/images/next/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/next ;\
+ 	cp TkDesk/tcldesk/images/xbm/*.xbm \
+ 		$(PKGDIR)/tcldesk/images/xbm ;\
+ 	cp TkDesk/tcldesk/sounds/*.au $(PKGDIR)/tcldesk/sounds ;\
+ 	cp TkDesk/tcldesk/configs/{AppBar,AppBar_Be,AppBar_Games} \
+                 TkDesk/tcldesk/configs/{ButtonBar,Commands,Directories} \
+ 		TkDesk/tcldesk/configs/{FileTags,Popups} \
+ 		TkDesk/tcldesk/configs/{Sounds,System} \
+ 		$(PKGDIR)/tcldesk/configs ;\
+ 	cp TkDesk/tcldesk/tcl_lib/* $(PKGDIR)/tcldesk/tcl_lib ;\
+ 	cp TkDesk/tcldesk/tk_lib/* $(PKGDIR)/tcldesk/tk_lib ;\
+ 	cp TkDesk/tools/{*-tkdesk,pauseme} $(PKGDIR)/tools ;\
+ 	cp TkDesk/contrib/* $(PKGDIR)/contrib ;\
+ 	tar czvpf $(PKGDIR).tar.gz $(PKGDIR) ;\
+ 	mv $(PKGDIR).tar.gz TkDesk ;\
+ 	rm -rf $(PKGDIR) )
+ 
+ floppy:
+ 	-mdel a:tkdsk$(FVERSION).tgz
+ 	mcopy $(PKGNAME)-$(VERSION).tar.gz a:tkdsk$(FVERSION).tgz
+ 	mdir a:
diff -crN tkdesk-1.1/Makefile.in tkdesk-1.1-jp/Makefile.in
*** tkdesk-1.1/Makefile.in	Mon Sep 21 04:41:40 1998
--- tkdesk-1.1-jp/Makefile.in	Sun Nov  7 20:10:27 1999
***************
*** 50,56 ****
  
  # To change the compiler switches, for example to change from -O
  # to -g, change the following line:
! CC_OPTS = -O
  
  # To change the linker switches, for example to add -s,
  # change the following line:
--- 50,56 ----
  
  # To change the compiler switches, for example to change from -O
  # to -g, change the following line:
! CC_OPTS = -O -DKANJI -DKINPUT2
  
  # To change the linker switches, for example to add -s,
  # change the following line:
***************
*** 127,133 ****
  FVERSION =	11
  PKGDIR =	$(PKGNAME)-$(VERSION)
  
! all: shell client tkdesk_script
  	@echo "========= Build complete."
  	@echo " "
  	@echo "You can try out TkDesk before installing it by commenting"
--- 127,133 ----
  FVERSION =	11
  PKGDIR =	$(PKGNAME)-$(VERSION)
  
! all: shell client tkdesk_script man2text jisdecode catheader text2bin easypr
  	@echo "========= Build complete."
  	@echo " "
  	@echo "You can try out TkDesk before installing it by commenting"
***************
*** 139,145 ****
  		tkAppInit.o libdesk/libdesk.a netscape-remote/libnetscape.a \
  		blt/libBLT.a $(LIBS)
  
! static: makelibs tkAppInit-static.o client tkdesk_script
  	$(CC) $(LDFLAGS) @TCL_LD_SEARCH_FLAGS@ -static -o tkdesksh \
  		tkAppInit-static.o libdesk/libdesk.a netscape-remote/libnetscape.a \
  		blt/libBLT.a itcl/libitcl.a $(LIBS_STATIC)
--- 139,145 ----
  		tkAppInit.o libdesk/libdesk.a netscape-remote/libnetscape.a \
  		blt/libBLT.a $(LIBS)
  
! static: makelibs tkAppInit-static.o client tkdesk_script man2text jisdecode catheader text2bin easypr
  	$(CC) $(LDFLAGS) @TCL_LD_SEARCH_FLAGS@ -static -o tkdesksh \
  		tkAppInit-static.o libdesk/libdesk.a netscape-remote/libnetscape.a \
  		blt/libBLT.a itcl/libitcl.a $(LIBS_STATIC)
***************
*** 180,185 ****
--- 180,202 ----
  rm_tkdesk_script:
  	@rm -f tkdesk
  
+ man2text:
+ 	gcc -o man2text man2text.c
+ 
+ text2bin:
+ 	gcc -o text2bin text2bin.c
+ 
+ jisdecode:
+ 	gcc -o jisdecode jisdecode.c
+ 
+ catheader:
+ 	gcc -o catheader catheader.c
+ 
+ easypr:
+ 	echo '#!'`which tkdesksh` > easypr
+ 	cat easypr.in >> easypr
+ 	chmod +x easypr
+ 
  install: shell client rm_tkdesk_script tkdesk_script dirs
  	@chmod +x install-sh
  	@echo "=== Installing the executables..."
***************
*** 201,206 ****
--- 218,231 ----
  	    rm -f $(MAN1_INSTALL_DIR)/$$f ;\
  	    $(INSTALL_DATA) doc/$$f $(MAN1_INSTALL_DIR) ;\
  	done
+ 	cp man2text $(BIN_INSTALL_DIR)
+ 	cp text2bin $(BIN_INSTALL_DIR)
+ 	cp jisdecode $(BIN_INSTALL_DIR)
+ 	cp catheader $(BIN_INSTALL_DIR)
+ 	cp easypr $(BIN_INSTALL_DIR)
+ 	cp lpr2 $(BIN_INSTALL_DIR)
+ 	chmod 755 $(BIN_INSTALL_DIR)/lpr2
+ 
  	@echo "=== Installation complete."
  
  uninstall:
***************
*** 228,234 ****
  	cd libdesk ; $(MAKE) clean
  	cd tkdeskclient ; $(MAKE) clean
  	cd tcldesk ; rm -f #*#
! 	rm -f *.o tkdesksh
  
  tags:
  	find libdesk tcldesk \( -name "*.c" -o -name "*.h" -o -name "*.tcl" \) -print | etags -
--- 253,259 ----
  	cd libdesk ; $(MAKE) clean
  	cd tkdeskclient ; $(MAKE) clean
  	cd tcldesk ; rm -f #*#
! 	rm -f *.o tkdesksh man2text jisdecode catheader text2bin easypr
  
  tags:
  	find libdesk tcldesk \( -name "*.c" -o -name "*.h" -o -name "*.tcl" \) -print | etags -
diff -crN tkdesk-1.1/Makefile~ tkdesk-1.1-jp/Makefile~
*** tkdesk-1.1/Makefile~	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/Makefile~	Sun Nov  7 20:12:58 1999
***************
*** 0 ****
--- 1,342 ----
+ # Generated automatically from Makefile.in by configure.
+ # This file is the Makefile for TkDesk.  If it has the name "Makefile.in"
+ # then it is a template for a Makefile;  to generate the actual Makefile,
+ # run "./configure", which is a configuration script generated by the
+ # "autoconf" program (constructs like "@foo@" will get replaced in the
+ # actual Makefile.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Default top-level directories in which to install architecture-
+ # specific files (exec_prefix) and machine-independent files such
+ # as scripts (prefix).  The values specified here may be overridden
+ # at configure-time with the --exec-prefix and --prefix options
+ # to the "configure" script.
+ 
+ prefix =	/usr/local
+ exec_prefix =	${prefix}
+ 
+ # The following definition can be set to non-null for special systems
+ # like AFS with replication.  It allows the pathnames used for installation
+ # to be different than those used for actually reference files at
+ # run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
+ # when installing files.
+ INSTALL_ROOT =
+ 
+ # Directory from which TkDesk will reference its library of Tcl scripts:
+ TKDESK_LIBRARY =	$(prefix)/lib/TkDesk
+ 
+ # Path name to use when installing library scripts:
+ SCRIPT_INSTALL_DIR =	$(INSTALL_ROOT)$(TKDESK_LIBRARY)
+ 
+ # Directory where tkdesksh will look for its library scripts:
+ SCRIPT_SEARCH_DIR =	$(SCRIPT_INSTALL_DIR)
+ 
+ # Directory in which to install the program tkdesksh:
+ BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin
+ 
+ # Directory where tkdesksh will look for the tkdesk script:
+ BIN_SEARCH_DIR =	$(BIN_INSTALL_DIR)
+ 
+ # Top-level directory in which to install manual entries:
+ MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man
+ 
+ # Directory in which to install manual entry for tkdesk:
+ MAN1_INSTALL_DIR =	$(MAN_INSTALL_DIR)/man1
+ 
+ # To change the compiler switches, for example to change from -O
+ # to -g, change the following line:
+ CC_OPTS = -O -DKANJI -DKINPUT2
+ 
+ # To change the linker switches, for example to add -s,
+ # change the following line:
+ LD_OPTS = 
+ 
+ # Tcl used to let the configure script choose which program to use
+ # for installing, but there are just too many different versions of
+ # "install" around;  better to use the install-sh script that comes
+ # with the distribution, which is slower but guaranteed to work.
+ 
+ INSTALL =		/usr/src/tkdesk-1.1/install-sh -c
+ INSTALL_PROGRAM =	${INSTALL} -m 755
+ INSTALL_DATA =		${INSTALL} -m 644
+ 
+ #----------------------------------------------------------------
+ # The information below is modified by the configure script when
+ # Makefile is generated from Makefile.in.  You shouldn't normally
+ # modify any of this stuff by hand.
+ #----------------------------------------------------------------
+ 
+ # Location of Tcl header files:
+ TCL_INCLUDE_DIR =	/usr/include
+ 
+ # Location of Tk header files:
+ TK_INCLUDE_DIR =	/usr/include
+ 
+ # Location of X11 header files:
+ X_INCLUDE_FLAG =	-I/usr/X11R6/include
+ 
+ # Specification of Tcl library:
+ TCL_LIB_SPEC   =	-L/usr/lib -ltcl7.6jp
+ TCL_LIB_STATIC =	/usr/lib/libtcl7.6jp.a
+ 
+ # Specification of Tk library:
+ TK_LIB_SPEC    =	-L/usr/lib -ltk4.2jp
+ TK_LIB_STATIC  =	/usr/lib/libtk4.2jp.a
+ 
+ # Specification if itcl library:
+ ITCL_LIB_SPEC   =       itcl/libitcl.a
+ ITCL_LIB_STATIC =       itcl/libitcl.a
+ 
+ # Directory in which to install libtcl.so or libtcl.a:
+ LIB_INSTALL_DIR =	/usr/lib
+ 
+ # Path to use at runtime to refer to LIB_INSTALL_DIR:
+ LIB_RUNTIME_DIR =	$(LIB_INSTALL_DIR)
+ 
+ # Complete library option string to pass to linker:
+ LIBS =			$(ITCL_LIB_SPEC) $(TK_LIB_SPEC) $(TCL_LIB_SPEC) -L/usr/X11R6/lib -lX11 -ldl  -lieee -lm
+ LIBS_STATIC =		$(ITCL_LIB_STATIC) $(TK_LIB_STATIC) $(TCL_LIB_STATIC) -L/usr/X11R6/lib -lX11 -ldl  -lieee -lm
+ 
+ # Miscellaneous settings:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ SRC_DIR =		/usr/src/tkdesk-1.1
+ RANLIB =		ranlib
+ CC =			gcc
+ SHELL =                 /bin/sh
+ 
+ # Command for creating directories.  Alternatives include "mkdir"
+ # and "mkdirhier".
+ MKDIR =                 mkdir -p
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I. -I${TCL_INCLUDE_DIR} -I${TK_INCLUDE_DIR} ${X_INCLUDE_FLAG}
+ LDFLAGS =	${LD_OPTS}
+ 
+ PKGNAME =	tkdesk
+ VERSION =	1.1
+ FVERSION =	11
+ PKGDIR =	$(PKGNAME)-$(VERSION)
+ 
+ all: shell client tkdesk_script man2text jisdecode catheader text2bin easypr
+ 	@echo "========= Build complete."
+ 	@echo " "
+ 	@echo "You can try out TkDesk before installing it by commenting"
+ 	@echo "out the sixth line in the file tkdesk and then executing:"
+ 	@echo "./tkdesksh tkdesk -default"
+ 
+ shell: makelibs tkAppInit.o
+ 	$(CC) $(LDFLAGS)  -o tkdesksh \
+ 		tkAppInit.o libdesk/libdesk.a netscape-remote/libnetscape.a \
+ 		blt/libBLT.a $(LIBS)
+ 
+ static: makelibs tkAppInit-static.o client tkdesk_script man2text jisdecode catheader text2bin easypr
+ 	$(CC) $(LDFLAGS)  -static -o tkdesksh \
+ 		tkAppInit-static.o libdesk/libdesk.a netscape-remote/libnetscape.a \
+ 		blt/libBLT.a itcl/libitcl.a $(LIBS_STATIC)
+ 
+ tkAppInit-static.o: tkAppInit.c
+ 	$(CC) $(CFLAGS) -DSTATIC_BUILD -DTKDESK_LIBRARY="\"$(TKDESK_LIBRARY)\"" -c tkAppInit.c -o $@
+ 
+ makelibs: lib_blt lib_itcl lib_netscape lib_libdesk
+ 
+ lib_blt:
+ 	cd blt; $(MAKE) CC_OPTS="$(CC_OPTS)" LIB_DIR="$(SCRIPT_SEARCH_DIR)" lib
+ 
+ lib_itcl:
+ 	cd itcl; $(MAKE) CC_OPTS="$(CC_OPTS)" lib
+ 
+ lib_netscape:
+ 	cd netscape-remote; $(MAKE) CC_OPTS="$(CC_OPTS)" lib
+ 
+ lib_libdesk:
+ 	cd libdesk; $(MAKE) CC_OPTS="$(CC_OPTS)" lib
+ 
+ client:
+ 	cd tkdeskclient; $(MAKE) CC_OPTS="$(CC_OPTS)" LD_OPTS="$(LD_OPTS)" all
+ 
+ tkdesk_script:
+ 	@echo '#!/bin/sh' >tkdesk
+ 	@echo '#-*- tcl -*- \' >>tkdesk
+ 	@echo "PATH=$(BIN_SEARCH_DIR):"'$$PATH ;#\' >>tkdesk
+ 	@echo "exec tkdesksh \"\$$0\" \"\$$@\"" >>tkdesk
+ 	@echo "" >>tkdesk
+ 	@echo "set tkdesk(library) \"$(SCRIPT_SEARCH_DIR)\"" >>tkdesk
+ 	@echo "set tkdesk(in_development) 0" >>tkdesk
+ 	@echo "set tkdesk(no_auto_loading) 0" >>tkdesk
+ 	@echo "set tkdesk(debug) 0" >>tkdesk
+ 	@cat tkdesk.main >>tkdesk
+ 	@chmod 755 tkdesk
+ 
+ rm_tkdesk_script:
+ 	@rm -f tkdesk
+ 
+ man2text:
+ 	gcc -o man2text man2text.c
+ 
+ text2bin:
+ 	gcc -o text2bin text2bin.c
+ 
+ jisdecode:
+ 	gcc -o jisdecode jisdecode.c
+ 
+ catheader:
+ 	gcc -o catheader catheader.c
+ 
+ easypr:
+ 	echo '#!'`which tkdesksh` > easypr
+ 	cat easypr.in >> easypr
+ 	chmod +x easypr
+ 
+ install: shell client rm_tkdesk_script tkdesk_script dirs
+ 	@chmod +x install-sh
+ 	@echo "=== Installing the executables..."
+ 	@for f in tkdesksh tkdesk tkdeskclient/tkdeskclient tools/pauseme tools/ed-tkdesk tools/cd-tkdesk tools/od-tkdesk tools/op-tkdesk tools/pop-tkdesk; do \
+ 	    echo "installing $$f" ;\
+ 	    rm -f $(BIN_INSTALL_DIR)/`basename $$f` ;\
+ 	    $(INSTALL_PROGRAM) $$f $(BIN_INSTALL_DIR) ;\
+ 	done
+ 	@echo "=== Installing TkDesk's library..."
+ 	@cd ./tcldesk; tar cf - * | (cd $(SCRIPT_INSTALL_DIR); tar xvf -)
+ 	@echo "=== Setting permissions..."
+ 	find $(SCRIPT_INSTALL_DIR) -type f -exec chmod a+r {} \;
+ 	find $(SCRIPT_INSTALL_DIR) -type d -exec chmod a+rx {} \;
+ 	@echo "=== Creating index..."
+ 	cd $(SCRIPT_INSTALL_DIR); $(BIN_INSTALL_DIR)/tkdesksh mkindex
+ 	@echo "=== Installing the manual pages..."
+ 	@for f in tkdesk.1 cd-tkdesk.1 ed-tkdesk.1 od-tkdesk.1; do \
+ 	    echo "installing $$f" ;\
+ 	    rm -f $(MAN1_INSTALL_DIR)/$$f ;\
+ 	    $(INSTALL_DATA) doc/$$f $(MAN1_INSTALL_DIR) ;\
+ 	done
+ 	cp man2text $(BIN_INSTALL_DIR)
+ 	cp text2bin $(BIN_INSTALL_DIR)
+ 	cp jisdecode $(BIN_INSTALL_DIR)
+ 	cp catheader $(BIN_INSTALL_DIR)
+ 	cp easypr $(BIN_INSTALL_DIR)
+ 	cp lpr2 $(BIN_INSTALL_DIR)
+ 	chmod 755 $(BIN_INSTALL_DIR)/lpr2
+ 
+ 	@echo "=== Installation complete."
+ 
+ uninstall:
+ 	@echo "=== Uninstalling TkDesk's library..."
+ 	-rm -r $(SCRIPT_INSTALL_DIR)
+ 	@echo "=== Uninstalling TkDesk's executables..."
+ 	-rm $(BIN_INSTALL_DIR)/tkdesksh $(BIN_INSTALL_DIR)/tkdesk $(BIN_INSTALL_DIR)/pauseme $(BIN_INSTALL_DIR)/ed-tkdesk $(BIN_INSTALL_DIR)/cd-tkdesk $(BIN_INSTALL_DIR)/od-tkdesk $(BIN_INSTALL_DIR)/op-tkdesk $(BIN_INSTALL_DIR)/pop-tkdesk $(BIN_INSTALL_DIR)/tkdeskclient
+ 	@echo "=== Done."
+ 
+ dirs:
+ 	@for i in $(SCRIPT_INSTALL_DIR) $(BIN_INSTALL_DIR) $(MAN1_INSTALL_DIR); \
+ 	    do \
+ 	    	if [ ! -d $$i ] ; then \
+ 		    echo "Making directory $$i"; \
+ 		    $(MKDIR) $$i; \
+ 		    chmod 755 $$i; \
+ 		fi; \
+ 	    done;
+ 
+ 
+ clean:
+ 	cd blt; $(MAKE) clean
+ 	cd itcl; $(MAKE) clean
+ 	cd netscape-remote; $(MAKE) clean
+ 	cd libdesk ; $(MAKE) clean
+ 	cd tkdeskclient ; $(MAKE) clean
+ 	cd tcldesk ; rm -f #*#
+ 	rm -f *.o tkdesksh man2text jisdecode catheader text2bin easypr
+ 
+ tags:
+ 	find libdesk tcldesk \( -name "*.c" -o -name "*.h" -o -name "*.tcl" \) -print | etags -
+ 
+ export:
+ 	@echo "Making distribution for $(PKGDIR) ..."
+ 	@echo "Did you think about updating tkdesk.main and CFLAGS?"
+ 	@(cd .. ;\
+ 	mkdir $(PKGDIR) ;\
+ 	mkdir $(PKGDIR)/blt ;\
+ 	mkdir $(PKGDIR)/blt/cf ;\
+ 	mkdir $(PKGDIR)/blt/src ;\
+ 	mkdir $(PKGDIR)/doc ;\
+ 	mkdir $(PKGDIR)/itcl ;\
+ 	mkdir $(PKGDIR)/itcl/src ;\
+ 	mkdir $(PKGDIR)/netscape-remote ;\
+ 	mkdir $(PKGDIR)/tkdeskclient ;\
+ 	mkdir $(PKGDIR)/libdesk ;\
+ 	mkdir $(PKGDIR)/tcldesk ;\
+ 	mkdir $(PKGDIR)/tcldesk/cb_tools ;\
+ 	mkdir $(PKGDIR)/tcldesk/cb_tools/bitmaps ;\
+ 	mkdir $(PKGDIR)/tcldesk/doc ;\
+ 	mkdir $(PKGDIR)/tcldesk/images ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/ficons16 ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/ficons32 ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/be ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/next ;\
+ 	mkdir $(PKGDIR)/tcldesk/images/xbm ;\
+ 	mkdir $(PKGDIR)/tcldesk/sounds ;\
+ 	mkdir $(PKGDIR)/tcldesk/configs ;\
+ 	mkdir $(PKGDIR)/tcldesk/configs/.trash ;\
+ 	mkdir $(PKGDIR)/tcldesk/tcl_lib ;\
+ 	mkdir $(PKGDIR)/tcldesk/tk_lib ;\
+ 	mkdir $(PKGDIR)/tools ;\
+ 	mkdir $(PKGDIR)/contrib ;\
+ 	cp TkDesk/{COPYING,INSTALL,*.in,TODO,license.terms,README,CREDITS} \
+ 	   TkDesk/{configure,*.c,tkdesk.main,install-sh,testdrive} $(PKGDIR) ;\
+ 	cp TkDesk/blt/{Makefile.in,README,README.BLT,*.h,*.c} \
+ 		$(PKGDIR)/blt ;\
+ 	cp TkDesk/doc/{guide.sgml,guide.txt,guide.ps,*.1} $(PKGDIR)/doc ;\
+ 	cp TkDesk/doc/Makefile $(PKGDIR)/doc ;\
+ 	cp TkDesk/itcl/{Makefile.in,README,*.c,*.h} \
+ 		$(PKGDIR)/itcl ;\
+ 	cp TkDesk/netscape-remote/{Makefile.in,COPYRIGHT,README,*.c} \
+ 		$(PKGDIR)/netscape-remote ;\
+ 	cp TkDesk/tkdeskclient/{Makefile.in,*.c} \
+ 		$(PKGDIR)/tkdeskclient ;\
+ 	cp TkDesk/libdesk/{Makefile.in,*.c,*.h} $(PKGDIR)/libdesk ;\
+ 	cp TkDesk/tcldesk/{*.tcl,tclIndex,mkindex} $(PKGDIR)/tcldesk ;\
+ 	cp TkDesk/tcldesk/cb_tools/{*.tcl,tclIndex,mkindex} \
+ 		$(PKGDIR)/tcldesk/cb_tools ;\
+ 	cp TkDesk/tcldesk/cb_tools/bitmaps/*.xbm \
+ 		$(PKGDIR)/tcldesk/cb_tools/bitmaps ;\
+ 	cp TkDesk/tcldesk/doc/{License,Guide,*.html} $(PKGDIR)/tcldesk/doc ;\
+ 	cp TkDesk/tcldesk/doc/QuickStart $(PKGDIR)/tcldesk/doc ;\
+ 	cp TkDesk/CHANGES $(PKGDIR)/tcldesk/doc ;\
+ 	cp TkDesk/tcldesk/images/*.xpm $(PKGDIR)/tcldesk/images ;\
+ 	cp TkDesk/tcldesk/images/ficons16/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/ficons16 ;\
+ 	cp TkDesk/tcldesk/images/ficons32/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/ficons32 ;\
+ 	cp TkDesk/tcldesk/images/be/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/be ;\
+ 	cp TkDesk/tcldesk/images/next/*.xpm \
+ 		$(PKGDIR)/tcldesk/images/next ;\
+ 	cp TkDesk/tcldesk/images/xbm/*.xbm \
+ 		$(PKGDIR)/tcldesk/images/xbm ;\
+ 	cp TkDesk/tcldesk/sounds/*.au $(PKGDIR)/tcldesk/sounds ;\
+ 	cp TkDesk/tcldesk/configs/{AppBar,AppBar_Be,AppBar_Games} \
+                 TkDesk/tcldesk/configs/{ButtonBar,Commands,Directories} \
+ 		TkDesk/tcldesk/configs/{FileTags,Popups} \
+ 		TkDesk/tcldesk/configs/{Sounds,System} \
+ 		$(PKGDIR)/tcldesk/configs ;\
+ 	cp TkDesk/tcldesk/tcl_lib/* $(PKGDIR)/tcldesk/tcl_lib ;\
+ 	cp TkDesk/tcldesk/tk_lib/* $(PKGDIR)/tcldesk/tk_lib ;\
+ 	cp TkDesk/tools/{*-tkdesk,pauseme} $(PKGDIR)/tools ;\
+ 	cp TkDesk/contrib/* $(PKGDIR)/contrib ;\
+ 	tar czvpf $(PKGDIR).tar.gz $(PKGDIR) ;\
+ 	mv $(PKGDIR).tar.gz TkDesk ;\
+ 	rm -rf $(PKGDIR) )
+ 
+ floppy:
+ 	-mdel a:tkdsk$(FVERSION).tgz
+ 	mcopy $(PKGNAME)-$(VERSION).tar.gz a:tkdsk$(FVERSION).tgz
+ 	mdir a:
diff -crN tkdesk-1.1/blt/Makefile tkdesk-1.1-jp/blt/Makefile
*** tkdesk-1.1/blt/Makefile	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/blt/Makefile	Sun Nov  7 20:12:23 1999
***************
*** 0 ****
--- 1,55 ----
+ # Generated automatically from Makefile.in by configure.
+ # This is the Makefile for the BLT subset needed by TkDesk.
+ # It is called from the main Makefile in .., which passes the CFLAGS.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Location of Tcl header files:
+ TCL_INCLUDE_DIR =	/usr/include
+ 
+ # Location of Tk header files:
+ TK_INCLUDE_DIR =	/usr/include
+ 
+ # Location of X11 header files:
+ X_INCLUDE_FLAG =	-I/usr/X11R6/include
+ 
+ # Configuration compiler flags:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ 
+ # Miscellaneous settings:
+ RANLIB =		ranlib
+ CC =			gcc
+ AR =			ar rc
+ RM =			rm -f
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I.. -I. -I${TCL_INCLUDE_DIR} -I${TK_INCLUDE_DIR} ${X_INCLUDE_FLAG}
+ BLT_LIBRARY =	$(LIB_DIR)
+ 
+ libname	=	libBLT.a
+ 
+ OBJS = 		bltBgexec.o bltBusy.o bltInput.o \
+ 		bltDragDrop.o bltInit.o bltList.o bltUtil.o
+ 
+ lib: $(libname)
+ 
+ $(libname):  $(OBJS)
+ 	$(RM) $@
+ 	$(AR) $@ $(OBJS)
+ 	$(RANLIB) $@
+ 
+ bltInit.o: bltInit.c
+ 	$(CC) -c $(CFLAGS) -DBLT_LIBRARY=\"$(BLT_LIBRARY)\" $<
+ 
+ clean:
+ 	$(RM) $(OBJS) $(libname) *\~ "#"*
Binary files tkdesk-1.1/blt/bltBgexec.o and tkdesk-1.1-jp/blt/bltBgexec.o differ
Binary files tkdesk-1.1/blt/bltBusy.o and tkdesk-1.1-jp/blt/bltBusy.o differ
Binary files tkdesk-1.1/blt/bltDragDrop.o and tkdesk-1.1-jp/blt/bltDragDrop.o differ
Binary files tkdesk-1.1/blt/bltInit.o and tkdesk-1.1-jp/blt/bltInit.o differ
Binary files tkdesk-1.1/blt/bltInput.o and tkdesk-1.1-jp/blt/bltInput.o differ
Binary files tkdesk-1.1/blt/bltList.o and tkdesk-1.1-jp/blt/bltList.o differ
Binary files tkdesk-1.1/blt/bltUtil.o and tkdesk-1.1-jp/blt/bltUtil.o differ
Binary files tkdesk-1.1/blt/libBLT.a and tkdesk-1.1-jp/blt/libBLT.a differ
Binary files tkdesk-1.1/catheader and tkdesk-1.1-jp/catheader differ
diff -crN tkdesk-1.1/catheader.c tkdesk-1.1-jp/catheader.c
*** tkdesk-1.1/catheader.c	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/catheader.c	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,209 ----
+ #include <stdio.h>
+ #include <string.h>
+ 
+ void	decode(int *src) {
+ 	int	c,i,j,n,k;
+ 
+ 	n = 0;
+ 	i = 0;
+ 	j = 3;
+ 	do {
+ 		n |= (src[i] & 0x3f) << (j-- * 6);
+ 		if(j < 0) {
+ 			for(k = 2;k >= 0;k--) {
+ 				c = (n >> (k * 8)) & 0xff;
+ 				if(c != 0) putchar(c);
+ 			}
+ 			j = 3;
+ 			n = 0;
+ 		}
+ 	} while(src[i++] < 64);
+ 	for(k = 2;k >= 0;k--) {
+ 		c = (n >> (k * 8)) & 0xff;
+ 		if(c != 0) putchar(c);
+ 	}
+ }
+ 
+ void	subject(char *str) {
+ 	int	c,n,i,b,q;
+ 	int	num[1024];
+ 	char	scanbuf[3];
+ 
+ 	b = -1;
+ 	q = -1;
+ 	n = strlen(str);
+ 	for(i = 0;i < n;i++) {
+ 		if(strncmp(str + i,"=?iso-2022-jp?B?",16) ==  0) {
+ 			i += 16;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-2022-JP?B?",16) ==  0) {
+ 			i += 16;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?euc-jp?B?",11) ==  0) {
+ 			i += 11;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?EUC-JP?B?",11) ==  0) {
+ 			i += 11;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?shift_jis?B?",13) ==  0) {
+ 			i += 13;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?SHIFT_JIS?B?",13) ==  0) {
+ 			i += 13;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?iso-2022-jp?Q?",16) ==  0) {
+ 			i += 16;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-2022-JP?Q?",16) ==  0) {
+ 			i += 16;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?iso-8859-1?Q?",15) ==  0) {
+ 			i += 15;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-8859-1?Q?",15) ==  0) {
+ 			i += 15;
+ 			q = 0;
+ 		}
+ 		if(b >= 0) {
+ 			if(isupper(str[i])) {
+ 				num[b++] = str[i] - 'A';
+ 			} else if(islower(str[i])) {
+ 				num[b++] = str[i] - 'a' + 26;
+ 			} else if(isdigit(str[i])) {
+ 				num[b++] = str[i] - '0' + 52;
+ 			} else if(str[i] == '+') {
+ 				num[b++] = 62;
+ 			} else if(str[i] == '/') {
+ 				num[b++] = 63;
+ 			} else if(str[i] == '?') {
+ 				num[b] = 64;
+ 				decode(num);
+ 				i++;
+ 				b = -1;
+ 			}
+ 		} else if(q == 0) {
+ 			if(str[i] == '=') {
+ 				if(isxdigit(str[i+1]) && isxdigit(str[i+2])) {
+ 					scanbuf[0] = str[++i];
+ 					scanbuf[1] = str[++i];
+ 					scanbuf[2] = '\0';
+ 					sscanf(scanbuf,"%x",&c);
+ 					putchar(c);
+ 				} else {
+ 					q = -1;
+ 					putchar(str[i]);
+ 				}
+ 			} else if(str[i] == '?' && str[i+1] == '=') {
+ 				q = -1;
+ 				i++;
+ 			} else {
+ 				putchar(str[i]);
+ 			}
+ 		}
+ 		else {
+ 			putchar(str[i]);
+ 		}
+ 	}
+ }
+ 
+ void rewrite(char *filename) {
+ 	char	buf[1024],bakname[64];
+ 	int	f,m;
+ 	FILE	*fpin,*fpout;
+ 
+ 	strcpy(bakname,filename);
+ 	strcat(bakname,".bak");
+ 	rename(filename,bakname);
+ 	f = 0;
+ 	m = 0;
+ 	fpin = fopen(bakname,"r");
+ 	fpout = fopen(filename,"w");
+ 	fgets(buf,1024,fpin);
+ 	while(!feof(fpin)) {
+ 		if(strlen(buf) <= 1 && m == 1) f = 1;
+ 		if(f == 0) {
+ 			if(strncmp(buf,"Message-Id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-ID: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"MESSAGE-ID: ",12) == 0) m = 1;
+ 			if(strlen(buf) > 1) {
+ 				fputs(buf,fpout);
+ 			}
+ 		} else {
+ 			fputs(buf,fpout);
+ 		}
+ 		fgets(buf,1024,fpin);
+ 	}
+ 	fclose(fpin);
+ 	fclose(fpout);
+ 	unlink(bakname);
+ }
+ 
+ void main(int argc,char **argv) {
+ 	char	buf[1024],form[64],name[64];
+ 	char	*p;
+ 	FILE	*fp;
+ 	int	i,f,m,r;
+ 
+ 	strcpy(form,argv[1]);
+ 	strcat(form,"/%d");
+ 	i = 1;
+ 	sprintf(name,form,i);
+ 	fp = fopen(name,"r");
+ 	while(fp != NULL) {
+ 		f = 0;
+ 		m = 0;
+ 		r = 0;
+ 		fgets(buf,1024,fp);
+ 		buf[strlen(buf) - 1] = '\0';
+ 		printf("---- %d ----\n",i);
+ 		while(!feof(fp)) {
+ 			if(strlen(buf) <= 1) {
+ 				if(m == 0) r = 1;
+ 				else break;
+ 			}
+ 			p = buf;
+ 			if(buf[0] <= ' ') {
+ 				while(*p >= 0 && *p <= ' ') p++;
+ 			} else {
+ 				if(f == 1) putchar('\n');
+ 				f = 0;
+ 			}
+ 			if(strncmp(buf,"Subject: ",9) == 0) f = 1;
+ 			if(strncmp(buf,"subject: ",9) == 0) f = 1;
+ 			if(strncmp(buf,"SUBJECT: ",9) == 0) f = 1;
+ 			if(strncmp(buf,"From: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"from: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"FROM: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"To: ",3) == 0) f = 1;
+ 			if(strncmp(buf,"to: ",3) == 0) f = 1;
+ 			if(strncmp(buf,"TO: ",3) == 0) f = 1;
+ 			if(strncmp(buf,"Date: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"date: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"DATE: ",6) == 0) f = 1;
+ 			if(strncmp(buf,"Message-Id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-ID: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"Message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"message-id: ",12) == 0) m = 1;
+ 			if(strncmp(buf,"MESSAGE-ID: ",12) == 0) m = 1;
+ 			if(f == 1) subject(p);
+ 			fgets(buf,1024,fp);
+ 			buf[strlen(buf) - 1] = '\0';
+ 		}
+ 		fclose(fp);
+ 		putchar('\n');
+ 		if(r == 1) rewrite(name);
+ 		sprintf(name,form,++i);
+ 		fp = fopen(name,"r");
+ 	}
+ }
\ No newline at end of file
diff -crN tkdesk-1.1/config.cache tkdesk-1.1-jp/config.cache
*** tkdesk-1.1/config.cache	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/config.cache	Sun Nov  7 20:12:22 1999
***************
*** 0 ****
--- 1,58 ----
+ # This file is a shell script that caches the results of configure
+ # tests run on this system so they can be shared between configure
+ # scripts and configure runs.  It is not useful on other systems.
+ # If it contains results you don't want to keep, you may remove or edit it.
+ #
+ # By default, configure uses ./config.cache as the cache file,
+ # creating it if it does not exist already.  You can give configure
+ # the --cache-file=FILE option to use a different cache file; that is
+ # what configure does when it calls configure scripts in
+ # subdirectories, so they share the cache.
+ # Giving --cache-file=/dev/null disables caching, for debugging configure.
+ # config.status only pays attention to the cache file if you give it the
+ # --recheck option to rerun configure.
+ #
+ ac_cv_func_gethostname=${ac_cv_func_gethostname='yes'}
+ ac_cv_func_gettimeofday=${ac_cv_func_gettimeofday='yes'}
+ ac_cv_func_socket=${ac_cv_func_socket='yes'}
+ ac_cv_func_statfs=${ac_cv_func_statfs='yes'}
+ ac_cv_func_statvfs=${ac_cv_func_statvfs='no'}
+ ac_cv_func_strcasecmp=${ac_cv_func_strcasecmp='yes'}
+ ac_cv_func_strdup=${ac_cv_func_strdup='yes'}
+ ac_cv_have_x=${ac_cv_have_x='have_x=yes 		ac_x_includes=/usr/X11R6/include ac_x_libraries=/usr/X11R6/lib'}
+ ac_cv_header_dirent_dirent_h=${ac_cv_header_dirent_dirent_h='yes'}
+ ac_cv_header_errno_h=${ac_cv_header_errno_h='yes'}
+ ac_cv_header_fcntl_h=${ac_cv_header_fcntl_h='yes'}
+ ac_cv_header_float_h=${ac_cv_header_float_h='yes'}
+ ac_cv_header_limits_h=${ac_cv_header_limits_h='yes'}
+ ac_cv_header_malloc_h=${ac_cv_header_malloc_h='yes'}
+ ac_cv_header_memory_h=${ac_cv_header_memory_h='yes'}
+ ac_cv_header_statvfs_h=${ac_cv_header_statvfs_h='no'}
+ ac_cv_header_stdc=${ac_cv_header_stdc='yes'}
+ ac_cv_header_sys_mount_h=${ac_cv_header_sys_mount_h='yes'}
+ ac_cv_header_sys_param_h=${ac_cv_header_sys_param_h='yes'}
+ ac_cv_header_sys_statvfs_h=${ac_cv_header_sys_statvfs_h='no'}
+ ac_cv_header_sys_time_h=${ac_cv_header_sys_time_h='yes'}
+ ac_cv_header_sys_vfs_h=${ac_cv_header_sys_vfs_h='yes'}
+ ac_cv_header_sys_wait_h=${ac_cv_header_sys_wait_h='yes'}
+ ac_cv_header_time=${ac_cv_header_time='yes'}
+ ac_cv_header_unistd_h=${ac_cv_header_unistd_h='yes'}
+ ac_cv_header_waitflags_h=${ac_cv_header_waitflags_h='yes'}
+ ac_cv_lib_dir_opendir=${ac_cv_lib_dir_opendir='no'}
+ ac_cv_lib_socket_socket=${ac_cv_lib_socket_socket='no'}
+ ac_cv_path_install=${ac_cv_path_install='/usr/bin/ginstall -c'}
+ ac_cv_prog_CC=${ac_cv_prog_CC='gcc'}
+ ac_cv_prog_CPP=${ac_cv_prog_CPP='gcc -E'}
+ ac_cv_prog_LN_S=${ac_cv_prog_LN_S='ln -s'}
+ ac_cv_prog_RANLIB=${ac_cv_prog_RANLIB='ranlib'}
+ ac_cv_prog_cc_cross=${ac_cv_prog_cc_cross='no'}
+ ac_cv_prog_cc_g=${ac_cv_prog_cc_g='yes'}
+ ac_cv_prog_cc_works=${ac_cv_prog_cc_works='yes'}
+ ac_cv_prog_gcc=${ac_cv_prog_gcc='yes'}
+ ac_cv_prog_make_make_set=${ac_cv_prog_make_make_set='yes'}
+ ac_cv_struct_tm=${ac_cv_struct_tm='time.h'}
+ ac_cv_type_mode_t=${ac_cv_type_mode_t='yes'}
+ ac_cv_type_pid_t=${ac_cv_type_pid_t='yes'}
+ ac_cv_type_signal=${ac_cv_type_signal='void'}
+ ac_cv_type_size_t=${ac_cv_type_size_t='yes'}
+ blt_cv_struct_wait_works=${blt_cv_struct_wait_works='yes'}
diff -crN tkdesk-1.1/config.h tkdesk-1.1-jp/config.h
*** tkdesk-1.1/config.h	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/config.h	Sun Nov  7 20:12:25 1999
***************
*** 0 ****
--- 1,101 ----
+ /* config.h.  Generated automatically by configure.  */
+ /* config.h.in.  Generated automatically from configure.in by autoheader.  */
+ 
+ /* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
+ #define HAVE_SYS_WAIT_H 1
+ 
+ /* Define to `int' if <sys/types.h> doesn't define.  */
+ /* #undef mode_t */
+ 
+ /* Define as the return type of signal handlers (int or void).  */
+ #define RETSIGTYPE void
+ 
+ /* Define to `unsigned' if <sys/types.h> doesn't define.  */
+ /* #undef size_t */
+ 
+ /* Define if you have the ANSI C header files.  */
+ #define STDC_HEADERS 1
+ 
+ /* Define if you can safely include both <sys/time.h> and <time.h>.  */
+ #define TIME_WITH_SYS_TIME 1
+ 
+ /* Define if your <sys/time.h> declares struct tm.  */
+ /* #undef TM_IN_SYS_TIME */
+ 
+ /* Define if union wait type is defined incorrectly.  */
+ /* #undef NO_UNION_WAIT */
+ 
+ /* Define if you have the gethostname function.  */
+ #define HAVE_GETHOSTNAME 1
+ 
+ /* Define if you have the gettimeofday function.  */
+ #define HAVE_GETTIMEOFDAY 1
+ 
+ /* Define if you have the socket function.  */
+ #define HAVE_SOCKET 1
+ 
+ /* Define if you have the statvfs function.  */
+ /* #undef HAVE_STATVFS */
+ 
+ /* Define if you have the statfs function.  */
+ #define HAVE_STATFS 1
+ 
+ /* Define if you have the strcasecmp function.  */
+ #define HAVE_STRCASECMP 1
+ 
+ /* Define if you have the strdup function.  */
+ #define HAVE_STRDUP 1
+ 
+ /* Define if you have the <dirent.h> header file.  */
+ #define HAVE_DIRENT_H 1
+ 
+ /* Define if you have the <fcntl.h> header file.  */
+ #define HAVE_FCNTL_H 1
+ 
+ /* Define if you have the <limits.h> header file.  */
+ #define HAVE_LIMITS_H 1
+ 
+ /* Define if you have the <errno.h> header file.  */
+ #define HAVE_ERRNO_H 1
+ 
+ /* Define if you have the <float.h> header file.  */
+ #define HAVE_FLOAT_H 1
+ 
+ /* Define if you have the <malloc.h> header file.  */
+ #define HAVE_MALLOC_H 1
+ 
+ /* Define if you have the <memory.h> header file.  */
+ #define HAVE_MEMORY_H 1
+ 
+ /* Define if you have the <ndir.h> header file.  */
+ /* #undef HAVE_NDIR_H */
+ 
+ /* Define if you have the <sys/dir.h> header file.  */
+ /* #undef HAVE_SYS_DIR_H */
+ 
+ /* Define if you have the <sys/ndir.h> header file.  */
+ /* #undef HAVE_SYS_NDIR_H */
+ 
+ /* Define if you have the <sys/time.h> header file.  */
+ #define HAVE_SYS_TIME_H 1
+ 
+ /* Define if you have the <sys/vfs.h> header file.  */
+ #define HAVE_SYS_VFS_H 1
+ 
+ /* Define if you have the <sys/param.h> header file.  */
+ #define HAVE_SYS_PARAM_H 1
+ 
+ /* Define if you have the <sys/mount.h> header file.  */
+ #define HAVE_SYS_MOUNT_H 1
+ 
+ /* Define if you have the <statvfs.h> header file.  */
+ /* #undef HAVE_STATVFS_H */
+ 
+ /* Define if you have the <sys/statvfs.h> header file.  */
+ /* #undef HAVE_SYS_STATVFS_H */
+ 
+ /* Define if you have the <unistd.h> header file.  */
+ #define HAVE_UNISTD_H 1
+ 
+ /* Define if you have the <waitflags.h> header file.  */
+ #define HAVE_WAITFLAGS_H 1
diff -crN tkdesk-1.1/config.log tkdesk-1.1-jp/config.log
*** tkdesk-1.1/config.log	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/config.log	Sun Nov  7 20:12:22 1999
***************
*** 0 ****
--- 1,144 ----
+ This file contains any messages produced by compilers while
+ running configure, to aid debugging if configure makes a mistake.
+ 
+ configure:548: checking for tclConfig.sh
+ configure:574: checking for tkConfig.sh
+ configure:608: checking version of Tcl/Tk
+ configure:631: checking for itcl 2.x
+ configure:685: checking for gcc
+ configure:762: checking whether the C compiler (gcc  ) works
+ configure:776: gcc -o conftest    conftest.c  1>&5
+ configure:796: checking whether the C compiler (gcc  ) is a cross-compiler
+ configure:801: checking whether we are using GNU C
+ configure:810: gcc -E conftest.c
+ configure:825: checking whether gcc accepts -g
+ configure:882: checking for a BSD compatible install
+ configure:932: checking whether ln -s works
+ configure:953: checking whether make sets ${MAKE}
+ configure:982: checking for ranlib
+ configure:1010: checking how to run the C preprocessor
+ configure:1031: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1075: checking for X
+ configure:1309: checking for dirent.h that defines DIR
+ configure:1322: gcc -c -g -O2  conftest.c 1>&5
+ configure:1347: checking for opendir in -ldir
+ configure:1366: gcc -o conftest -g -O2   conftest.c -ldir   1>&5
+ /usr/i486-linux/bin/ld: cannot open -ldir: No such file or directory
+ configure: failed program was:
+ #line 1355 "configure"
+ #include "confdefs.h"
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ /* We use char because int might match the return type of a gcc2
+     builtin and then its argument prototype would still apply.  */
+ char opendir();
+ 
+ int main() {
+ opendir()
+ ; return 0; }
+ configure:1430: checking for ANSI C header files
+ configure:1443: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1510: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1534: checking for sys/wait.h that is POSIX.1 compatible
+ configure:1555: gcc -c -g -O2  conftest.c 1>&5
+ configure:1579: checking for errno.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for fcntl.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for float.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for limits.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for malloc.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for memory.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for sys/time.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for statvfs.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1585: statvfs.h: No such file or directory
+ configure: failed program was:
+ #line 1584 "configure"
+ #include "confdefs.h"
+ #include <statvfs.h>
+ configure:1579: checking for sys/statvfs.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1585: sys/statvfs.h: No such file or directory
+ configure: failed program was:
+ #line 1584 "configure"
+ #include "confdefs.h"
+ #include <sys/statvfs.h>
+ configure:1579: checking for unistd.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for waitflags.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for sys/vfs.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for sys/param.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1579: checking for sys/mount.h
+ configure:1589: gcc -E  conftest.c >/dev/null 2>conftest.out
+ configure:1617: checking for mode_t
+ configure:1650: checking for size_t
+ configure:1683: checking for pid_t
+ configure:1716: checking whether time.h and sys/time.h may both be included
+ configure:1730: gcc -c -g -O2  conftest.c 1>&5
+ configure:1751: checking whether struct tm is in sys/time.h or time.h
+ configure:1764: gcc -c -g -O2  conftest.c 1>&5
+ configure:1786: checking return type of signal handlers
+ configure:1808: gcc -c -g -O2  conftest.c 1>&5
+ configure:1829: checking for gethostname
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1829: checking for gettimeofday
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1829: checking for socket
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1829: checking for strdup
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1829: checking for strcasecmp
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1829: checking for statvfs
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ /tmp/cca031111.o: In function `main':
+ /usr/src/tkdesk-1.1/configure:1851: undefined reference to `statvfs'
+ configure: failed program was:
+ #line 1834 "configure"
+ #include "confdefs.h"
+ /* System header to define __stub macros and hopefully few prototypes,
+     which can conflict with char statvfs(); below.  */
+ #include <assert.h>
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ /* We use char because int might match the return type of a gcc2
+     builtin and then its argument prototype would still apply.  */
+ char statvfs();
+ 
+ int main() {
+ 
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_statvfs) || defined (__stub___statvfs)
+ choke me
+ #else
+ statvfs();
+ #endif
+ 
+ ; return 0; }
+ configure:1829: checking for statfs
+ configure:1857: gcc -o conftest -g -O2   conftest.c  1>&5
+ configure:1882: checking for socket in -lsocket
+ configure:1901: gcc -o conftest -g -O2   conftest.c -lsocket -lnsl  1>&5
+ /usr/i486-linux/bin/ld: cannot open -lsocket: No such file or directory
+ configure: failed program was:
+ #line 1890 "configure"
+ #include "confdefs.h"
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ /* We use char because int might match the return type of a gcc2
+     builtin and then its argument prototype would still apply.  */
+ char socket();
+ 
+ int main() {
+ socket()
+ ; return 0; }
+ configure:1940: checking whether union wait is defined correctly
+ configure:1957: gcc -c -g -O2  conftest.c 1>&5
diff -crN tkdesk-1.1/config.status tkdesk-1.1-jp/config.status
*** tkdesk-1.1/config.status	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/config.status	Sun Nov  7 20:12:22 1999
***************
*** 0 ****
--- 1,335 ----
+ #! /bin/sh
+ # Generated automatically by configure.
+ # Run this file to recreate the current configuration.
+ # This directory was configured as follows,
+ # on host server:
+ #
+ # /usr/src/tkdesk-1.1/configure 
+ #
+ # Compiler output produced by configure, useful for debugging
+ # configure, is in ./config.log if it exists.
+ 
+ ac_cs_usage="Usage: ./config.status [--recheck] [--version] [--help]"
+ for ac_option
+ do
+   case "$ac_option" in
+   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
+     echo "running ${CONFIG_SHELL-/bin/sh} /usr/src/tkdesk-1.1/configure  --no-create --no-recursion"
+     exec ${CONFIG_SHELL-/bin/sh} /usr/src/tkdesk-1.1/configure  --no-create --no-recursion ;;
+   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
+     echo "./config.status generated by autoconf version 2.12"
+     exit 0 ;;
+   -help | --help | --hel | --he | --h)
+     echo "$ac_cs_usage"; exit 0 ;;
+   *) echo "$ac_cs_usage"; exit 1 ;;
+   esac
+ done
+ 
+ ac_given_srcdir=/usr/src/tkdesk-1.1
+ ac_given_INSTALL="/usr/bin/ginstall -c"
+ 
+ trap 'rm -fr Makefile libdesk/Makefile itcl/Makefile blt/Makefile netscape-remote/Makefile tkdeskclient/Makefile config.h conftest*; exit 1' 1 2 15
+ 
+ # Protect against being on the right side of a sed subst in config.status.
+ sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\&%]/\\&/g;
+  s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
+ 
+ 
+ s%@CFLAGS@%-g -O2%g
+ s%@CPPFLAGS@%%g
+ s%@CXXFLAGS@%%g
+ s%@DEFS@%-DHAVE_CONFIG_H%g
+ s%@LDFLAGS@%%g
+ s%@LIBS@%%g
+ s%@exec_prefix@%${prefix}%g
+ s%@prefix@%/usr/local%g
+ s%@program_transform_name@%s,x,x,%g
+ s%@bindir@%${exec_prefix}/bin%g
+ s%@sbindir@%${exec_prefix}/sbin%g
+ s%@libexecdir@%${exec_prefix}/libexec%g
+ s%@datadir@%${prefix}/share%g
+ s%@sysconfdir@%${prefix}/etc%g
+ s%@sharedstatedir@%${prefix}/com%g
+ s%@localstatedir@%${prefix}/var%g
+ s%@libdir@%${exec_prefix}/lib%g
+ s%@includedir@%${prefix}/include%g
+ s%@oldincludedir@%/usr/include%g
+ s%@infodir@%${prefix}/info%g
+ s%@mandir@%${prefix}/man%g
+ s%@TCL_LD_SEARCH_FLAGS@%%g
+ s%@TCL_EXEC_PREFIX@%/usr%g
+ s%@TK_EXEC_PREFIX@%/usr%g
+ s%@TCL_INCLUDE_PATH@%/usr/include%g
+ s%@TK_INCLUDE_PATH@%/usr/include%g
+ s%@TK_XINCLUDES@%-I/usr/X11R6/include%g
+ s%@TCL_LIB_SPEC@%-L/usr/lib -ltcl7.6jp%g
+ s%@TK_LIB_SPEC@%-L/usr/lib -ltk4.2jp%g
+ s%@TK_LIBS@%-L/usr/X11R6/lib -lX11 -ldl  -lieee -lm%g
+ s%@TCL_LIB_STATIC@%/usr/lib/libtcl7.6jp.a%g
+ s%@TK_LIB_STATIC@%/usr/lib/libtk4.2jp.a%g
+ s%@NEED_ITCL_LIB@%lib_itcl%g
+ s%@ITCL_LIB_SPEC@%itcl/libitcl.a%g
+ s%@ITCL_LIB_STATIC@%itcl/libitcl.a%g
+ s%@CC@%gcc%g
+ s%@INSTALL_PROGRAM@%${INSTALL}%g
+ s%@INSTALL_DATA@%${INSTALL} -m 644%g
+ s%@LN_S@%ln -s%g
+ s%@SET_MAKE@%%g
+ s%@RANLIB@%ranlib%g
+ s%@CPP@%gcc -E%g
+ 
+ CEOF
+ 
+ # Split the substitutions into bite-sized pieces for seds with
+ # small command number limits, like on Digital OSF/1 and HP-UX.
+ ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
+ ac_file=1 # Number of current file.
+ ac_beg=1 # First line for current file.
+ ac_end=$ac_max_sed_cmds # Line after last line for current file.
+ ac_more_lines=:
+ ac_sed_cmds=""
+ while $ac_more_lines; do
+   if test $ac_beg -gt 1; then
+     sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
+   else
+     sed "${ac_end}q" conftest.subs > conftest.s$ac_file
+   fi
+   if test ! -s conftest.s$ac_file; then
+     ac_more_lines=false
+     rm -f conftest.s$ac_file
+   else
+     if test -z "$ac_sed_cmds"; then
+       ac_sed_cmds="sed -f conftest.s$ac_file"
+     else
+       ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
+     fi
+     ac_file=`expr $ac_file + 1`
+     ac_beg=$ac_end
+     ac_end=`expr $ac_end + $ac_max_sed_cmds`
+   fi
+ done
+ if test -z "$ac_sed_cmds"; then
+   ac_sed_cmds=cat
+ fi
+ 
+ CONFIG_FILES=${CONFIG_FILES-"Makefile libdesk/Makefile itcl/Makefile blt/Makefile netscape-remote/Makefile tkdeskclient/Makefile"}
+ for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
+   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
+   case "$ac_file" in
+   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
+        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
+   *) ac_file_in="${ac_file}.in" ;;
+   esac
+ 
+   # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
+ 
+   # Remove last slash and all that follows it.  Not all systems have dirname.
+   ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
+   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
+     # The file is in a subdirectory.
+     test ! -d "$ac_dir" && mkdir "$ac_dir"
+     ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
+     # A "../" for each directory in $ac_dir_suffix.
+     ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
+   else
+     ac_dir_suffix= ac_dots=
+   fi
+ 
+   case "$ac_given_srcdir" in
+   .)  srcdir=.
+       if test -z "$ac_dots"; then top_srcdir=.
+       else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
+   /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
+   *) # Relative path.
+     srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
+     top_srcdir="$ac_dots$ac_given_srcdir" ;;
+   esac
+ 
+   case "$ac_given_INSTALL" in
+   [/$]*) INSTALL="$ac_given_INSTALL" ;;
+   *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
+   esac
+ 
+   echo creating "$ac_file"
+   rm -f "$ac_file"
+   configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
+   case "$ac_file" in
+   *Makefile*) ac_comsub="1i\\
+ # $configure_input" ;;
+   *) ac_comsub= ;;
+   esac
+ 
+   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
+   sed -e "$ac_comsub
+ s%@configure_input@%$configure_input%g
+ s%@srcdir@%$srcdir%g
+ s%@top_srcdir@%$top_srcdir%g
+ s%@INSTALL@%$INSTALL%g
+ " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
+ fi; done
+ rm -f conftest.s*
+ 
+ # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
+ # NAME is the cpp macro being defined and VALUE is the value it is being given.
+ #
+ # ac_d sets the value in "#define NAME VALUE" lines.
+ ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
+ ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
+ ac_dC='\3'
+ ac_dD='%g'
+ # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
+ ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
+ ac_uB='\([ 	]\)%\1#\2define\3'
+ ac_uC=' '
+ ac_uD='\4%g'
+ # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
+ ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
+ ac_eB='$%\1#\2define\3'
+ ac_eC=' '
+ ac_eD='%g'
+ 
+ if test "${CONFIG_HEADERS+set}" != set; then
+   CONFIG_HEADERS="config.h"
+ fi
+ for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
+   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
+   case "$ac_file" in
+   *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
+        ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
+   *) ac_file_in="${ac_file}.in" ;;
+   esac
+ 
+   echo creating $ac_file
+ 
+   rm -f conftest.frag conftest.in conftest.out
+   ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
+   cat $ac_file_inputs > conftest.in
+ 
+   cat > conftest.frag <<CEOF
+ ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_DIRENT_H${ac_eB}HAVE_DIRENT_H${ac_eC}1${ac_eD}
+ ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
+ ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
+ ${ac_eA}STDC_HEADERS${ac_eB}STDC_HEADERS${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_SYS_WAIT_H${ac_eB}HAVE_SYS_WAIT_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_ERRNO_H${ac_dB}HAVE_ERRNO_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_ERRNO_H${ac_uB}HAVE_ERRNO_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_ERRNO_H${ac_eB}HAVE_ERRNO_H${ac_eC}1${ac_eD}
+ CEOF
+   sed -f conftest.frag conftest.in > conftest.out
+   rm -f conftest.in
+   mv conftest.out conftest.in
+ 
+   cat > conftest.frag <<CEOF
+ ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_FCNTL_H${ac_eB}HAVE_FCNTL_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_FLOAT_H${ac_dB}HAVE_FLOAT_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_FLOAT_H${ac_uB}HAVE_FLOAT_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_FLOAT_H${ac_eB}HAVE_FLOAT_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_LIMITS_H${ac_eB}HAVE_LIMITS_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_MALLOC_H${ac_eB}HAVE_MALLOC_H${ac_eC}1${ac_eD}
+ CEOF
+   sed -f conftest.frag conftest.in > conftest.out
+   rm -f conftest.in
+   mv conftest.out conftest.in
+ 
+   cat > conftest.frag <<CEOF
+ ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_MEMORY_H${ac_eB}HAVE_MEMORY_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_SYS_TIME_H${ac_eB}HAVE_SYS_TIME_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_UNISTD_H${ac_eB}HAVE_UNISTD_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_WAITFLAGS_H${ac_dB}HAVE_WAITFLAGS_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_WAITFLAGS_H${ac_uB}HAVE_WAITFLAGS_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_WAITFLAGS_H${ac_eB}HAVE_WAITFLAGS_H${ac_eC}1${ac_eD}
+ CEOF
+   sed -f conftest.frag conftest.in > conftest.out
+   rm -f conftest.in
+   mv conftest.out conftest.in
+ 
+   cat > conftest.frag <<CEOF
+ ${ac_dA}HAVE_SYS_VFS_H${ac_dB}HAVE_SYS_VFS_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_SYS_VFS_H${ac_uB}HAVE_SYS_VFS_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_SYS_VFS_H${ac_eB}HAVE_SYS_VFS_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_SYS_PARAM_H${ac_eB}HAVE_SYS_PARAM_H${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_SYS_MOUNT_H${ac_dB}HAVE_SYS_MOUNT_H${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_SYS_MOUNT_H${ac_uB}HAVE_SYS_MOUNT_H${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_SYS_MOUNT_H${ac_eB}HAVE_SYS_MOUNT_H${ac_eC}1${ac_eD}
+ ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
+ ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
+ ${ac_eA}TIME_WITH_SYS_TIME${ac_eB}TIME_WITH_SYS_TIME${ac_eC}1${ac_eD}
+ CEOF
+   sed -f conftest.frag conftest.in > conftest.out
+   rm -f conftest.in
+   mv conftest.out conftest.in
+ 
+   cat > conftest.frag <<CEOF
+ ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
+ ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
+ ${ac_eA}RETSIGTYPE${ac_eB}RETSIGTYPE${ac_eC}void${ac_eD}
+ ${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_GETHOSTNAME${ac_eB}HAVE_GETHOSTNAME${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_GETTIMEOFDAY${ac_eB}HAVE_GETTIMEOFDAY${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_SOCKET${ac_eB}HAVE_SOCKET${ac_eC}1${ac_eD}
+ CEOF
+   sed -f conftest.frag conftest.in > conftest.out
+   rm -f conftest.in
+   mv conftest.out conftest.in
+ 
+   cat > conftest.frag <<CEOF
+ ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_STRDUP${ac_eB}HAVE_STRDUP${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_STRCASECMP${ac_eB}HAVE_STRCASECMP${ac_eC}1${ac_eD}
+ ${ac_dA}HAVE_STATFS${ac_dB}HAVE_STATFS${ac_dC}1${ac_dD}
+ ${ac_uA}HAVE_STATFS${ac_uB}HAVE_STATFS${ac_uC}1${ac_uD}
+ ${ac_eA}HAVE_STATFS${ac_eB}HAVE_STATFS${ac_eC}1${ac_eD}
+ s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
+ CEOF
+   sed -f conftest.frag conftest.in > conftest.out
+   rm -f conftest.in
+   mv conftest.out conftest.in
+ 
+   rm -f conftest.frag conftest.h
+   echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
+   cat conftest.in >> conftest.h
+   rm -f conftest.in
+   if cmp -s $ac_file conftest.h 2>/dev/null; then
+     echo "$ac_file is unchanged"
+     rm -f conftest.h
+   else
+     # Remove last slash and all that follows it.  Not all systems have dirname.
+       ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
+       if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
+       # The file is in a subdirectory.
+       test ! -d "$ac_dir" && mkdir "$ac_dir"
+     fi
+     rm -f $ac_file
+     mv conftest.h $ac_file
+   fi
+ fi; done
+ 
+ 
+ 
+ exit 0
diff -crN tkdesk-1.1/configure tkdesk-1.1-jp/configure
*** tkdesk-1.1/configure	Mon Sep 21 04:41:40 1998
--- tkdesk-1.1-jp/configure	Sun Nov  7 20:09:51 1999
***************
*** 606,621 ****
  echo $ac_n "checking version of Tcl/Tk""... $ac_c" 1>&6
  echo "configure:608: checking version of Tcl/Tk" >&5
  echo "$ac_t""$TCL_VERSION/$TK_VERSION" 1>&6
! if test "$TCL_VERSION" != "7.5" -a "$TCL_VERSION" != "7.6"; then
    echo
!   echo TkDesk requires Tcl/Tk versions 7.5/4.1 or 7.6/4.2.
    echo Older versions are unlikely to work, while newer ones are not
    echo yet supported \(but hopefully will be soon\).
    exit 1
  fi
! if test "$TK_VERSION" != "4.1" -a "$TK_VERSION" != "4.2"; then
    echo
!   echo TkDesk requires Tcl/Tk versions 7.5/4.1 or 7.6/4.2.
    echo Older versions are unlikely to work, while newer ones are not
    echo yet supported \(but hopefully will be soon\).
    exit 1
--- 606,621 ----
  echo $ac_n "checking version of Tcl/Tk""... $ac_c" 1>&6
  echo "configure:608: checking version of Tcl/Tk" >&5
  echo "$ac_t""$TCL_VERSION/$TK_VERSION" 1>&6
! if test "$TCL_VERSION" != "7.5" -a "$TCL_VERSION" != "7.6" -a "$TCL_VERSION" != "7.6jp"; then
    echo
!   echo TkDesk requires Tcl/Tk versions 7.5/4.1 or 7.6/4.2 or 7.6jp/4.2jp.
    echo Older versions are unlikely to work, while newer ones are not
    echo yet supported \(but hopefully will be soon\).
    exit 1
  fi
! if test "$TK_VERSION" != "4.1" -a "$TK_VERSION" != "4.2" -a "$TK_VERSION" != "4.2jp"; then
    echo
!   echo TkDesk requires Tcl/Tk versions 7.5/4.1 or 7.6/4.2 or 7.6jp/4.2jp.
    echo Older versions are unlikely to work, while newer ones are not
    echo yet supported \(but hopefully will be soon\).
    exit 1
diff -crN tkdesk-1.1/easypr tkdesk-1.1-jp/easypr
*** tkdesk-1.1/easypr	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/easypr	Sun Nov  7 20:13:25 1999
***************
*** 0 ****
--- 1,1133 ----
+ #!/usr/local/bin/tkdesksh
+ proc set_vendor {} {
+     .f2.f1.vendor insert end "ץ"
+     .f2.f1.vendor insert end "Υ"
+     .f2.f1.vendor insert end "HP"
+     .f2.f1.vendor insert end "ץ"
+     .f2.f1.vendor insert end "ŵ"
+     .f2.f1.vendor insert end "ŵ"
+     .f2.f1.vendor insert end "GSɥ饤" 
+ }
+ 
+ proc set_type {x y} {
+     set n [.f2.f1.vendor index @$x,$y]
+     set_typen $n
+ }
+ 
+ proc set_typen {n} {
+     global gs
+ 
+     set vendor [.f2.f1.vendor get $n]
+     .f2.f1.type delete 0 end
+     switch $vendor {
+         "ץ" {
+             foreach name {
+             	"PM-5000C" "PM-3000C" "PM-2000C" "PM-770C" "PM-750C" "PM-670C" "PM-700C" "PM-600C" \
+                 "MJ-6000C" "MJ-5100C" "MJ-5000C" "MJ-3000CU" "MJ-930C" "MJ-910C" "MJ-900C" \
+                 "MJ-830C" "MJ-810C" "MJ-700V2C" "MJ-3000C" "MJ-800C" "MJ-520C" \
+                 "MJ-510C" "MJ-520C" "MJ-1100" "MJ-1050" "MJ-1050V2" "MJ-450" \
+                 "LP-2000" "LP-3000" "LP-7000" "LP-7000G" "LP-1000" "LP-1500" "LP-1500S" \
+                 "LP-8000" "LP-8000S" "LP-8000SE" "LP-8000SX" "LP-800" "LP-1600" \
+                 "LP-1700" "LP-1700S" "LP-1800" "LP-8200" "LP-8300" "LP-8300S" "LP-8400" \
+                 "LP-8500" "LP-8600" "LP-9000" "LP-9200" "LP-9200S" "LP-9200SX"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "Υ" {
+             foreach name {
+             	"BJC-880J" "BJC-680J" "BJC-80v" "BJC-50v" "BJC-35v" "BJC-35vII" \
+             	"BJC-700J" "BJC-610J" "BJC-600J" "BJC-455J" "BJC-465J" "BJC-400J" \
+             	"BJC-410J" "BJC-420J" "BJC-430J" "BJC-440J" "BJ-10v" "BJ-15v" \
+             	"LBP-2160" "LBP-2040" "LBP-2030" "LBP-850" "LBP-840" "LBP-930" "LBP-930EX" \
+             	"LBP-830" "LBP-750" "LBP-740" "LBP-730" "LBP-720" "LBP-450" \
+             	"LBP-430" "LPB-310" "LBP-320" "LBP-320Pro" "LBP-A309G II" "LBP-A304G II"\
+             	"LBP-A304E" "LBP-A304E II" "LBP-B404G" "LBP-B404G II" "LBP-B406E" \
+             	"LBP-B406E II" "LBP-B406D(lips3)" "LBP-B406S(lips3)" "LBP-A404F" \
+             	"LBP-A404G II" "LBP-A405Jr." "LBP-A404E" "LBP-A404(lips3)"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "HP" {
+             foreach name {
+             	"DJ-1600C" "DJ-1120C" "DJ-1100C" "DJ-855C" "DJ-850C" "DJ-694C" \
+             	"DJ-690C" "DJ-680C" "DJ-890C" "DJ-895Cxi" "DJ-880C" "DJ-672C" "DJ-670C" \
+             	"DJ-1000C" "DJ-820C" "DJ-720C" "DJ-712C" "DJ-710C" \
+             	"LaserJet4" "LaserJet4L" "LaserJet Plus" "LaserJet5" "LaserJet5L" \
+             	"LaserJet6" "LaserJet6L" } {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "ץ" {
+             foreach name {"MD-5000" "MD-4000J" "MD-2000J" "MD-1500J" "MD-1300J" "MD-1000J"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "ŵ" {
+             foreach name {"PICTY180" "PICTY700" "PICTY900" "PICTY4000" \
+                 "MultiWriter2400X" "MultiWriter2650" "MultiWriter2250" \
+                 "MultiWriter2050" "MultiWriter1400X" } {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "ŵ" {
+             foreach name {"MICROLINE-12n" "MICROLINE-620CL" "MICROLINE-600CL"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "GSɥ饤" {
+             foreach name {"mjcxxx" "escp" "bjc600" "bj10v" "cdj1600" "cdj850" \
+                 "cdj880" "cdj890" "cdj670" "mdxxx" "lp2000" "escpage" "epag" \
+                 "lips4" "lips3" "ljet4 lj4dith" "lj5mono lj5gray" \
+                 "ljetplus" "npdl" "picty180" "picty180hi" "pbm2ppa" } {
+                 .f2.f1.type insert end $name
+             }
+         }
+     }
+     set gs(vendor) $vendor
+ }
+ 
+ proc set_printer {x y} {
+     global gs
+ 
+     set n [.f2.f1.type index @$x,$y]
+     set gs(localattr) ""
+     set_printern $n
+ }
+ 
+ proc make_scale {wd title name f t m digit interval reso} {
+     frame $wd
+     pack $wd -side top -fill x
+     label $wd.f0 -text $title
+     scale $wd.f1 -from $f -to $t -digit $digit -tickinterval $interval \
+         -resolution $reso -sliderlength 20 -orient horizontal -variable gs($name) -length 256
+     pack $wd.f0 $wd.f1 -side left
+     $wd.f1 set $m
+ }
+ 
+ proc make_radio {wd title name texts values n} {
+     frame $wd
+     pack $wd -side top -fill x
+     label $wd.f0 -text $title
+     pack $wd.f0 -side left
+     set i 0
+     foreach text $texts {
+     	set value [lindex $values $i]
+     	incr i
+         radiobutton $wd.f$i -text $text -variable gs($name) -value $value
+         pack $wd.f$i -side left
+     }
+     $wd.f$n select
+ }
+ 
+ proc set_mjc {} {
+     global gs conffile uppfile
+ 
+     set device "mjc360"
+     switch $gs(reso) {
+         "180x180" {set device "mjc180"}
+         "720x720" {set device "mjc720"}
+     }
+     if {$gs(reso) == "1440x720"} {
+     	set fd [open $uppfile "w"]
+     	puts $fd "-supModel=\"Epson PM, 1440x720DpI, Special Paper\""
+         puts $fd "-sDEVICE=uniprint\n-dNOPAUSE\n-dSAFER\n-dupColorModel=/DeviceCMYKgenerate"
+         puts $fd "-dupRendering=/ErrorDiffusion\n-dupOutputFormat=/EscP2\n-r1440x720"
+         puts $fd "-dupMargins=\"{ 9.0 39.96 9.0 9.0}\""
+         puts $fd "-dupWeaveYPasses=6\n-dupOutputPins=20"
+         puts $fd "-dupWeaveYFeeds=\"{20 20 19 22 16 23}\""
+         puts $fd "-dupWeaveInitialYFeeds\"{1  1  1  1  1 19}\""
+         puts $fd "-dupWeaveInitialPins=\"{  4 20  7 17 10 13}\""
+         puts $fd "-dupBeginPageCommand=\"<"
+         puts $fd "   1b40   1b40"
+         puts $fd "   1b2847 0100 01"
+         puts $fd "   1b2855 0100 05"
+         puts $fd "   1b2843 0200 0000"
+         puts $fd "   1b2863 0400 0000 0000"
+         if {$gs(direct) == 1} {
+              puts $fd "   1b5500"
+         } else {
+              puts $fd "   1b5501"
+         }
+         puts $fd "   1b2865 0200 0002"
+         puts $fd "   1b284b 0200 0002"
+         puts $fd ">\""
+         puts $fd "-dupAdjustPageLengthCommand\n-dupAdjustTopMarginCommand"
+         puts $fd "-dupAdjustBottomMarginCommand\n-dupEndPageCommand=\"(\\033@\\014)\""
+         puts $fd "-dupAbortCommand=\"(\\033@\\15\\12\\12\\12\\12    Printout-Aborted\\15\\014)\""
+         close $fd
+         set fd [open $conffile "w"]
+         set_common $fd
+         puts $fd "$gs(reso) $gs(color) $gs(density) $gs(cyan) $gs(magenta) $gs(yellow) $gs(black) $gs(mw) $gs(dot) $gs(direct)"
+         set com "@$uppfile -sPAPERSIZE=$gs(size) -sOutputFile=- -"
+         puts $fd $com
+         close $fd
+     } else {
+         set direct $gs(direct)
+         incr direct
+         set fd [open $conffile "w"]
+         set_common $fd
+         puts $fd "$gs(reso) $gs(color) $gs(density) $gs(cyan) $gs(magenta) $gs(yellow) $gs(black) $gs(mw) $gs(dot) $gs(direct)"
+         set com "-sDEVICE=$device -sPAPERSIZE=$gs(size) -dDensity=$gs(density) -dCyan=$gs(magenta) -dMagenta=$gs(cyan) -dYellow=$gs(yellow) -dBlack=$gs(black) -dDirection=$direct"
+         if {$gs(color) < 4} {
+             set com "$com -dColorComponent=$gs(color)"
+         }
+         if {$gs(mw) == 1} {
+             set com "$com -dMicroWeave=1"
+         }
+         if {$gs(dot) == 1} {
+             set com "$com -dDotSize=1"
+         }
+         puts $fd "$com -sOutputFile=- -"
+         close $fd
+     }
+ }
+ 
+ proc set_mjc_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(color) [lindex $gs(localattr) 1]
+         set gs(density) [lindex $gs(localattr) 2]
+         set gs(cyan) [lindex $gs(localattr) 3]
+         set gs(magenta) [lindex $gs(localattr) 4]
+         set gs(yellow) [lindex $gs(localattr) 5]
+         set gs(black) [lindex $gs(localattr) 6]
+         set gs(mw) [lindex $gs(localattr) 7]
+         set gs(dot) [lindex $gs(localattr) 8]
+         set gs(direct) [lindex $gs(localattr) 9]
+     }
+ }
+ 
+ proc set_md {} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(color) $gs(dith) $gs(cyan) $gs(magenta) $gs(yellow) $gs(black)"
+     if {$gs(color) == "md50Eco"} {
+         puts $fd "-sDEVICE=md50Eco -sPAPERSIZE=$gs(size) -r$gs(reso) -sOutputFile=- -"
+     } else {
+         puts $fd "-sDEVICE=md2k -sPAPERSIZE=$gs(size) -dDither=$gs(dith) -dCyan=$gs(cyan) -dMagenta=$gs(magenta) -dYellow=$gs(yellow) -dBlack=$gs(black) -dColor=$gs(color) -r$gs(reso) -sOutputFile=- -"
+     }
+     close $fd
+ }
+ 
+ proc set_md_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(color) [lindex $gs(localattr) 1]
+         set gs(dith) [lindex $gs(localattr) 2]
+         set gs(cyan) [lindex $gs(localattr) 3]
+         set gs(magenta) [lindex $gs(localattr) 4]
+         set gs(yellow) [lindex $gs(localattr) 5]
+         set gs(black) [lindex $gs(localattr) 6]
+         if {$gs(color) == 0} {
+             .f2.f4.reso.f3 configure -state normal
+         }
+         if {$gs(color) == "md50Eco"} {
+             .f2.f4.etc.dith configure -state disabled
+         }
+     }
+ }
+ 
+ proc set_escpage {dev} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(num) $gs(duplex) $gs(tumble)"
+     set com "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -dNumCopies=$gs(num)"
+     if {$gs(duplex) == 1} {set com "$com -dDuplex"}
+     if {$gs(tumble) == 1} {set com "$com -dTumble"}
+     puts $fd "$com -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_escpage_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(num) [lindex $gs(localattr) 1]
+         set gs(duplex) [lindex $gs(localattr) 2]
+         set gs(tumble) [lindex $gs(localattr) 3]
+     }
+ }
+ 
+ proc set_lips4_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(driver) [lindex $gs(localattr) 1]
+         set gs(vector) [lindex $gs(localattr) 2]
+         set gs(num) [lindex $gs(localattr) 3]
+         set gs(duplex) [lindex $gs(localattr) 4]
+         set gs(tumble) [lindex $gs(localattr) 5]
+     }
+ }
+ 
+ proc set_lips4 {} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(driver) $gs(vector) $gs(num) $gs(duplex) $gs(tumble)"
+     set col $gs(driver)
+     if {$gs(vector) == 1} {
+         set dev "lips4v"
+     } else {
+         set dev "lips4"
+     }
+     set com "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso)"
+     if {$col == "lips4c"} {
+         set com "$com -dBitsPerPixel=24"
+     }
+     puts $fd "$com -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_ppa {hpconf} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "600"
+     puts $fd "-sDEVICE=pbm -sPAPERSIZE=$gs(size) -r600 | pbm2ppa -f $hpconf - - "
+     close $fd
+ }
+ 
+ proc set_cdj880_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(paper) [lindex $gs(localattr) 1]
+         set gs(quality) [lindex $gs(localattr) 2]
+         set gs(rit) [lindex $gs(localattr) 3]
+         set gs(gamma) [lindex $gs(localattr) 4]
+     }
+ }
+ 
+ proc set_cdj880 {dev} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(paper) $gs(quality) $gs(rit) $gs(gamma)"
+     set com "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -dPapertype=$gs(paper) -dRetStatus=$gs(rit) -dMasterGamma=$gs(gamma)"
+     if {$gs(quality) != 0} {
+         set com "$com -dQuality=$gs(quality)"
+     }
+     set com "$com -sOutputFile=- -"
+     puts $fd $com
+     close $fd
+ }
+ 
+ proc set_general_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+     }
+ }
+ 
+ proc set_general {dev} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd $gs(reso)
+     puts $fd "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_general_opt_attr {opt} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs($opt) [lindex $gs(localattr) 1]
+     }
+ }
+ 
+ proc set_general_opt {dev opt} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs($opt)"
+     puts $fd "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_printern {n} {
+     global gs
+ 
+     set type [.f2.f1.type get $n]
+     catch {
+     	destroy .f2.f4
+     }
+     switch $type {
+         "MJ-3000C" -
+         "MJ-800C" -
+         "MJ-520C" -
+         "MJ-510C" -
+         "MJ-520C" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180 360} {180x180 360x360} 2
+             make_radio .f2.f4.color  color {3(CMY) } {3 1} 1
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.direct -text "" -variable gs(direct)
+             pack .f2.f4.etc.direct -side left
+             make_scale .f2.f4.density "̩" density 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             set gs(black) 1024
+             set gs(mw) 0
+             set gs(dot) 0
+             set_mjc_attr
+             .f0.set configure -command set_mjc
+         }
+         "PM-670C" -
+         "PM-750C" -
+         "PM-770C" -
+         "PM-2000C" -
+         "PM-3000C" -
+         "PM-5000C" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180 360 720 1440x720} {180x180 360x360 720x720 1440x720} 2
+             make_radio .f2.f4.color  color {4(CMYK) 3(CMY) } {4 3 1} 1
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.mw -text "ޥ" -variable gs(mw)
+             pack .f2.f4.etc.mw -side left
+             checkbutton .f2.f4.etc.dot -text "̾ɥå" -variable gs(dot)
+             pack .f2.f4.etc.dot -side left
+             checkbutton .f2.f4.etc.direct -text "" -variable gs(direct)
+             pack .f2.f4.etc.direct -side left
+             make_scale .f2.f4.density "̩" density 0 2048 1024 4 512 16
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             set_mjc_attr
+             .f0.set configure -command set_mjc
+         }
+         "PM-600C" -
+         "PM-700C" -
+         "MJ-6000C" -
+         "MJ-5100C" -
+         "MJ-5000C" -
+         "MJ-3000CU" -
+         "MJ-930C" -
+         "MJ-910C" -
+         "MJ-900C" -
+         "MJ-830C" -
+         "MJ-810C" -
+         "MJ-700V2C" -
+         "mjcxxx" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180 360 720} {180x180 360x360 720x720} 2
+             make_radio .f2.f4.color  color {4(CMYK) 3(CMY) } {4 3 1} 1
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.mw -text "ޥ" -variable gs(mw)
+             pack .f2.f4.etc.mw -side left
+             checkbutton .f2.f4.etc.dot -text "̾ɥå" -variable gs(dot)
+             pack .f2.f4.etc.dot -side left
+             checkbutton .f2.f4.etc.direct -text "" -variable gs(direct)
+             pack .f2.f4.etc.direct -side left
+             make_scale .f2.f4.density "̩" density 0 2048 1024 4 512 16
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             set_mjc_attr
+             .f0.set configure -command set_mjc
+         }
+         "MJ-1100" -
+         "MJ-1050" -
+         "MJ-1050V2" -
+         "MJ-450" -
+         "escp" {
+             set gs(reso) 180
+             .f0.set configure -command "set_general escp"
+         }
+         "epag" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             set_general_attr
+             .f0.set configure -command "set_general epag"
+         }
+         "LP-2000" -
+         "LP-3000" {
+             set gs(reso) 240
+             .f0.set configure -command "set_general lp2000"
+         }
+         "LP-7000" -
+         "LP-7000G" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general lp2000"
+         }
+         "lp2000" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {240 300} {240 300} 2
+             set_general_attr
+             .f0.set configure -command "set_general lp2000"
+         }
+         "LP-1000" -
+         "LP-1500" - 
+         "LP-1500S" -
+         "LP-8000" -
+         "LP-8000S" -
+         "LP-8000SE" -
+         "LP-8000SX" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set gs(reso) 300
+             set_escpage_attr
+             .f0.set configure -command
+         }
+         "LP-800" -
+         "LP-1600" -
+         "LP-1700" -
+         "LP-1700S" -
+         "LP-1800" -
+         "LP-8200" -
+         "LP-8300" -
+         "LP-8300S" -
+         "LP-8400" -
+         "LP-8500" -
+         "LP-8600" -
+         "LP-9000" -
+         "LP-9200" -
+         "LP-9200S" -
+         "LP-9200SX" -
+         "escpage" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set_escpage_attr
+             .f0.set configure -command "set_escpage escpage"
+         }
+         "BJC-880J" -
+         "BJC-680J" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.color  driver { 顼} {lips4 lips4c} 1
+             set gs(reso) 360x360
+             set_general_opt_attr driver
+             .f0.set configure -command {set_general_opt $gs(driver) driver}
+         }
+         "BJC-80v" -
+         "BJC-50v" -
+         "BJC-35v" -
+         "BJC-35vII" -
+         "BJC-455J" -
+         "BJC-465J" -
+         "BJC-400J" -
+         "BJC-410J" -
+         "BJC-420J" -
+         "BJC-430J" -
+         "BJC-440J" -
+         "BJC-610J" -
+         "BJC-600J" -
+         "bjc600" {
+             set gs(reso) 360
+             .f0.set configure -command "set_general bjc600"
+         }
+         "BJC-700J" {
+             set gs(reso) 600
+             .f0.set configure -command "set_general bjc600"
+         }
+         "BJ-10v" -
+         "BJ-15v" -
+         "bj10v" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180x180 360x180 360x360} {180x180 360x180 360x360} 3
+             set_general_attr
+             .f0.set configure -command "set_general bj10v"
+         }
+         "LBP-2160" -
+         "LBP-2040" -
+         "LBP-2030" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {360 600} 2
+             make_radio .f2.f4.color  driver { 顼} {lips4 lips4c} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.vector -text "٥" -variable gs(vector)
+             pack .f2.f4.etc.vector -side left
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set_lips4_attr
+             .f0.set configure -command set_lips4
+         }
+         "LBP-850" -
+         "LBP-840" -
+         "lips4" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600 1200} {300 600 1200} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.vector -text "٥" -variable gs(vector)
+             pack .f2.f4.etc.vector -side left
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set gs(driver) lips4
+             set_lips4_attr
+             .f0.set configure -command 
+         }
+         "LBP-930" -
+         "LBP-930EX" -
+         "LBP-830" -
+         "LBP-750" -
+         "LBP-740" -
+         "LBP-730" -
+         "LBP-720" -
+         "LBP-450" -
+         "LBP-430" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set gs(driver) lips4
+             set gs(vector) 0
+             set_lips4_attr
+             .f0.set configure -command set_lips4
+         }
+         "LPB-310" -
+         "LBP-320" -
+         "LBP-320Pro" -
+         "LBP-A309G II" -
+         "LBP-A304G II" -
+         "LBP-A304E" -
+         "LBP-A304E II" -
+         "LBP-B404G" -
+         "LBP-B404G II" -
+         "LBP-B406E" -
+         "LBP-B406E II" -
+         "LBP-B406D(lips3)" -
+         "LBP-B406S(lips3)" -
+         "LBP-A404F" -
+         "LBP-A404G II" -
+         "LBP-A405Jr." -
+         "LBP-A404E" -
+         "LBP-A404(lips3)" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general lips3"
+         }
+       	"DJ-1600C" -
+       	"cdj1600" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj1600"
+       	}
+       	"DJ-1120C" -
+       	"DJ-1100C" -
+       	"DJ-855C" -
+       	"DJ-850C" -
+       	"DJ-694C" -
+       	"DJ-690C" -
+       	"DJ-680C" -
+       	"PICTY4000" -
+       	"cdj850" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj850"
+       	}
+       	"DJ-890C" -
+       	"cdj890" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj890"
+       	}
+       	"DJ-895Cxi" -
+       	"DJ-880C" -
+       	"PICTY900" -
+       	"PICTY700" -
+       	"cdj880" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj880"
+       	}
+       	"DJ-672C" -
+       	"DJ-670C" -
+       	"cdj670" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj670"
+       	}
+         "PICTY180" -
+         "picty180" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general picty180"
+         }
+         "picty180hi" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general picty180hi"
+         }
+         "DJ-1000C" {
+              .f0.set configure -command "set_ppa /etc/pbm2ppa.conf.hp1000"
+         }
+         "DJ-720C" -
+         "DJ-712C" -
+         "DJ-710C" {
+              .f0.set configure -command "set_ppa /etc/pbm2ppa.conf.hp720"
+         }
+         "DJ-820C" -
+         "pbm2ppa" {
+             .f0.set configure -command "set_ppa /etc/pbm2ppa.conf.hp820"
+         }
+         "LaserJet Plus" -
+       	"ljetplus" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {100 150 300} {100 150 300} 3
+             set_general_attr
+             .f0.set configure -command "set_general ljetplus"
+       	}
+       	"LaserJet4" -
+       	"LaserJet4L" -
+       	"LaserJet5L" -
+       	"LaserJet6L" -
+         "MICROLINE-12n" -
+         "ljet4 lj4dith" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {100 150 300 600} {100 150 300 600} 4
+             make_radio .f2.f4.driver Ĵ driver {2Ĵ ϡեȡ} {ljet4 lj4dith} 1
+             set_general_opt_attr driver
+             .f0.set configure -command {set_general_opt $gs(driver) driver}
+       	}
+       	"LaserJet5" -
+       	"LaserJet6" -
+       	"lj5mono lj5gray" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.driver Ĵ driver {2Ĵ ϡեȡ} {lj5mono lj5gray} 1
+             set_general_opt_attr driver
+             .f0.set configure -command {set_general_opt $gs(driver) driver}
+         }
+         "MICROLINE-620CL" -
+         "MICROLINE-600CL" -
+         "ml600" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300x300 600x600 600x1200} {300x300 600x600 600x1200} 3
+             set_general_attr
+             .f0.set configure -command "set_general ml600"
+         }
+         "MD-5000" -
+         "mdxxx" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.color  color {顼  ֥å} {1 0 md50Eco} 1
+             .f2.f4.color.f1 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state disabled
+                 .f2.f4.etc.dith configure -state normal
+                 set gs(reso) 600
+             }
+             .f2.f4.color.f2 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state normal
+                 .f2.f4.etc.dith configure -state normal
+             }
+             .f2.f4.color.f3 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state disabled
+                 .f2.f4.etc.dith configure -state disabled
+                 set gs(reso) 600
+                 set gs(dith) 0
+             }
+             make_radio .f2.f4.reso (DPI) reso {300 600 1200x600} {300 600 1200x600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.dith -text "ǥ" -variable gs(dith)
+             pack .f2.f4.etc.dith -side left
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             .f2.f4.reso.f3 configure -state disabled
+             set_md_attr
+             .f0.set configure -command set_md
+         }
+         "MD-4000J" -
+         "MD-2000J" -
+         "MD-1500J" -
+         "MD-1300J" -
+         "MD-1000J" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.color  color {顼 } {1 0} 1
+             .f2.f4.color.f1 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state disabled
+                 set gs(reso) 600
+             }
+             .f2.f4.color.f2 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state normal
+             }
+             make_radio .f2.f4.reso (DPI) reso {300 600 1200x600} {300 600 1200x600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.dith -text "ǥ" -variable gs(dith)
+             pack .f2.f4.etc.dith -side left
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             .f2.f4.reso.f3 configure -state disabled
+             set_md_attr
+             .f0.set configure -command set_md
+         }
+         "MultiWriter2400X" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {160 200 240 400} {160 200 240 400} 4
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 99 1 2 20 1
+             set_escpage_attr
+             .f0.set configure -command "set_escpage npdl"
+         }
+         "MultiWriter2650" -
+         "MultiWriter2250" -
+         "MultiWriter2050" -
+         "MultiWriter1400X" -
+         "npdl" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {160 200 240 400 600} {160 200 240 400 600} 5
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 99 1 2 20 1
+             set_escpage_attr
+             .f0.set configure -command "set_escpage npdl"
+         }
+     }
+     set gs(type) $type
+     .f3.msg configure -text "ߤϡ$gs(vendor)$type Ǥ"
+ }
+ 
+ proc set_common {fd} {
+     global gs
+ 
+     set pages [.f2.f3.p5 get]
+     if {$pages == ""} {set pages "none"}
+     puts $fd "$gs(vendor) $gs(type) $gs(size) $gs(orient) $gs(page) $pages $gs(multi)"
+ }
+ 
+ proc dsk_print_setup {} {
+     global gs env
+ 
+     frame .f1
+     pack .f1 -side top -fill x
+     label .f1.title -text "ץ󥿤" -fg darkgreen -bg orange
+     pack .f1.title -fill x -ipady 8 -ipadx 8
+ 
+     frame .f3
+     pack .f3 -side top -fill x -pady 2
+     label .f3.msg -anchor w -text "ץ󥿤ꤵƤޤ" -bg peachpuff -fg navy
+     pack .f3.msg -fill x -ipady 2
+ 
+     frame .f2
+     pack .f2 -side top
+     frame .f2.f1
+     pack .f2.f1 -side left -fill y
+     listbox .f2.f1.vendor -width 10 -yscroll ".f2.f1.vendory set"
+     pack .f2.f1.vendor -side left -fill y
+     bind .f2.f1.vendor <Double-Button-1> "set_type %x %y"
+     scrollbar .f2.f1.vendory -orient vertical -width 10 -command "yview"
+     pack .f2.f1.vendory -side left -fill y
+     listbox .f2.f1.type -width 16 -yscroll ".f2.f1.typey set"
+     pack .f2.f1.type -side left -fill y
+     bind .f2.f1.type <Double-Button-1> "set_printer %x %y"
+     scrollbar .f2.f1.typey -orient vertical -width 10 -command ".f2.f1.type yview"
+     pack .f2.f1.typey -side left -fill y
+ 
+     frame .f2.f2
+     pack .f2.f2 -side left -fill y
+     label .f2.f2.s0 -text "ѻ極"
+     radiobutton .f2.f2.s1 -text "A3" -variable gs(size) -value "a3" -anchor w
+     radiobutton .f2.f2.s2 -text "B4" -variable gs(size) -value "b4" -anchor w
+     radiobutton .f2.f2.s3 -text "A4" -variable gs(size) -value "a4" -anchor w
+     radiobutton .f2.f2.s4 -text "B5" -variable gs(size) -value "b5" -anchor w
+     radiobutton .f2.f2.s5 -text "A5" -variable gs(size) -value "a5" -anchor w
+     radiobutton .f2.f2.s6 -text "쥿" -variable gs(size) -value "letter" -anchor w
+     pack .f2.f2.s0 .f2.f2.s1 .f2.f2.s2 .f2.f2.s3 .f2.f2.s4 .f2.f2.s5 .f2.f2.s6 -side top -fill x
+     .f2.f2.s3 select
+     label .f2.f2.o0 -text "ѻ"
+     radiobutton .f2.f2.o1 -text "" -variable gs(orient) -value "portrait" -anchor w
+     radiobutton .f2.f2.o2 -text "" -variable gs(orient) -value "landscape" -anchor w
+     pack .f2.f2.o0 .f2.f2.o1 .f2.f2.o2 -side top -fill x
+     .f2.f2.o1 select
+ 
+     frame .f2.f3
+     pack .f2.f3 -side left -fill y
+     label .f2.f3.p0 -text "ڡ"
+     radiobutton .f2.f3.p1 -text "ư" -variable gs(page) -value "all" -anchor w
+     radiobutton .f2.f3.p2 -text "ڡ" -variable gs(page) -value "page" -anchor w
+     label .f2.f3.p6 -text "ϰϻ: 1-5" -fg blue
+     label .f2.f3.p7 -text "̻: 1,4" -fg blue
+     radiobutton .f2.f3.p3 -text "" -variable gs(page) -value "odd" -anchor w
+     radiobutton .f2.f3.p4 -text "" -variable gs(page) -value "even" -anchor w
+     entry .f2.f3.p5 -width 9 -bg white
+     pack .f2.f3.p0 .f2.f3.p1 .f2.f3.p2 -fill x -side top
+     pack .f2.f3.p5 -side top
+     pack .f2.f3.p6 .f2.f3.p7 -side top
+     pack .f2.f3.p3 .f2.f3.p4 -fill x -side top
+     .f2.f3.p1 select
+ 
+     label .f2.f3.m0 -text "ڡ޹"
+     radiobutton .f2.f3.m1 -text "1" -variable gs(multi) -value 1 -anchor w
+     radiobutton .f2.f3.m2 -text "2" -variable gs(multi) -value 2 -anchor w
+     radiobutton .f2.f3.m3 -text "4" -variable gs(multi) -value 4 -anchor w
+     pack .f2.f3.m0 .f2.f3.m1 .f2.f3.m2 .f2.f3.m3 -side top -fill x
+     .f2.f3.m1 select
+ 
+     frame .f4
+     pack .f4 -side bottom -fill x
+     label .f4.msg -bg yellow -fg red -anchor c -text "ѻ極ϥץꥱǤ꤬ͥ褷ޤ"
+     pack .f4.msg -fill x
+     
+     frame .f0
+     pack .f0 -side bottom -fill x
+     button .f0.set -text ""
+     pack .f0.set -side left
+     button .f0.exit -text "Ĥ" -command exit
+     pack .f0.exit -side right
+ 
+     set_vendor
+     
+     set gs(attrlist) ""
+     set gs(localattr) ""
+     set conffile "$env(HOME)/.printconf"
+     catch {set fd [open $conffile "r"]}
+     if ![info exists fd] {return}
+     set gs(attrlist) [gets $fd]
+     set gs(localattr) [gets $fd]
+     close $fd
+ 
+     set vendorlist [.f2.f1.vendor get 0 end]
+     set a [lindex $gs(attrlist) 0]
+     set i 0
+     set n -1
+     foreach item $vendorlist {
+         if {$item == $a} {set n $i}
+         incr i
+     }
+     set_typen $n
+     set typelist [.f2.f1.type get 0 end]
+     set a [lindex $gs(attrlist) 1]
+     set i 0
+     set n -1
+     foreach item $typelist {
+         if {$item == $a} {set n $i}
+         incr i
+     }
+     set_printern $n
+     .f2.f1.type selection set $n
+     set gs(size) [lindex $gs(attrlist) 2]
+     set gs(orient) [lindex $gs(attrlist) 3]
+     set gs(page) [lindex $gs(attrlist) 4]
+     if {$gs(page) == "page"} {
+         .f2.f3.p5 insert end [lindex $gs(attrlist) 5]
+     }
+     set gs(multi) [lindex $gs(attrlist) 6]
+ }
+ 
+ proc separate {firstline filename} {
+     global gsattr gscom
+ 
+     set ext [file extension $filename]
+     set paper [lindex $gsattr 2]
+     set orient [lindex $gsattr 3]
+     set page [lindex $gsattr 4]
+     set pages [lindex $gsattr 5]
+     set multi [lindex $gsattr 6]
+     set head4 [string range $firstline 0 3]
+     set head3 [string range $firstline 0 2]
+     set selcom "psselect -q"
+     set e2ps "e2ps -nh -$paper -line 110"
+     if {$paper == "letter"} {
+         set e2ps "e2ps -nh -le -line 110"
+     }
+     if {$multi == 2} {
+         switch $orient {
+             "landscape" {set e2ps "$e2ps -p"}
+             "portrait" {set e2ps "$e2ps -l"}
+         }
+     } else {
+         switch $orient {
+             "landscape" {set e2ps "$e2ps -l"}
+             "portrait" {set e2ps "$e2ps -p"}
+         }
+     }
+     set gscom "gs -q $gscom"
+     set com ""
+     switch $page {
+         "odd" {set com "$selcom -o"}
+         "even" {set com "$selcom -e"}
+         "page" {set com "$selcom -p$pages"}
+     }
+     if {$multi >= 2} {
+     	if {$com == ""} {
+             set com "psnup -q -$multi -p$paper"
+         } else {
+             set com "$com | psnup -q -$multi -p$paper"
+         }
+     }
+     if {$com == ""} {
+         set com $gscom
+     } else {
+         set com "$com | $gscom"
+     }
+     if {$head4 == "%!PS" || $ext == ".ps"} {
+         set com "cat $filename | $com | lpr -"
+         exec sh -c $com
+     } else {
+     	if {$head3 == "GIF"} {
+     	    set com "giftopnm $filename | pnmtops | $com | lpr -"
+             catch {exec sh -c $com}
+         } else {
+             set com "$e2ps $filename | $com | lpr -"
+             exec sh -c $com
+         }
+     }
+ }
+ 
+ proc dsk_printtool {argc argv} {
+     global env conffile uppfile gsattr gslocal gscom
+ 
+     if {$argc < 1} {exit}
+     set filename [lindex $argv 0]
+     set conffile "$env(HOME)/.printconf"
+     set uppfile "$env(HOME)/.uniprint"
+     if {$filename == "--setup"} {
+         dsk_print_setup
+     } else {
+         catch {set fd [open $conffile "r"]}
+         if ![info exists fd] {exit}
+         set gsattr [gets $fd]
+         set gslocal [gets $fd]
+         set gscom [gets $fd]
+         close $fd
+         catch {set fd [open $filename "r"]}
+         if ![info exists fd] {exit}
+         gets $fd firstline
+         close $fd
+ 
+         frame .f
+         pack .f
+         label .f.title1 -text "Ǥ" -fg red -bg peachpuff
+         pack .f.title1 -fill x -ipady 20 -ipadx 20 -side top
+         set vendor [lindex $gsattr 0]
+         set type [lindex $gsattr 1]
+         label .f.title2 -text "$filename  $vendor $type Ȥץ󥿤˽ϤƤޤ" -fg navy -bg peachpuff
+         pack .f.title2 -fill x -side top
+         update
+ 
+         set fd [open $filename "r"]
+         separate $firstline $filename
+         close $fd
+         exit
+     }
+ }
+ 
+ dsk_printtool $argc $argv
\ No newline at end of file
diff -crN tkdesk-1.1/easypr.in tkdesk-1.1-jp/easypr.in
*** tkdesk-1.1/easypr.in	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/easypr.in	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,1132 ----
+ proc set_vendor {} {
+     .f2.f1.vendor insert end "ץ"
+     .f2.f1.vendor insert end "Υ"
+     .f2.f1.vendor insert end "HP"
+     .f2.f1.vendor insert end "ץ"
+     .f2.f1.vendor insert end "ŵ"
+     .f2.f1.vendor insert end "ŵ"
+     .f2.f1.vendor insert end "GSɥ饤" 
+ }
+ 
+ proc set_type {x y} {
+     set n [.f2.f1.vendor index @$x,$y]
+     set_typen $n
+ }
+ 
+ proc set_typen {n} {
+     global gs
+ 
+     set vendor [.f2.f1.vendor get $n]
+     .f2.f1.type delete 0 end
+     switch $vendor {
+         "ץ" {
+             foreach name {
+             	"PM-5000C" "PM-3000C" "PM-2000C" "PM-770C" "PM-750C" "PM-670C" "PM-700C" "PM-600C" \
+                 "MJ-6000C" "MJ-5100C" "MJ-5000C" "MJ-3000CU" "MJ-930C" "MJ-910C" "MJ-900C" \
+                 "MJ-830C" "MJ-810C" "MJ-700V2C" "MJ-3000C" "MJ-800C" "MJ-520C" \
+                 "MJ-510C" "MJ-520C" "MJ-1100" "MJ-1050" "MJ-1050V2" "MJ-450" \
+                 "LP-2000" "LP-3000" "LP-7000" "LP-7000G" "LP-1000" "LP-1500" "LP-1500S" \
+                 "LP-8000" "LP-8000S" "LP-8000SE" "LP-8000SX" "LP-800" "LP-1600" \
+                 "LP-1700" "LP-1700S" "LP-1800" "LP-8200" "LP-8300" "LP-8300S" "LP-8400" \
+                 "LP-8500" "LP-8600" "LP-9000" "LP-9200" "LP-9200S" "LP-9200SX"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "Υ" {
+             foreach name {
+             	"BJC-880J" "BJC-680J" "BJC-80v" "BJC-50v" "BJC-35v" "BJC-35vII" \
+             	"BJC-700J" "BJC-610J" "BJC-600J" "BJC-455J" "BJC-465J" "BJC-400J" \
+             	"BJC-410J" "BJC-420J" "BJC-430J" "BJC-440J" "BJ-10v" "BJ-15v" \
+             	"LBP-2160" "LBP-2040" "LBP-2030" "LBP-850" "LBP-840" "LBP-930" "LBP-930EX" \
+             	"LBP-830" "LBP-750" "LBP-740" "LBP-730" "LBP-720" "LBP-450" \
+             	"LBP-430" "LPB-310" "LBP-320" "LBP-320Pro" "LBP-A309G II" "LBP-A304G II"\
+             	"LBP-A304E" "LBP-A304E II" "LBP-B404G" "LBP-B404G II" "LBP-B406E" \
+             	"LBP-B406E II" "LBP-B406D(lips3)" "LBP-B406S(lips3)" "LBP-A404F" \
+             	"LBP-A404G II" "LBP-A405Jr." "LBP-A404E" "LBP-A404(lips3)"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "HP" {
+             foreach name {
+             	"DJ-1600C" "DJ-1120C" "DJ-1100C" "DJ-855C" "DJ-850C" "DJ-694C" \
+             	"DJ-690C" "DJ-680C" "DJ-890C" "DJ-895Cxi" "DJ-880C" "DJ-672C" "DJ-670C" \
+             	"DJ-1000C" "DJ-820C" "DJ-720C" "DJ-712C" "DJ-710C" \
+             	"LaserJet4" "LaserJet4L" "LaserJet Plus" "LaserJet5" "LaserJet5L" \
+             	"LaserJet6" "LaserJet6L" } {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "ץ" {
+             foreach name {"MD-5000" "MD-4000J" "MD-2000J" "MD-1500J" "MD-1300J" "MD-1000J"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "ŵ" {
+             foreach name {"PICTY180" "PICTY700" "PICTY900" "PICTY4000" \
+                 "MultiWriter2400X" "MultiWriter2650" "MultiWriter2250" \
+                 "MultiWriter2050" "MultiWriter1400X" } {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "ŵ" {
+             foreach name {"MICROLINE-12n" "MICROLINE-620CL" "MICROLINE-600CL"} {
+                 .f2.f1.type insert end $name
+             }
+         }
+         "GSɥ饤" {
+             foreach name {"mjcxxx" "escp" "bjc600" "bj10v" "cdj1600" "cdj850" \
+                 "cdj880" "cdj890" "cdj670" "mdxxx" "lp2000" "escpage" "epag" \
+                 "lips4" "lips3" "ljet4 lj4dith" "lj5mono lj5gray" \
+                 "ljetplus" "npdl" "picty180" "picty180hi" "pbm2ppa" } {
+                 .f2.f1.type insert end $name
+             }
+         }
+     }
+     set gs(vendor) $vendor
+ }
+ 
+ proc set_printer {x y} {
+     global gs
+ 
+     set n [.f2.f1.type index @$x,$y]
+     set gs(localattr) ""
+     set_printern $n
+ }
+ 
+ proc make_scale {wd title name f t m digit interval reso} {
+     frame $wd
+     pack $wd -side top -fill x
+     label $wd.f0 -text $title
+     scale $wd.f1 -from $f -to $t -digit $digit -tickinterval $interval \
+         -resolution $reso -sliderlength 20 -orient horizontal -variable gs($name) -length 256
+     pack $wd.f0 $wd.f1 -side left
+     $wd.f1 set $m
+ }
+ 
+ proc make_radio {wd title name texts values n} {
+     frame $wd
+     pack $wd -side top -fill x
+     label $wd.f0 -text $title
+     pack $wd.f0 -side left
+     set i 0
+     foreach text $texts {
+     	set value [lindex $values $i]
+     	incr i
+         radiobutton $wd.f$i -text $text -variable gs($name) -value $value
+         pack $wd.f$i -side left
+     }
+     $wd.f$n select
+ }
+ 
+ proc set_mjc {} {
+     global gs conffile uppfile
+ 
+     set device "mjc360"
+     switch $gs(reso) {
+         "180x180" {set device "mjc180"}
+         "720x720" {set device "mjc720"}
+     }
+     if {$gs(reso) == "1440x720"} {
+     	set fd [open $uppfile "w"]
+     	puts $fd "-supModel=\"Epson PM, 1440x720DpI, Special Paper\""
+         puts $fd "-sDEVICE=uniprint\n-dNOPAUSE\n-dSAFER\n-dupColorModel=/DeviceCMYKgenerate"
+         puts $fd "-dupRendering=/ErrorDiffusion\n-dupOutputFormat=/EscP2\n-r1440x720"
+         puts $fd "-dupMargins=\"{ 9.0 39.96 9.0 9.0}\""
+         puts $fd "-dupWeaveYPasses=6\n-dupOutputPins=20"
+         puts $fd "-dupWeaveYFeeds=\"{20 20 19 22 16 23}\""
+         puts $fd "-dupWeaveInitialYFeeds\"{1  1  1  1  1 19}\""
+         puts $fd "-dupWeaveInitialPins=\"{  4 20  7 17 10 13}\""
+         puts $fd "-dupBeginPageCommand=\"<"
+         puts $fd "   1b40   1b40"
+         puts $fd "   1b2847 0100 01"
+         puts $fd "   1b2855 0100 05"
+         puts $fd "   1b2843 0200 0000"
+         puts $fd "   1b2863 0400 0000 0000"
+         if {$gs(direct) == 1} {
+              puts $fd "   1b5500"
+         } else {
+              puts $fd "   1b5501"
+         }
+         puts $fd "   1b2865 0200 0002"
+         puts $fd "   1b284b 0200 0002"
+         puts $fd ">\""
+         puts $fd "-dupAdjustPageLengthCommand\n-dupAdjustTopMarginCommand"
+         puts $fd "-dupAdjustBottomMarginCommand\n-dupEndPageCommand=\"(\\033@\\014)\""
+         puts $fd "-dupAbortCommand=\"(\\033@\\15\\12\\12\\12\\12    Printout-Aborted\\15\\014)\""
+         close $fd
+         set fd [open $conffile "w"]
+         set_common $fd
+         puts $fd "$gs(reso) $gs(color) $gs(density) $gs(cyan) $gs(magenta) $gs(yellow) $gs(black) $gs(mw) $gs(dot) $gs(direct)"
+         set com "@$uppfile -sPAPERSIZE=$gs(size) -sOutputFile=- -"
+         puts $fd $com
+         close $fd
+     } else {
+         set direct $gs(direct)
+         incr direct
+         set fd [open $conffile "w"]
+         set_common $fd
+         puts $fd "$gs(reso) $gs(color) $gs(density) $gs(cyan) $gs(magenta) $gs(yellow) $gs(black) $gs(mw) $gs(dot) $gs(direct)"
+         set com "-sDEVICE=$device -sPAPERSIZE=$gs(size) -dDensity=$gs(density) -dCyan=$gs(magenta) -dMagenta=$gs(cyan) -dYellow=$gs(yellow) -dBlack=$gs(black) -dDirection=$direct"
+         if {$gs(color) < 4} {
+             set com "$com -dColorComponent=$gs(color)"
+         }
+         if {$gs(mw) == 1} {
+             set com "$com -dMicroWeave=1"
+         }
+         if {$gs(dot) == 1} {
+             set com "$com -dDotSize=1"
+         }
+         puts $fd "$com -sOutputFile=- -"
+         close $fd
+     }
+ }
+ 
+ proc set_mjc_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(color) [lindex $gs(localattr) 1]
+         set gs(density) [lindex $gs(localattr) 2]
+         set gs(cyan) [lindex $gs(localattr) 3]
+         set gs(magenta) [lindex $gs(localattr) 4]
+         set gs(yellow) [lindex $gs(localattr) 5]
+         set gs(black) [lindex $gs(localattr) 6]
+         set gs(mw) [lindex $gs(localattr) 7]
+         set gs(dot) [lindex $gs(localattr) 8]
+         set gs(direct) [lindex $gs(localattr) 9]
+     }
+ }
+ 
+ proc set_md {} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(color) $gs(dith) $gs(cyan) $gs(magenta) $gs(yellow) $gs(black)"
+     if {$gs(color) == "md50Eco"} {
+         puts $fd "-sDEVICE=md50Eco -sPAPERSIZE=$gs(size) -r$gs(reso) -sOutputFile=- -"
+     } else {
+         puts $fd "-sDEVICE=md2k -sPAPERSIZE=$gs(size) -dDither=$gs(dith) -dCyan=$gs(cyan) -dMagenta=$gs(magenta) -dYellow=$gs(yellow) -dBlack=$gs(black) -dColor=$gs(color) -r$gs(reso) -sOutputFile=- -"
+     }
+     close $fd
+ }
+ 
+ proc set_md_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(color) [lindex $gs(localattr) 1]
+         set gs(dith) [lindex $gs(localattr) 2]
+         set gs(cyan) [lindex $gs(localattr) 3]
+         set gs(magenta) [lindex $gs(localattr) 4]
+         set gs(yellow) [lindex $gs(localattr) 5]
+         set gs(black) [lindex $gs(localattr) 6]
+         if {$gs(color) == 0} {
+             .f2.f4.reso.f3 configure -state normal
+         }
+         if {$gs(color) == "md50Eco"} {
+             .f2.f4.etc.dith configure -state disabled
+         }
+     }
+ }
+ 
+ proc set_escpage {dev} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(num) $gs(duplex) $gs(tumble)"
+     set com "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -dNumCopies=$gs(num)"
+     if {$gs(duplex) == 1} {set com "$com -dDuplex"}
+     if {$gs(tumble) == 1} {set com "$com -dTumble"}
+     puts $fd "$com -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_escpage_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(num) [lindex $gs(localattr) 1]
+         set gs(duplex) [lindex $gs(localattr) 2]
+         set gs(tumble) [lindex $gs(localattr) 3]
+     }
+ }
+ 
+ proc set_lips4_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(driver) [lindex $gs(localattr) 1]
+         set gs(vector) [lindex $gs(localattr) 2]
+         set gs(num) [lindex $gs(localattr) 3]
+         set gs(duplex) [lindex $gs(localattr) 4]
+         set gs(tumble) [lindex $gs(localattr) 5]
+     }
+ }
+ 
+ proc set_lips4 {} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(driver) $gs(vector) $gs(num) $gs(duplex) $gs(tumble)"
+     set col $gs(driver)
+     if {$gs(vector) == 1} {
+         set dev "lips4v"
+     } else {
+         set dev "lips4"
+     }
+     set com "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso)"
+     if {$col == "lips4c"} {
+         set com "$com -dBitsPerPixel=24"
+     }
+     puts $fd "$com -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_ppa {hpconf} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "600"
+     puts $fd "-sDEVICE=pbm -sPAPERSIZE=$gs(size) -r600 | pbm2ppa -f $hpconf - - "
+     close $fd
+ }
+ 
+ proc set_cdj880_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs(paper) [lindex $gs(localattr) 1]
+         set gs(quality) [lindex $gs(localattr) 2]
+         set gs(rit) [lindex $gs(localattr) 3]
+         set gs(gamma) [lindex $gs(localattr) 4]
+     }
+ }
+ 
+ proc set_cdj880 {dev} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs(paper) $gs(quality) $gs(rit) $gs(gamma)"
+     set com "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -dPapertype=$gs(paper) -dRetStatus=$gs(rit) -dMasterGamma=$gs(gamma)"
+     if {$gs(quality) != 0} {
+         set com "$com -dQuality=$gs(quality)"
+     }
+     set com "$com -sOutputFile=- -"
+     puts $fd $com
+     close $fd
+ }
+ 
+ proc set_general_attr {} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+     }
+ }
+ 
+ proc set_general {dev} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd $gs(reso)
+     puts $fd "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_general_opt_attr {opt} {
+     global gs
+     if {$gs(localattr) != ""} {
+         set gs(reso) [lindex $gs(localattr) 0]
+         set gs($opt) [lindex $gs(localattr) 1]
+     }
+ }
+ 
+ proc set_general_opt {dev opt} {
+     global gs conffile
+ 
+     set fd [open $conffile "w"]
+     set_common $fd
+     puts $fd "$gs(reso) $gs($opt)"
+     puts $fd "-sDEVICE=$dev -sPAPERSIZE=$gs(size) -r$gs(reso) -sOutputFile=- -"
+     close $fd
+ }
+ 
+ proc set_printern {n} {
+     global gs
+ 
+     set type [.f2.f1.type get $n]
+     catch {
+     	destroy .f2.f4
+     }
+     switch $type {
+         "MJ-3000C" -
+         "MJ-800C" -
+         "MJ-520C" -
+         "MJ-510C" -
+         "MJ-520C" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180 360} {180x180 360x360} 2
+             make_radio .f2.f4.color  color {3(CMY) } {3 1} 1
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.direct -text "" -variable gs(direct)
+             pack .f2.f4.etc.direct -side left
+             make_scale .f2.f4.density "̩" density 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             set gs(black) 1024
+             set gs(mw) 0
+             set gs(dot) 0
+             set_mjc_attr
+             .f0.set configure -command set_mjc
+         }
+         "PM-670C" -
+         "PM-750C" -
+         "PM-770C" -
+         "PM-2000C" -
+         "PM-3000C" -
+         "PM-5000C" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180 360 720 1440x720} {180x180 360x360 720x720 1440x720} 2
+             make_radio .f2.f4.color  color {4(CMYK) 3(CMY) } {4 3 1} 1
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.mw -text "ޥ" -variable gs(mw)
+             pack .f2.f4.etc.mw -side left
+             checkbutton .f2.f4.etc.dot -text "̾ɥå" -variable gs(dot)
+             pack .f2.f4.etc.dot -side left
+             checkbutton .f2.f4.etc.direct -text "" -variable gs(direct)
+             pack .f2.f4.etc.direct -side left
+             make_scale .f2.f4.density "̩" density 0 2048 1024 4 512 16
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             set_mjc_attr
+             .f0.set configure -command set_mjc
+         }
+         "PM-600C" -
+         "PM-700C" -
+         "MJ-6000C" -
+         "MJ-5100C" -
+         "MJ-5000C" -
+         "MJ-3000CU" -
+         "MJ-930C" -
+         "MJ-910C" -
+         "MJ-900C" -
+         "MJ-830C" -
+         "MJ-810C" -
+         "MJ-700V2C" -
+         "mjcxxx" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180 360 720} {180x180 360x360 720x720} 2
+             make_radio .f2.f4.color  color {4(CMYK) 3(CMY) } {4 3 1} 1
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.mw -text "ޥ" -variable gs(mw)
+             pack .f2.f4.etc.mw -side left
+             checkbutton .f2.f4.etc.dot -text "̾ɥå" -variable gs(dot)
+             pack .f2.f4.etc.dot -side left
+             checkbutton .f2.f4.etc.direct -text "" -variable gs(direct)
+             pack .f2.f4.etc.direct -side left
+             make_scale .f2.f4.density "̩" density 0 2048 1024 4 512 16
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             set_mjc_attr
+             .f0.set configure -command set_mjc
+         }
+         "MJ-1100" -
+         "MJ-1050" -
+         "MJ-1050V2" -
+         "MJ-450" -
+         "escp" {
+             set gs(reso) 180
+             .f0.set configure -command "set_general escp"
+         }
+         "epag" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             set_general_attr
+             .f0.set configure -command "set_general epag"
+         }
+         "LP-2000" -
+         "LP-3000" {
+             set gs(reso) 240
+             .f0.set configure -command "set_general lp2000"
+         }
+         "LP-7000" -
+         "LP-7000G" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general lp2000"
+         }
+         "lp2000" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {240 300} {240 300} 2
+             set_general_attr
+             .f0.set configure -command "set_general lp2000"
+         }
+         "LP-1000" -
+         "LP-1500" - 
+         "LP-1500S" -
+         "LP-8000" -
+         "LP-8000S" -
+         "LP-8000SE" -
+         "LP-8000SX" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set gs(reso) 300
+             set_escpage_attr
+             .f0.set configure -command
+         }
+         "LP-800" -
+         "LP-1600" -
+         "LP-1700" -
+         "LP-1700S" -
+         "LP-1800" -
+         "LP-8200" -
+         "LP-8300" -
+         "LP-8300S" -
+         "LP-8400" -
+         "LP-8500" -
+         "LP-8600" -
+         "LP-9000" -
+         "LP-9200" -
+         "LP-9200S" -
+         "LP-9200SX" -
+         "escpage" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set_escpage_attr
+             .f0.set configure -command "set_escpage escpage"
+         }
+         "BJC-880J" -
+         "BJC-680J" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.color  driver { 顼} {lips4 lips4c} 1
+             set gs(reso) 360x360
+             set_general_opt_attr driver
+             .f0.set configure -command {set_general_opt $gs(driver) driver}
+         }
+         "BJC-80v" -
+         "BJC-50v" -
+         "BJC-35v" -
+         "BJC-35vII" -
+         "BJC-455J" -
+         "BJC-465J" -
+         "BJC-400J" -
+         "BJC-410J" -
+         "BJC-420J" -
+         "BJC-430J" -
+         "BJC-440J" -
+         "BJC-610J" -
+         "BJC-600J" -
+         "bjc600" {
+             set gs(reso) 360
+             .f0.set configure -command "set_general bjc600"
+         }
+         "BJC-700J" {
+             set gs(reso) 600
+             .f0.set configure -command "set_general bjc600"
+         }
+         "BJ-10v" -
+         "BJ-15v" -
+         "bj10v" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {180x180 360x180 360x360} {180x180 360x180 360x360} 3
+             set_general_attr
+             .f0.set configure -command "set_general bj10v"
+         }
+         "LBP-2160" -
+         "LBP-2040" -
+         "LBP-2030" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {360 600} 2
+             make_radio .f2.f4.color  driver { 顼} {lips4 lips4c} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.vector -text "٥" -variable gs(vector)
+             pack .f2.f4.etc.vector -side left
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set_lips4_attr
+             .f0.set configure -command set_lips4
+         }
+         "LBP-850" -
+         "LBP-840" -
+         "lips4" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600 1200} {300 600 1200} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.vector -text "٥" -variable gs(vector)
+             pack .f2.f4.etc.vector -side left
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set gs(driver) lips4
+             set_lips4_attr
+             .f0.set configure -command 
+         }
+         "LBP-930" -
+         "LBP-930EX" -
+         "LBP-830" -
+         "LBP-750" -
+         "LBP-740" -
+         "LBP-730" -
+         "LBP-720" -
+         "LBP-450" -
+         "LBP-430" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 255 1 3 64 1
+             set gs(driver) lips4
+             set gs(vector) 0
+             set_lips4_attr
+             .f0.set configure -command set_lips4
+         }
+         "LPB-310" -
+         "LBP-320" -
+         "LBP-320Pro" -
+         "LBP-A309G II" -
+         "LBP-A304G II" -
+         "LBP-A304E" -
+         "LBP-A304E II" -
+         "LBP-B404G" -
+         "LBP-B404G II" -
+         "LBP-B406E" -
+         "LBP-B406E II" -
+         "LBP-B406D(lips3)" -
+         "LBP-B406S(lips3)" -
+         "LBP-A404F" -
+         "LBP-A404G II" -
+         "LBP-A405Jr." -
+         "LBP-A404E" -
+         "LBP-A404(lips3)" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general lips3"
+         }
+       	"DJ-1600C" -
+       	"cdj1600" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj1600"
+       	}
+       	"DJ-1120C" -
+       	"DJ-1100C" -
+       	"DJ-855C" -
+       	"DJ-850C" -
+       	"DJ-694C" -
+       	"DJ-690C" -
+       	"DJ-680C" -
+       	"PICTY4000" -
+       	"cdj850" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj850"
+       	}
+       	"DJ-890C" -
+       	"cdj890" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj890"
+       	}
+       	"DJ-895Cxi" -
+       	"DJ-880C" -
+       	"PICTY900" -
+       	"PICTY700" -
+       	"cdj880" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj880"
+       	}
+       	"DJ-672C" -
+       	"DJ-670C" -
+       	"cdj670" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.paper  paper {    Ʃ} {0 1 2 3 4 5} 1
+             make_radio .f2.f4.quality ʼ quality {ɥե ʰ } {-1 0 1} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.rit -text "顼ޡ" -variable gs(rit)
+             pack .f2.f4.etc.rit -side left
+             make_scale .f2.f4.gamma "Ĵ" gamma 1 10 3 3 2 0.1
+             set gs(rit) 1
+             set_cdj880_attr
+             .f0.set configure -command "set_cdj880 cdj670"
+       	}
+         "PICTY180" -
+         "picty180" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general picty180"
+         }
+         "picty180hi" {
+             set gs(reso) 300
+             .f0.set configure -command "set_general picty180hi"
+         }
+         "DJ-1000C" {
+              .f0.set configure -command "set_ppa /etc/pbm2ppa.conf.hp1000"
+         }
+         "DJ-720C" -
+         "DJ-712C" -
+         "DJ-710C" {
+              .f0.set configure -command "set_ppa /etc/pbm2ppa.conf.hp720"
+         }
+         "DJ-820C" -
+         "pbm2ppa" {
+             .f0.set configure -command "set_ppa /etc/pbm2ppa.conf.hp820"
+         }
+         "LaserJet Plus" -
+       	"ljetplus" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {100 150 300} {100 150 300} 3
+             set_general_attr
+             .f0.set configure -command "set_general ljetplus"
+       	}
+       	"LaserJet4" -
+       	"LaserJet4L" -
+       	"LaserJet5L" -
+       	"LaserJet6L" -
+         "MICROLINE-12n" -
+         "ljet4 lj4dith" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {100 150 300 600} {100 150 300 600} 4
+             make_radio .f2.f4.driver Ĵ driver {2Ĵ ϡեȡ} {ljet4 lj4dith} 1
+             set_general_opt_attr driver
+             .f0.set configure -command {set_general_opt $gs(driver) driver}
+       	}
+       	"LaserJet5" -
+       	"LaserJet6" -
+       	"lj5mono lj5gray" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300 600} {300 600} 2
+             make_radio .f2.f4.driver Ĵ driver {2Ĵ ϡեȡ} {lj5mono lj5gray} 1
+             set_general_opt_attr driver
+             .f0.set configure -command {set_general_opt $gs(driver) driver}
+         }
+         "MICROLINE-620CL" -
+         "MICROLINE-600CL" -
+         "ml600" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {300x300 600x600 600x1200} {300x300 600x600 600x1200} 3
+             set_general_attr
+             .f0.set configure -command "set_general ml600"
+         }
+         "MD-5000" -
+         "mdxxx" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.color  color {顼  ֥å} {1 0 md50Eco} 1
+             .f2.f4.color.f1 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state disabled
+                 .f2.f4.etc.dith configure -state normal
+                 set gs(reso) 600
+             }
+             .f2.f4.color.f2 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state normal
+                 .f2.f4.etc.dith configure -state normal
+             }
+             .f2.f4.color.f3 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state disabled
+                 .f2.f4.etc.dith configure -state disabled
+                 set gs(reso) 600
+                 set gs(dith) 0
+             }
+             make_radio .f2.f4.reso (DPI) reso {300 600 1200x600} {300 600 1200x600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.dith -text "ǥ" -variable gs(dith)
+             pack .f2.f4.etc.dith -side left
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             .f2.f4.reso.f3 configure -state disabled
+             set_md_attr
+             .f0.set configure -command set_md
+         }
+         "MD-4000J" -
+         "MD-2000J" -
+         "MD-1500J" -
+         "MD-1300J" -
+         "MD-1000J" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.color  color {顼 } {1 0} 1
+             .f2.f4.color.f1 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state disabled
+                 set gs(reso) 600
+             }
+             .f2.f4.color.f2 configure -command {
+             	global gs
+                 .f2.f4.reso.f3 configure -state normal
+             }
+             make_radio .f2.f4.reso (DPI) reso {300 600 1200x600} {300 600 1200x600} 2
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.dith -text "ǥ" -variable gs(dith)
+             pack .f2.f4.etc.dith -side left
+             make_scale .f2.f4.black "ǻø" black 0 2048 1024 4 512 16
+             make_scale .f2.f4.cyan "忧" cyan 0 2048 1024 4 512 16
+             make_scale .f2.f4.magenta "翧" magenta 0 2048 1024 4 512 16
+             make_scale .f2.f4.yellow "" yellow 0 2048 1024 4 512 16
+             .f2.f4.reso.f3 configure -state disabled
+             set_md_attr
+             .f0.set configure -command set_md
+         }
+         "MultiWriter2400X" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {160 200 240 400} {160 200 240 400} 4
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 99 1 2 20 1
+             set_escpage_attr
+             .f0.set configure -command "set_escpage npdl"
+         }
+         "MultiWriter2650" -
+         "MultiWriter2250" -
+         "MultiWriter2050" -
+         "MultiWriter1400X" -
+         "npdl" {
+             frame .f2.f4
+             pack .f2.f4 -side left -fill both
+             make_radio .f2.f4.reso (DPI) reso {160 200 240 400 600} {160 200 240 400 600} 5
+             frame .f2.f4.etc
+             pack .f2.f4.etc -side top -fill x
+             checkbutton .f2.f4.etc.duplex -text "ξ̰" -variable gs(duplex)
+             pack .f2.f4.etc.duplex -side left
+             checkbutton .f2.f4.etc.tumble -text "ûդȤ" -variable gs(tumble)
+             pack .f2.f4.etc.tumble -side left
+             make_scale .f2.f4.num "" num 1 99 1 2 20 1
+             set_escpage_attr
+             .f0.set configure -command "set_escpage npdl"
+         }
+     }
+     set gs(type) $type
+     .f3.msg configure -text "ߤϡ$gs(vendor)$type Ǥ"
+ }
+ 
+ proc set_common {fd} {
+     global gs
+ 
+     set pages [.f2.f3.p5 get]
+     if {$pages == ""} {set pages "none"}
+     puts $fd "$gs(vendor) $gs(type) $gs(size) $gs(orient) $gs(page) $pages $gs(multi)"
+ }
+ 
+ proc dsk_print_setup {} {
+     global gs env
+ 
+     frame .f1
+     pack .f1 -side top -fill x
+     label .f1.title -text "ץ󥿤" -fg darkgreen -bg orange
+     pack .f1.title -fill x -ipady 8 -ipadx 8
+ 
+     frame .f3
+     pack .f3 -side top -fill x -pady 2
+     label .f3.msg -anchor w -text "ץ󥿤ꤵƤޤ" -bg peachpuff -fg navy
+     pack .f3.msg -fill x -ipady 2
+ 
+     frame .f2
+     pack .f2 -side top
+     frame .f2.f1
+     pack .f2.f1 -side left -fill y
+     listbox .f2.f1.vendor -width 10 -yscroll ".f2.f1.vendory set"
+     pack .f2.f1.vendor -side left -fill y
+     bind .f2.f1.vendor <Double-Button-1> "set_type %x %y"
+     scrollbar .f2.f1.vendory -orient vertical -width 10 -command "yview"
+     pack .f2.f1.vendory -side left -fill y
+     listbox .f2.f1.type -width 16 -yscroll ".f2.f1.typey set"
+     pack .f2.f1.type -side left -fill y
+     bind .f2.f1.type <Double-Button-1> "set_printer %x %y"
+     scrollbar .f2.f1.typey -orient vertical -width 10 -command ".f2.f1.type yview"
+     pack .f2.f1.typey -side left -fill y
+ 
+     frame .f2.f2
+     pack .f2.f2 -side left -fill y
+     label .f2.f2.s0 -text "ѻ極"
+     radiobutton .f2.f2.s1 -text "A3" -variable gs(size) -value "a3" -anchor w
+     radiobutton .f2.f2.s2 -text "B4" -variable gs(size) -value "b4" -anchor w
+     radiobutton .f2.f2.s3 -text "A4" -variable gs(size) -value "a4" -anchor w
+     radiobutton .f2.f2.s4 -text "B5" -variable gs(size) -value "b5" -anchor w
+     radiobutton .f2.f2.s5 -text "A5" -variable gs(size) -value "a5" -anchor w
+     radiobutton .f2.f2.s6 -text "쥿" -variable gs(size) -value "letter" -anchor w
+     pack .f2.f2.s0 .f2.f2.s1 .f2.f2.s2 .f2.f2.s3 .f2.f2.s4 .f2.f2.s5 .f2.f2.s6 -side top -fill x
+     .f2.f2.s3 select
+     label .f2.f2.o0 -text "ѻ"
+     radiobutton .f2.f2.o1 -text "" -variable gs(orient) -value "portrait" -anchor w
+     radiobutton .f2.f2.o2 -text "" -variable gs(orient) -value "landscape" -anchor w
+     pack .f2.f2.o0 .f2.f2.o1 .f2.f2.o2 -side top -fill x
+     .f2.f2.o1 select
+ 
+     frame .f2.f3
+     pack .f2.f3 -side left -fill y
+     label .f2.f3.p0 -text "ڡ"
+     radiobutton .f2.f3.p1 -text "ư" -variable gs(page) -value "all" -anchor w
+     radiobutton .f2.f3.p2 -text "ڡ" -variable gs(page) -value "page" -anchor w
+     label .f2.f3.p6 -text "ϰϻ: 1-5" -fg blue
+     label .f2.f3.p7 -text "̻: 1,4" -fg blue
+     radiobutton .f2.f3.p3 -text "" -variable gs(page) -value "odd" -anchor w
+     radiobutton .f2.f3.p4 -text "" -variable gs(page) -value "even" -anchor w
+     entry .f2.f3.p5 -width 9 -bg white
+     pack .f2.f3.p0 .f2.f3.p1 .f2.f3.p2 -fill x -side top
+     pack .f2.f3.p5 -side top
+     pack .f2.f3.p6 .f2.f3.p7 -side top
+     pack .f2.f3.p3 .f2.f3.p4 -fill x -side top
+     .f2.f3.p1 select
+ 
+     label .f2.f3.m0 -text "ڡ޹"
+     radiobutton .f2.f3.m1 -text "1" -variable gs(multi) -value 1 -anchor w
+     radiobutton .f2.f3.m2 -text "2" -variable gs(multi) -value 2 -anchor w
+     radiobutton .f2.f3.m3 -text "4" -variable gs(multi) -value 4 -anchor w
+     pack .f2.f3.m0 .f2.f3.m1 .f2.f3.m2 .f2.f3.m3 -side top -fill x
+     .f2.f3.m1 select
+ 
+     frame .f4
+     pack .f4 -side bottom -fill x
+     label .f4.msg -bg yellow -fg red -anchor c -text "ѻ極ϥץꥱǤ꤬ͥ褷ޤ"
+     pack .f4.msg -fill x
+     
+     frame .f0
+     pack .f0 -side bottom -fill x
+     button .f0.set -text ""
+     pack .f0.set -side left
+     button .f0.exit -text "Ĥ" -command exit
+     pack .f0.exit -side right
+ 
+     set_vendor
+     
+     set gs(attrlist) ""
+     set gs(localattr) ""
+     set conffile "$env(HOME)/.printconf"
+     catch {set fd [open $conffile "r"]}
+     if ![info exists fd] {return}
+     set gs(attrlist) [gets $fd]
+     set gs(localattr) [gets $fd]
+     close $fd
+ 
+     set vendorlist [.f2.f1.vendor get 0 end]
+     set a [lindex $gs(attrlist) 0]
+     set i 0
+     set n -1
+     foreach item $vendorlist {
+         if {$item == $a} {set n $i}
+         incr i
+     }
+     set_typen $n
+     set typelist [.f2.f1.type get 0 end]
+     set a [lindex $gs(attrlist) 1]
+     set i 0
+     set n -1
+     foreach item $typelist {
+         if {$item == $a} {set n $i}
+         incr i
+     }
+     set_printern $n
+     .f2.f1.type selection set $n
+     set gs(size) [lindex $gs(attrlist) 2]
+     set gs(orient) [lindex $gs(attrlist) 3]
+     set gs(page) [lindex $gs(attrlist) 4]
+     if {$gs(page) == "page"} {
+         .f2.f3.p5 insert end [lindex $gs(attrlist) 5]
+     }
+     set gs(multi) [lindex $gs(attrlist) 6]
+ }
+ 
+ proc separate {firstline filename} {
+     global gsattr gscom
+ 
+     set ext [file extension $filename]
+     set paper [lindex $gsattr 2]
+     set orient [lindex $gsattr 3]
+     set page [lindex $gsattr 4]
+     set pages [lindex $gsattr 5]
+     set multi [lindex $gsattr 6]
+     set head4 [string range $firstline 0 3]
+     set head3 [string range $firstline 0 2]
+     set selcom "psselect -q"
+     set e2ps "e2ps -nh -$paper -line 110"
+     if {$paper == "letter"} {
+         set e2ps "e2ps -nh -le -line 110"
+     }
+     if {$multi == 2} {
+         switch $orient {
+             "landscape" {set e2ps "$e2ps -p"}
+             "portrait" {set e2ps "$e2ps -l"}
+         }
+     } else {
+         switch $orient {
+             "landscape" {set e2ps "$e2ps -l"}
+             "portrait" {set e2ps "$e2ps -p"}
+         }
+     }
+     set gscom "gs -q $gscom"
+     set com ""
+     switch $page {
+         "odd" {set com "$selcom -o"}
+         "even" {set com "$selcom -e"}
+         "page" {set com "$selcom -p$pages"}
+     }
+     if {$multi >= 2} {
+     	if {$com == ""} {
+             set com "psnup -q -$multi -p$paper"
+         } else {
+             set com "$com | psnup -q -$multi -p$paper"
+         }
+     }
+     if {$com == ""} {
+         set com $gscom
+     } else {
+         set com "$com | $gscom"
+     }
+     if {$head4 == "%!PS" || $ext == ".ps"} {
+         set com "cat $filename | $com | lpr -"
+         exec sh -c $com
+     } else {
+     	if {$head3 == "GIF"} {
+     	    set com "giftopnm $filename | pnmtops | $com | lpr -"
+             catch {exec sh -c $com}
+         } else {
+             set com "$e2ps $filename | $com | lpr -"
+             exec sh -c $com
+         }
+     }
+ }
+ 
+ proc dsk_printtool {argc argv} {
+     global env conffile uppfile gsattr gslocal gscom
+ 
+     if {$argc < 1} {exit}
+     set filename [lindex $argv 0]
+     set conffile "$env(HOME)/.printconf"
+     set uppfile "$env(HOME)/.uniprint"
+     if {$filename == "--setup"} {
+         dsk_print_setup
+     } else {
+         catch {set fd [open $conffile "r"]}
+         if ![info exists fd] {exit}
+         set gsattr [gets $fd]
+         set gslocal [gets $fd]
+         set gscom [gets $fd]
+         close $fd
+         catch {set fd [open $filename "r"]}
+         if ![info exists fd] {exit}
+         gets $fd firstline
+         close $fd
+ 
+         frame .f
+         pack .f
+         label .f.title1 -text "Ǥ" -fg red -bg peachpuff
+         pack .f.title1 -fill x -ipady 20 -ipadx 20 -side top
+         set vendor [lindex $gsattr 0]
+         set type [lindex $gsattr 1]
+         label .f.title2 -text "$filename  $vendor $type Ȥץ󥿤˽ϤƤޤ" -fg navy -bg peachpuff
+         pack .f.title2 -fill x -side top
+         update
+ 
+         set fd [open $filename "r"]
+         separate $firstline $filename
+         close $fd
+         exit
+     }
+ }
+ 
+ dsk_printtool $argc $argv
\ No newline at end of file
diff -crN tkdesk-1.1/itcl/Makefile tkdesk-1.1-jp/itcl/Makefile
*** tkdesk-1.1/itcl/Makefile	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/itcl/Makefile	Sun Nov  7 20:12:23 1999
***************
*** 0 ****
--- 1,46 ----
+ # Generated automatically from Makefile.in by configure.
+ # This is the Makefile for the [incr Tcl] package needed by TkDesk.
+ # It is called from the main Makefile in .., which passes the CC_OPTS.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Location of Tcl header files:
+ TCL_INCLUDE_DIR =	/usr/include
+ 
+ # Configuration compiler flags:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ 
+ # Miscellaneous settings:
+ RANLIB =		ranlib
+ CC =			gcc
+ AR =			ar rc
+ RM =			rm -f
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I.. -I${TCL_INCLUDE_DIR}
+ 
+ libname	=	libitcl.a
+ 
+ OBJS = 		itcl_class.o itcl_core.o \
+ 		itcl_methods.o itcl_objects.o itcl_vars.o \
+ 		itcl_util.o
+ 
+ lib: $(libname)
+ 
+ $(libname):  $(OBJS)
+ 	$(RM) $@
+ 	$(AR) $@ $(OBJS)
+ 	$(RANLIB) $@
+ 
+ clean:
+ 	$(RM) $(OBJS) $(libname) *\~ "#"*
Binary files tkdesk-1.1/itcl/itcl_class.o and tkdesk-1.1-jp/itcl/itcl_class.o differ
Binary files tkdesk-1.1/itcl/itcl_core.o and tkdesk-1.1-jp/itcl/itcl_core.o differ
Binary files tkdesk-1.1/itcl/itcl_methods.o and tkdesk-1.1-jp/itcl/itcl_methods.o differ
Binary files tkdesk-1.1/itcl/itcl_objects.o and tkdesk-1.1-jp/itcl/itcl_objects.o differ
Binary files tkdesk-1.1/itcl/itcl_util.o and tkdesk-1.1-jp/itcl/itcl_util.o differ
Binary files tkdesk-1.1/itcl/itcl_vars.o and tkdesk-1.1-jp/itcl/itcl_vars.o differ
Binary files tkdesk-1.1/itcl/libitcl.a and tkdesk-1.1-jp/itcl/libitcl.a differ
Binary files tkdesk-1.1/jisdecode and tkdesk-1.1-jp/jisdecode differ
diff -crN tkdesk-1.1/jisdecode.c tkdesk-1.1-jp/jisdecode.c
*** tkdesk-1.1/jisdecode.c	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/jisdecode.c	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,128 ----
+ #include <stdio.h>
+ #include <string.h>
+ 
+ void	decode(int *src) {
+ 	int	c,i,j,n,k;
+ 
+ 	n = 0;
+ 	i = 0;
+ 	j = 3;
+ 	do {
+ 		n |= (src[i] & 0x3f) << (j-- * 6);
+ 		if(j < 0) {
+ 			for(k = 2;k >= 0;k--) {
+ 				c = (n >> (k * 8)) & 0xff;
+ 				if(c != 0) putchar(c);
+ 			}
+ 			j = 3;
+ 			n = 0;
+ 		}
+ 	} while(src[i++] < 64);
+ 	for(k = 2;k >= 0;k--) {
+ 		c = (n >> (k * 8)) & 0xff;
+ 		if(c != 0) putchar(c);
+ 	}
+ }
+ 
+ void	subject(char *str) {
+ 	int	c,n,i,b,q;
+ 	int	num[1024];
+ 	char	scanbuf[3];
+ 
+ 	b = -1;
+ 	q = -1;
+ 	n = strlen(str);
+ 	for(i = 0;i < n;i++) {
+ 		if(strncmp(str + i,"=?iso-2022-jp?B?",16) ==  0) {
+ 			i += 16;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-2022-JP?B?",16) ==  0) {
+ 			i += 16;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?euc-jp?B?",11) ==  0) {
+ 			i += 11;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?EUC-JP?B?",11) ==  0) {
+ 			i += 11;
+ 			b = 0;
+ 		}
+ 		if(strncmp(str + i,"=?iso-2022-jp?Q?",16) ==  0) {
+ 			i += 16;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-2022-JP?Q?",16) ==  0) {
+ 			i += 16;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?iso-8859-1?Q?",15) ==  0) {
+ 			i += 15;
+ 			q = 0;
+ 		}
+ 		if(strncmp(str + i,"=?ISO-8859-1?Q?",15) ==  0) {
+ 			i += 15;
+ 			q = 0;
+ 		}
+ 		if(b >= 0) {
+ 			if(isupper(str[i])) {
+ 				num[b++] = str[i] - 'A';
+ 			} else if(islower(str[i])) {
+ 				num[b++] = str[i] - 'a' + 26;
+ 			} else if(isdigit(str[i])) {
+ 				num[b++] = str[i] - '0' + 52;
+ 			} else if(str[i] == '+') {
+ 				num[b++] = 62;
+ 			} else if(str[i] == '/') {
+ 				num[b++] = 63;
+ 			} else if(str[i] == '?') {
+ 				num[b] = 64;
+ 				decode(num);
+ 				i++;
+ 				b = -1;
+ 			}
+ 		} else if(q == 0) {
+ 			if(str[i] == '=') {
+ 				if(isxdigit(str[i+1]) && isxdigit(str[i+2])) {
+ 					scanbuf[0] = str[++i];
+ 					scanbuf[1] = str[++i];
+ 					scanbuf[2] = '\0';
+ 					sscanf(scanbuf,"%x",&c);
+ 					putchar(c);
+ 				} else {
+ 					q = -1;
+ 					putchar(str[i]);
+ 				}
+ 			} else if(str[i] == '?' && str[i+1] == '=') {
+ 				q = -1;
+ 				i++;
+ 			} else {
+ 				putchar(str[i]);
+ 			}
+ 		}
+ 		else {
+ 			putchar(str[i]);
+ 		}
+ 	}
+ }
+ 	
+ void main() {
+ 	char	buf[1024];
+ 	char	*p;
+ 
+ 	gets(buf);
+ 	while(!feof(stdin)) {
+ 		p = buf;
+ 		if(strlen(buf) == 0) break;
+ 		if(buf[0] <= ' ') {
+ 			while(*p >= 0 && *p <= ' ') p++;
+ 		} else {
+ 			putchar('\n');
+ 		}
+ 		subject(p);
+ 		gets(buf);
+ 	}
+ 	putchar('\n');
+ 	putchar('\n');
+ }
\ No newline at end of file
diff -crN tkdesk-1.1/libdesk/Makefile tkdesk-1.1-jp/libdesk/Makefile
*** tkdesk-1.1/libdesk/Makefile	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/libdesk/Makefile	Sun Nov  7 20:12:23 1999
***************
*** 0 ****
--- 1,54 ----
+ # Generated automatically from Makefile.in by configure.
+ # This is the Makefile for the C library of TkDesk.
+ # It is called from the main Makefile in .., which passes the CC_OPTS.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Location of Tcl header files:
+ TCL_INCLUDE_DIR =	/usr/include
+ 
+ # Location of Tk header files:
+ TK_INCLUDE_DIR =	/usr/include
+ 
+ # Location of X11 header files:
+ X_INCLUDE_FLAG =	-I/usr/X11R6/include
+ 
+ # Configuration compiler flags:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ 
+ # Miscellaneous settings:
+ RANLIB =		ranlib
+ CC =			gcc
+ AR =			ar rc
+ RM =			rm -f
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I.. -I${TCL_INCLUDE_DIR} -I${TK_INCLUDE_DIR} ${X_INCLUDE_FLAG}
+ 
+ libname	=	libdesk.a
+ 
+ OBJS = 		init.o dsk_ls.o misc.o util.o ot.o o_FileListbox.o \
+ 		tixImgXpm.o
+ 
+ default:
+ 	cd ..; make -k shell
+ 
+ lib: $(libname)
+ 
+ $(libname):  $(OBJS)
+ 	$(RM) $@
+ 	$(AR) $@ $(OBJS)
+ 	$(RANLIB) $@
+ 
+ clean:
+ 	$(RM) $(OBJS) $(libname) *\~ "#"*
Binary files tkdesk-1.1/libdesk/dsk_ls.o and tkdesk-1.1-jp/libdesk/dsk_ls.o differ
Binary files tkdesk-1.1/libdesk/init.o and tkdesk-1.1-jp/libdesk/init.o differ
Binary files tkdesk-1.1/libdesk/libdesk.a and tkdesk-1.1-jp/libdesk/libdesk.a differ
Binary files tkdesk-1.1/libdesk/misc.o and tkdesk-1.1-jp/libdesk/misc.o differ
Binary files tkdesk-1.1/libdesk/o_FileListbox.o and tkdesk-1.1-jp/libdesk/o_FileListbox.o differ
Binary files tkdesk-1.1/libdesk/ot.o and tkdesk-1.1-jp/libdesk/ot.o differ
Binary files tkdesk-1.1/libdesk/tixImgXpm.o and tkdesk-1.1-jp/libdesk/tixImgXpm.o differ
Binary files tkdesk-1.1/libdesk/util.o and tkdesk-1.1-jp/libdesk/util.o differ
diff -crN tkdesk-1.1/lpr2 tkdesk-1.1-jp/lpr2
*** tkdesk-1.1/lpr2	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/lpr2	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,3 ----
+ cat - > ~/___tmp___
+ easypr ~/___tmp___
+ rm ~/___tmp___
Binary files tkdesk-1.1/man2text and tkdesk-1.1-jp/man2text differ
diff -crN tkdesk-1.1/man2text.c tkdesk-1.1-jp/man2text.c
*** tkdesk-1.1/man2text.c	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/man2text.c	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,19 ----
+ #include	<stdio.h>
+ 
+ void main() {
+ 	int	i,p,buf[4];
+ 
+ 	p = 0;
+ 	while(!feof(stdin)) {
+ 		while(p < 3) buf[p++] = getchar();
+ 		buf[p] = getchar();
+ 		if(buf[3] == '\b') {
+ 			if(buf[2] == '\b') p = 0;
+ 			else p = 2;
+ 			continue;
+ 		}
+ 		putchar(buf[0]);
+ 		for(i = 0;i < 3;i++) buf[i] = buf[i + 1];
+ 	}
+ 	for(i = 0;i < p - 1;i++) putchar(buf[i]);
+ }
\ No newline at end of file
Binary files tkdesk-1.1/netscape-remote/ClientWin.o and tkdesk-1.1-jp/netscape-remote/ClientWin.o differ
diff -crN tkdesk-1.1/netscape-remote/Makefile tkdesk-1.1-jp/netscape-remote/Makefile
*** tkdesk-1.1/netscape-remote/Makefile	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/netscape-remote/Makefile	Sun Nov  7 20:12:23 1999
***************
*** 0 ****
--- 1,50 ----
+ # Generated automatically from Makefile.in by configure.
+ # This is the Makefile for the netscape-remote needed by TkDesk.
+ # It is called from the main Makefile in .., which passes the CC_OPTS.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Location of Tcl header files:
+ TCL_INCLUDE_DIR =	/usr/include
+ 
+ # Location of Tk header files:
+ TK_INCLUDE_DIR =	/usr/include
+ 
+ # Location of X11 header files:
+ X_INCLUDE_FLAG =	-I/usr/X11R6/include
+ 
+ # Configuration compiler flags:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ 
+ # Miscellaneous settings:
+ RANLIB =		ranlib
+ CC =			gcc
+ AR =			ar rc
+ RM =			rm -f
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I.. -I${TCL_INCLUDE_DIR} -I${TK_INCLUDE_DIR} ${X_INCLUDE_FLAG}
+ 
+ libname	=	libnetscape.a
+ 
+ OBJS = 		netscape_remote.o ClientWin.o
+ 
+ lib: $(libname)
+ 
+ $(libname):  $(OBJS)
+ 	$(RM) $@
+ 	$(AR) $@ $(OBJS)
+ 	$(RANLIB) $@
+ 
+ clean:
+ 	$(RM) $(OBJS) $(libname) *\~ "#"*
Binary files tkdesk-1.1/netscape-remote/libnetscape.a and tkdesk-1.1-jp/netscape-remote/libnetscape.a differ
Binary files tkdesk-1.1/netscape-remote/netscape_remote.o and tkdesk-1.1-jp/netscape-remote/netscape_remote.o differ
diff -crN tkdesk-1.1/tcldesk/Common.tcl tkdesk-1.1-jp/tcldesk/Common.tcl
*** tkdesk-1.1/tcldesk/Common.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/Common.tcl	Sun Nov  7 20:10:27 1999
***************
*** 133,145 ****
  
  	# ---- TkDesk Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbTkDesk -text "TkDesk" -underline 0 \
  		    -menu $frame.mbTkDesk.menu
  	    pack $frame.mbTkDesk -side left
  	    
  	    menu [set m $frame.mbTkDesk.menu]
  	} else {
! 	    menubutton $frame.mbOthers -text "Others" -underline 0 \
  		    -menu $frame.mbOthers.menu
  	    menu $frame.mbOthers.menu
  	    menu [set m $frame.mbOthers.menu.tkdesk]
--- 133,145 ----
  
  	# ---- TkDesk Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbTkDesk -text "T ɽ" -underline 0 \
  		    -menu $frame.mbTkDesk.menu
  	    pack $frame.mbTkDesk -side left
  	    
  	    menu [set m $frame.mbTkDesk.menu]
  	} else {
! 	    menubutton $frame.mbOthers -text "O ¾" -underline 0 \
  		    -menu $frame.mbOthers.menu
  	    menu $frame.mbOthers.menu
  	    menu [set m $frame.mbOthers.menu.tkdesk]
***************
*** 157,163 ****
  	    $dm add command -label "Eval XSelection " \
  		    -command {eval [selection get]} \
  		    -accelerator "Meta-x"
! 	    $dm add command -label "Restart" -underline 2 \
  		    -command "dsk_restart" -accelerator "Meta-r"
  	    $dm add separator
  	    $dm add checkbutton -label "Debug Mode" \
--- 157,163 ----
  	    $dm add command -label "Eval XSelection " \
  		    -command {eval [selection get]} \
  		    -accelerator "Meta-x"
! 	    $dm add command -label "s Ƶư" -underline 0 \
  		    -command "dsk_restart" -accelerator "Meta-r"
  	    $dm add separator
  	    $dm add checkbutton -label "Debug Mode" \
***************
*** 169,207 ****
  	    bind $this <Alt-x> {eval [selection get]; bell}
  	    bind $this <Alt-r> {dsk_restart}
  	}
! 	$m add command -label "New Browser..." -underline 0 \
  		-command "dsk_ask_dir browser"
  	if [$this isa dsk_FileViewer] {
! 	    $m add command -label "Clone Window" -underline 2 \
  		    -command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  		    -dir \[$this curdir\] -num_lbs \[$this cget num_lbs\]"
  	} else {
! 	    $m add command -label "Clone Window" -underline 2 \
  		    -command "dsk_FileList .fl\[dsk_FileList :: id\] \
  		    -dir \[$this curdir\]"
  	}
  	if [winfo exists .dsk_appbar] {
! 	    $m add command -label "Hide AppBar" -underline 0 \
  		    -command "dsk_appbar"
  	} else {
! 	    $m add command -label "Display AppBar" -underline 0 \
  		    -command "dsk_appbar"
  	}
  	$m add separator
! 	$m add cascade -label "Configuration " -underline 0 \
  		-menu $m.edmenu
! 	$m add cascade -label "Auto Save" -underline 1 \
  		-menu $m.aumenu		
! 	$m add command -label "Save All Now" -underline 0 \
  		-command {dsk_save_config 1}
  
  	$m add separator
! 	$m add command -label "Close Window" -underline 0 \
  		-command "$this close"
  	if !$tkdesk(xmaster) {
! 	    $m add command -label "Quit" -underline 0 -command "dsk_exit"
  	} else {
! 	    $m add command -label "Quit X Windows" -underline 0 \
  		    -command "dsk_exit"
  	}
  	
--- 169,207 ----
  	    bind $this <Alt-x> {eval [selection get]; bell}
  	    bind $this <Alt-r> {dsk_restart}
  	}
! 	$m add command -label "N ե򳫤..." -underline 0 \
  		-command "dsk_ask_dir browser"
  	if [$this isa dsk_FileViewer] {
! 	    $m add command -label "W ɥʣ" -underline 0 \
  		    -command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  		    -dir \[$this curdir\] -num_lbs \[$this cget num_lbs\]"
  	} else {
! 	    $m add command -label "W ɥʣ" -underline 0 \
  		    -command "dsk_FileList .fl\[dsk_FileList :: id\] \
  		    -dir \[$this curdir\]"
  	}
  	if [winfo exists .dsk_appbar] {
! 	    $m add command -label "H ץꥱ󡦥Сγ" -underline 0 \
  		    -command "dsk_appbar"
  	} else {
! 	    $m add command -label "D ץꥱ󡦥Сγ" -underline 0 \
  		    -command "dsk_appbar"
  	}
  	$m add separator
! 	$m add cascade -label "E " -underline 0 \
  		-menu $m.edmenu
! 	$m add cascade -label "A Ķư¸" -underline 0 \
  		-menu $m.aumenu		
! 	$m add command -label "S ߤδĶ¸" -underline 0 \
  		-command {dsk_save_config 1}
  
  	$m add separator
! 	$m add command -label "C ɥĤ" -underline 0 \
  		-command "$this close"
  	if !$tkdesk(xmaster) {
! 	    $m add command -label "Q λ" -underline 0 -command "dsk_exit"
  	} else {
! 	    $m add command -label "Q Xɥλ" -underline 0 \
  		    -command "dsk_exit"
  	}
  	
***************
*** 212,280 ****
  		    -label "$cfs 	($tkdesk(configxpl,$cf))" \
  		    -command "dsk_edit_configs $cf"
  	}
! 	$em add command -label "Find in Config..." \
  		-command "dsk_find_files -path $tkdesk(configdir) -name [list $tkdesk(configfiles)] -type file"
  	$em add separator
! 	$em add command -label "Colors..." \
  			-command "dsk_config_panel colors"
! 	$em add command -label "Fonts..." \
  			-command "dsk_config_panel fonts"
! 	$em add command -label "Icons..." \
  			-command "dsk_config_panel icons"
! 	$em add command -label "Sounds..." \
  			-command "dsk_config_panel sounds"
  
  	menu [set am $m.aumenu]
! 	$am add checkbutton -label "Annotations" \
  		-variable tkdesk(autosave,annotations)
! 	$am add checkbutton -label "Bookmarks" \
  		-variable tkdesk(autosave,bookmarks)
! 	$am add checkbutton -label "Histories" \
  		-variable tkdesk(autosave,history)
! 	$am add checkbutton -label "Options" \
  		-variable tkdesk(autosave,options)
! 	$am add checkbutton -label "Window Layout" \
  		-variable tkdesk(autosave,layout)
  
  	# ---- File Menu
! 	menubutton $frame.mbFile -text "File" -underline 0 \
  		-menu $frame.mbFile.menu
  	pack $frame.mbFile -side left
  
  	menu [set m $frame.mbFile.menu]
! 	$m add command -label "Information" -underline 0 \
  		-command "dsk_fileinfo" -accelerator "Ctrl-i"
! 	$m add command -label "New File..." -underline 0 \
  		-command "dsk_create file" -accelerator "Ctrl-n"
! 	$m add command -label "New Directory..." -underline 4 \
  		-command "dsk_create directory" -accelerator "Ctrl-d"
  	$m add separator
! 	$m add command -label "Open" -underline 0 \
  		-command "dsk_openall"
! 	$m add command -label "Print..." -underline 0 \
  		-command "dsk_print" -accelerator "Ctrl-P"
! 	$m add command -label "Copy, Move, Link... " -underline 0 \
  		-command "dsk_copy" -accelerator "Ctrl-c"
! 	$m add command -label "Rename... " -underline 0 \
  		-command "dsk_rename" -accelerator "Ctrl-r"
! 	$m add command -label "Delete..." -underline 1 \
  		-command "dsk_delete" -accelerator "Del"
  	
  	$m add separator
! 	$m add command -label "Find Files..." -underline 0 \
  		-command "dsk_find_files" -accelerator "Ctrl-f"
! 	$m add command -label "Find Annotation..." -underline 5 \
  		-command "dsk_find_annotation"
! 	$m add command -label "Copy To X Selection" -underline 8 \
  		 -command "dsk_select X"
! 	$m add command -label "Copy Names Only " -underline 6 \
  		 -command "dsk_select X names"
  	$m add separator
! 	$m add cascade -label "History" -menu $m.mhf
  	menu $m.mhf -postcommand \
  		"file_history buildmenu $m.mhf; update"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m.mhf add command -label "dummy"
  	file_history changed
  	bind $m.mhf <ButtonRelease-3> "
  	set tkdesk(file_lb,control) 0
--- 212,282 ----
  		    -label "$cfs 	($tkdesk(configxpl,$cf))" \
  		    -command "dsk_edit_configs $cf"
  	}
! 	$em add command -label "եθ..." \
  		-command "dsk_find_files -path $tkdesk(configdir) -name [list $tkdesk(configfiles)] -type file"
  	$em add separator
! 	$em add command -label "..." \
  			-command "dsk_config_panel colors"
! 	$em add command -label "ե..." \
  			-command "dsk_config_panel fonts"
! 	$em add command -label "..." \
  			-command "dsk_config_panel icons"
! 	$em add command -label "..." \
  			-command "dsk_config_panel sounds"
  
  	menu [set am $m.aumenu]
! 	$am add checkbutton -label "" \
  		-variable tkdesk(autosave,annotations)
! 	$am add checkbutton -label "֥åޡ" \
  		-variable tkdesk(autosave,bookmarks)
! 	$am add checkbutton -label "ҥȥ" \
  		-variable tkdesk(autosave,history)
! 	$am add checkbutton -label "ץ" \
  		-variable tkdesk(autosave,options)
! 	$am add checkbutton -label "ɥ쥤" \
  		-variable tkdesk(autosave,layout)
  
  	# ---- File Menu
! 	menubutton $frame.mbFile -text "F ե" -underline 0 \
  		-menu $frame.mbFile.menu
  	pack $frame.mbFile -side left
  
  	menu [set m $frame.mbFile.menu]
! 	$m add command -label "I " -underline 0 \
  		-command "dsk_fileinfo" -accelerator "Ctrl-i"
! 	$m add command -label "N ե..." -underline 0 \
  		-command "dsk_create file" -accelerator "Ctrl-n"
! 	$m add command -label "W ե..." -underline 0 \
  		-command "dsk_create directory" -accelerator "Ctrl-d"
  	$m add separator
! 	$m add command -label "O " -underline 0 \
  		-command "dsk_openall"
! 	$m add command -label "S ..." -underline 0 \
! 		-command "exec easypr --setup &"
! 	$m add command -label "P " -underline 0 \
  		-command "dsk_print" -accelerator "Ctrl-P"
! 	$m add command -label "E ʣ̡ư... " -underline 0 \
  		-command "dsk_copy" -accelerator "Ctrl-c"
! 	$m add command -label "R ̾ѹ... " -underline 0 \
  		-command "dsk_rename" -accelerator "Ctrl-r"
! 	$m add command -label "D ..." -underline 0 \
  		-command "dsk_delete" -accelerator "Del"
  	
  	$m add separator
! 	$m add command -label "F ե븡..." -underline 0 \
  		-command "dsk_find_files" -accelerator "Ctrl-f"
! 	$m add command -label "A 򸡺..." -underline 0 \
  		-command "dsk_find_annotation"
! 	$m add command -label "X إ쥯󤫤ʣ" -underline 0 \
  		 -command "dsk_select X"
! 	$m add command -label "C ̾Τʣ" -underline 0 \
  		 -command "dsk_select X names"
  	$m add separator
! 	$m add cascade -label "" -menu $m.mhf
  	menu $m.mhf -postcommand \
  		"file_history buildmenu $m.mhf; update"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m.mhf add command -label "ߡ"
  	file_history changed
  	bind $m.mhf <ButtonRelease-3> "
  	set tkdesk(file_lb,control) 0
***************
*** 282,316 ****
  	bind $m.mhf <Control-ButtonRelease-3> "
  	set tkdesk(file_lb,control) 1
  	[bind Menu <ButtonRelease-3>]"
! 	$m add command -label "Close Window" -command "$this delete"
  	
  	# ---- Directories Menu
! 	menubutton $frame.mbDirs -text "Directory" -underline 0 \
  		-menu $frame.mbDirs.menu
  	pack $frame.mbDirs -side left
  
  	menu [set m $frame.mbDirs.menu]
! 	$m add command -label "Open..." -underline 0 \
  		-command "dsk_ask_dir" -accelerator "Ctrl-o"
! 	$m add command -label "New..." -underline 0 \
  		-command "dsk_create directory" -accelerator "Ctrl-d"
  	$m add separator
  
! 	$m add command -label "Home" -underline 0 \
  		-command {dsk_cd ~} \
  		-accelerator "Ctrl-Home"
! 	$m add command -label "Previous" -underline 0 \
  		-command {dsk_cd [list [dir_history back]]} \
  		-accelerator "Ctrl-Left"
! 	$m add command -label "Next" -underline 0 \
  		-command {dsk_cd [list [dir_history forward]]} \
  		-accelerator "Ctrl-Right"
  	$m add separator
  	
! 	$m add command -label "Open Trash Can" -underline 0 \
  		-command "dsk_FileList .dfl\[dsk_FileList :: id\] \
  			-directory $tkdesk(trashdir)"
! 	$m add command -label "Empty Trash Can" -underline 0 \
  		-command "dsk_empty_trash"
  	
  	$m add separator
--- 284,318 ----
  	bind $m.mhf <Control-ButtonRelease-3> "
  	set tkdesk(file_lb,control) 1
  	[bind Menu <ButtonRelease-3>]"
! 	$m add command -label "ɥĤ" -command "$this delete"
  	
  	# ---- Directories Menu
! 	menubutton $frame.mbDirs -text "D ե" -underline 0 \
  		-menu $frame.mbDirs.menu
  	pack $frame.mbDirs -side left
  
  	menu [set m $frame.mbDirs.menu]
! 	$m add command -label "O ..." -underline 0 \
  		-command "dsk_ask_dir" -accelerator "Ctrl-o"
! 	$m add command -label "N ..." -underline 0 \
  		-command "dsk_create directory" -accelerator "Ctrl-d"
  	$m add separator
  
! 	$m add command -label "H ۡ" -underline 0 \
  		-command {dsk_cd ~} \
  		-accelerator "Ctrl-Home"
! 	$m add command -label "P " -underline 0 \
  		-command {dsk_cd [list [dir_history back]]} \
  		-accelerator "Ctrl-Left"
! 	$m add command -label "N " -underline 0 \
  		-command {dsk_cd [list [dir_history forward]]} \
  		-accelerator "Ctrl-Right"
  	$m add separator
  	
! 	$m add command -label "B Ȣ򳫤" -underline 0 \
  		-command "dsk_FileList .dfl\[dsk_FileList :: id\] \
  			-directory $tkdesk(trashdir)"
! 	$m add command -label "E Ȣˤ" -underline 0 \
  		-command "dsk_empty_trash"
  	
  	$m add separator
***************
*** 325,342 ****
  	}
  
  	$m add separator
! 	$m add cascade -label "Trees" -menu ${m}.fs
  	menu ${m}.fs
  	menu ${m}.fs.home -postcommand "dsk_casdirs $env(HOME) ${m}.fs.home 1"
  	${m}.fs add cascade -label "Home " -menu ${m}.fs.home
  	menu ${m}.fs.root -postcommand "dsk_casdirs / ${m}.fs.root 1"
  	${m}.fs add cascade -label "Root " -menu ${m}.fs.root
  
! 	$m add cascade -label "History" -menu $m.mhd
  	menu $m.mhd -postcommand \
  		"dir_history buildmenu $m.mhd open; update"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m.mhd add command -label "dummy"
  	dir_history changed
  
  	bind $m <ButtonRelease-1> "
--- 327,344 ----
  	}
  
  	$m add separator
! 	$m add cascade -label "ĥ꡼" -menu ${m}.fs
  	menu ${m}.fs
  	menu ${m}.fs.home -postcommand "dsk_casdirs $env(HOME) ${m}.fs.home 1"
  	${m}.fs add cascade -label "Home " -menu ${m}.fs.home
  	menu ${m}.fs.root -postcommand "dsk_casdirs / ${m}.fs.root 1"
  	${m}.fs add cascade -label "Root " -menu ${m}.fs.root
  
! 	$m add cascade -label "" -menu $m.mhd
  	menu $m.mhd -postcommand \
  		"dir_history buildmenu $m.mhd open; update"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m.mhd add command -label "ߡ"
  	dir_history changed
  
  	bind $m <ButtonRelease-1> "
***************
*** 351,394 ****
  	    pack $frame.mbOthers -side left
  
  	    set m $frame.mbOthers.menu
! 	    #$m add command -label "Open Browser View" -underline 0 \
  		    -command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  		    -dir \[$this curdir\] -num_lbs \$tkdesk(num_lbs)"
! 	    $m add cascade -label "TkDesk" -menu $frame.mbOthers.menu.tkdesk
! 	    $m add cascade -label "Commands" -menu $frame.mbOthers.menu.cmd
! 	    $m add cascade -label "Bookmarks" -menu $frame.mbOthers.menu.book
! 	    $m add cascade -label "Options" -menu $frame.mbOthers.menu.opts
! 	    $m add cascade -label "Help" -menu $frame.mbOthers.menu.help
  	    $m add separator
! 	    $m add command -label "Open Browser " \
  		    -command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  	                -directory \[$this info public directory -value\]"
  	}
  
  	# ---- Commands Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbCmds -text "Commands" -underline 0 \
  		    -menu $frame.mbCmds.menu
  	    pack $frame.mbCmds -side left
  	    menu [set m $frame.mbCmds.menu]
  	} else {
  	    menu [set m $this.fMenu.mbOthers.menu.cmd]
  	}
! 	$m add command -label "Execute..." -underline 0 \
  		-command "dsk_ask_exec" -accelerator "Ctrl-x"
! 	$m add command -label "Execute as root..." -underline 11 \
  		-command "$this exec_as_root"
! 	$m add command -label "Periodic Execution..." -underline 0 \
  		-command "dsk_periodic"
! 	$m add command -label "Job Control" -underline 0 -command "dsk_jobs"
  	$m add separator
! 	$m add command -label "Edit File..." -underline 0 \
! 		-command {dsk_edit} -accelerator "Ctrl-e"
! 	$m add command -label "New File" -underline 0 \
  		-command {dsk_edit "New File"}
! 	$m add command -label "Edit Selected" -underline 0 \
  		-command {eval [_expand_pc {dsk_edit %B}]}
! 	$m add cascade -label "Buffers" -menu $m.bufs
  	menu [set tm $m.bufs] -postcommand \
  		"dsk_Editor :: bufferMenu $tm"
  	$m add separator
--- 353,396 ----
  	    pack $frame.mbOthers -side left
  
  	    set m $frame.mbOthers.menu
! 	    #$m add command -label "O ӥ塼֥饦򳫤" -underline 0 \
  		    -command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  		    -dir \[$this curdir\] -num_lbs \$tkdesk(num_lbs)"
! 	    $m add cascade -label "ǥȥå" -menu $frame.mbOthers.menu.tkdesk
! 	    $m add cascade -label "ޥ" -menu $frame.mbOthers.menu.cmd
! 	    $m add cascade -label "֥åޡ" -menu $frame.mbOthers.menu.book
! 	    $m add cascade -label "ץ" -menu $frame.mbOthers.menu.opts
! 	    $m add cascade -label "إ" -menu $frame.mbOthers.menu.help
  	    $m add separator
! 	    $m add command -label "֥饦򳫤" \
  		    -command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  	                -directory \[$this info public directory -value\]"
  	}
  
  	# ---- Commands Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbCmds -text "C ̿" -underline 0 \
  		    -menu $frame.mbCmds.menu
  	    pack $frame.mbCmds -side left
  	    menu [set m $frame.mbCmds.menu]
  	} else {
  	    menu [set m $this.fMenu.mbOthers.menu.cmd]
  	}
! 	$m add command -label "E ¹..." -underline 0 \
  		-command "dsk_ask_exec" -accelerator "Ctrl-x"
! 	$m add command -label "S ѡ桼Ǽ¹..." -underline 0 \
  		-command "$this exec_as_root"
! 	$m add command -label "P ¹Ԥ̤ɽ..." -underline 0 \
  		-command "dsk_periodic"
! 	$m add command -label "J " -underline 0 -command "dsk_jobs"
  	$m add separator
! 	$m add command -label "F եԽ..." -underline 0 \
! 		-command {dsk_edit}
! 	$m add command -label "N ե" -underline 0 \
  		-command {dsk_edit "New File"}
! 	$m add command -label "L Խ" -underline 0 \
  		-command {eval [_expand_pc {dsk_edit %B}]}
! 	$m add cascade -label "Хåե" -menu $m.bufs
  	menu [set tm $m.bufs] -postcommand \
  		"dsk_Editor :: bufferMenu $tm"
  	$m add separator
***************
*** 403,413 ****
  	}
  
  	$m add separator
! 	$m add cascade -label "History" -menu $m.mhe
  	menu $m.mhe -postcommand \
  		"exec_history buildmenu $m.mhe; update"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m.mhe add command -label "dummy"
  	exec_history changed
  	bind $m.mhe <ButtonRelease-3> "
  	set tkdesk(file_lb,control) 0
--- 405,415 ----
  	}
  
  	$m add separator
! 	$m add cascade -label "" -menu $m.mhe
  	menu $m.mhe -postcommand \
  		"exec_history buildmenu $m.mhe; update"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m.mhe add command -label "ߡ"
  	exec_history changed
  	bind $m.mhe <ButtonRelease-3> "
  	set tkdesk(file_lb,control) 0
***************
*** 418,424 ****
  
  	# ---- Bookmarks Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbBook -text "Bookmarks" -underline 0 \
  		    -menu $frame.mbBook.menu
  	    pack $frame.mbBook -side left
  	    menu [set m $frame.mbBook.menu] \
--- 420,426 ----
  
  	# ---- Bookmarks Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbBook -text "B " -underline 0 \
  		    -menu $frame.mbBook.menu
  	    pack $frame.mbBook -side left
  	    menu [set m $frame.mbBook.menu] \
***************
*** 427,435 ****
  	    menu [set m $this.fMenu.mbOthers.menu.book] \
  		    -postcommand "dsk_bookmark menu $m"
  	}
! 	
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m add command -label "dummy"
  	bind $m <ButtonRelease-1> "
  		set tkdesk(file_lb,control) 0
  		[bind Menu <ButtonRelease-1>]"
--- 429,437 ----
  	    menu [set m $this.fMenu.mbOthers.menu.book] \
  		    -postcommand "dsk_bookmark menu $m"
  	}
! 
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m add command -label "ߡ"
  	bind $m <ButtonRelease-1> "
  		set tkdesk(file_lb,control) 0
  		[bind Menu <ButtonRelease-1>]"
***************
*** 437,518 ****
  		set tkdesk(file_lb,control) 1
  		[bind Menu <ButtonRelease-1>]"
  
  	# ---- Options Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbOpts -text "Options" -underline 0 \
  		    -menu $frame.mbOpts.menu
  	    pack $frame.mbOpts -side left
  	    menu [set m $frame.mbOpts.menu]
  	} else {
  	    menu [set m $this.fMenu.mbOthers.menu.opts]
  	}
! 	
! 	$m add checkbutton -label " Long Listing " -underline 1 \
  	    -variable tkdesk(long_listing) \
  	    -command "dsk_FileListbox :: longlist \$tkdesk(long_listing)"
! 	$m add checkbutton -label " Show All Files " -underline 1 \
  	    -variable tkdesk(show_all_files) \
  	    -command "dsk_FileListbox :: showall \$tkdesk(show_all_files)"
! 	$m add checkbutton -label " Add Icons " -underline 1 \
  	    -variable tkdesk(add_icons) \
  	    -command "dsk_FileListbox :: addicons \$tkdesk(add_icons)"
! 	$m add checkbutton -label " Folders On Top " -underline 1 \
  	    -variable tkdesk(folders_on_top) \
  	    -command "dsk_FileListbox :: topfolders \$tkdesk(folders_on_top)"
! 	$m add checkbutton -label " Append Type Char " -underline 2 \
  	    -variable tkdesk(append_type_char) \
  	    -command "dsk_FileListbox :: typechar \$tkdesk(append_type_char)"
! 	$m add checkbutton -label " Single Click (Dirs) " -underline 4 \
  	    -variable tkdesk(single_click)
! 	$m add checkbutton -label " Always In Browser " -underline 11 \
  	    -variable tkdesk(in_browser)
! 	$m add checkbutton -label " Status in List Windows " -underline 5 \
  	    -variable tkdesk(list_statbar) \
  	    -command "dsk_FileList :: status_bar \$tkdesk(list_statbar)"
! 	$m add cascade -label "Sort by ..." -menu $m.smenu
  	menu $m.smenu
! 	$m.smenu add radiobutton -label " Name " \
  		-variable tkdesk(default_sort) -value name \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label " Name (fold) " \
  		-variable tkdesk(default_sort) -value fold \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label " Size " \
  		-variable tkdesk(default_sort) -value size \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label " Date " \
  		-variable tkdesk(default_sort) -value date \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label " Extension " \
  		-variable tkdesk(default_sort) -value ext \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label " Don't sort " \
  		-variable tkdesk(default_sort) -value not \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
  	$m add separator
  
! 	#$m add checkbutton -label " Execute as root " -underline 2 \
  	#    -variable tkdesk(exec_as_root)
! 	$m add checkbutton -label " Strip $env(HOME) " -underline 2 \
  	    -variable tkdesk(strip_home) \
  	    -command "$this refresh all"
! 	$m add checkbutton -label " Overwrite Always " -underline 1 \
  	    -variable tkdesk(overwrite_always)
! 	$m add checkbutton -label " Really Delete " -underline 1 \
  	    -variable tkdesk(really_delete)
! 	$m add checkbutton -label " Ask On Delete " -underline 3 \
  	    -variable tkdesk(ask_on_delete)
! 	$m add checkbutton -label " Quick Drag'n'Drop " -underline 1 \
  	    -variable tkdesk(quick_dragndrop)
! 	$m add checkbutton -label " Sort History " -underline 6 \
  	    -variable tkdesk(sort_history)
! 	$m add checkbutton -label " TkDesk Server " -underline 4 \
  		-command "dsk_setup_server" -variable tkdesk(tkdesk_server)
  	$m add checkbutton -label " Dialogs At Pointer " -underline 1 \
  	    -variable tkdesk(at_pointer)
! 	$m add checkbutton -label " Autoraise AppBar " \
  		-variable tkdesk(appbar,autoraise)
! 	$m add checkbutton -label " Use Sound " -underline 8 \
  		-variable tkdesk(use_sound)
  	if ![info exists tkdesk(soundcmd)] {
  	    $m entryconfig [$m index *Sound*] -state disabled
--- 439,541 ----
  		set tkdesk(file_lb,control) 1
  		[bind Menu <ButtonRelease-1>]"
  
+ 	# ---- Mail Menu
+ 	if [$this isa dsk_FileViewer] {
+ 	    menubutton $frame.mbMail -text "M ᡼" -underline 0 \
+ 		    -menu $frame.mbMail.menu
+ 	    pack $frame.mbMail -side left
+ 	    menu [set m $frame.mbMail.menu]
+ 	} else {
+ 	    menu [set m $this.fMenu.mbOthers.menu.mail]
+ 	}
+ 	$m add command -label "G ᡼" -underline 0 -command "dsk_receive_mail"
+ 	$m add command -label "C ᡼" -underline 0 -command {
+ 	    set tkdesk(TkMailer) "mail"
+ 	    dsk_mailer {} {} {}
+ 	}
+ 	$m add command -label "N ˥塼" -underline 0 -command {
+ 	    set tkdesk(TkMailer) "news"
+ 	    dsk_mailer {} {} {}
+ 	}
+ 	$m add command -label "E ñ" -underline 0 -command "dsk_easyconf_mail"
+ 	$m add command -label "S ܺ" -underline 0 -command "dsk_config_mail"
+ 	$m add command -label "D ᡼뵡ǽβ" -underline 0 -command "dsk_help mail"
+ 
  	# ---- Options Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbOpts -text "O " -underline 0 \
  		    -menu $frame.mbOpts.menu
  	    pack $frame.mbOpts -side left
  	    menu [set m $frame.mbOpts.menu]
  	} else {
  	    menu [set m $this.fMenu.mbOthers.menu.opts]
  	}
! 	$m add checkbutton -label "L եξܺ٤ɽ" -underline 0 \
  	    -variable tkdesk(long_listing) \
  	    -command "dsk_FileListbox :: longlist \$tkdesk(long_listing)"
! 	$m add checkbutton -label "S ƤΥեɽ" -underline 0 \
  	    -variable tkdesk(show_all_files) \
  	    -command "dsk_FileListbox :: showall \$tkdesk(show_all_files)"
! 	$m add checkbutton -label "I ɲ" -underline 0 \
  	    -variable tkdesk(add_icons) \
  	    -command "dsk_FileListbox :: addicons \$tkdesk(add_icons)"
! 	$m add checkbutton -label "F եƬɽ" -underline 0 \
  	    -variable tkdesk(folders_on_top) \
  	    -command "dsk_FileListbox :: topfolders \$tkdesk(folders_on_top)"
! 	$m add checkbutton -label "p ¹ԥեˡĤ" -underline 0 \
  	    -variable tkdesk(append_type_char) \
  	    -command "dsk_FileListbox :: typechar \$tkdesk(append_type_char)"
! 	$m add checkbutton -label "g 󥰥륯åǥե򳫤" -underline 0 \
  	    -variable tkdesk(single_click)
! 	$m add checkbutton -label "B ˥֥饦" -underline 0 \
  	    -variable tkdesk(in_browser)
! 	$m add checkbutton -label "s ơɽ" -underline 0 \
  	    -variable tkdesk(list_statbar) \
  	    -command "dsk_FileList :: status_bar \$tkdesk(list_statbar)"
! 	$m add cascade -label "..." -menu $m.smenu
  	menu $m.smenu
! 	$m.smenu add radiobutton -label "̾(羮ʸ)" \
  		-variable tkdesk(default_sort) -value name \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label "̾" \
  		-variable tkdesk(default_sort) -value fold \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label "" \
  		-variable tkdesk(default_sort) -value size \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label "ս" \
  		-variable tkdesk(default_sort) -value date \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label "ĥҽ" \
  		-variable tkdesk(default_sort) -value ext \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
! 	$m.smenu add radiobutton -label "Ȥʤ" \
  		-variable tkdesk(default_sort) -value not \
  		-command "dsk_FileListbox :: sort \$tkdesk(default_sort)"
  	$m add separator
  
! 	#$m add checkbutton -label "x 롼ȤǼ¹" -underline 0 \
  	#    -variable tkdesk(exec_as_root)
! 	$m add checkbutton -label "t $env(HOME)ˤ" -underline 0 \
  	    -variable tkdesk(strip_home) \
  	    -command "$this refresh all"
! 	$m add checkbutton -label "V ˾񤭤" -underline 0 \
  	    -variable tkdesk(overwrite_always)
! 	$m add checkbutton -label "R ºݤ˺" -underline 0 \
  	    -variable tkdesk(really_delete)
! 	$m add checkbutton -label "A ǧƺ" -underline 0 \
  	    -variable tkdesk(ask_on_delete)
! 	$m add checkbutton -label "Q åɥåɥå" -underline 0 \
  	    -variable tkdesk(quick_dragndrop)
! 	$m add checkbutton -label "H Υ" -underline 0 \
  	    -variable tkdesk(sort_history)
! 	$m add checkbutton -label "e TkDesk" -underline 0 \
  		-command "dsk_setup_server" -variable tkdesk(tkdesk_server)
  	$m add checkbutton -label " Dialogs At Pointer " -underline 1 \
  	    -variable tkdesk(at_pointer)
! 	$m add checkbutton -label "硼ȥåȤɽ" \
  		-variable tkdesk(appbar,autoraise)
! 	$m add checkbutton -label "U " -underline 0 \
  		-variable tkdesk(use_sound)
  	if ![info exists tkdesk(soundcmd)] {
  	    $m entryconfig [$m index *Sound*] -state disabled
***************
*** 521,560 ****
  	set optm $m
  
  	if [$this isa dsk_FileViewer] {
! 	    $m add cascade -label "Number Of Listboxes" -menu $m.numlbs
  	    menu [set m $m.numlbs]
  	    set num_lbs [virtual cget -num_lbs]
  	    set [set this](num_lbs) $num_lbs
! 	    $m add radiobutton -label " 1 Listbox" \
  		    -variable [set this](num_lbs) \
  		    -value 1 -command "$this _resize"
! 	    $m add radiobutton -label " 2 Listboxes" \
  		    -variable [set this](num_lbs) \
  		    -value 2 -command "$this _resize"
! 	    $m add radiobutton -label " 3 Listboxes" \
  		    -variable [set this](num_lbs) \
  		    -value 3 -command "$this _resize"
! 	    $m add radiobutton -label " 4 Listboxes" \
  		    -variable [set this](num_lbs) \
  		    -value 4 -command "$this _resize"
! 	    $m add radiobutton -label " 5 Listboxes" \
  		    -variable [set this](num_lbs) \
  		    -value 5 -command "$this _resize"
! 	    $m add radiobutton -label " 6 Listboxes" \
  		    -variable [set this](num_lbs) \
  		    -value 6 -command "$this _resize"
  	}
  
  	set m $optm
  	$m add separator
! 	$m add checkbutton -label "Balloon Help" \
  		-variable cb_tools(balloon_help)
! 	$m add checkbutton -label "Use Netscape for Help" \
  		-variable tkdesk(netscape_help)
  
  	# ---- Help Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbHelp -text "Help" -underline 0 \
  		    -menu $frame.mbHelp.menu
  	    pack $frame.mbHelp -side right
  	    menu [set m $frame.mbHelp.menu]
--- 544,583 ----
  	set optm $m
  
  	if [$this isa dsk_FileViewer] {
! 	    $m add cascade -label "ꥹȥܥåο" -menu $m.numlbs
  	    menu [set m $m.numlbs]
  	    set num_lbs [virtual cget -num_lbs]
  	    set [set this](num_lbs) $num_lbs
! 	    $m add radiobutton -label "1ꥹȥܥå" \
  		    -variable [set this](num_lbs) \
  		    -value 1 -command "$this _resize"
! 	    $m add radiobutton -label "2ꥹȥܥå" \
  		    -variable [set this](num_lbs) \
  		    -value 2 -command "$this _resize"
! 	    $m add radiobutton -label "3ꥹȥܥå" \
  		    -variable [set this](num_lbs) \
  		    -value 3 -command "$this _resize"
! 	    $m add radiobutton -label "4ꥹȥܥå" \
  		    -variable [set this](num_lbs) \
  		    -value 4 -command "$this _resize"
! 	    $m add radiobutton -label "5ꥹȥܥå" \
  		    -variable [set this](num_lbs) \
  		    -value 5 -command "$this _resize"
! 	    $m add radiobutton -label "6ꥹȥܥå" \
  		    -variable [set this](num_lbs) \
  		    -value 6 -command "$this _resize"
  	}
  
  	set m $optm
  	$m add separator
! 	$m add checkbutton -label "Х롼إ" \
  		-variable cb_tools(balloon_help)
! 	$m add checkbutton -label "إפ˥ͥåȥפ" \
  		-variable tkdesk(netscape_help)
  
  	# ---- Help Menu
  	if [$this isa dsk_FileViewer] {
! 	    menubutton $frame.mbHelp -text "H إ" -underline 0 \
  		    -menu $frame.mbHelp.menu
  	    pack $frame.mbHelp -side right
  	    menu [set m $frame.mbHelp.menu]
***************
*** 562,586 ****
  	    menu [set m $this.fMenu.mbOthers.menu.help]
  	}
  
! 	$m add command -label "User's Guide  " \
  		-command "dsk_help guide" \
  		-accelerator "F1"
! 	$m add command -label "Manual Page... " \
  		-command "dsk_man"
  	$m add separator
! 	$m add command -label "Getting Started" \
  		-command "dsk_help quick"
! 	$m add command -label "TkDesk FAQ" \
  		-command "dsk_help faq"
! 	$m add command -label "Changes" \
  		-command "dsk_help changes"
! 	$m add command -label "License" \
  		-command "dsk_help license"
  	$m add separator
! 	$m add command -label "About TkDesk..." \
  		-command dsk_about
  	if $tkdesk(in_development) {
! 	    $m add command -label "About TkDesk (Web)..." \
  		    -command dsk_about_web
  	}
      }
--- 585,611 ----
  	    menu [set m $this.fMenu.mbOthers.menu.help]
  	}
  
! 	$m add command -label "桼" \
  		-command "dsk_help guide" \
  		-accelerator "F1"
! 	$m add command -label "ޥ˥奢ڡ... " \
  		-command "dsk_man"
  	$m add separator
! 	$m add command -label "祬" \
  		-command "dsk_help quick"
! 	$m add command -label "᡼뵡ǽβ" \
! 		-command "dsk_help mail"
! 	$m add command -label "TkDesk" \
  		-command "dsk_help faq"
! 	$m add command -label "ѹ" \
  		-command "dsk_help changes"
! 	$m add command -label "饤" \
  		-command "dsk_help license"
  	$m add separator
! 	$m add command -label "TkDeskˤĤ..." \
  		-command dsk_about
  	if $tkdesk(in_development) {
! 	    $m add command -label "TkDeskˤĤ(Web)..." \
  		    -command dsk_about_web
  	}
      }
***************
*** 825,831 ****
  	    $m add separator
  	    
  	    set sm $m.sub
! 	    $m add cascade -label "Subdirectories " -menu $sm
  	    menu $sm
  	    set p $op
  	    set i 0
--- 850,856 ----
  	    $m add separator
  	    
  	    set sm $m.sub
! 	    $m add cascade -label "Υե" -menu $sm
  	    menu $sm
  	    set p $op
  	    set i 0
***************
*** 841,847 ****
  	    }
  	    
  	    set sm $m.files
! 	    $m add cascade -label "... and Files " -menu $sm
  	    menu $sm
  	    set p $op
  	    set i 0
--- 866,872 ----
  	    }
  	    
  	    set sm $m.files
! 	    $m add cascade -label "Υե" -menu $sm
  	    menu $sm
  	    set p $op
  	    set i 0
diff -crN tkdesk-1.1/tcldesk/Editor.tcl tkdesk-1.1-jp/tcldesk/Editor.tcl
*** tkdesk-1.1/tcldesk/Editor.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/Editor.tcl	Sun Nov  7 20:10:27 1999
***************
*** 113,191 ****
  
  	# ---- File Menu
  
! 	menubutton $this.fMenu.mbFile -text "File" -underline 0 \
  		-menu $this.fMenu.mbFile.menu
   	pack $this.fMenu.mbFile -side left
  
  	menu [set m $this.fMenu.mbFile.menu]
! 	$m add command -label "New  " -underline 0 \
  		-command "$this buffer new {}"
! 	$m add command -label "Load...  " -underline 0 \
  		-command "$this load"
! 	$m add command -label "Insert...  " -underline 0 \
  		-command "$this insertfile"
! 	$m add command -label "Find...  " -underline 0 \
  		-command "$this findfile"
! 	$m add command -label "Reload " -underline 0 \
  		-command "$this buffer reload" -accelerator "Meta-r"
  	$m add separator
! 	$m add command -label "Save " -underline 0 \
  		-command "$this save" -accelerator "Meta-s"
! 	$m add command -label "Save as...  " -underline 5 \
  		-command "$this save as"
! 	$m add command -label "Save all" -underline 2 \
  		-command "dsk_Editor :: save_all"
! 	$m add command -label "Print... " -underline 0 \
  		-command "$this print"
! 	$m add command -label "Mail to... " -underline 0 \
  		-command "$this mail"
  	$m add separator
! 	$m add command -label "Close Buffer " -underline 0 \
  		-command "$this buffer delete *current*" -accelerator "Meta-c"
! 	$m add command -label "Close Window " -underline 6 \
  		-command "$this close_win"
! 	$m add command -label "Close All " -underline 2 \
  		-command "dsk_editor delall"
  
  	# ---- Edit Menu
  	
! 	menubutton $this.fMenu.mbEdit -text "Edit" -underline 0 \
  		-menu $this.fMenu.mbEdit.menu
  	pack $this.fMenu.mbEdit -side left
  
  	menu [set m $this.fMenu.mbEdit.menu]
! 	$m add command -label "Undo" -underline 0 -command "$this undo" \
  		-accelerator "Ctrl-z" -state disabled
  	$m add separator
! 	$m add command -label "Cut" -underline 0 -command "$this cut" \
  		-accelerator "Ctrl-x"
! 	$m add command -label "Copy" -underline 1 -command "$this copy" \
  		-accelerator "Ctrl-c"
! 	$m add command -label "Paste" -underline 0 -command "$this paste" \
  		-accelerator "Ctrl-v"
! 	$m add command -label "Select all" -underline 7 \
  		-command "$this.ft.text tag add sel 1.0 end" \
  		-accelerator "Ctrl-a"
  	$m add separator
! 	$m add command -label "Search/Replace... " -underline 0 \
  		-command "$this search" -accelerator "Ctrl-s"
! 	$m add command -label "HyperSearch... " -underline 0 \
  		-command "$this hypersearch" -accelerator "Ctrl-h"
! 	$m add command -label "Find Selection" -underline 0 \
  		-command "$this findsel" -accelerator "Meta-Spc"
  	$m add separator
! 	$m add command -label "Goto Line... " -underline 0 \
  		-command "$this gotoline" -accelerator "Ctrl-g"
  
  	# ---- Options Menu
  
! 	menubutton $this.fMenu.mbOptions -text "Options" -underline 0 \
  		-menu $this.fMenu.mbOptions.menu
  	pack $this.fMenu.mbOptions -side left
  
  	menu [set m $this.fMenu.mbOptions.menu]
  	::set [set this](auto_indent) $tkdesk(editor,auto_indent)
! 	$m add checkbutton -label " Auto Indent" -underline 1 \
  		-variable [set this](auto_indent) \
  		-command "$this set_auto_indent"
  	::set [set this](brace_indent) $tkdesk(editor,brace_indent)
--- 113,193 ----
  
  	# ---- File Menu
  
! 	menubutton $this.fMenu.mbFile -text "F ե" -underline 0 \
  		-menu $this.fMenu.mbFile.menu
   	pack $this.fMenu.mbFile -side left
  
  	menu [set m $this.fMenu.mbFile.menu]
! 	$m add command -label "N " -underline 0 \
  		-command "$this buffer new {}"
! 	$m add command -label "L ɤ߹..." -underline 0 \
  		-command "$this load"
! 	$m add command -label "I ..." -underline 0 \
  		-command "$this insertfile"
! 	$m add command -label "F ..." -underline 0 \
  		-command "$this findfile"
! 	$m add command -label "R ɤ߹" -underline 0 \
  		-command "$this buffer reload" -accelerator "Meta-r"
  	$m add separator
! 	$m add command -label "S ¸" -underline 0 \
  		-command "$this save" -accelerator "Meta-s"
! 	$m add command -label "a ̾Ĥ¸..." -underline 0 \
  		-command "$this save as"
! 	$m add command -label "v ¸" -underline 0 \
  		-command "dsk_Editor :: save_all"
! 	$m add command -label "P ..." -underline 0 \
  		-command "$this print"
! 	$m add command -label "M ᡼..." -underline 0 \
  		-command "$this mail"
+ 	$m add command -label "D ˥塼..." -underline 0 \
+ 		-command "$this news"
  	$m add separator
! 	$m add command -label "C ХåեĤ" -underline 0 \
  		-command "$this buffer delete *current*" -accelerator "Meta-c"
! 	$m add command -label "W ɥĤ" -underline 0 \
  		-command "$this close_win"
! 	$m add command -label "o Ĥ" -underline 0 \
  		-command "dsk_editor delall"
  
  	# ---- Edit Menu
  	
! 	menubutton $this.fMenu.mbEdit -text "E Խ" -underline 0 \
  		-menu $this.fMenu.mbEdit.menu
  	pack $this.fMenu.mbEdit -side left
  
  	menu [set m $this.fMenu.mbEdit.menu]
! 	$m add command -label "U ᤹" -underline 0 -command "$this undo" \
  		-accelerator "Ctrl-z" -state disabled
  	$m add separator
! 	$m add command -label "C ڤ" -underline 0 -command "$this cut" \
  		-accelerator "Ctrl-x"
! 	$m add command -label "o ԡ" -underline 0 -command "$this copy" \
  		-accelerator "Ctrl-c"
! 	$m add command -label "P Žդ" -underline 0 -command "$this paste" \
  		-accelerator "Ctrl-v"
! 	$m add command -label "a " -underline 0 \
  		-command "$this.ft.text tag add sel 1.0 end" \
  		-accelerator "Ctrl-a"
  	$m add separator
! 	$m add command -label "S /ִ..." -underline 0 \
  		-command "$this search" -accelerator "Ctrl-s"
! 	$m add command -label "H ɽǸ..." -underline 0 \
  		-command "$this hypersearch" -accelerator "Ctrl-h"
! 	$m add command -label "F 򤵤줿ʸ򸡺" -underline 0 \
  		-command "$this findsel" -accelerator "Meta-Spc"
  	$m add separator
! 	$m add command -label "G ֹ..." -underline 0 \
  		-command "$this gotoline" -accelerator "Ctrl-g"
  
  	# ---- Options Menu
  
! 	menubutton $this.fMenu.mbOptions -text "O " -underline 0 \
  		-menu $this.fMenu.mbOptions.menu
  	pack $this.fMenu.mbOptions -side left
  
  	menu [set m $this.fMenu.mbOptions.menu]
  	::set [set this](auto_indent) $tkdesk(editor,auto_indent)
! 	$m add checkbutton -label " A ưǥ" -underline 1 \
  		-variable [set this](auto_indent) \
  		-command "$this set_auto_indent"
  	::set [set this](brace_indent) $tkdesk(editor,brace_indent)
***************
*** 193,206 ****
  		-variable [set this](brace_indent)
  	$m add separator
  	::set [set this](quick_load) 0
! 	$m add checkbutton -label " Quick Load" -underline 1 \
  		-variable [set this](quick_load) \
  		-command "$this set_quick_load"
  	::set [set this](do_backups) $tkdesk(editor,do_backups)
! 	$m add checkbutton -label " Create Backups" -underline 1 \
  		-variable [set this](do_backups)
  	::set [set this](send_netscape) 0
! 	$m add checkbutton -label " Send to Netscape" -underline 9 \
  		-variable [set this](send_netscape)
  	$m add separator
  	#$m add command -label "Font..." \
--- 195,208 ----
  		-variable [set this](brace_indent)
  	$m add separator
  	::set [set this](quick_load) 0
! 	$m add checkbutton -label " Q ®ɤ߹" -underline 1 \
  		-variable [set this](quick_load) \
  		-command "$this set_quick_load"
  	::set [set this](do_backups) $tkdesk(editor,do_backups)
! 	$m add checkbutton -label " C Хåå׺" -underline 1 \
  		-variable [set this](do_backups)
  	::set [set this](send_netscape) 0
! 	$m add checkbutton -label " N ͥåȥפ" -underline 1 \
  		-variable [set this](send_netscape)
  	$m add separator
  	#$m add command -label "Font..." \
***************
*** 210,246 ****
  	#	 -underline 0 \
  	#	 -command "$this setfont default"
  
! 	$m add cascade -label "Tab Stops" -menu $m.mtab \
  		-underline 0
  	menu [set m $m.mtab]
  	::set [set this](realtabs) $tkdesk(editor,real_tabs)
! 	$m add radiobutton -label "Real Tabs" \
  		-underline 0 \
  		-variable [set this](realtabs) \
  		-value 1 \
  		-command "$this set_tab_string"
! 	$m add radiobutton -label "Tab Width..." \
  		-underline 0 \
  		-variable [set this](realtabs) \
  		-value 0 \
  		-command "$this set_tab_string"
  	
  	set m $this.fMenu.mbOptions.menu
! 	$m add cascade -label "Line Wrap" -menu $m.mwrap \
  		-underline 0
  	menu [set m $m.mwrap]
  	::set [set this](wrap) $tkdesk(editor,wrap)
! 	$m add radiobutton -label "None" \
  		-underline 0 \
  		-variable [set this](wrap) \
  		-value none \
  		-command "$this set_line_wrap"
! 	$m add radiobutton -label "Character" \
  		-underline 0 \
  		-variable [set this](wrap) \
  		-value char \
  		-command "$this set_line_wrap"
! 	$m add radiobutton -label "Word" \
  		-underline 0 \
  		-variable [set this](wrap) \
  		-value word \
--- 212,249 ----
  	#	 -underline 0 \
  	#	 -command "$this setfont default"
  
! 
! 	$m add cascade -label "T " -menu $m.mtab \
  		-underline 0
  	menu [set m $m.mtab]
  	::set [set this](realtabs) $tkdesk(editor,real_tabs)
! 	$m add radiobutton -label "R ֥" \
  		-underline 0 \
  		-variable [set this](realtabs) \
  		-value 1 \
  		-command "$this set_tab_string"
! 	$m add radiobutton -label "T ڡ..." \
  		-underline 0 \
  		-variable [set this](realtabs) \
  		-value 0 \
  		-command "$this set_tab_string"
  	
  	set m $this.fMenu.mbOptions.menu
! 	$m add cascade -label "L ޤ֤" -menu $m.mwrap \
  		-underline 0
  	menu [set m $m.mwrap]
  	::set [set this](wrap) $tkdesk(editor,wrap)
! 	$m add radiobutton -label "N ʤ" \
  		-underline 0 \
  		-variable [set this](wrap) \
  		-value none \
  		-command "$this set_line_wrap"
! 	$m add radiobutton -label "C ʸ" \
  		-underline 0 \
  		-variable [set this](wrap) \
  		-value char \
  		-command "$this set_line_wrap"
! 	$m add radiobutton -label "W ñ" \
  		-underline 0 \
  		-variable [set this](wrap) \
  		-value word \
***************
*** 248,254 ****
  	
  	# ---- Buffer Menu
  
! 	menubutton $this.fMenu.mbBuffer -text "Buffers" -underline 0 \
  		-menu $this.fMenu.mbBuffer.menu
  	pack $this.fMenu.mbBuffer -side left
  
--- 251,257 ----
  	
  	# ---- Buffer Menu
  
! 	menubutton $this.fMenu.mbBuffer -text "B Хåե" -underline 0 \
  		-menu $this.fMenu.mbBuffer.menu
  	pack $this.fMenu.mbBuffer -side left
  
***************
*** 422,433 ****
  	}
  
  	while {1} {
! 	    set file [dsk_filesel "Select a file to edit:" $filter showall]
  	    
  	    if {$file != ""} {
  		if [file isdirectory $file] {
  		    dsk_errbell
! 		    cb_error "$file is a directory. Please choose a file."
  		} else {
  		    $this buffer create $file
  		    break
--- 425,436 ----
  	}
  
  	while {1} {
! 	    set file [dsk_filesel "Խե:" $filter showall]
  	    
  	    if {$file != ""} {
  		if [file isdirectory $file] {
  		    dsk_errbell
! 		    cb_error "$file ϡեǤե򤷤Ƥ"
  		} else {
  		    $this buffer create $file
  		    break
***************
*** 453,464 ****
  	#set file [cb_fileSelector -filter $filter \
  		#-label "Select file to insert:" -showall 1]
  	while {1} {
! 	    set file [dsk_filesel "Select a file to insert:" $filter showall]
  	    
  	    if {$file != ""} {
  		if [file isdirectory $file] {
  		    dsk_errbell
! 		    cb_error "$file is a directory. Please choose a file."
  		} else {
  		    $this buffer create $file 1
  		    break
--- 456,467 ----
  	#set file [cb_fileSelector -filter $filter \
  		#-label "Select file to insert:" -showall 1]
  	while {1} {
! 	    set file [dsk_filesel "ե:" $filter showall]
  	    
  	    if {$file != ""} {
  		if [file isdirectory $file] {
  		    dsk_errbell
! 		    cb_error "$file եǤե򤷤Ƥ"
  		} else {
  		    $this buffer create $file 1
  		    break
***************
*** 507,513 ****
  	    }
  	    #set fname [cb_fileSelector -filter $filter \
  		    #-label "Save file as:" -showall 1]
! 	    set fname [dsk_filesel "Save file as:" $filter showall]
  	    if {$fname == ""} {
  		return "cancel"
  	    } else {
--- 510,516 ----
  	    }
  	    #set fname [cb_fileSelector -filter $filter \
  		    #-label "Save file as:" -showall 1]
! 	    set fname [dsk_filesel "̾Ĥ¸:" $filter showall]
  	    if {$fname == ""} {
  		return "cancel"
  	    } else {
***************
*** 543,549 ****
  	}
  	dsk_busy
  	dsk_catch {
! 	    puts -nonewline $fd [$this.ft.text get 1.0 "end - 1 chars"]
  	    close $fd
  	}
  
--- 546,556 ----
  	}
  	dsk_busy
  	dsk_catch {
!  	    if {$id == $currentid} {
!   		puts -nonewline $fd [$this.ft.text get 1.0 "end - 1 chars"]
!  	    } else {
!  		puts -nonewline $fd $buffer($id,text)
!  	    }
  	    close $fd
  	}
  
***************
*** 580,588 ****
      }
  	
      method mail {} {
! 	global tkdesk tmppcmd
! 
! 	dsk_mail "" [$this.ft.text get 1.0 end]
      }
  	
      method buffer {cmd args} {
--- 587,603 ----
      }
  	
      method mail {} {
!     	global tkdesk
!     	
!     	set tkdesk(TkMailer) "mail"
! 	dsk_mailer {} {} [$this.ft.text get 1.0 end]
!     }
! 	
!     method news {} {
!     	global tkdesk
!     	
!     	set tkdesk(TkMailer) "news"
! 	dsk_mailer {} {} [$this.ft.text get 1.0 end]
      }
  	
      method buffer {cmd args} {
***************
*** 735,748 ****
  	if {[string first $tkdesk(configdir) $file] == 0} {
  	    
  	    if ![winfo exists $this.fMenu.mbTkDesk] {
! 		menubutton $this.fMenu.mbTkDesk -text "Configuration" \
  			-menu [set m $this.fMenu.mbTkDesk.m] \
  			-underline 0
  		pack propagate $this.fMenu 0
  		pack $this.fMenu.mbTkDesk -side left
  		
  		menu $m
! 		$m add cascade -label "Load..." \
  			-menu $m.cfg
  		menu $m.cfg
  		foreach cf $tkdesk(configfiles) {
--- 750,763 ----
  	if {[string first $tkdesk(configdir) $file] == 0} {
  	    
  	    if ![winfo exists $this.fMenu.mbTkDesk] {
! 		menubutton $this.fMenu.mbTkDesk -text "C Ķ" \
  			-menu [set m $this.fMenu.mbTkDesk.m] \
  			-underline 0
  		pack propagate $this.fMenu 0
  		pack $this.fMenu.mbTkDesk -side left
  		
  		menu $m
! 		$m add cascade -label "ɹ..." \
  			-menu $m.cfg
  		menu $m.cfg
  		foreach cf $tkdesk(configfiles) {
***************
*** 913,921 ****
  
  	    cb_raise $this
  	    catch {destroy $this.tqmod}
! 	    set ans [cb_dialog $this.tqmod "File modified" \
! 		    "[file tail $buffer($id,file)]:\nThis file has been modified. Save it?" \
! 		    questhead 0 "Yes" "No" "Cancel"]
  	    if {$ans == 0} {
  		set ret [save]
  		if {$ret == "cancel"} {
--- 928,936 ----
  
  	    cb_raise $this
  	    catch {destroy $this.tqmod}
! 	    set ans [cb_dialog $this.tqmod "եι" \
! 		    "[file tail $buffer($id,file)]:\nΥեѹƤޤ¸ޤ" \
! 		    questhead 0 "Ϥ" "" ""]
  	    if {$ans == 0} {
  		set ret [save]
  		if {$ret == "cancel"} {
***************
*** 994,1001 ****
  	    cb_raise $this
  	    catch {destroy $this.tqmod}
  	    set ans [cb_dialog $this.tqmod "File modified" \
! 		    "This file has been modified. Save it?" \
! 		    questhead 0 "Yes" "No" "Cancel"]
  	    if {$ans == 0} {
  		save
  	    } elseif {$ans == 2} {
--- 1009,1016 ----
  	    cb_raise $this
  	    catch {destroy $this.tqmod}
  	    set ans [cb_dialog $this.tqmod "File modified" \
! 		    "ΥեѹƤޤ¸ޤ" \
! 		    questhead 0 "Ϥ" "" ""]
  	    if {$ans == 0} {
  		save
  	    } elseif {$ans == 2} {
***************
*** 1053,1059 ****
  	# prepare for undo
  	if !$undo_enabled($currentid) {
  	    set undo_enabled($currentid) 1
! 	    $this.fMenu.mbEdit.menu entryconfigure "Undo" -state normal
  	}
  	set ip [$this.ft.text index insert]
  	set selr [$this.ft.text tag ranges sel]
--- 1068,1074 ----
  	# prepare for undo
  	if !$undo_enabled($currentid) {
  	    set undo_enabled($currentid) 1
! 	    catch { $this.fMenu.mbEdit.menu entryconfigure "Undo" -state normal }
  	}
  	set ip [$this.ft.text index insert]
  	set selr [$this.ft.text tag ranges sel]
***************
*** 1176,1182 ****
  	    incr undo_pointer($currentid) -1
  	    if {$undo_pointer($currentid) < 0} {
  		set undo_enabled($currentid) 0
! 		$this.fMenu.mbEdit.menu entryconfigure "Undo" -state disabled
  		set changed($currentid) 0
  		set file $buffer($currentid,file)
  		wm title $this "[cb_tilde $file collapse]"
--- 1191,1197 ----
  	    incr undo_pointer($currentid) -1
  	    if {$undo_pointer($currentid) < 0} {
  		set undo_enabled($currentid) 0
! 		catch { $this.fMenu.mbEdit.menu entryconfigure "Undo" -state disabled }
  		set changed($currentid) 0
  		set file $buffer($currentid,file)
  		wm title $this "[cb_tilde $file collapse]"
***************
*** 1279,1285 ****
  	
  	set curline [lindex [split [$this.ft.text index insert] "."] 0]
  	set tmplnr ""
! 	cb_readString "Goto line (current: $curline):" tmplnr "Goto Line" 10
  	if {$tmplnr != ""} {
  	    # test if $tmplnr contains a number:
  	    set err [catch {$this.ft.text mark set insert $tmplnr.0}]
--- 1294,1300 ----
  	
  	set curline [lindex [split [$this.ft.text index insert] "."] 0]
  	set tmplnr ""
! 	cb_readString "ֹ ( $curline ):" tmplnr "Goto Line" 10
  	if {$tmplnr != ""} {
  	    # test if $tmplnr contains a number:
  	    set err [catch {$this.ft.text mark set insert $tmplnr.0}]
***************
*** 1287,1293 ****
  		$this.ft.text yview -pickplace insert
  	    } else {
  		dsk_errbell
! 		cb_error "Invalid line number!"
  	    }
  	}
  	unset tmplnr
--- 1302,1308 ----
  		$this.ft.text yview -pickplace insert
  	    } else {
  		dsk_errbell
! 		cb_error "ֹλְ꤬äƤޤ"
  	    }
  	}
  	unset tmplnr
***************
*** 1313,1324 ****
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  	frame $t.fslf
  	pack $t.fslf -in $t.fsf -fill x
! 	label $t.ls -text "Search for:" -anchor w
  	pack $t.ls -in $t.fslf -side left
! 	checkbutton $t.cbRegexp -text "Regular Expr." -relief flat \
  		-variable [set this](regexp) -underline 0
  	pack $t.cbRegexp -in $t.fslf -side right
! 	checkbutton $t.cbCase -text "Case Sensitive " -relief flat \
  		-variable [set this](case) -underline 0
  	pack $t.cbCase -in $t.fslf -side right
  	
--- 1328,1339 ----
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  	frame $t.fslf
  	pack $t.fslf -in $t.fsf -fill x
! 	label $t.ls -text "ʸ:" -anchor w
  	pack $t.ls -in $t.fslf -side left
! 	checkbutton $t.cbRegexp -text "R ɽ." -relief flat \
  		-variable [set this](regexp) -underline 0
  	pack $t.cbRegexp -in $t.fslf -side right
! 	checkbutton $t.cbCase -text "C 羮ʸ" -relief flat \
  		-variable [set this](case) -underline 0
  	pack $t.cbCase -in $t.fslf -side right
  	
***************
*** 1336,1342 ****
  	
  	menu $t.mbSHist.menu -postcommand "$this _histmenu search_history $t.mbSHist.menu $t.es"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbSHist.menu add command -label "dummy"
  	search_history changed
  	
  	pack $t.fsfe -in $t.fsf -fill x -expand yes
--- 1351,1357 ----
  	
  	menu $t.mbSHist.menu -postcommand "$this _histmenu search_history $t.mbSHist.menu $t.es"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbSHist.menu add command -label "ߡ"
  	search_history changed
  	
  	pack $t.fsfe -in $t.fsf -fill x -expand yes
***************
*** 1363,1369 ****
  	frame $t.frf
  	pack $t.frf -in $t.fr -fill both -expand yes \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
! 	label $t.lr -text "Replace with:" -anchor w
  	pack $t.lr -in $t.frf -anchor w
  
  	frame $t.frfr
--- 1378,1384 ----
  	frame $t.frf
  	pack $t.frf -in $t.fr -fill both -expand yes \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
! 	label $t.lr -text "ִʸ:" -anchor w
  	pack $t.lr -in $t.frf -anchor w
  
  	frame $t.frfr
***************
*** 1379,1385 ****
  	
  	menu $t.mbRHist.menu -postcommand "$this _histmenu replace_history $t.mbRHist.menu $t.er"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbRHist.menu add command -label "dummy"
  	replace_history changed
  	
  	pack $t.frfr -in $t.frf -fill x -expand yes
--- 1394,1400 ----
  	
  	menu $t.mbRHist.menu -postcommand "$this _histmenu replace_history $t.mbRHist.menu $t.er"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbRHist.menu add command -label "ߡ"
  	replace_history changed
  	
  	pack $t.frfr -in $t.frf -fill x -expand yes
***************
*** 1401,1413 ****
  
  	frame $t.fb -bd 1 -relief raised
  	pack $t.fb -fill x
! 	cb_button $t.bSearch -text  "Search" -default 1 \
  		-command "$this _do_search"
! 	cb_button $t.bReplace -text "Replace" \
  		-command "$this _do_replace"
! 	cb_button $t.bRepAll -text "Replace all" \
  		-command "$this _do_replace all"
! 	cb_button $t.bClose -text " Close " -command "destroy $t; focus -force $this"
  	pack $t.bSearch $t.bReplace $t.bRepAll $t.bClose \
  		-in $t.fb -side left \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
--- 1416,1428 ----
  
  	frame $t.fb -bd 1 -relief raised
  	pack $t.fb -fill x
! 	cb_button $t.bSearch -text  "" -default 1 \
  		-command "$this _do_search"
! 	cb_button $t.bReplace -text "ִ" \
  		-command "$this _do_replace"
! 	cb_button $t.bRepAll -text "ִ" \
  		-command "$this _do_replace all"
! 	cb_button $t.bClose -text "Ĥ" -command "destroy $t; focus -force $this"
  	pack $t.bSearch $t.bReplace $t.bRepAll $t.bClose \
  		-in $t.fb -side left \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
***************
*** 1422,1428 ****
  		\}"
  	
  	
! 	wm title $t "Search/Replace"
  	wm minsize $t 311 170
  	update idletasks
  
--- 1437,1443 ----
  		\}"
  	
  	
! 	wm title $t "/ִ"
  	wm minsize $t 311 170
  	update idletasks
  
***************
*** 1512,1518 ****
  	}
         	dsk_lazy
  	if !$success {
! 	    set restart ![cb_yesno "No more matches. Restart at top?"]
  	    if $restart {
  		dsk_busy
  		set stidx "1.0"
--- 1527,1533 ----
  	}
         	dsk_lazy
  	if !$success {
! 	    set restart ![cb_yesno "פʸ󤬤ޤƬ鸡ޤ?"]
  	    if $restart {
  		dsk_busy
  		set stidx "1.0"
***************
*** 1643,1654 ****
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  	frame $t.fslf
  	pack $t.fslf -in $t.fsf -fill x
! 	label $t.ls -text "Search for (regexp):" -anchor w
  	pack $t.ls -in $t.fslf -side left
! 	checkbutton $t.cbCase -text "Case Sensitive" -relief flat \
  		-variable [set this](case)
  	pack $t.cbCase -in $t.fslf -side right
! 	checkbutton $t.cbSort -text "Sort    " -relief flat \
  		-variable [set this](sort)
  	pack $t.cbSort -in $t.fslf -side right
  	entry $t.es -bd 2 -relief sunken -width 40
--- 1658,1669 ----
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  	frame $t.fslf
  	pack $t.fslf -in $t.fsf -fill x
! 	label $t.ls -text "ѥ󸡺 (ɽ):" -anchor w
  	pack $t.ls -in $t.fslf -side left
! 	checkbutton $t.cbCase -text "羮ʸ" -relief flat \
  		-variable [set this](case)
  	pack $t.cbCase -in $t.fslf -side right
! 	checkbutton $t.cbSort -text "" -relief flat \
  		-variable [set this](sort)
  	pack $t.cbSort -in $t.fslf -side right
  	entry $t.es -bd 2 -relief sunken -width 40
***************
*** 1658,1664 ****
      	menu $t.mbHist.menu \
  		-postcommand "hsearch_history buildmenu $t.mbHist.menu"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbHist.menu add command -label "dummy"
  	hsearch_history changed
  	pack $t.es \
  		-in $t.fsf -side left -fill x -expand yes \
--- 1673,1679 ----
      	menu $t.mbHist.menu \
  		-postcommand "hsearch_history buildmenu $t.mbHist.menu"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbHist.menu add command -label "ߡ"
  	hsearch_history changed
  	pack $t.es \
  		-in $t.fsf -side left -fill x -expand yes \
***************
*** 1677,1683 ****
  	frame $t.fmf
  	pack $t.fmf -in $t.fm -fill both -expand yes \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
! 	label $t.lMatches -text "Matches:" -anchor w
  	pack $t.lMatches -in $t.fmf -fill x
  	cb_listbox $t.flb -vscroll 1 -hscroll 1 -lborder 0 -uborder 1 \
  		-width 10 -height 4 \
--- 1692,1698 ----
  	frame $t.fmf
  	pack $t.fmf -in $t.fm -fill both -expand yes \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
! 	label $t.lMatches -text "פѥ:" -anchor w
  	pack $t.lMatches -in $t.fmf -fill x
  	cb_listbox $t.flb -vscroll 1 -hscroll 1 -lborder 0 -uborder 1 \
  		-width 10 -height 4 \
***************
*** 1695,1706 ****
  
  	frame $t.fb -bd 1 -relief raised
  	pack $t.fb -fill x
! 	cb_button $t.bSearch -text " Search " \
  		-command "$this _do_hsearch ; \
  		          hsearch_history add \[list \[$t.es get\]\]" \
  		-default 1
! 	cb_button $t.bClose -text "  Close  " -command "destroy $t"
! 	cb_button $t.bRemove -text " Remove Entry " \
  		-command "hsearch_history remove \[$t.es get\]"
  	pack $t.bSearch $t.bClose \
  		-in $t.fb -side left \
--- 1710,1721 ----
  
  	frame $t.fb -bd 1 -relief raised
  	pack $t.fb -fill x
! 	cb_button $t.bSearch -text "" \
  		-command "$this _do_hsearch ; \
  		          hsearch_history add \[list \[$t.es get\]\]" \
  		-default 1
! 	cb_button $t.bClose -text "Ĥ" -command "destroy $t"
! 	cb_button $t.bRemove -text "ܤ" \
  		-command "hsearch_history remove \[$t.es get\]"
  	pack $t.bSearch $t.bClose \
  		-in $t.fb -side left \
***************
*** 1711,1717 ****
  
  	bind $t <Any-Enter> "if \$tkdesk(focus_follows_mouse) \{focus $t.es\}"
  	
! 	wm title $t "HyperSearch"
  	wm minsize $t 5 2
  	wm geometry $t 20x6
  	wm group $t $this
--- 1726,1732 ----
  
  	bind $t <Any-Enter> "if \$tkdesk(focus_follows_mouse) \{focus $t.es\}"
  	
! 	wm title $t "ϥѡ"
  	wm minsize $t 5 2
  	wm geometry $t 20x6
  	wm group $t $this
***************
*** 1791,1797 ****
  		$tw mark set insert "$fi + [string length $exp] chars"
  	    } else {
  		dsk_errbell
! 		set restart ![cb_yesno "No more matches. Restart at top?"]
  		if $restart {
  		    $tw mark set insert 1.0
  		    findsel
--- 1806,1812 ----
  		$tw mark set insert "$fi + [string length $exp] chars"
  	    } else {
  		dsk_errbell
! 		set restart ![cb_yesno "פʸ󤬤ޤƬ鸡ޤ?"]
  		if $restart {
  		    $tw mark set insert 1.0
  		    findsel
diff -crN tkdesk-1.1/tcldesk/FileInfo.tcl tkdesk-1.1-jp/tcldesk/FileInfo.tcl
*** tkdesk-1.1/tcldesk/FileInfo.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/FileInfo.tcl	Sun Nov  7 20:10:27 1999
***************
*** 84,97 ****
  	pack $this.f1 -in $this.fi -side left -fill x -anchor n \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  
! 	label $this.lPath -text "Path....:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lSize -text "Size....:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lLink -text "Links...:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lMod  -text "Modified:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lOwn  -text "Owner...:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lGrp  -text "Group...:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lMode -text "Mode....:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lType -text "Type....:" -font [cb_font $tkdesk(font,mono)]
  
  	pack $this.lPath $this.lSize $this.lMod $this.lOwn \
  		$this.lGrp $this.lMode $this.lLink $this.lType \
--- 84,97 ----
  	pack $this.f1 -in $this.fi -side left -fill x -anchor n \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  
! 	label $this.lPath -text "ѥ....:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lSize -text "礭....:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lLink -text "...:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lMod  -text "ǽѹ:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lOwn  -text "ͭ...:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lGrp  -text "롼...:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lMode -text "°....:" -font [cb_font $tkdesk(font,mono)]
! 	label $this.lType -text "....:" -font [cb_font $tkdesk(font,mono)]
  
  	pack $this.lPath $this.lSize $this.lMod $this.lOwn \
  		$this.lGrp $this.lMode $this.lLink $this.lType \
***************
*** 142,148 ****
  	frame $this.fa1
  	pack $this.fa1 -in $this.fa -fill both -expand yes -pady $tkdesk(pad)
  
! 	label $this.lComment -text "Annotation:" -anchor w
  	pack $this.lComment -in $this.fa1 -fill x -expand no -anchor w \
  		-padx $tkdesk(pad)
  	
--- 142,148 ----
  	frame $this.fa1
  	pack $this.fa1 -in $this.fa -fill both -expand yes -pady $tkdesk(pad)
  
! 	label $this.lComment -text ":" -anchor w
  	pack $this.lComment -in $this.fa1 -fill x -expand no -anchor w \
  		-padx $tkdesk(pad)
  	
***************
*** 154,161 ****
  	frame $this.fb -bd 1 -relief raised
  	pack $this.fb -fill x
  
! 	button $this.bClose -text " Close " -command "$this close"
! 	button $this.bChmod -text " Change Mode " -state disabled \
  		-command "$this chmod set"
  
  	pack $this.bClose $this.bChmod -in $this.fb -side left \
--- 154,161 ----
  	frame $this.fb -bd 1 -relief raised
  	pack $this.fb -fill x
  
! 	button $this.bClose -text "Ĥ" -command "$this close"
! 	button $this.bChmod -text "°ѹ" -state disabled \
  		-command "$this chmod set"
  
  	pack $this.bClose $this.bChmod -in $this.fb -side left \
***************
*** 163,169 ****
  
  	bind $this <Any-Enter> "focus $this.ft.text"
  
! 	wm title $this "File Information"
  	wm protocol $this WM_DELETE_WINDOW "$this close"
  
  	eval config $args
--- 163,169 ----
  
  	bind $this <Any-Enter> "focus $this.ft.text"
  
! 	wm title $this "եξ"
  	wm protocol $this WM_DELETE_WINDOW "$this close"
  
  	eval config $args
***************
*** 210,216 ****
      method touch {} {
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "Sorry, you're not the owner of [file tail $file]!"
  	    return
  	}
  
--- 210,216 ----
      method touch {} {
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "ʤ[file tail $file]νͭԤǤϤޤ"
  	    return
  	}
  
***************
*** 229,235 ****
  
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "Sorry, you're not the owner of [file tail $file]!"
  	    return
  	}
  
--- 229,235 ----
  
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "ʤ[file tail $file]νͭԤǤϤޤ"
  	    return
  	}
  
***************
*** 250,256 ****
  
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "Sorry, you're not the owner of [file tail $file]!"
  	    return
  	}
  
--- 250,256 ----
  
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "ʤ[file tail $file]νͭԤǤϤޤ"
  	    return
  	}
  
***************
*** 273,284 ****
  
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "Sorry, you're not the owner of [file tail $file]!"
  	    return
  	}
  	if [dsk_on_rofs $file] {
  	    dsk_errbell
! 	    cb_error "Read-only file system.  Can't change permissions, sorry."
  	    return
  	}
  
--- 273,284 ----
  
  	if {![file owned $file] && ![dsk_is_superuser]} {
  	    dsk_errbell
! 	    cb_error "ʤ[file tail $file]νͭԤǤϤޤ"
  	    return
  	}
  	if [dsk_on_rofs $file] {
  	    dsk_errbell
! 	    cb_error "ɤ߹ѤʤΤ°ѹϤǤޤ"
  	    return
  	}
  
***************
*** 481,487 ****
  	#regsub -all {\\t} $lsl "\t" lsl
  	set lsl [split $lsl "\t"]
  	dsk_debug "$file: $lsl"
! 	$this.lrSize config -text "[lindex $lsl 1] Bytes"
  	$this.lrLink config -text [string trimleft [lindex $lsl 6] " "]
  	$this.bMod config -text "[lindex $lsl 2]"
  	set owner [lindex $lsl 3]
--- 481,487 ----
  	#regsub -all {\\t} $lsl "\t" lsl
  	set lsl [split $lsl "\t"]
  	dsk_debug "$file: $lsl"
! 	$this.lrSize config -text "[lindex $lsl 1] Х"
  	$this.lrLink config -text [string trimleft [lindex $lsl 6] " "]
  	$this.bMod config -text "[lindex $lsl 2]"
  	set owner [lindex $lsl 3]
***************
*** 508,514 ****
  	}
  
  	if {[file isdirectory $file] && ![winfo exists $this.bDU]} {
! 	    button $this.bDU -text " Disk Usage " -command "dsk_du \"$file\""
  	    pack $this.bDU -in $this.fb -side left \
  			-padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 2
  	} else {
--- 508,514 ----
  	}
  
  	if {[file isdirectory $file] && ![winfo exists $this.bDU]} {
! 	    button $this.bDU -text "ǥѾ" -command "dsk_du \"$file\""
  	    pack $this.bDU -in $this.fb -side left \
  			-padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 2
  	} else {
***************
*** 554,560 ****
  
      if {$files == ""} {
  	dsk_bell
! 	cb_info "Please select one or more files first."
  	return
      }
  
--- 554,560 ----
  
      if {$files == ""} {
  	dsk_bell
! 	cb_info "ե򤷤Ƥ"
  	return
      }
  
***************
*** 563,569 ****
  	set file [dskC_striptc $file]
  	if ![file exists $file] {
  	    dsk_errbell
! 	    cb_info "[file tail $file]\nis a broken symbolic link."
  	    continue
  	}
  	
--- 563,569 ----
  	set file [dskC_striptc $file]
  	if ![file exists $file] {
  	    dsk_errbell
! 	    cb_info "[file tail $file]\nϥܥå󥯤Ƥޤ"
  	    continue
  	}
  	
diff -crN tkdesk-1.1/tcldesk/FileListbox.tcl tkdesk-1.1-jp/tcldesk/FileListbox.tcl
*** tkdesk-1.1/tcldesk/FileListbox.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/FileListbox.tcl	Sun Nov  7 20:10:27 1999
***************
*** 132,191 ****
  
  	menubutton $this.mb -text "" -bd 1 -relief raised \
  		-menu $this.mb.menu -indicatoron 0
! 	cb_balloonHelp $this.mb "This is a menu button!"
  
  	menu $this.mb.menu
! 	$this.mb.menu add command -label "Refresh " \
  		-command "$this refresh; $this _selstatus"
! 	$this.mb.menu add command -label "Set Mask... " \
  		-command "$this _ask_mask"
! 	$this.mb.menu add command -label "No Mask " \
  		-command "$this no_mask"
  	$this.mb.menu add separator
! 	$this.mb.menu add command -label "Disk Usage " \
  		-command "dsk_du \[$this curdir\]"
! 	$this.mb.menu add command -label "Free Space " \
  		-command "dsk_periodic \[list $tkdesk(cmd,df) \[$this cget -directory\]\] 60"
! 	$this.mb.menu add command -label "Execute here... " \
  		-command "$this command"
! 	$this.mb.menu add command -label "Execute as root... " \
  		-command "$this command {} root"
  	$this.mb.menu add separator
! 	$this.mb.menu add checkbutton -label " Long Listing " \
  		-variable [set this](longlist) \
  		-command "$this config -longlist \[set [set this](longlist)\]"
  	::set [set this](longlist) $longlist
! 	$this.mb.menu add checkbutton -label " Show All Files " \
  		-variable [set this](showall) \
  		-command "$this config -showall \[set [set this](showall)\]"
  	::set [set this](showall) $showall
! 	$this.mb.menu add checkbutton -label " Inverse Order " \
  		-variable [set this](invert) \
  		-command "$this config -invert \[set [set this](invert)\]"
  	::set [set this](invert) $invert
! 	$this.mb.menu add cascade -label "Sort by ... " -menu $this.mb.menu.smenu
  	$this.mb.menu add separator
! 	$this.mb.menu add command -label "Open List Window" \
  		-command "dsk_FileList .dfl\[dsk_FileList :: id\] \
  			-directory \[$this info public directory -value\]"
  	
  	menu $this.mb.menu.smenu
! 	$this.mb.menu.smenu add radiobutton -label " Name " \
  		-variable [set this](sort) -value name \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label " Name (fold)" \
  		-variable [set this](sort) -value fold \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label " Size " \
  		-variable [set this](sort) -value size \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label " Date " \
  		-variable [set this](sort) -value date \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label " Extension " \
  		-variable [set this](sort) -value ext \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label " Don't sort " \
  		-variable [set this](sort) -value not \
  		-command "$this config -sort \[set [set this](sort)\]"
  	::set [set this](sort) $sort
--- 132,191 ----
  
  	menubutton $this.mb -text "" -bd 1 -relief raised \
  		-menu $this.mb.menu -indicatoron 0
! 	cb_balloonHelp $this.mb "եΥ˥塼ܥǤ"
  
  	menu $this.mb.menu
! 	$this.mb.menu add command -label "ǿξ˹" \
  		-command "$this refresh; $this _selstatus"
! 	$this.mb.menu add command -label "ɽե..." \
  		-command "$this _ask_mask"
! 	$this.mb.menu add command -label "ɽե" \
  		-command "$this no_mask"
  	$this.mb.menu add separator
! 	$this.mb.menu add command -label "ǥλѾ" \
  		-command "dsk_du \[$this curdir\]"
! 	$this.mb.menu add command -label "ΰ" \
  		-command "dsk_periodic \[list $tkdesk(cmd,df) \[$this cget -directory\]\] 60"
! 	$this.mb.menu add command -label "ΥեǼ¹..." \
  		-command "$this command"
! 	$this.mb.menu add command -label "롼ȤǼ¹..." \
  		-command "$this command {} root"
  	$this.mb.menu add separator
! 	$this.mb.menu add checkbutton -label "ܺɽ" \
  		-variable [set this](longlist) \
  		-command "$this config -longlist \[set [set this](longlist)\]"
  	::set [set this](longlist) $longlist
! 	$this.mb.menu add checkbutton -label "ƤΥեɽ" \
  		-variable [set this](showall) \
  		-command "$this config -showall \[set [set this](showall)\]"
  	::set [set this](showall) $showall
! 	$this.mb.menu add checkbutton -label "սɽ" \
  		-variable [set this](invert) \
  		-command "$this config -invert \[set [set this](invert)\]"
  	::set [set this](invert) $invert
! 	$this.mb.menu add cascade -label "..." -menu $this.mb.menu.smenu
  	$this.mb.menu add separator
! 	$this.mb.menu add command -label "ΥեΥɥ" \
  		-command "dsk_FileList .dfl\[dsk_FileList :: id\] \
  			-directory \[$this info public directory -value\]"
  	
  	menu $this.mb.menu.smenu
! 	$this.mb.menu.smenu add radiobutton -label "̾(羮ʸ)" \
  		-variable [set this](sort) -value name \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label "̾" \
  		-variable [set this](sort) -value fold \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label "礭" \
  		-variable [set this](sort) -value size \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label "" \
  		-variable [set this](sort) -value date \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label "ĥ" \
  		-variable [set this](sort) -value ext \
  		-command "$this config -sort \[set [set this](sort)\]"
! 	$this.mb.menu.smenu add radiobutton -label "Ȥʤ" \
  		-variable [set this](sort) -value not \
  		-command "$this config -sort \[set [set this](sort)\]"
  	::set [set this](sort) $sort
***************
*** 613,626 ****
      method _ask_mask {} {
  	
  	dsk_HistEntry .he[dsk_HistEntry :: id] \
! 		-title " Set Mask " \
! 		-label "Mask for files to show or select:" \
  		-history mask_history \
  		-entrydefault $_last_mask \
  		-callback "$this _ask_mask_ok" \
  		-addbutton "Select" \
  		-addcallback "$this _ask_mask_select" \
! 		-checklabel "Invert Mask" \
  		-checkvalue $invert_mask
      }
  
--- 613,626 ----
      method _ask_mask {} {
  	
  	dsk_HistEntry .he[dsk_HistEntry :: id] \
! 		-title " ɽե " \
! 		-label "եɽѥ:" \
  		-history mask_history \
  		-entrydefault $_last_mask \
  		-callback "$this _ask_mask_ok" \
  		-addbutton "Select" \
  		-addcallback "$this _ask_mask_select" \
! 		-checklabel "ʳ" \
  		-checkvalue $invert_mask
      }
  
***************
*** 1261,1278 ****
  	    $this.mb.menu delete $laste            ;# delete " Open Window "
  
  	    $this.mb.menu insert [expr $laste -2] checkbutton \
! 		    -label " Add Icons " \
  	            -variable [set this](add_icons) \
  		    -command "$this config -add_icons \[set [set this](add_icons)\]"
  	    ::set [set this](add_icons) $add_icons
  	    $this.mb.menu insert [expr $laste -2] checkbutton \
! 		    -label " Folders On Top " \
  		    -variable [set this](topfolders) \
  		    -command "$this config -topfolders \[set [set this](topfolders)\]"
  	    ::set [set this](topfolders) $topfolders
  
  	    $this.mb.menu add separator
! 	    $this.mb.menu add command -label "Open Browser " \
  		-command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  			-directory \[$this info public directory -value\]"
  	}
--- 1261,1278 ----
  	    $this.mb.menu delete $laste            ;# delete " Open Window "
  
  	    $this.mb.menu insert [expr $laste -2] checkbutton \
! 		    -label "ɽ" \
  	            -variable [set this](add_icons) \
  		    -command "$this config -add_icons \[set [set this](add_icons)\]"
  	    ::set [set this](add_icons) $add_icons
  	    $this.mb.menu insert [expr $laste -2] checkbutton \
! 		    -label "եƬɽ" \
  		    -variable [set this](topfolders) \
  		    -command "$this config -topfolders \[set [set this](topfolders)\]"
  	    ::set [set this](topfolders) $topfolders
  
  	    $this.mb.menu add separator
! 	    $this.mb.menu add command -label "֥饦򳫤" \
  		-command "dsk_FileViewer .fv\[dsk_FileViewer :: id\] \
  			-directory \[$this info public directory -value\]"
  	}
diff -crN tkdesk-1.1/tcldesk/HistEntry.tcl tkdesk-1.1-jp/tcldesk/HistEntry.tcl
*** tkdesk-1.1/tcldesk/HistEntry.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/HistEntry.tcl	Sun Nov  7 20:10:27 1999
***************
*** 128,135 ****
  	frame $this.fb -bd 1 -relief raised
  	pack $this.fb -fill x
  
! 	cb_button $this.bOK -text "   OK   " \
! 		-underline 3 -default 1 -command "
  	    set tkdesk(geometry,hist_entry) \[wm geometry $this\]
  	    set [set this](entry) \[$this.entry get\]
  	    destroy $this
--- 128,135 ----
  	frame $this.fb -bd 1 -relief raised
  	pack $this.fb -fill x
  
! 	cb_button $this.bOK -text "O λ " \
! 		-underline 0 -default 1 -command "
  	    set tkdesk(geometry,hist_entry) \[wm geometry $this\]
  	    set [set this](entry) \[$this.entry get\]
  	    destroy $this
***************
*** 137,144 ****
  	    $this ok_pressed
  	"
  
! 	cb_button $this.bApply -text " Apply " \
! 		-underline 1 -command "
  	    set [set this](entry) \[$this.entry get\]
  	    $this ok_pressed 0
  	"
--- 137,144 ----
  	    $this ok_pressed
  	"
  
! 	cb_button $this.bApply -text "A ¹ " \
! 		-underline 0 -command "
  	    set [set this](entry) \[$this.entry get\]
  	    $this ok_pressed 0
  	"
***************
*** 161,168 ****
  	    cb_addShortcutBinding $this.entry $this.bAdd.button "$sc"
  	}
  
! 	cb_button $this.bCancel -text " Cancel " \
! 		-underline 1 -command "
  	    set tkdesk(geometry,hist_entry) \[wm geometry $this\]
  	    $this delete
  	"
--- 161,168 ----
  	    cb_addShortcutBinding $this.entry $this.bAdd.button "$sc"
  	}
  
! 	cb_button $this.bCancel -text "C  " \
! 		-underline 0 -command "
  	    set tkdesk(geometry,hist_entry) \[wm geometry $this\]
  	    $this delete
  	"
diff -crN tkdesk-1.1/tcldesk/Mail.tcl tkdesk-1.1-jp/tcldesk/Mail.tcl
*** tkdesk-1.1/tcldesk/Mail.tcl	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tcldesk/Mail.tcl	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,1167 ----
+ proc dsk_mailer {to subject msg} {
+     dsk_mailer2 $to $subject $msg 0
+ }
+ 
+ proc dsk_mailer2 {to subject msg msgid} {
+     global tkdesk dsk_mailer dsk_get_config
+ 
+     catch {destroy .dsk_mailer}
+     toplevel [set t .dsk_mailer]
+     wm withdraw $t
+     wm title $t "TkMailer Composer"  
+     set dsk_mailer(size) "46x15"
+     set dsk_mailer(msgid) $msgid
+     set mailer "᡼"
+     if {$tkdesk(TkMailer) == "news"} {
+         set mailer "˥塼"
+     }
+ 
+     frame $t.ti -bd 1 -relief raised
+     pack $t.ti -fill x
+     label $t.lti -text "TkMailerܸ($mailer ) by 乬"
+     pack $t.lti -in $t.ti
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     label $t.lt -text ":"
+     pack $t.lt -in $t.f0 -side left -padx 4 -pady 4
+     entry $t.et -width 10 -bd 2 -relief sunken
+     $t.et insert end $to
+     pack $t.et -in $t.f0 -side left -fill x -expand yes 
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.ls -text "̾:"
+     pack $t.ls -in $t.f1 -side left -padx 4 -pady 4
+     entry $t.es -width 10 -bd 2 -relief sunken
+     $t.es insert end $subject
+     pack $t.es -in $t.f1 -side left -fill x -expand yes
+     frame $t.f4 -bd 1 -relief raised
+     pack $t.f4 -fill x
+     label $t.lc -text "ã:"
+     pack $t.lc -in $t.f4 -side left -padx 4 -pady 4
+     entry $t.ec -width 10 -bd 2 -relief sunken
+     pack $t.ec -in $t.f4 -side left -fill x -expand yes
+ 
+     frame $t.f2 -bd 1 -relief raised
+     pack $t.f2 -fill both -expand yes
+     frame $t.f2a
+     frame $t.f2b
+     pack $t.f2a -in $t.f2 -fill both -side left -expand yes -padx 4 -pady 4
+     pack $t.f2b -in $t.f2 -fill y -side right -padx 4 -pady 4
+     text $t.tm -width 20 -height 1 -bd 2 -relief sunken -setgrid 1 \
+ 	    -yscroll "$t.sb set"
+     $t.tm insert end "$msg"
+     $t.tm mark set insert 2.0
+     pack $t.tm -in $t.f2a -side left -fill both -expand yes
+     scrollbar $t.sb -orient vertical -command "$t.tm yview"
+     pack $t.sb -in $t.f2a -side left -fill y
+     label $t.filesl -text "źեե"
+     listbox $t.files -width 16 -bd 1 -height 1 -relief sunken -bg navy -fg gold \
+         -xscroll "$t.fsbx set" -selectmode extended
+     bind $t.files <Delete> "dsk_delete_listbox $t.files"
+     scrollbar $t.fsbx -orient horiz -command "$t.files xview"
+     pack $t.filesl -in $t.f2b -side top -fill x
+     pack $t.files -in $t.f2b -side top -fill both -expand yes
+     pack $t.fsbx -in $t.f2b -side bottom -fill x
+ 
+     frame $t.f3 -bd 1 -relief raised
+     pack $t.f3 -fill x
+     button $t.bc -text "" -command "destroy $t"
+     button $t.bs -text "¸..." -command "dsk_mailer_save $t"
+     button $t.bi -text "ź..." -command "dsk_mailer_set_listbox $t.files źեե"
+     button $t.bd -text "źպ" -command "dsk_delete_listbox $t.files"
+     button $t.bg -text "" -command dsk_config_mail
+     button $t.br -text "" -command "dsk_mailer_remote $t"
+     set dsk_get_config(#easy) "no"
+     dsk_get_config
+     if {$dsk_get_config(#easy) == "yes"} {
+         $t.bg configure -command dsk_easyconf_mail
+     }
+     pack $t.br $t.bs $t.bi $t.bd $t.bg $t.bc -in $t.f3 -side left -padx 4 -pady 4 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     wm geometry $t $dsk_mailer(size)
+     cb_centerToplevel $t
+     wm deiconify $t
+     focus $t.tm
+ }
+     
+ proc dsk_mailer_remote {t} {
+     global tkdesk dsk_mailer
+     
+     set com "| imput --ObeyHeader=on --JPconv=on --AddHeader=TkMailer:tkdesk-ver$tkdesk(version)$tkdesk(patch) --Fcc=+send"
+     if {[$t.files size] >= 1} {
+     	set com "$com --MultipartAdd="
+         set items [$t.files get 0 end]
+         foreach item $items {
+             set com "$com$item,"
+         }
+     }
+     catch {set fd [open $com w]}
+     if ![info exists fd] {
+         cb_error "¹ԤǤޤ: im򥤥󥹥ȡ뤷Ƥ"
+         tkwait variable dsk_mailer(mail)
+     } else {
+         set msg [$t.tm get 1.0 end]
+         if {$dsk_mailer(msgid) != 0} {
+             puts $fd "In-Reply-To: Your message of \"$dsk_mailer(date)\""
+             puts $fd "             $dsk_mailer(msgid)"
+             puts $fd "References: $dsk_mailer(msgid)"
+         }
+         if {$tkdesk(TkMailer) == "mail"} {
+             puts $fd "To: [$t.et get] "
+         } else {
+             puts $fd "Newsgroups: [$t.et get] "
+         }
+         puts $fd "Subject: [$t.es get] "
+         if {[$t.ec get] != ""} {
+             puts $fd "Cc: [$t.ec get] "
+         }
+         puts -nonewline $fd $msg
+         close $fd
+     }
+     set tkdesk(TkMailer) "mail"
+     destroy $t
+ }
+     
+ proc dsk_mailer_save {t} {
+     while 1 {
+        set f [cb_fileSelector -label "᡼¸"]
+        if {$f != ""} {
+            set err [catch {set fd [open $f "w"]}]
+            if $err {
+                cb_error "񤭹ߤ $f ޤ"
+            } else {
+                set msg [$t.tm get 1.0 end]
+                puts -nonewline $fd $msg
+                close $fd
+                break
+            }
+        } else {
+            break
+        }
+     }
+ }
+ 
+ proc dsk_mailer_set_listbox {lb msg} {
+     set f [cb_fileSelector -label $msg]
+     if {$f != ""} {
+         $lb insert end $f
+     }
+ }
+ 
+ proc dsk_delete_listbox {lb} {
+     set items [$lb curselection]
+     foreach item $items {
+         $lb delete $item
+     }
+ }
+ 
+ proc dsk_mailer_file {to subject file} {
+     set err [catch {set fd [open $file "r"]}]
+     if $err {
+          cb_error "$file ޤ"
+     } else {
+          set msg [read -nonewline $fd]
+          close $fd
+     }
+     dsk_mailer $to $subject $msg
+ }
+ 
+ proc dsk_config_mail {} {
+     global dsk_config_mail dsk_config_mail_cb env
+ 
+     catch {destroy .dsk_config_mail}
+     toplevel [set t .dsk_config_mail]
+     wm withdraw $t
+     wm title $t "TkMailer Configure"  
+ 
+     set home $env(HOME)
+     set host [exec hostname]
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.title -text "TkMailerܸ(᡼&˥塼) by 乬"
+     pack $t.title -in $t.f1 -padx 4 -pady 4
+ 
+     set titles(addr) "᡼륢ɥ쥹:" 
+     set titles(name) "ʤ̾:"
+     set titles(smtp) "᡼륵С:" 
+     set titles(emgsmtp) "إ᡼륵С:" 
+     set titles(nntp) "˥塼С:" 
+     set titles(pop) "POPС:"
+     set titles(maildir) "᡼γǼ:" 
+     set titles(newsdir) "˥塼γǼ:" 
+     set titles(width) "᡼ιԿ:" 
+     set titles(jissafe) "JISθ" 
+     set titles(jphead) "JISإå"
+ #    set titles(jpconv) "JISѴ" 
+     set titles(nofold) "޻"
+     set titles(qencode) "Q󥳡" 
+     set titles(8to7) "7ӥåѴ"
+     set titles(keep) "᡼Ĥ"
+     set dsk_config_mail(addr) Address
+     set dsk_config_mail(name) Name
+     set dsk_config_mail(smtp) Smtpservers
+     set dsk_config_mail(emgsmtp) EmgSmtpSvrs 
+     set dsk_config_mail(nntp) NntpServers 
+     set dsk_config_mail(pop) #PopServers 
+     set dsk_config_mail(maildir) MailDir 
+     set dsk_config_mail(newsdir) NewsDir 
+     set dsk_config_mail(width) Width
+     set dsk_config_mail(jissafe) JisSafe 
+     set dsk_config_mail(jphead) JPheader
+ #    set dsk_config_mail(jpconv) JPconv 
+     set dsk_config_mail(nofold) NoHdrFolding 
+     set dsk_config_mail(qencode) HdrQEncoding
+     set dsk_config_mail(8to7) 8to7
+     set dsk_config_mail(keep) keep
+     set dsk_config_mail(disphead) #head
+     set i 6
+     foreach wname {addr name smtp emgsmtp pop nntp maildir newsdir width} {
+         frame $t.f$i 
+         pack $t.f$i -fill x
+         label $t.l$i -text $titles($wname)
+         pack $t.l$i -in $t.f$i -side left
+         entry $t.$wname -width 38 -bd 2 -relief sunken
+         pack $t.$wname -in $t.f$i -side left -fill x -expand yes
+         incr i
+     }
+     frame $t.f3
+     pack $t.f3 -fill x
+     radiobutton $t.disphead1 -text "إåɽʤ" -variable dsk_config_mail_cb(disphead) -value none
+     radiobutton $t.disphead2 -text "إåɽ" -variable dsk_config_mail_cb(disphead) -value all
+     radiobutton $t.disphead3 -text "إåάɽ" -variable dsk_config_mail_cb(disphead) -value some
+     pack $t.disphead1 $t.disphead2 $t.disphead3 -in $t.f3 -side left
+     $t.disphead1 select
+     frame $t.f4
+     pack $t.f4 -fill x
+     foreach wname {jissafe jphead nofold qencode 8to7} {
+         checkbutton $t.$wname -text $titles($wname) \
+             -variable dsk_config_mail_cb($wname) -onvalue "on" -offvalue "off"
+         pack $t.$wname -in $t.f4 -side left
+     }
+     frame $t.f5
+     pack $t.f5 -fill x
+     checkbutton $t.keep -text $titles(keep) \
+             -variable dsk_config_mail_cb(keep) -onvalue "-1" -offvalue "0"
+     pack $t.keep -in $t.f5 -side left
+     set err [catch {set fd [open "$home/.im/Config" "r"]}]
+     if $err {
+         catch {exec mkdir $home/.im}
+         dsk_mail_default $t
+     } else {
+     	 while {[gets $fd line] != -1} {
+     	     set option [split $line =]
+     	     set opt1 [lindex $option 0]
+     	     set opt2 [lindex $option 1]
+              foreach wname {addr name smtp emgsmtp pop nntp maildir newsdir width} {
+                  if {$opt1 == $dsk_config_mail($wname)} {
+                      $t.$wname insert end $opt2
+                  }
+              }
+              foreach wname {jissafe jphead nofold qencode 8to7} {
+                  if {$opt1 == $dsk_config_mail($wname)} {
+              	     if {$opt2 == "on"} {
+              	         $t.$wname select
+              	     }
+                  }
+              }
+              if {$opt1 == $dsk_config_mail(keep)} {
+              	 if {$opt2 == "-1"} {
+              	     $t.$wname select
+              	 }
+              }
+              if {$opt1 == $dsk_config_mail(disphead)} {
+              	 if {$opt2 == "all"} {
+              	     $t.disphead2 select
+              	 }
+              	 if {$opt2 == "some"} {
+              	     $t.disphead3 select
+              	 }
+              }
+          }
+     	 set option [gets $fd]
+          close $fd
+     }
+     
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bc -text "" -command "destroy $t"
+     button $t.bs -text "" -command "dsk_set_mail $t"
+ #    button $t.bd -text "ǥե" -command "dsk_mail_default $t"
+     pack $t.bs $t.bc -in $t.f0 -side left -padx 2 -pady 2 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_easyconf_mail {} {
+     global dsk_easyconf_mail env
+ 
+     catch {destroy .dsk_easyconf_mail}
+     toplevel [set t .dsk_easyconf_mail]
+     wm withdraw $t
+     wm title $t "TkMailer Easy Setup"  
+ 
+     set home $env(HOME)
+     set host [exec hostname]
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.title -text "TkMailerܸ(᡼&˥塼ñ) by 乬"
+     pack $t.title -in $t.f1 -padx 4 -pady 4
+ 
+     set dsk_easyconf_mail(addr) Address
+     set dsk_easyconf_mail(smtp) Smtpservers
+     set dsk_easyconf_mail(nntp) NntpServers
+ 
+     frame $t.f2
+     pack $t.f2 -fill x
+     label $t.l2 -text "ʤΥ᡼륢ɥ쥹"
+     pack $t.l2 -in $t.f2 -side left
+     entry $t.addr -width 38 -bd 2 -relief sunken
+     pack $t.addr -in $t.f2 -side left -fill x -expand yes
+     frame $t.f3
+     pack $t.f3 -fill x
+     label $t.l3 -text "ץХΥ᡼륵С"
+     pack $t.l3 -in $t.f3 -side left
+     entry $t.smtp -width 38 -bd 2 -relief sunken
+     pack $t.smtp -in $t.f3 -side left -fill x -expand yes
+     frame $t.f4
+     pack $t.f4 -fill x
+     label $t.l4 -text "ץХΥ˥塼С"
+     pack $t.l4 -in $t.f4 -side left
+     entry $t.nntp -width 38 -bd 2 -relief sunken
+     pack $t.nntp -in $t.f4 -side left -fill x -expand yes
+ 
+     set err [catch {set fd [open "$env(HOME)/.im/Config" "r"]}]
+     if $err {
+         catch {exec mkdir $home/.im}
+         $t.addr insert end "$env(LOGNAME)@$host"
+         $t.smtp insert end $host
+     } else {
+     	 while {[gets $fd line] != -1} {
+     	     set option [split $line =]
+     	     set opt1 [lindex $option 0]
+     	     set opt2 [lindex $option 1]
+              foreach wname {addr smtp nntp} {
+                  if {$opt1 == $dsk_easyconf_mail($wname)} {
+                      $t.$wname insert end $opt2
+                  }
+              }
+          }
+          close $fd
+     }
+     
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bc -text "" -command "destroy $t"
+     button $t.bs -text "" -command "dsk_easyset_mail $t"
+     pack $t.bs $t.bc -in $t.f0 -side left -padx 2 -pady 2 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_get_config {} {
+     global dsk_get_config
+ 
+     set err [catch {set fd [open "~/.im/Config" "r"]}]
+     if $err {
+         catch {exec mkdir $env(HOME)/.im}
+ #        dsk_mail_default $t
+     } else {
+     	 while {[gets $fd line] != -1} {
+     	     set option [split $line =]
+     	     set opt1 [lindex $option 0]
+     	     set opt2 [lindex $option 1]
+     	     set dsk_get_config($opt1) $opt2
+          }
+          close $fd
+     }
+ }
+ 
+ proc dsk_mail_default {t} {
+     global env
+ 
+     set host [exec hostname]
+     foreach wname {addr name smtp emgsmtp pop nntp maildir newsdir width} {
+     	$t.$wname delete 0 end
+     }
+     $t.addr insert end "$env(LOGNAME)@$host"
+     $t.name insert end $env(LOGNAME)
+     foreach wname {smtp emgsmtp pop nntp} {
+         $t.$wname insert end $host
+     }
+     $t.maildir insert end "Mail"
+     $t.newsdir insert end "News"
+     $t.width insert end "80"
+     foreach wname {jissafe jphead 8to7} {
+         $t.$wname select
+     }
+     foreach wname {nofold qencode keep} {
+         $t.$wname deselect
+     }
+ }
+ 
+ proc dsk_set_mail {t} {
+     global tkdesk dsk_config_mail dsk_config_mail_cb env dsk_get_config
+     
+     set home $env(HOME)
+     if {[cb_dialog $t.que "եξ" \
+         "$home/.im/Config񤭤츽ߤ $home/.im/Config.old¸ޤǤ\n(̾ϡλפ򤷤ޤ)" \
+ 	questhead 0 "λ" ""] == 1} {
+    	return
+     }
+     catch { exec cp $home/.im/Config $home/.im/Config.old }
+     set err [catch {set fd [open "$home/.im/Config" "w"]}]
+     if $err {
+         cb_error "~/.imޤ"
+     } else {
+         foreach wname {addr name smtp pop emgsmtp nntp maildir newsdir width} {
+             set value [$t.$wname get]
+             puts $fd "$dsk_config_mail($wname)=$value"
+         }
+         foreach wname {jissafe jphead nofold qencode 8to7 keep disphead} {
+             puts $fd "$dsk_config_mail($wname)=$dsk_config_mail_cb($wname)"
+         }
+     	set addrlist [split [$t.addr get] @]
+     	set user [lindex $addrlist 0]
+     	set domain [lindex $addrlist 1]
+ 	puts $fd "NameInComment=off"
+     	puts $fd "User=$user"
+     	puts $fd "ToDomain=$domain"
+     	puts $fd "FromDomain=$domain"
+     	puts $fd "Defcode=EUC"
+ #    	puts $fd "AddHeader=TkMailer: ver$tkdesk(version) $tkdesk(patch)"
+     	close $fd
+     }
+     dsk_get_config
+     destroy $t
+ }
+ 
+ proc dsk_resend_mail {t} {
+     global tkdesk dsk_mailer
+ 
+     set filename $tkdesk(TkMailerFile)
+     if {$filename == "none"} {
+         return
+     }
+     set fd [open "| jisdecode < $filename | nkf -e" "r"]
+     set re ""
+     set multi "no"
+     gets $fd line
+     while {[gets $fd line] != -1 && $line != ""} {
+         set head [string tolower $line]
+         set pos [string first "subject: " $head]
+         if {$pos == 0} {
+             set subject [string range $line [expr $pos + 9] end]
+        	}
+         set pos [string first "from: " $head]
+         if {$pos == 0} {
+             set from [string range $line [expr $pos + 6] end]
+        	}
+         set pos [string first "reply-to: " $head]
+         if {$pos == 0} {
+             set re [string range $line [expr $pos + 10] end]
+        	}
+         set pos [string first "content-type: multipart/mixed" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         set pos [string first "content-type: multipart/alternative" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         set pos [string first "message-id: " $head]
+         if {$pos == 0} {
+             set msgid [string range $line [expr $pos + 12] end]
+         }
+         set pos [string first "date: " $head]
+         if {$pos == 0} {
+             set date [string range $line [expr $pos + 6] end]
+         }
+         if {$multi == "yes"} {
+             set head [string tolower $line]
+             set pos [string first "boundary=" $head]
+             set b [expr $pos + 10]
+             set e [expr [string length $line] - 2]
+             if {$pos != -1} {
+                 set boundary [string range $line $b $e]
+             }
+         }
+     }
+     if {$re == ""} {
+         set re $from
+     }
+     catch {close $fd}
+     set fd [open "| nkf -e < $filename" "r"]
+     while {[gets $fd line] != -1 && $line != ""} {}
+     set msg ""
+     if {$multi == "yes"} {
+         while {[gets $fd line] != -1 && [string first $boundary $line] == -1} {}
+         while {[gets $fd line] != -1 && $line != ""} {}
+         while {[gets $fd line] != -1 && [string first $boundary $line] == -1} {
+             set msg "$msg> $line\n"
+         }
+     } else {
+         while {[gets $fd line] != -1} {
+             set msg "$msg> $line\n"
+         }
+     }
+     catch {close $fd}
+     set str [string toupper [string range $subject 0 2]]
+     if {$str != "RE:"} {
+         set subject "Re: $subject"
+     }
+     set tkdesk(TkMailer) "mail"
+     set dsk_mailer(date) $date
+     dsk_mailer2 $re $subject $msg $msgid
+ }
+ 
+ proc dsk_easyset_mail {t} {
+     global tkdesk dsk_get_config dsk_easyconf_mail env
+     
+     if {[cb_dialog $t.que "եξ" \
+         "$env(HOME)/.im/Config񤭤츽ߤ $env(HOME)/.im/Config.old¸ޤǤ\n(̾ϡλפ򤷤ޤ)" \
+ 	questhead 0 "λ" ""] == 1} {
+    	return
+     }
+     catch { exec cp $env(HOME)/.im/Config $env(HOME)/.im/Config.old }
+     set err [catch {set fd [open "~/.im/Config" "w"]}]
+     if $err {
+         cb_error "~/.imޤ"
+     } else {
+         foreach wname {addr smtp nntp} {
+             set value [$t.$wname get]
+             puts $fd "$dsk_easyconf_mail($wname)=$value"
+         }
+     	set addrlist [split [$t.addr get] @]
+     	set user [lindex $addrlist 0]
+     	set domain [lindex $addrlist 1]
+     	set smtp [$t.smtp get]
+ 	puts $fd "Name=$user"
+ 	puts $fd "#PopServers=$smtp"
+ 	puts $fd "MailDir=Mail"
+ 	puts $fd "NewsDir=News"
+ 	puts $fd "Width=80"
+ 	puts $fd "JisSafe=on"
+ 	puts $fd "JPheader=on"
+ #	puts $fd "JPconv=on"
+ 	puts $fd "NoHdrFolding=off"
+ 	puts $fd "HdrQEncoding=off"
+ 	puts $fd "NameInComment=off"
+ 	puts $fd "8to7=on"
+     	puts $fd "User=$user"
+     	puts $fd "ToDomain=$domain"
+     	puts $fd "FromDomain=$domain"
+     	puts $fd "Defcode=EUC"
+     	puts $fd "keep=0"
+ #    	puts $fd "AddHeader=TkMailer: ver$tkdesk(version) $tkdesk(patch)"
+     	puts $fd "#easy=yes"
+     	close $fd
+     }
+     dsk_get_config
+     destroy $t
+ }
+ 
+ proc dsk_receive_mail {} {
+     global dsk_receive_mail dsk_get_config env
+ 
+     set dsk_receive_mail(sjsize) 76
+     set dsk_receive_mail(fromsize) 46
+     set dsk_receive_mail(sjnum) 7
+     set dsk_receive_mail(size) "50x14"
+     set dsk_receive_mail(folder) "inbox"
+     set dsk_get_config(#easy) "no"
+     dsk_get_config
+     set dsk_receive_mail(rootdir) "$env(HOME)/$dsk_get_config(MailDir)"
+     
+     catch {destroy .dsk_receive_mail}
+     toplevel [set t .dsk_receive_mail]
+     wm withdraw $t
+     wm title $t "TkMailer Viewer"  
+ 
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     menubutton $t.folder -text "ե" -menu $t.folder.m
+     menu $t.folder.m
+     label $t.title -anchor center -text "TkMailerܸ(᡼) by 乬"
+     pack $t.folder -in $t.f1 -side left
+     pack $t.title -in $t.f1 -side left -fill x -expand yes -padx 4 -pady 4
+ 
+     frame $t.f2 -bd 1 -relief raised
+     pack $t.f2 -fill x
+     frame $t.f2a
+     pack $t.f2a -in $t.f2 -fill x -expand yes -padx 4 -pady 4
+     listbox $t.sj -height $dsk_receive_mail(sjnum) -bd 2 -relief sunken \
+         -yscroll "$t.sby set" -xscroll "$t.sbx set" -selectmode extended
+     pack $t.sj -in $t.f2a -side left -fill x -expand yes
+     bind $t.sj <Double-Button-1> "dsk_mail_settext $t %x %y"
+     bind $t.sj <Delete> "dsk_delete_mail $t"
+     scrollbar $t.sby -orient vertical -command "$t.sj yview"
+     pack $t.sby -in $t.f2a -side left -fill y
+     scrollbar $t.sbx -orient horiz -command "$t.sj xview"
+     pack $t.sbx -in $t.f2 -side bottom -fill x
+ 
+     set curdir [pwd]
+     set err [catch {cd  $dsk_receive_mail(rootdir)}]
+     if $err {
+         exec mkdir $dsk_receive_mail(rootdir)
+         exec mkdir $dsk_receive_mail(rootdir)/inbox
+         exec mkdir $dsk_receive_mail(rootdir)/trash
+         exec mkdir $dsk_receive_mail(rootdir)/send
+         cd  $dsk_receive_mail(rootdir)
+     }
+     set dirs [glob -nocomplain *]
+     set dirs [lsort $dirs]
+     foreach dir $dirs {
+     	if {[file isdirectory $dir]} {
+             $t.folder.m add command -label "$dir" \
+                 -command "dsk_set_maildir $t $dsk_receive_mail(rootdir) $dir"
+             cd $dir
+     	    set subdirs [glob -nocomplain *]
+             set subdirs [lsort $subdirs]
+             foreach subdir $subdirs {
+     	        if {[file isdirectory $subdir]} {
+                     $t.folder.m add command -label "-$subdir" \
+                          -command "dsk_set_maildir $t $dsk_receive_mail(rootdir) $dir/$subdir"
+     	        }
+             }
+     	    cd ..
+         }
+     }
+     $t.folder.m add separator
+     $t.folder.m add command -label "ե"\
+         -command "dsk_mk_maildir $dsk_receive_mail(rootdir)/inbox"
+     $t.folder.m add command -label "᡼뿶ʬ" -command dsk_mail_seldef
+     $t.folder.m add command -label "Ȣˤ" -command "catch {exec imclean}"
+     cd $curdir
+ 
+     frame $t.f3 -bd 1 -relief raised
+     pack $t.f3 -fill both -expand yes
+     frame $t.f3a
+     frame $t.f3b
+     pack $t.f3a -in $t.f3 -fill both -side left -expand yes -padx 4 -pady 4
+     pack $t.f3b -in $t.f3 -fill y -side right -padx 4 -pady 4
+     text $t.tm -bd 2 -height 1 -width 30 -relief sunken -setgrid 1 -yscroll "$t.sby3 set"
+     pack $t.tm -in $t.f3a -side left -fill both -expand yes
+     scrollbar $t.sby3 -orient vertical -command "$t.tm yview"
+     pack $t.sby3 -in $t.f3a -side left -fill y
+     listbox $t.files -width 12 -bd 2 -height 1 -relief sunken -bg navy -fg gold
+     bind $t.files <Double-Button-1> "dsk_mail_savefile $t %x %y"
+     pack $t.files -in $t.f3b -side left -fill y
+ 
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bn -text "" -command "dsk_set_subject $t"
+     button $t.br -text "POP" -command "dsk_remote_receive $t"
+     button $t.bl -text "" -command "dsk_local_receive $t"
+     button $t.bre -text "ֿ" -command "dsk_resend_mail $t"
+     button $t.bse -text "ʬ" -command "dsk_mail_select $t"
+     button $t.bsv -text "¸..." -command "dsk_mailer_save $t"
+     button $t.bd -text "" -command "dsk_delete_mail $t"
+     button $t.bs -text "" -command dsk_config_mail
+     button $t.bc -text "Ĥ" -command "destroy $t"
+     if {$dsk_get_config(#easy) == "yes"} {
+         $t.bl configure -state disabled
+         $t.bs configure -command dsk_easyconf_mail
+     }
+     pack $t.bn $t.br $t.bl $t.bre $t.bse $t.bsv $t.bd $t.bs $t.bc -in $t.f0 \
+         -side left -padx 2 -pady 2 -ipady 1
+ 
+     set dsk_receive_mail(curdir) "$dsk_receive_mail(rootdir)/$dsk_receive_mail(folder)"
+     dsk_set_subject $t
+ 
+     wm geometry $t $dsk_receive_mail(size)
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_set_maildir {t root dir} {
+     global dsk_receive_mail
+    
+     set dsk_receive_mail(curdir) "$root/$dir"
+     set dsk_receive_mail(folder) $dir
+     dsk_set_subject $t
+ }
+ 
+ proc dsk_mk_maildir {dir} {
+     set name [cb_readString "᡼ե̾"]
+     catch {exec mkdir "$dir/$name"}
+ }
+ 
+ proc dsk_delete_mail {t} {
+     global dsk_receive_mail
+ 
+     set size [$t.sj size]
+     set lists [$t.sj curselection]
+     if {[llength $lists] <= 0} {
+         return
+     }
+     set newlists ""
+     foreach item $lists {
+     	incr item
+     	set newlists [concat $newlists $item]
+     }
+     exec sh -c "imrm --src=+$dsk_receive_mail(folder) $newlists"
+     dsk_set_subject $t
+ }
+ 
+ proc dsk_local_receive {t} {
+     catch {exec imget > "~/.tkdesk/mailerr"}
+ #    dsk_set_subject $t
+ }
+ 
+ proc dsk_remote_receive {t} {
+     global tkdesk dsk_get_config
+ 
+     dsk_get_config
+     set command "--src=pop/POP:$dsk_get_config(User)@$dsk_get_config(#PopServers)"
+     dsk_exec $tkdesk(cmd,xterm) -sb -T "POP" -e pauseme "imget $command"
+     catch {exec imget > "~/.tkdesk/mailerr"}
+ #    dsk_set_subject $t
+ }
+ 
+ proc dsk_mail_settext {t x y} {
+     global tkdesk dsk_receive_mail dsk_mail_settext dsk_get_config 
+ 
+     dsk_get_config
+     set disphead {}
+     catch {set disphead $dsk_get_config(#head)}
+     set multi "no"
+     set n [$t.sj index @$x,$y]
+     incr n
+     set dir $dsk_receive_mail(curdir)
+     if {[file exists $dir/$n] == 0} {
+         return
+     }
+     $t.files delete 0 end
+     $t.tm delete 1.0 end
+     set tkdesk(TkMailerFile) "$dir/$n"
+     set fd [open "| nkf -e < $dir/$n" "r"]
+     while {[gets $fd line] != -1 && $line != ""} {
+         set head [string tolower $line]
+         set pos [string first "content-type: multipart/mixed" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         set pos [string first "content-type: multipart/alternative" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         if {$multi == "yes"} {
+             set head [string tolower $line]
+             set pos [string first "boundary=" $head]
+             set b [expr $pos + 10]
+             set e [expr [string length $line] - 2]
+             if {$pos != -1} {
+                 set boundary [string range $line $b $e]
+             }
+         }
+         if {$disphead == "all"} {
+             $t.tm insert end "$line\n"
+         }
+         if {$disphead == "some"} {
+             set key [string range $head 0 1]
+             if {$key == "to"} {
+                 $t.tm insert end "$line\n"
+             }
+             if {$key == "cc"} {
+                 $t.tm insert end "$line\n"
+             }
+             set key [string range $head 0 3]
+             if {$key == "from"} {
+                 $t.tm insert end "$line\n"
+             }
+             if {$key == "date"} {
+                 $t.tm insert end "$line\n"
+             }
+         }
+     }
+     if {$disphead == "all" || $disphead == "some"} {
+         $t.tm insert end "\n"
+     }
+     if {$multi == "no"} {
+         set msg [read -nonewline $fd]
+         $t.tm insert end $msg
+         catch {close $fd}
+         return
+     }
+     set i -2
+     while {[gets $fd line] != -1} {
+         if {[string first $boundary $line] != -1} {
+             set heads "on"
+             incr i
+             set name "noname$i"
+             set dsk_mail_settext($name) ""
+             set dsk_mail_settext($i) ""
+             set hf "off"
+         } else {
+             if {$i == -1} {
+                 if {$heads == "off"} {
+                     $t.tm insert end "$line\n"
+                 }
+                 if {$line == "" && $heads == "on"} {
+                     set heads "off"
+                 }
+             }
+             if {$i >= 0} {
+                 if {$heads == "on"} {
+                     if {$line == ""} {
+                         set dsk_mail_settext($name) ""
+                         set heads "off"
+                         if {$hf == "on"} {
+                             $t.files insert end $name
+                         }
+                     } else {
+                     	set hf "on"
+                         set head [string tolower $line]
+                         set pos [string first "content-transfer-encoding: base64" $head]
+                         if {$pos >= 0} {
+                             set dsk_mail_settext($i) "base64"
+                         }
+                         set pos [string first "filename=" $head]
+                         if {$pos != -1} {
+                             set head [string range $head $pos end]
+                             set b [string first "\"" $head]
+                             set e [string last "\"" $head]
+                             set name [string range $head [expr $b + 1] [expr $e - 1]]
+                         }
+                     }
+                 } else {
+                     set dsk_mail_settext($name) "$dsk_mail_settext($name)$line\n"
+                 }
+             }
+         }
+     }
+     catch {close $fd}
+ }
+ 
+ proc dsk_mail_savefile {t x y} {
+     global dsk_mail_settext
+ 
+     if {[$t.files size] == 0} {
+         return
+     } 
+     set n [$t.files index @$x,$y]
+     set name [$t.files get $n]
+     set form $dsk_mail_settext($n)
+     set varname $name
+     while 1 {
+         set f [cb_fileSelector -label "źեե $varname ¸" -variable varname ]
+         if {$f != ""} {
+        	    if {$form == "base64"} {
+        	        set f "| text2bin > $f"
+        	    }
+             set err [catch {set fd [open $f "w"]}]
+             if $err {
+                 cb_error "񤭹ߤ $f ޤ"
+             } else {
+                 set msg $dsk_mail_settext($name)
+                 puts -nonewline $fd $msg
+                 catch {close $fd}
+                 break
+             }
+         } else {
+             break
+         }
+     }
+ }
+ 
+ proc dsk_mail_select {t} {
+     global dsk_get_config env
+ 
+     dsk_get_config
+     set dir "$env(HOME)/$dsk_get_config(MailDir)/inbox"
+     set dsk_mail_select(̾) subject
+     set dsk_mail_select(п) from
+     set dsk_mail_select() to
+     set config [dsk_mail_seldef_read]
+     set fd [open "| catheader $dir | nkf -e" "r"]
+     set j 0
+     foreach list $config {
+         set folder [lindex $list 1]
+         set command($j) "exec immv --src=+inbox --dst=+inbox/$folder "
+         set flag($j) "off"
+         incr j
+     }
+     set i 1
+     gets $fd line
+     while {[gets $fd line] != -1} {
+         set head [string tolower $line]
+         set pos [string first "subject: " $head]
+         if {$pos == 0} {
+             set dsk_mail_select(subject) [string range $line [expr $pos + 9] end]
+        	}
+         set pos [string first "from: " $head]
+         if {$pos == 0} {
+             set dsk_mail_select(from) [string range $line [expr $pos + 6] end]
+        	}
+         set pos [string first "to: " $head]
+         if {$pos == 0} {
+             set dsk_mail_select(to) [string range $line [expr $pos + 4] end]
+        	}
+         set head [string range $line 0 4]
+         if {$head == "---- "} {
+             set j 0
+             foreach list $config {
+                 set item [lindex $list 0]
+                 set match [lindex $list 2]
+                 set varname $dsk_mail_select($item)
+                 if {[string first $match $dsk_mail_select($varname)] >= 0} {
+                      set command($j) "$command($j) $i"
+                      set flag($j) "on"
+                 }
+                 incr j
+             }
+             incr i
+         }
+     }
+     catch {close $fd}
+     set j 0
+     foreach list $config {
+         set item [lindex $list 0]
+         set match [lindex $list 2]
+         set varname $dsk_mail_select($item)
+         if {[string first $match $dsk_mail_select($varname)] >= 0} {
+             set command($j) "$command($j) $i"
+             set flag($j) "on"
+         }
+     	if {$flag($j) == "on"} {
+             eval $command($j)
+         }
+         incr j
+     }
+     dsk_set_subject $t
+ }
+ 
+ proc dsk_sort_mails {} {
+     global dsk_receive_mail
+ 
+     set dir $dsk_receive_mail(curdir)
+     set dirs [glob -nocomplain $dir/*]
+     set dirs [lsort $dirs]
+     set max 0
+     set n 0
+     foreach item $dirs {
+         if {[file isfile $item]} {
+             set cur [file tail $item]
+             if {$max <= $cur} {
+                  set max $cur
+             }
+             incr n
+         }
+     }
+     if {$n != $max} {
+         set j 1
+         for {set i 1} {$i <= $max} {incr i} {
+             if {[file exists $dir/$i]} {
+                 if {"$dir/$i" != "$dir/$j"} {
+                     exec mv $dir/$i $dir/$j
+                 }
+                 incr j
+             }
+         }
+     }
+ }
+ 
+ proc dsk_set_subject {t} {
+     global dsk_receive_mail tkdesk
+ 
+     dsk_sort_mails
+     set n $dsk_receive_mail(sjsize)
+     set f $dsk_receive_mail(fromsize)
+     set dir $dsk_receive_mail(curdir)
+     if {$dir == "$dsk_receive_mail(rootdir)/trash"} {
+         $t.bd configure -state disabled
+     } else {
+         $t.bd configure -state active
+     }
+     $t.sj delete 0 end
+     set subject "(̾ʤ)"
+     set fd [open "| catheader $dir | nkf -e" "r"]
+     set form [format "%%-%ds %%-%ds %%32s" $n $f]
+     gets $fd line
+     while {[gets $fd line] != -1} {
+         set head [string tolower $line]
+         set pos [string first "subject: " $head]
+         if {$pos >= 0} {
+             set subject [string range $line [expr $pos + 9] end]
+        	}
+         set pos [string first "from: " $head]
+         if {$pos >= 0} {
+             set from [string range $line [expr $pos + 6] end]
+        	}
+         set pos [string first "date: " $head]
+         if {$pos >= 0} {
+             set dt [string range $line [expr $pos + 6] end]
+        	}
+         set head [string range $line 0 4]
+         if {$head == "---- "} {
+             $t.sj insert end [format $form $subject $from $dt]
+             set subject "(̾ʤ)"
+         }
+     }
+     if {$subject != ""} {
+         $t.sj insert end [format $form $subject $from $dt]
+     }
+     catch {close $fd}
+     $t.tm delete 1.0 end
+     set tkdesk(TkMailerFile) "none"
+ }
+ 
+ proc dsk_mail_seldef {} {
+     global dsk_mail_seldef dsk_get_config env
+ 
+     catch {destroy .dsk_mail_seldef}
+     toplevel [set t .dsk_mail_seldef]
+     wm withdraw $t
+     wm title $t "TkMailer Selection define"  
+ 
+     dsk_get_config
+     set home $env(HOME)
+     set maildir $dsk_get_config(MailDir)
+     set dsk_mail_seldef(item) ""
+     set dsk_mail_seldef(folder) ""
+     set dsk_mail_seldef(config) [dsk_mail_seldef_read]
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.title -text "TkMailerܸ(᡼뿶ʬ) by 乬"
+     pack $t.title -in $t.f1 -padx 4 -pady 4
+ 
+     frame $t.f2
+     pack $t.f2 -fill x
+     menubutton $t.item -text "" -menu $t.item.m
+     menu $t.item.m
+     foreach item {̾ п } {
+         $t.item.m add command -label $item \
+           -command "dsk_mail_seldef_key $t 1 $item"
+     }
+     menubutton $t.folder -text "ž" -menu $t.folder.m
+     menu $t.folder.m
+     set curdir [pwd]
+     cd "$home/$maildir/inbox"
+     set dirs [glob -nocomplain *]
+     set dirs [lsort $dirs]
+     foreach dir $dirs {
+     	if {[file isdirectory $dir]} {
+             $t.folder.m add command -label $dir \
+               -command "dsk_mail_seldef_key $t 2 $dir"
+        }
+     }
+     cd $curdir
+ 
+     label $t.lmatch -text ""
+     entry $t.match -bd 2 -width 48 -relief sunken
+     pack $t.item $t.folder $t.lmatch -in $t.f2 -side left
+     pack $t.match -in $t.f2 -side left -fill x -expand yes -padx 4 -pady 4
+ 
+     frame $t.f3
+     pack $t.f3 -fill x
+     entry $t.define
+     pack $t.define -in $t.f3 -side left -fill x -expand yes -padx 4 -pady 4
+      
+     frame $t.f4
+     pack $t.f4 -fill both -expand yes -padx 4 -pady 4
+     listbox $t.list -height 4 -bd 2 -relief sunken \
+         -yscroll "$t.y set" -selectmode browse
+     bind $t.list <Double-Button-1> {}
+     bind $t.list <Delete> {}
+     scrollbar $t.y -orient vertical -command "$t.list yview"
+     pack $t.list -in $t.f4 -side left -fill both -expand yes
+     pack $t.y -in $t.f4 -side right -fill y
+     dsk_mail_seldef_list $t
+ 
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bs -text "ɲ" -command "dsk_mail_add_config $t"
+     button $t.bd -text "" -command "dsk_mail_del_config $t"
+     button $t.bc -text "Ĥ" -command "destroy $t"
+     pack $t.bs $t.bd $t.bc -in $t.f0 -side left -padx 2 -pady 2 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_mail_del_config {t} {
+     global dsk_mail_seldef env
+ 
+     set n [$t.list curselection]
+     set dsk_mail_seldef(config) [lreplace $dsk_mail_seldef(config) $n $n]
+     set err [catch {set fd [open "$env(HOME)/.tkdesk/_mailselconf" "w"]}]
+     if $err {
+         cb_error "񤭹ߤ $f ޤ"
+     } else {
+         puts -nonewline $fd $dsk_mail_seldef(config)
+         catch {close $fd}
+     }
+     dsk_mail_seldef_list $t
+ }
+ 
+ proc dsk_mail_add_config {t} {
+     global dsk_mail_seldef env
+ 
+     set item $dsk_mail_seldef(item)
+     set folder $dsk_mail_seldef(folder)
+     set match [$t.match get]
+     if {$item != "" && $folder != "" && $match != ""} {
+     	lappend dsk_mail_seldef(config) [list $item $folder $match]  
+     }
+     set item $dsk_mail_seldef(item)
+     set folder $dsk_mail_seldef(folder)
+     $t.match delete 0 end
+     $t.define delete 0 end
+     set err [catch {set fd [open "$env(HOME)/.tkdesk/_mailselconf" "w"]}]
+     if $err {
+         cb_error "񤭹ߤ $f ޤ"
+     } else {
+         puts -nonewline $fd $dsk_mail_seldef(config)
+         catch {close $fd}
+     }
+     dsk_mail_seldef_list $t
+ }
+ 
+ proc dsk_mail_seldef_list {t} {
+     global dsk_mail_seldef
+     
+     $t.list delete 0 end
+     foreach line $dsk_mail_seldef(config) {
+     	set item [lindex $line 0]
+     	set folder [lindex $line 1]
+     	set match [lindex $line 2]
+         $t.list insert end "$item  $match ޤʤ $folder ˿ʬ"
+     }
+ }
+ 
+ proc dsk_mail_seldef_read {} {
+     global env
+ 
+     set confname "$env(HOME)/.tkdesk/_mailselconf"
+     set err [catch {set fd [open $confname "r"]}]
+     if $err {
+         return {}
+     } else {
+         set data [read -nonewline $fd]
+         close $fd
+     }
+     return $data
+ }
+ 
+ proc dsk_mail_seldef_key {t id text} {
+     global dsk_mail_seldef
+ 
+     if {$id == 1} {
+         set dsk_mail_seldef(item) $text
+     }
+     if {$id == 2} {
+         set dsk_mail_seldef(folder) $text
+     }
+     $t.define delete 0 end
+     set item $dsk_mail_seldef(item)
+     set folder $dsk_mail_seldef(folder)
+     set match [$t.match get]
+     $t.define insert end "$item  $match ޤʤ $folder ˿ʬ"
+ }
diff -crN tkdesk-1.1/tcldesk/Mail.tcl~ tkdesk-1.1-jp/tcldesk/Mail.tcl~
*** tkdesk-1.1/tcldesk/Mail.tcl~	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tcldesk/Mail.tcl~	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,1167 ----
+ proc dsk_mailer {to subject msg} {
+     dsk_mailer2 $to $subject $msg 0
+ }
+ 
+ proc dsk_mailer2 {to subject msg msgid} {
+     global tkdesk dsk_mailer dsk_get_config
+ 
+     catch {destroy .dsk_mailer}
+     toplevel [set t .dsk_mailer]
+     wm withdraw $t
+     wm title $t "TkMailer Composer"  
+     set dsk_mailer(size) "46x15"
+     set dsk_mailer(msgid) $msgid
+     set mailer "᡼"
+     if {$tkdesk(TkMailer) == "news"} {
+         set mailer "˥塼"
+     }
+ 
+     frame $t.ti -bd 1 -relief raised
+     pack $t.ti -fill x
+     label $t.lti -text "TkMailerܸ($mailer ) by 乬"
+     pack $t.lti -in $t.ti
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     label $t.lt -text ":"
+     pack $t.lt -in $t.f0 -side left -padx 4 -pady 4
+     entry $t.et -width 10 -bd 2 -relief sunken
+     $t.et insert end $to
+     pack $t.et -in $t.f0 -side left -fill x -expand yes 
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.ls -text "̾:"
+     pack $t.ls -in $t.f1 -side left -padx 4 -pady 4
+     entry $t.es -width 10 -bd 2 -relief sunken
+     $t.es insert end $subject
+     pack $t.es -in $t.f1 -side left -fill x -expand yes
+     frame $t.f4 -bd 1 -relief raised
+     pack $t.f4 -fill x
+     label $t.lc -text "ã:"
+     pack $t.lc -in $t.f4 -side left -padx 4 -pady 4
+     entry $t.ec -width 10 -bd 2 -relief sunken
+     pack $t.ec -in $t.f4 -side left -fill x -expand yes
+ 
+     frame $t.f2 -bd 1 -relief raised
+     pack $t.f2 -fill both -expand yes
+     frame $t.f2a
+     frame $t.f2b
+     pack $t.f2a -in $t.f2 -fill both -side left -expand yes -padx 4 -pady 4
+     pack $t.f2b -in $t.f2 -fill y -side right -padx 4 -pady 4
+     text $t.tm -width 20 -height 1 -bd 2 -relief sunken -setgrid 1 \
+ 	    -yscroll "$t.sb set"
+     $t.tm insert end "$msg"
+     $t.tm mark set insert 2.0
+     pack $t.tm -in $t.f2a -side left -fill both -expand yes
+     scrollbar $t.sb -orient vertical -command "$t.tm yview"
+     pack $t.sb -in $t.f2a -side left -fill y
+     label $t.filesl -text "źեե"
+     listbox $t.files -width 16 -bd 1 -height 1 -relief sunken -bg navy -fg gold \
+         -xscroll "$t.fsbx set" -selectmode extended
+     bind $t.files <Delete> "dsk_delete_listbox $t.files"
+     scrollbar $t.fsbx -orient horiz -command "$t.files xview"
+     pack $t.filesl -in $t.f2b -side top -fill x
+     pack $t.files -in $t.f2b -side top -fill both -expand yes
+     pack $t.fsbx -in $t.f2b -side bottom -fill x
+ 
+     frame $t.f3 -bd 1 -relief raised
+     pack $t.f3 -fill x
+     button $t.bc -text "" -command "destroy $t"
+     button $t.bs -text "¸..." -command "dsk_mailer_save $t"
+     button $t.bi -text "ź..." -command "dsk_mailer_set_listbox $t.files źեե"
+     button $t.bd -text "źպ" -command "dsk_delete_listbox $t.files"
+     button $t.bg -text "" -command dsk_config_mail
+     button $t.br -text "" -command "dsk_mailer_remote $t"
+     set dsk_get_config(#easy) "no"
+     dsk_get_config
+     if {$dsk_get_config(#easy) == "yes"} {
+         $t.bg configure -command dsk_easyconf_mail
+     }
+     pack $t.br $t.bs $t.bi $t.bd $t.bg $t.bc -in $t.f3 -side left -padx 4 -pady 4 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     wm geometry $t $dsk_mailer(size)
+     cb_centerToplevel $t
+     wm deiconify $t
+     focus $t.tm
+ }
+     
+ proc dsk_mailer_remote {t} {
+     global tkdesk dsk_mailer
+     
+     set com "| imput --ObeyHeader=on --JPconv=on --AddHeader=TkMailer:tkdesk-ver$tkdesk(version)$tkdesk(patch) --Fcc=+send"
+     if {[$t.files size] >= 1} {
+     	set com "$com --MultipartAdd="
+         set items [$t.files get 0 end]
+         foreach item $items {
+             set com "$com$item,"
+         }
+     }
+     catch {set fd [open $com w]}
+     if ![info exists fd] {
+         cb_error "¹ԤǤޤ: im򥤥󥹥ȡ뤷Ƥ"
+         tkwait variable dsk_mailer(mail)
+     } else {
+         set msg [$t.tm get 1.0 end]
+         if {$dsk_mailer(msgid) != 0} {
+             puts $fd "In-Reply-To: Your message of \"$dsk_mailer(date)\""
+             puts $fd "             $dsk_mailer(msgid)"
+             puts $fd "References: $dsk_mailer(msgid)"
+         }
+         if {$tkdesk(TkMailer) == "mail"} {
+             puts $fd "To: [$t.et get] "
+         } else {
+             puts $fd "Newsgroups: [$t.et get] "
+         }
+         puts $fd "Subject: [$t.es get] "
+         if {[$t.ec get] != ""} {
+             puts $fd "Cc: [$t.ec get] "
+         }
+         puts -nonewline $fd $msg
+         close $fd
+     }
+     set tkdesk(TkMailer) "mail"
+     destroy $t
+ }
+     
+ proc dsk_mailer_save {t} {
+     while 1 {
+        set f [cb_fileSelector -label "᡼¸"]
+        if {$f != ""} {
+            set err [catch {set fd [open $f "w"]}]
+            if $err {
+                cb_error "񤭹ߤ $f ޤ"
+            } else {
+                set msg [$t.tm get 1.0 end]
+                puts -nonewline $fd $msg
+                close $fd
+                break
+            }
+        } else {
+            break
+        }
+     }
+ }
+ 
+ proc dsk_mailer_set_listbox {lb msg} {
+     set f [cb_fileSelector -label $msg]
+     if {$f != ""} {
+         $lb insert end $f
+     }
+ }
+ 
+ proc dsk_delete_listbox {lb} {
+     set items [$lb curselection]
+     foreach item $items {
+         $lb delete $item
+     }
+ }
+ 
+ proc dsk_mailer_file {to subject file} {
+     set err [catch {set fd [open $file "r"]}]
+     if $err {
+          cb_error "$file ޤ"
+     } else {
+          set msg [read -nonewline $fd]
+          close $fd
+     }
+     dsk_mailer $to $subject $msg
+ }
+ 
+ proc dsk_config_mail {} {
+     global dsk_config_mail dsk_config_mail_cb env
+ 
+     catch {destroy .dsk_config_mail}
+     toplevel [set t .dsk_config_mail]
+     wm withdraw $t
+     wm title $t "TkMailer Configure"  
+ 
+     set home $env(HOME)
+     set host [exec hostname]
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.title -text "TkMailerܸ(᡼&˥塼) by 乬"
+     pack $t.title -in $t.f1 -padx 4 -pady 4
+ 
+     set titles(addr) "᡼륢ɥ쥹:" 
+     set titles(name) "ʤ̾:"
+     set titles(smtp) "᡼륵С:" 
+     set titles(emgsmtp) "إ᡼륵С:" 
+     set titles(nntp) "˥塼С:" 
+     set titles(pop) "POPС:"
+     set titles(maildir) "᡼γǼ:" 
+     set titles(newsdir) "˥塼γǼ:" 
+     set titles(width) "᡼ιԿ:" 
+     set titles(jissafe) "JISθ" 
+     set titles(jphead) "JISإå"
+ #    set titles(jpconv) "JISѴ" 
+     set titles(nofold) "޻"
+     set titles(qencode) "Q󥳡" 
+     set titles(8to7) "7ӥåѴ"
+     set titles(keep) "᡼Ĥ"
+     set dsk_config_mail(addr) Address
+     set dsk_config_mail(name) Name
+     set dsk_config_mail(smtp) Smtpservers
+     set dsk_config_mail(emgsmtp) EmgSmtpSvrs 
+     set dsk_config_mail(nntp) NntpServers 
+     set dsk_config_mail(pop) #PopServers 
+     set dsk_config_mail(maildir) MailDir 
+     set dsk_config_mail(newsdir) NewsDir 
+     set dsk_config_mail(width) Width
+     set dsk_config_mail(jissafe) JisSafe 
+     set dsk_config_mail(jphead) JPheader
+ #    set dsk_config_mail(jpconv) JPconv 
+     set dsk_config_mail(nofold) NoHdrFolding 
+     set dsk_config_mail(qencode) HdrQEncoding
+     set dsk_config_mail(8to7) 8to7
+     set dsk_config_mail(keep) keep
+     set dsk_config_mail(disphead) #head
+     set i 6
+     foreach wname {addr name smtp emgsmtp pop nntp maildir newsdir width} {
+         frame $t.f$i 
+         pack $t.f$i -fill x
+         label $t.l$i -text $titles($wname)
+         pack $t.l$i -in $t.f$i -side left
+         entry $t.$wname -width 38 -bd 2 -relief sunken
+         pack $t.$wname -in $t.f$i -side left -fill x -expand yes
+         incr i
+     }
+     frame $t.f3
+     pack $t.f3 -fill x
+     radiobutton $t.disphead1 -text "إåɽʤ" -variable dsk_config_mail_cb(disphead) -value none
+     radiobutton $t.disphead2 -text "إåɽ" -variable dsk_config_mail_cb(disphead) -value all
+     radiobutton $t.disphead3 -text "إåάɽ" -variable dsk_config_mail_cb(disphead) -value some
+     pack $t.disphead1 $t.disphead2 $t.disphead3 -in $t.f3 -side left
+     $t.disphead1 select
+     frame $t.f4
+     pack $t.f4 -fill x
+     foreach wname {jissafe jphead nofold qencode 8to7} {
+         checkbutton $t.$wname -text $titles($wname) \
+             -variable dsk_config_mail_cb($wname) -onvalue "on" -offvalue "off"
+         pack $t.$wname -in $t.f4 -side left
+     }
+     frame $t.f5
+     pack $t.f5 -fill x
+     checkbutton $t.keep -text $titles(keep) \
+             -variable dsk_config_mail_cb(keep) -onvalue "-1" -offvalue "0"
+     pack $t.keep -in $t.f5 -side left
+     set err [catch {set fd [open "$home/.im/Config" "r"]}]
+     if $err {
+         catch {exec mkdir $home/.im}
+         dsk_mail_default $t
+     } else {
+     	 while {[gets $fd line] != -1} {
+     	     set option [split $line =]
+     	     set opt1 [lindex $option 0]
+     	     set opt2 [lindex $option 1]
+              foreach wname {addr name smtp emgsmtp pop nntp maildir newsdir width} {
+                  if {$opt1 == $dsk_config_mail($wname)} {
+                      $t.$wname insert end $opt2
+                  }
+              }
+              foreach wname {jissafe jphead nofold qencode 8to7} {
+                  if {$opt1 == $dsk_config_mail($wname)} {
+              	     if {$opt2 == "on"} {
+              	         $t.$wname select
+              	     }
+                  }
+              }
+              if {$opt1 == $dsk_config_mail(keep)} {
+              	 if {$opt2 == "-1"} {
+              	     $t.$wname select
+              	 }
+              }
+              if {$opt1 == $dsk_config_mail(disphead)} {
+              	 if {$opt2 == "all"} {
+              	     $t.disphead2 select
+              	 }
+              	 if {$opt2 == "some"} {
+              	     $t.disphead3 select
+              	 }
+              }
+          }
+     	 set option [gets $fd]
+          close $fd
+     }
+     
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bc -text "" -command "destroy $t"
+     button $t.bs -text "" -command "dsk_set_mail $t"
+ #    button $t.bd -text "ǥե" -command "dsk_mail_default $t"
+     pack $t.bs $t.bc -in $t.f0 -side left -padx 2 -pady 2 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_easyconf_mail {} {
+     global dsk_easyconf_mail env
+ 
+     catch {destroy .dsk_easyconf_mail}
+     toplevel [set t .dsk_easyconf_mail]
+     wm withdraw $t
+     wm title $t "TkMailer Easy Setup"  
+ 
+     set home $env(HOME)
+     set host [exec hostname]
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.title -text "TkMailerܸ(᡼&˥塼ñ) by 乬"
+     pack $t.title -in $t.f1 -padx 4 -pady 4
+ 
+     set dsk_easyconf_mail(addr) Address
+     set dsk_easyconf_mail(smtp) Smtpservers
+     set dsk_easyconf_mail(nntp) NntpServers
+ 
+     frame $t.f2
+     pack $t.f2 -fill x
+     label $t.l2 -text "ʤΥ᡼륢ɥ쥹"
+     pack $t.l2 -in $t.f2 -side left
+     entry $t.addr -width 38 -bd 2 -relief sunken
+     pack $t.addr -in $t.f2 -side left -fill x -expand yes
+     frame $t.f3
+     pack $t.f3 -fill x
+     label $t.l3 -text "ץХΥ᡼륵С"
+     pack $t.l3 -in $t.f3 -side left
+     entry $t.smtp -width 38 -bd 2 -relief sunken
+     pack $t.smtp -in $t.f3 -side left -fill x -expand yes
+     frame $t.f4
+     pack $t.f4 -fill x
+     label $t.l4 -text "ץХΥ˥塼С"
+     pack $t.l4 -in $t.f4 -side left
+     entry $t.nntp -width 38 -bd 2 -relief sunken
+     pack $t.nntp -in $t.f4 -side left -fill x -expand yes
+ 
+     set err [catch {set fd [open "$env(HOME)/.im/Config" "r"]}]
+     if $err {
+         catch {exec mkdir $home/.im}
+         $t.addr insert end "$env(LOGNAME)@$host"
+         $t.smtp insert end $host
+     } else {
+     	 while {[gets $fd line] != -1} {
+     	     set option [split $line =]
+     	     set opt1 [lindex $option 0]
+     	     set opt2 [lindex $option 1]
+              foreach wname {addr smtp nntp} {
+                  if {$opt1 == $dsk_easyconf_mail($wname)} {
+                      $t.$wname insert end $opt2
+                  }
+              }
+          }
+          close $fd
+     }
+     
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bc -text "" -command "destroy $t"
+     button $t.bs -text "" -command "dsk_easyset_mail $t"
+     pack $t.bs $t.bc -in $t.f0 -side left -padx 2 -pady 2 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_get_config {} {
+     global dsk_get_config
+ 
+     set err [catch {set fd [open "~/.im/Config" "r"]}]
+     if $err {
+         catch {exec mkdir $env(HOME)/.im}
+ #        dsk_mail_default $t
+     } else {
+     	 while {[gets $fd line] != -1} {
+     	     set option [split $line =]
+     	     set opt1 [lindex $option 0]
+     	     set opt2 [lindex $option 1]
+     	     set dsk_get_config($opt1) $opt2
+          }
+          close $fd
+     }
+ }
+ 
+ proc dsk_mail_default {t} {
+     global env
+ 
+     set host [exec hostname]
+     foreach wname {addr name smtp emgsmtp pop nntp maildir newsdir width} {
+     	$t.$wname delete 0 end
+     }
+     $t.addr insert end "$env(LOGNAME)@$host"
+     $t.name insert end $env(LOGNAME)
+     foreach wname {smtp emgsmtp pop nntp} {
+         $t.$wname insert end $host
+     }
+     $t.maildir insert end "Mail"
+     $t.newsdir insert end "News"
+     $t.width insert end "80"
+     foreach wname {jissafe jphead 8to7} {
+         $t.$wname select
+     }
+     foreach wname {nofold qencode keep} {
+         $t.$wname deselect
+     }
+ }
+ 
+ proc dsk_set_mail {t} {
+     global tkdesk dsk_config_mail dsk_config_mail_cb env dsk_get_config
+     
+     set home $env(HOME)
+     if {[cb_dialog $t.que "եξ" \
+         "$home/.im/Config񤭤츽ߤ $home/.im/Config.old¸ޤǤ\n(̾ϡλפ򤷤ޤ)" \
+ 	questhead 0 "λ" ""] == 1} {
+    	return
+     }
+     catch { exec cp $home/.im/Config $home/.im/Config.old }
+     set err [catch {set fd [open "$home/.im/Config" "w"]}]
+     if $err {
+         cb_error "~/.imޤ"
+     } else {
+         foreach wname {addr name smtp pop emgsmtp nntp maildir newsdir width} {
+             set value [$t.$wname get]
+             puts $fd "$dsk_config_mail($wname)=$value"
+         }
+         foreach wname {jissafe jphead nofold qencode 8to7 keep disphead} {
+             puts $fd "$dsk_config_mail($wname)=$dsk_config_mail_cb($wname)"
+         }
+     	set addrlist [split [$t.addr get] @]
+     	set user [lindex $addrlist 0]
+     	set domain [lindex $addrlist 1]
+ 	puts $fd "NameInComment=off"
+     	puts $fd "User=$user"
+     	puts $fd "ToDomain=$domain"
+     	puts $fd "FromDomain=$domain"
+     	puts $fd "Defcode=EUC"
+ #    	puts $fd "AddHeader=TkMailer: ver$tkdesk(version) $tkdesk(patch)"
+     	close $fd
+     }
+     dsk_get_config
+     destroy $t
+ }
+ 
+ proc dsk_resend_mail {t} {
+     global tkdesk dsk_mailer
+ 
+     set filename $tkdesk(TkMailerFile)
+     if {$filename == "none"} {
+         return
+     }
+     set fd [open "| jisdecode < $filename | nkf -e" "r"]
+     set re ""
+     set multi "no"
+     gets $fd line
+     while {[gets $fd line] != -1 && $line != ""} {
+         set head [string tolower $line]
+         set pos [string first "subject: " $head]
+         if {$pos == 0} {
+             set subject [string range $line [expr $pos + 9] end]
+        	}
+         set pos [string first "from: " $head]
+         if {$pos == 0} {
+             set from [string range $line [expr $pos + 6] end]
+        	}
+         set pos [string first "reply-to: " $head]
+         if {$pos == 0} {
+             set re [string range $line [expr $pos + 10] end]
+        	}
+         set pos [string first "content-type: multipart/mixed" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         set pos [string first "content-type: multipart/alternative" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         set pos [string first "message-id: " $head]
+         if {$pos == 0} {
+             set msgid [string range $line [expr $pos + 12] end]
+         }
+         set pos [string first "date: " $head]
+         if {$pos == 0} {
+             set date [string range $line [expr $pos + 6] end]
+         }
+         if {$multi == "yes"} {
+             set head [string tolower $line]
+             set pos [string first "boundary=" $head]
+             set b [expr $pos + 10]
+             set e [expr [string length $line] - 2]
+             if {$pos != -1} {
+                 set boundary [string range $line $b $e]
+             }
+         }
+     }
+     if {$re == ""} {
+         set re $from
+     }
+     catch {close $fd}
+     set fd [open "| nkf -e < $filename" "r"]
+     while {[gets $fd line] != -1 && $line != ""} {}
+     set msg ""
+     if {$multi == "yes"} {
+         while {[gets $fd line] != -1 && [string first $boundary $line] == -1} {}
+         while {[gets $fd line] != -1 && $line != ""} {}
+         while {[gets $fd line] != -1 && [string first $boundary $line] == -1} {
+             set msg "$msg> $line\n"
+         }
+     } else {
+         while {[gets $fd line] != -1} {
+             set msg "$msg> $line\n"
+         }
+     }
+     catch {close $fd}
+     set str [string toupper [string range $subject 0 2]]
+     if {$str != "RE:"} {
+         set subject "Re: $subject"
+     }
+     set tkdesk(TkMailer) "mail"
+     set dsk_mailer(date) $date
+     dsk_mailer2 $re $subject $msg $msgid
+ }
+ 
+ proc dsk_easyset_mail {t} {
+     global tkdesk dsk_get_config dsk_easyconf_mail env
+     
+     if {[cb_dialog $t.que "եξ" \
+         "$env(HOME)/.im/Config񤭤츽ߤ $env(HOME)/.im/Config.old¸ޤǤ\n(̾ϡλפ򤷤ޤ)" \
+ 	questhead 0 "λ" ""] == 1} {
+    	return
+     }
+     catch { exec cp $env(HOME)/.im/Config $env(HOME)/.im/Config.old }
+     set err [catch {set fd [open "~/.im/Config" "w"]}]
+     if $err {
+         cb_error "~/.imޤ"
+     } else {
+         foreach wname {addr smtp nntp} {
+             set value [$t.$wname get]
+             puts $fd "$dsk_easyconf_mail($wname)=$value"
+         }
+     	set addrlist [split [$t.addr get] @]
+     	set user [lindex $addrlist 0]
+     	set domain [lindex $addrlist 1]
+     	set smtp [$t.smtp get]
+ 	puts $fd "Name=$user"
+ 	puts $fd "#PopServers=$smtp"
+ 	puts $fd "MailDir=Mail"
+ 	puts $fd "NewsDir=News"
+ 	puts $fd "Width=80"
+ 	puts $fd "JisSafe=on"
+ 	puts $fd "JPheader=on"
+ #	puts $fd "JPconv=on"
+ 	puts $fd "NoHdrFolding=off"
+ 	puts $fd "HdrQEncoding=off"
+ 	puts $fd "NameInComment=off"
+ 	puts $fd "8to7=on"
+     	puts $fd "User=$user"
+     	puts $fd "ToDomain=$domain"
+     	puts $fd "FromDomain=$domain"
+     	puts $fd "Defcode=EUC"
+     	puts $fd "keep=0"
+ #    	puts $fd "AddHeader=TkMailer: ver$tkdesk(version) $tkdesk(patch)"
+     	puts $fd "#easy=yes"
+     	close $fd
+     }
+     dsk_get_config
+     destroy $t
+ }
+ 
+ proc dsk_receive_mail {} {
+     global dsk_receive_mail dsk_get_config env
+ 
+     set dsk_receive_mail(sjsize) 76
+     set dsk_receive_mail(fromsize) 46
+     set dsk_receive_mail(sjnum) 7
+     set dsk_receive_mail(size) "50x14"
+     set dsk_receive_mail(folder) "inbox"
+     set dsk_get_config(#easy) "no"
+     dsk_get_config
+     set dsk_receive_mail(rootdir) "$env(HOME)/$dsk_get_config(MailDir)"
+     
+     catch {destroy .dsk_receive_mail}
+     toplevel [set t .dsk_receive_mail]
+     wm withdraw $t
+     wm title $t "TkMailer Viewer"  
+ 
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     menubutton $t.folder -text "ե" -menu $t.folder.m
+     menu $t.folder.m
+     label $t.title -anchor center -text "TkMailerܸ(᡼) by 乬"
+     pack $t.folder -in $t.f1 -side left
+     pack $t.title -in $t.f1 -side left -fill x -expand yes -padx 4 -pady 4
+ 
+     frame $t.f2 -bd 1 -relief raised
+     pack $t.f2 -fill x
+     frame $t.f2a
+     pack $t.f2a -in $t.f2 -fill x -expand yes -padx 4 -pady 4
+     listbox $t.sj -height $dsk_receive_mail(sjnum) -bd 2 -relief sunken \
+         -yscroll "$t.sby set" -xscroll "$t.sbx set" -selectmode extended
+     pack $t.sj -in $t.f2a -side left -fill x -expand yes
+     bind $t.sj <Double-Button-1> "dsk_mail_settext $t %x %y"
+     bind $t.sj <Delete> "dsk_delete_mail $t"
+     scrollbar $t.sby -orient vertical -command "$t.sj yview"
+     pack $t.sby -in $t.f2a -side left -fill y
+     scrollbar $t.sbx -orient horiz -command "$t.sj xview"
+     pack $t.sbx -in $t.f2 -side bottom -fill x
+ 
+     set curdir [pwd]
+     set err [catch {cd  $dsk_receive_mail(rootdir)}]
+     if $err {
+         exec mkdir $dsk_receive_mail(rootdir)
+         exec mkdir $dsk_receive_mail(rootdir)/inbox
+         exec mkdir $dsk_receive_mail(rootdir)/trash
+         exec mkdir $dsk_receive_mail(rootdir)/send
+         cd  $dsk_receive_mail(rootdir)
+     }
+     set dirs [glob -nocomplain *]
+     set dirs [lsort $dirs]
+     foreach dir $dirs {
+     	if {[file isdirectory $dir]} {
+             $t.folder.m add command -label "$dir" \
+                 -command "dsk_set_maildir $t $dsk_receive_mail(rootdir) $dir"
+             cd $dir
+     	    set subdirs [glob -nocomplain *]
+             set subdirs [lsort $subdirs]
+             foreach subdir $subdirs {
+     	        if {[file isdirectory $subdir]} {
+                     $t.folder.m add command -label "-$subdir" \
+                          -command "dsk_set_maildir $t $dsk_receive_mail(rootdir) $dir/$subdir"
+     	        }
+             }
+     	    cd ..
+         }
+     }
+     $t.folder.m add separator
+     $t.folder.m add command -label "ե"\
+         -command "dsk_mk_maildir $dsk_receive_mail(rootdir)/inbox"
+     $t.folder.m add command -label "᡼뿶ʬ" -command dsk_mail_seldef
+     $t.folder.m add command -label "Ȣˤ" -command "catch {exec imclean}"
+     cd $curdir
+ 
+     frame $t.f3 -bd 1 -relief raised
+     pack $t.f3 -fill both -expand yes
+     frame $t.f3a
+     frame $t.f3b
+     pack $t.f3a -in $t.f3 -fill both -side left -expand yes -padx 4 -pady 4
+     pack $t.f3b -in $t.f3 -fill y -side right -padx 4 -pady 4
+     text $t.tm -bd 2 -height 1 -width 30 -relief sunken -setgrid 1 -yscroll "$t.sby3 set"
+     pack $t.tm -in $t.f3a -side left -fill both -expand yes
+     scrollbar $t.sby3 -orient vertical -command "$t.tm yview"
+     pack $t.sby3 -in $t.f3a -side left -fill y
+     listbox $t.files -width 12 -bd 2 -height 1 -relief sunken -bg navy -fg gold
+     bind $t.files <Double-Button-1> "dsk_mail_savefile $t %x %y"
+     pack $t.files -in $t.f3b -side left -fill y
+ 
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bn -text "" -command "dsk_set_subject $t"
+     button $t.br -text "POP" -command "dsk_remote_receive $t"
+     button $t.bl -text "" -command "dsk_local_receive $t"
+     button $t.bre -text "ֿ" -command "dsk_resend_mail $t"
+     button $t.bse -text "ʬ" -command "dsk_mail_select $t"
+     button $t.bsv -text "¸..." -command "dsk_mailer_save $t"
+     button $t.bd -text "" -command "dsk_delete_mail $t"
+     button $t.bs -text "" -command dsk_config_mail
+     button $t.bc -text "Ĥ" -command "destroy $t"
+     if {$dsk_get_config(#easy) == "yes"} {
+         $t.bl configure -state disabled
+         $t.bs configure -command dsk_easyconf_mail
+     }
+     pack $t.bn $t.br $t.bl $t.bre $t.bse $t.bsv $t.bd $t.bs $t.bc -in $t.f0 \
+         -side left -padx 2 -pady 2 -ipady 1
+ 
+     set dsk_receive_mail(curdir) "$dsk_receive_mail(rootdir)/$dsk_receive_mail(folder)"
+     dsk_set_subject $t
+ 
+     wm geometry $t $dsk_receive_mail(size)
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_set_maildir {t root dir} {
+     global dsk_receive_mail
+    
+     set dsk_receive_mail(curdir) "$root/$dir"
+     set dsk_receive_mail(folder) $dir
+     dsk_set_subject $t
+ }
+ 
+ proc dsk_mk_maildir {dir} {
+     set name [cb_readString "᡼ե̾"]
+     catch {exec mkdir "$dir/$name"}
+ }
+ 
+ proc dsk_delete_mail {t} {
+     global dsk_receive_mail
+ 
+     set size [$t.sj size]
+     set lists [$t.sj curselection]
+     if {[llength $lists] <= 0} {
+         return
+     }
+     set newlists ""
+     foreach item $lists {
+     	incr item
+     	set newlists [concat $newlists $item]
+     }
+     exec sh -c "imrm --src=+$dsk_receive_mail(folder) $newlists"
+     dsk_set_subject $t
+ }
+ 
+ proc dsk_local_receive {t} {
+     catch {exec imget > "~/.tkdesk/mailerr"}
+ #    dsk_set_subject $t
+ }
+ 
+ proc dsk_remote_receive {t} {
+     global tkdesk dsk_get_config
+ 
+     dsk_get_config
+     set command "--src=pop/POP:$dsk_get_config(User)@$dsk_get_config(#PopServers)"
+     dsk_exec $tkdesk(cmd,xterm) -sb -T "POP" -e pauseme "imget $command"
+     catch {exec imget > "~/.tkdesk/mailerr"}
+ #    dsk_set_subject $t
+ }
+ 
+ proc dsk_mail_settext {t x y} {
+     global tkdesk dsk_receive_mail dsk_mail_settext dsk_get_config 
+ 
+     dsk_get_config
+     set disphead {}
+     catch {set disphead $dsk_get_config(#head)}
+     set multi "no"
+     set n [$t.sj index @$x,$y]
+     incr n
+     set dir $dsk_receive_mail(curdir)
+     if {[file exists $dir/$n] == 0} {
+         return
+     }
+     $t.files delete 0 end
+     $t.tm delete 1.0 end
+     set tkdesk(TkMailerFile) "$dir/$n"
+     set fd [open "| nkf -e < $dir/$n" "r"]
+     while {[gets $fd line] != -1 && $line != ""} {
+         set head [string tolower $line]
+         set pos [string first "content-type: multipart/mixed" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         set pos [string first "content-type: multipart/alternative" $head]
+         if {$pos >= 0} {
+             set multi "yes"
+         }
+         if {$multi == "yes"} {
+             set head [string tolower $line]
+             set pos [string first "boundary=" $head]
+             set b [expr $pos + 10]
+             set e [expr [string length $line] - 2]
+             if {$pos != -1} {
+                 set boundary [string range $line $b $e]
+             }
+         }
+         if {$disphead == "all"} {
+             $t.tm insert end "$line\n"
+         }
+         if {$disphead == "some"} {
+             set key [string range $head 0 1]
+             if {$key == "to"} {
+                 $t.tm insert end "$line\n"
+             }
+             if {$key == "cc"} {
+                 $t.tm insert end "$line\n"
+             }
+             set key [string range $head 0 3]
+             if {$key == "from"} {
+                 $t.tm insert end "$line\n"
+             }
+             if {$key == "date"} {
+                 $t.tm insert end "$line\n"
+             }
+         }
+     }
+     if {$disphead == "all" || $disphead == "some"} {
+         $t.tm insert end "\n"
+     }
+     if {$multi == "no"} {
+         set msg [read -nonewline $fd]
+         $t.tm insert end $msg
+         catch {close $fd}
+         return
+     }
+     set i -2
+     while {[gets $fd line] != -1} {
+         if {[string first $boundary $line] != -1} {
+             set heads "on"
+             incr i
+             set name "noname$i"
+             set dsk_mail_settext($name) ""
+             set dsk_mail_settext($i) ""
+             set hf "off"
+         } else {
+             if {$i == -1} {
+                 if {$heads == "off"} {
+                     $t.tm insert end "$line\n"
+                 }
+                 if {$line == "" && $heads == "on"} {
+                     set heads "off"
+                 }
+             }
+             if {$i >= 0} {
+                 if {$heads == "on"} {
+                     if {$line == ""} {
+                         set dsk_mail_settext($name) ""
+                         set heads "off"
+                         if {$hf == "on"} {
+                             $t.files insert end $name
+                         }
+                     } else {
+                     	set hf "on"
+                         set head [string tolower $line]
+                         set pos [string first "content-transfer-encoding: base64" $head]
+                         if {$pos >= 0} {
+                             set dsk_mail_settext($i) "base64"
+                         }
+                         set pos [string first "filename=" $head]
+                         if {$pos != -1} {
+                             set head [string range $head $pos end]
+                             set b [string first "\"" $head]
+                             set e [string last "\"" $head]
+                             set name [string range $head [expr $b + 1] [expr $e - 1]]
+                         }
+                     }
+                 } else {
+                     set dsk_mail_settext($name) "$dsk_mail_settext($name)$line\n"
+                 }
+             }
+         }
+     }
+     catch {close $fd}
+ }
+ 
+ proc dsk_mail_savefile {t x y} {
+     global dsk_mail_settext
+ 
+     if {[$t.files size] == 0} {
+         return
+     } 
+     set n [$t.files index @$x,$y]
+     set name [$t.files get $n]
+     set form $dsk_mail_settext($n)
+     set varname $name
+     while 1 {
+         set f [cb_fileSelector -label "źեե $varname ¸" -variable varname ]
+         if {$f != ""} {
+        	    if {$form == "base64"} {
+        	        set f "| text2bin > $f"
+        	    }
+             set err [catch {set fd [open $f "w"]}]
+             if $err {
+                 cb_error "񤭹ߤ $f ޤ"
+             } else {
+                 set msg $dsk_mail_settext($name)
+                 puts -nonewline $fd $msg
+                 catch {close $fd}
+                 break
+             }
+         } else {
+             break
+         }
+     }
+ }
+ 
+ proc dsk_mail_select {t} {
+     global dsk_get_config env
+ 
+     dsk_get_config
+     set dir "$env(HOME)/$dsk_get_config(MailDir)/inbox"
+     set dsk_mail_select(̾) subject
+     set dsk_mail_select(п) from
+     set dsk_mail_select() to
+     set config [dsk_mail_seldef_read]
+     set fd [open "| catheader $dir | nkf -e" "r"]
+     set j 0
+     foreach list $config {
+         set folder [lindex $list 1]
+         set command($j) "exec immv --src=+inbox --dst=+inbox/$folder "
+         set flag($j) "off"
+         incr j
+     }
+     set i 1
+     gets $fd line
+     while {[gets $fd line] != -1} {
+         set head [string tolower $line]
+         set pos [string first "subject: " $head]
+         if {$pos == 0} {
+             set dsk_mail_select(subject) [string range $line [expr $pos + 9] end]
+        	}
+         set pos [string first "from: " $head]
+         if {$pos == 0} {
+             set dsk_mail_select(from) [string range $line [expr $pos + 6] end]
+        	}
+         set pos [string first "to: " $head]
+         if {$pos == 0} {
+             set dsk_mail_select(to) [string range $line [expr $pos + 4] end]
+        	}
+         set head [string range $line 0 4]
+         if {$head == "---- "} {
+             set j 0
+             foreach list $config {
+                 set item [lindex $list 0]
+                 set match [lindex $list 2]
+                 set varname $dsk_mail_select($item)
+                 if {[string first $match $dsk_mail_select($varname)] >= 0} {
+                      set command($j) "$command($j) $i"
+                      set flag($j) "on"
+                 }
+                 incr j
+             }
+             incr i
+         }
+     }
+     catch {close $fd}
+     set j 0
+     foreach list $config {
+         set item [lindex $list 0]
+         set match [lindex $list 2]
+         set varname $dsk_mail_select($item)
+         if {[string first $match $dsk_mail_select($varname)] >= 0} {
+             set command($j) "$command($j) $i"
+             set flag($j) "on"
+         }
+     	if {$flag($j) == "on"} {
+             eval $command($j)
+         }
+         incr j
+     }
+     dsk_set_subject $t
+ }
+ 
+ proc dsk_sort_mails {} {
+     global dsk_receive_mail
+ 
+     set dir $dsk_receive_mail(curdir)
+     set dirs [glob -nocomplain $dir/*]
+     set dirs [lsort $dirs]
+     set max 0
+     set n 0
+     foreach item $dirs {
+         if {[file isfile $item]} {
+             set cur [file tail $item]
+             if {$max <= $cur} {
+                  set max $cur
+             }
+             incr n
+         }
+     }
+     if {$n != $max} {
+         set j 1
+         for {set i 1} {$i <= $max} {incr i} {
+             if {[file exists $dir/$i]} {
+                 if {"$dir/$i" != "$dir/$j"} {
+                     exec mv $dir/$i $dir/$j
+                 }
+                 incr j
+             }
+         }
+     }
+ }
+ 
+ proc dsk_set_subject {t} {
+     global dsk_receive_mail tkdesk
+ 
+     dsk_sort_mails
+     set n $dsk_receive_mail(sjsize)
+     set f $dsk_receive_mail(fromsize)
+     set dir $dsk_receive_mail(curdir)
+     if {$dir == "$dsk_receive_mail(rootdir)/trash"} {
+         $t.bd configure -state disabled
+     } else {
+         $t.bd configure -state active
+     }
+     $t.sj delete 0 end
+     set subject "(̾ʤ)"
+     set fd [open "| catheader $dir | nkf -e" "r"]
+     set form [format "%%-%ds %%-%ds %%32s" $n $f]
+     gets $fd line
+     while {[gets $fd line] != -1} {
+         set head [string tolower $line]
+         set pos [string first "subject: " $head]
+         if {$pos >= 0} {
+             set subject [string range $line [expr $pos + 9] end]
+        	}
+         set pos [string first "from: " $head]
+         if {$pos >= 0} {
+             set from [string range $line [expr $pos + 6] end]
+        	}
+         set pos [string first "date: " $head]
+         if {$pos >= 0} {
+             set dt [string range $line [expr $pos + 6] end]
+        	}
+         set head [string range $line 0 4]
+         if {$head == "---- "} {
+             $t.sj insert end [format $form $subject $from $dt]
+         }
+     }
+     if {$subject != ""} {
+         $t.sj insert end [format $form $subject $from $dt]
+         set subject "(̾ʤ)"
+     }
+     catch {close $fd}
+     $t.tm delete 1.0 end
+     set tkdesk(TkMailerFile) "none"
+ }
+ 
+ proc dsk_mail_seldef {} {
+     global dsk_mail_seldef dsk_get_config env
+ 
+     catch {destroy .dsk_mail_seldef}
+     toplevel [set t .dsk_mail_seldef]
+     wm withdraw $t
+     wm title $t "TkMailer Selection define"  
+ 
+     dsk_get_config
+     set home $env(HOME)
+     set maildir $dsk_get_config(MailDir)
+     set dsk_mail_seldef(item) ""
+     set dsk_mail_seldef(folder) ""
+     set dsk_mail_seldef(config) [dsk_mail_seldef_read]
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.title -text "TkMailerܸ(᡼뿶ʬ) by 乬"
+     pack $t.title -in $t.f1 -padx 4 -pady 4
+ 
+     frame $t.f2
+     pack $t.f2 -fill x
+     menubutton $t.item -text "" -menu $t.item.m
+     menu $t.item.m
+     foreach item {̾ п } {
+         $t.item.m add command -label $item \
+           -command "dsk_mail_seldef_key $t 1 $item"
+     }
+     menubutton $t.folder -text "ž" -menu $t.folder.m
+     menu $t.folder.m
+     set curdir [pwd]
+     cd "$home/$maildir/inbox"
+     set dirs [glob -nocomplain *]
+     set dirs [lsort $dirs]
+     foreach dir $dirs {
+     	if {[file isdirectory $dir]} {
+             $t.folder.m add command -label $dir \
+               -command "dsk_mail_seldef_key $t 2 $dir"
+        }
+     }
+     cd $curdir
+ 
+     label $t.lmatch -text ""
+     entry $t.match -bd 2 -width 48 -relief sunken
+     pack $t.item $t.folder $t.lmatch -in $t.f2 -side left
+     pack $t.match -in $t.f2 -side left -fill x -expand yes -padx 4 -pady 4
+ 
+     frame $t.f3
+     pack $t.f3 -fill x
+     entry $t.define
+     pack $t.define -in $t.f3 -side left -fill x -expand yes -padx 4 -pady 4
+      
+     frame $t.f4
+     pack $t.f4 -fill both -expand yes -padx 4 -pady 4
+     listbox $t.list -height 4 -bd 2 -relief sunken \
+         -yscroll "$t.y set" -selectmode browse
+     bind $t.list <Double-Button-1> {}
+     bind $t.list <Delete> {}
+     scrollbar $t.y -orient vertical -command "$t.list yview"
+     pack $t.list -in $t.f4 -side left -fill both -expand yes
+     pack $t.y -in $t.f4 -side right -fill y
+     dsk_mail_seldef_list $t
+ 
+     frame $t.f0 -bd 1 -relief raised
+     pack $t.f0 -fill x
+     button $t.bs -text "ɲ" -command "dsk_mail_add_config $t"
+     button $t.bd -text "" -command "dsk_mail_del_config $t"
+     button $t.bc -text "Ĥ" -command "destroy $t"
+     pack $t.bs $t.bd $t.bc -in $t.f0 -side left -padx 2 -pady 2 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "destroy $t"
+     cb_centerToplevel $t
+     wm deiconify $t
+ }
+ 
+ proc dsk_mail_del_config {t} {
+     global dsk_mail_seldef env
+ 
+     set n [$t.list curselection]
+     set dsk_mail_seldef(config) [lreplace $dsk_mail_seldef(config) $n $n]
+     set err [catch {set fd [open "$env(HOME)/.tkdesk/_mailselconf" "w"]}]
+     if $err {
+         cb_error "񤭹ߤ $f ޤ"
+     } else {
+         puts -nonewline $fd $dsk_mail_seldef(config)
+         catch {close $fd}
+     }
+     dsk_mail_seldef_list $t
+ }
+ 
+ proc dsk_mail_add_config {t} {
+     global dsk_mail_seldef env
+ 
+     set item $dsk_mail_seldef(item)
+     set folder $dsk_mail_seldef(folder)
+     set match [$t.match get]
+     if {$item != "" && $folder != "" && $match != ""} {
+     	lappend dsk_mail_seldef(config) [list $item $folder $match]  
+     }
+     set item $dsk_mail_seldef(item)
+     set folder $dsk_mail_seldef(folder)
+     $t.match delete 0 end
+     $t.define delete 0 end
+     set err [catch {set fd [open "$env(HOME)/.tkdesk/_mailselconf" "w"]}]
+     if $err {
+         cb_error "񤭹ߤ $f ޤ"
+     } else {
+         puts -nonewline $fd $dsk_mail_seldef(config)
+         catch {close $fd}
+     }
+     dsk_mail_seldef_list $t
+ }
+ 
+ proc dsk_mail_seldef_list {t} {
+     global dsk_mail_seldef
+     
+     $t.list delete 0 end
+     foreach line $dsk_mail_seldef(config) {
+     	set item [lindex $line 0]
+     	set folder [lindex $line 1]
+     	set match [lindex $line 2]
+         $t.list insert end "$item  $match ޤʤ $folder ˿ʬ"
+     }
+ }
+ 
+ proc dsk_mail_seldef_read {} {
+     global env
+ 
+     set confname "$env(HOME)/.tkdesk/_mailselconf"
+     set err [catch {set fd [open $confname "r"]}]
+     if $err {
+         return {}
+     } else {
+         set data [read -nonewline $fd]
+         close $fd
+     }
+     return $data
+ }
+ 
+ proc dsk_mail_seldef_key {t id text} {
+     global dsk_mail_seldef
+ 
+     if {$id == 1} {
+         set dsk_mail_seldef(item) $text
+     }
+     if {$id == 2} {
+         set dsk_mail_seldef(folder) $text
+     }
+     $t.define delete 0 end
+     set item $dsk_mail_seldef(item)
+     set folder $dsk_mail_seldef(folder)
+     set match [$t.match get]
+     $t.define insert end "$item  $match ޤʤ $folder ˿ʬ"
+ }
diff -crN tkdesk-1.1/tcldesk/Viewer.tcl tkdesk-1.1-jp/tcldesk/Viewer.tcl
*** tkdesk-1.1/tcldesk/Viewer.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/Viewer.tcl	Sun Nov  7 20:10:27 1999
***************
*** 128,134 ****
  	bind $this.ePE <Tab> "focus $this; break"
  	bind $this.ePE <3> "update idletasks; $this _path_popup %X %Y"
  	cb_bindForCompletion $this.ePE <Control-Tab>
! 	cb_balloonHelp $this.ePE {The path displayed in the current window. Change to visit another directory.\nThe right mouse button gives a popup menu of parent directories.}
      	blt_drag&drop target $this.ePE \
  				handler text "dd_handle_text $this.ePE 1"
  
--- 128,134 ----
  	bind $this.ePE <Tab> "focus $this; break"
  	bind $this.ePE <3> "update idletasks; $this _path_popup %X %Y"
  	cb_bindForCompletion $this.ePE <Control-Tab>
! 	cb_balloonHelp $this.ePE {ΥɥΥѥɽ¾Υե˰ܤѹƤ\nޥαܥ򲡤ȥݥåץåפǾΥեǤޤ}
      	blt_drag&drop target $this.ePE \
  				handler text "dd_handle_text $this.ePE 1"
  
diff -crN tkdesk-1.1/tcldesk/action.tcl tkdesk-1.1-jp/tcldesk/action.tcl
*** tkdesk-1.1/tcldesk/action.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/action.tcl	Sun Nov  7 20:10:27 1999
***************
*** 92,104 ****
  	if {$viewer != ""} {
  	    $viewer config -dir [$viewer curdir]
  	}
! 	cb_error "No such file or directory:\n$file"
  	return
      }
  
      if ![file readable $file] {
  	dsk_errbell
! 	cb_error "Permission denied."
  	return
      }
      
--- 92,104 ----
  	if {$viewer != ""} {
  	    $viewer config -dir [$viewer curdir]
  	}
! 	cb_error "եޤϥեޤ:\n$file"
  	return
      }
  
      if ![file readable $file] {
  	dsk_errbell
! 	cb_error "Υե븢¤ޤ"
  	return
      }
      
***************
*** 110,116 ****
  
  	if ![file executable $file] {
  	    dsk_errbell
! 	    cb_error "Permission denied (directory not executable)."
  	    return
  	}
  	
--- 110,116 ----
  
  	if ![file executable $file] {
  	    dsk_errbell
! 	    cb_error "Υե¹Ԥ븢¤ޤ"
  	    return
  	}
  	
***************
*** 272,278 ****
  
      if {$files == ""} {
  	dsk_bell
! 	cb_info "Please select one or more files first."
  	return
      }
  
--- 272,278 ----
  
      if {$files == ""} {
  	dsk_bell
! 	cb_info "ե򤷤Ƥ"
  	return
      }
  
***************
*** 327,333 ****
      } else {
  	if ![dsk_auto_execok $p] {
  	    dsk_errbell
! 	    cb_alert "Can't execute: $p"
  	    return
  	}
      }
--- 327,333 ----
      } else {
  	if ![dsk_auto_execok $p] {
  	    dsk_errbell
! 	    cb_alert "¹ԤǤޤ: $p"
  	    return
  	}
      }
***************
*** 575,592 ****
      }
  
      if $tkdesk(exec_as_root) {
! 	set lab "Open or Execute as root:"
  	set dsk_ask_exec(as_root) 1
      } else {
! 	set lab "Open or Execute:"
  	set dsk_ask_exec(as_root) 0
      }
      
      set dsk_asc_exec(cmd) ""
      dsk_HistEntry $t \
! 	    -title "Execute" \
  	    -label $lab \
! 	    -checklabel "View Output" \
  	    -checkvalue 0 \
  	    -entrydefault $cmd \
  	    -history cmd_history \
--- 575,592 ----
      }
  
      if $tkdesk(exec_as_root) {
! 	set lab "롼ȤȤƼ¹Ԥޤϳ:"
  	set dsk_ask_exec(as_root) 1
      } else {
! 	set lab "¹Ԥޤϳ:"
  	set dsk_ask_exec(as_root) 0
      }
      
      set dsk_asc_exec(cmd) ""
      dsk_HistEntry $t \
! 	    -title "execute" \
  	    -label $lab \
! 	    -checklabel "Ϥɽ" \
  	    -checkvalue 0 \
  	    -entrydefault $cmd \
  	    -history cmd_history \
***************
*** 640,646 ****
  	dsk_open "" $tmpcmd
      } else {
  	dsk_errbell
! 	cb_error "Couldn't open/execute $tmpcmd."
      }
      set tkdesk(exec_as_root) $asr
      cd ~
--- 640,646 ----
  	dsk_open "" $tmpcmd
      } else {
  	dsk_errbell
! 	cb_error "$tmpcmd 򳫤ޤϡ¹ԤǤޤ"
      }
      set tkdesk(exec_as_root) $asr
      cd ~
***************
*** 661,668 ****
      
      dsk_HistEntry .he[dsk_HistEntry :: id] \
  	    -title "Open Directory" \
! 	    -label "Directory to open:" \
! 	    -checklabel "In Browser" \
  	    -checkvalue [expr [string match "browser" $browser] || \
  	                $tkdesk(in_browser)] \
  	    -history dir_history \
--- 661,668 ----
      
      dsk_HistEntry .he[dsk_HistEntry :: id] \
  	    -title "Open Directory" \
! 	    -label "ե򳫤:" \
! 	    -checklabel "ǥȥåפ򳫤" \
  	    -checkvalue [expr [string match "browser" $browser] || \
  	                $tkdesk(in_browser)] \
  	    -history dir_history \
***************
*** 678,684 ****
      if {$tmpdir != ""} {
  	if ![file exists $tmpdir] {
  	    dsk_bell
! 	    cb_alert "The path you specified is not completely valid."
  	    set tmpdir [_make_path_valid $tmpdir]
  	}
  	if [file readable $tmpdir] {
--- 678,684 ----
      if {$tmpdir != ""} {
  	if ![file exists $tmpdir] {
  	    dsk_bell
! 	    cb_alert "ꤵ줿ѥְäƤޤ"
  	    set tmpdir [_make_path_valid $tmpdir]
  	}
  	if [file readable $tmpdir] {
***************
*** 692,698 ****
  	    dsk_lazy
  	} else {
  	    dsk_errbell
! 	    cb_error "Permission denied."
  	}
      }
  }
--- 692,698 ----
  	    dsk_lazy
  	} else {
  	    dsk_errbell
! 	    cb_error "Υե븢¤ޤ"
  	}
      }
  }
***************
*** 711,719 ****
      global tkdesk
      
      dsk_HistEntry .he[dsk_HistEntry :: id] \
! 	    -title "Open Directory" \
! 	    -label "Directory to open:" \
! 	    -checklabel "In Browser" \
  	    -checkvalue [expr [string match "browser" $browser] || \
  	                $tkdesk(in_browser)] \
  	    -history dir_history \
--- 711,719 ----
      global tkdesk
      
      dsk_HistEntry .he[dsk_HistEntry :: id] \
! 	    -title "open folder" \
! 	    -label "ե򳫤:" \
! 	    -checklabel "ǥȥåפ򳫤" \
  	    -checkvalue [expr [string match "browser" $browser] || \
  	                $tkdesk(in_browser)] \
  	    -history dir_history \
***************
*** 729,735 ****
      if {$tmpdir != ""} {
  	if ![file exists $tmpdir] {
  	    dsk_bell
! 	    cb_alert "The path you specified is not completely valid."
  	    set tmpdir [_make_path_valid $tmpdir]
  	}
  	if [file readable $tmpdir] {
--- 729,735 ----
      if {$tmpdir != ""} {
  	if ![file exists $tmpdir] {
  	    dsk_bell
! 	    cb_alert "ꤵ줿ѥְäƤޤ"
  	    set tmpdir [_make_path_valid $tmpdir]
  	}
  	if [file readable $tmpdir] {
***************
*** 743,749 ****
  	    dsk_lazy
  	} else {
  	    dsk_errbell
! 	    cb_error "Permission denied."
  	}
      }
  }
--- 743,749 ----
  	    dsk_lazy
  	} else {
  	    dsk_errbell
! 	    cb_error "Υե븢¤ޤ"
  	}
      }
  }
***************
*** 915,921 ****
  	if {![file isdirectory $dir] && $special == ""} {
  	    set dir [_make_path_valid $dir]
  	    catch {dsk_bell}
! 	    cb_alert "The path you specified does not exist."
  	}
  	if {[info command dsk_cd_callback] != ""} {
  	    dsk_cd_callback $dir
--- 915,921 ----
  	if {![file isdirectory $dir] && $special == ""} {
  	    set dir [_make_path_valid $dir]
  	    catch {dsk_bell}
! 	    cb_alert "ʤλꤷѥ¸ߤޤ"
  	}
  	if {[info command dsk_cd_callback] != ""} {
  	    dsk_cd_callback $dir
***************
*** 952,958 ****
  	}
      } else {
  	dsk_errbell
! 	cb_error "Permission denied."
      }
  
      return $f
--- 952,958 ----
  	}
      } else {
  	dsk_errbell
! 	cb_error "Υե븢¤ޤ"
      }
  
      return $f
***************
*** 976,982 ****
  		-num_lbs $tkdesk(num_lbs)
      } else {
  	dsk_errbell
! 	cb_error "Permission denied."
      }
  }
  
--- 976,982 ----
  		-num_lbs $tkdesk(num_lbs)
      } else {
  	dsk_errbell
! 	cb_error "Υե븢¤ޤ"
      }
  }
  
***************
*** 1009,1022 ****
  	if {[string first "%A" $cmd] > -1 || \
  	    [string first "%a" $cmd] > -1} {
  	    dsk_bell
! 	    cb_info "Please select one or more files first."
  	    return ""
  	} elseif {[string first "%" $cmd] > -1} {
  	    if {[string first "%B" $cmd] == -1 && \
  		[string first "%D" $cmd] == -1 && \
  		[string first "%X" $cmd] == -1 && \
  		[string first "%x" $cmd] == -1} {
! 	    	cb_info "Please select a file first."
  	    	return ""
  	    }
  	}
--- 1009,1022 ----
  	if {[string first "%A" $cmd] > -1 || \
  	    [string first "%a" $cmd] > -1} {
  	    dsk_bell
! 	    cb_info "ե򤷤Ƥ"
  	    return ""
  	} elseif {[string first "%" $cmd] > -1} {
  	    if {[string first "%B" $cmd] == -1 && \
  		[string first "%D" $cmd] == -1 && \
  		[string first "%X" $cmd] == -1 && \
  		[string first "%x" $cmd] == -1} {
! 		cb_info "ե򤷤Ƥ"
  	    	return ""
  	    }
  	}
***************
*** 1026,1032 ****
      if {[string first "%x" $cmd] > -1} {
  	set err [catch {set xsel [selection get]}]
  	if $err {
! 	    cb_info "The X-selection is empty."
  	    return ""
  	}
      } elseif {[string first "%X" $cmd] > -1} {
--- 1026,1032 ----
      if {[string first "%x" $cmd] > -1} {
  	set err [catch {set xsel [selection get]}]
  	if $err {
! 	    cb_info "X쥯󤬶Ǥ"
  	    return ""
  	}
      } elseif {[string first "%X" $cmd] > -1} {
***************
*** 1226,1232 ****
  	#	 -filter [string trimright [dsk_active dir] /]/* \
  	#	 -label "File to edit:" -showall 1]
  	while {1} {
! 	    set files [dsk_filesel "File to edit:" \
  		    [string trimright [dsk_active dir] /]/* showall]
  	    set isdir 0
  	    catch {set isdir [file isdirectory $files]}
--- 1226,1232 ----
  	#	 -filter [string trimright [dsk_active dir] /]/* \
  	#	 -label "File to edit:" -showall 1]
  	while {1} {
! 	    set files [dsk_filesel "եԽ:" \
  		    [string trimright [dsk_active dir] /]/* showall]
  	    set isdir 0
  	    catch {set isdir [file isdirectory $files]}
***************
*** 1234,1240 ****
  		return
  	    } elseif $isdir {
  		dsk_errbell
! 		cb_error "$files is a directory. Please choose a file."
  	    } else {
  		break
  	    }
--- 1234,1240 ----
  		return
  	    } elseif $isdir {
  		dsk_errbell
! 		cb_error "$files ϥեǤե򤷤Ƥ"
  	    } else {
  		break
  	    }
***************
*** 1284,1290 ****
      set p [lindex $args 0]
      if ![dsk_auto_execok $p] {
  	dsk_errbell
! 	cb_alert "Can't execute: $p"
  	return
      }
      eval dsk_editor cmd $args
--- 1284,1290 ----
      set p [lindex $args 0]
      if ![dsk_auto_execok $p] {
  	dsk_errbell
! 	cb_alert "¹ԤǤޤ: $p"
  	return
      }
      eval dsk_editor cmd $args
***************
*** 1360,1366 ****
      }
  
      dsk_HistEntry .he[dsk_HistEntry :: id] \
! 	    -title "Enter String" \
  	    -label $msg \
  	    -entrydefault $tmpvar \
  	    -history string_history \
--- 1360,1366 ----
      }
  
      dsk_HistEntry .he[dsk_HistEntry :: id] \
! 	    -title "ʸ" \
  	    -label $msg \
  	    -entrydefault $tmpvar \
  	    -history string_history \
***************
*** 1436,1473 ****
  # ---------------------------------------------------------------------------
  # dsk_print:
  # Asks for the command to use when printing files.
! #
  proc dsk_print {args} {
      global tkdesk dsk_print
  
!     set files $args
!     if {$files == ""} {
!     	set files [_make_fnames_safe]
!     }
!     if {$files == ""} {
! 	dsk_bell
! 	cb_info "Please select one or more files first."
! 	return
!     }
!     set dsk_print(files) $files
!     set dsk_print(string) ""
! 
!     if [info exists tkdesk(cmd,print)] {
! 	set cmd $tkdesk(cmd,print)
!     } else {
! 	set cmd "lpr"
      }
- 
-     dsk_HistEntry .he[dsk_HistEntry :: id] \
- 	    -title "Print" \
- 	    -label "Print command (file names will be appended):" \
- 	    -entrydefault $cmd \
- 	    -history printer_history \
- 	    -callback dsk_print_ok
-     
  }
  
  # ---------------------------------------------------------------------------
  # dsk_print_string:
  # Asks for the command to use when printing strings.
  #
--- 1436,1485 ----
  # ---------------------------------------------------------------------------
  # dsk_print:
  # Asks for the command to use when printing files.
! 
  proc dsk_print {args} {
      global tkdesk dsk_print
  
!     foreach file $args {
!         exec easypr $file &
      }
  }
  
  # ---------------------------------------------------------------------------
+ # dsk_print:
+ # Asks for the command to use when printing files.
+ #
+ #proc dsk_print {args} {
+ #    global tkdesk dsk_print
+ #
+ #    set files $args
+ #    if {$files == ""} {
+ #    	set files [_make_fnames_safe]
+ #    }
+ #    if {$files == ""} {
+ #	dsk_bell
+ #	cb_info "ե򤷤Ƥ"
+ #	return
+ #    }
+ #    set dsk_print(files) $files
+ #    set dsk_print(string) ""
+ #
+ #    if [info exists tkdesk(cmd,print)] {
+ #	set cmd $tkdesk(cmd,print)
+ #    } else {
+ #	set cmd "lpr"
+ #    }
+ #
+ #    dsk_HistEntry .he[dsk_HistEntry :: id] \
+ #	    -title "print" \
+ #	    -label "ޥ(ե̾ɲäƤ):" \
+ #	    -entrydefault $cmd \
+ #	    -history printer_history \
+ #	    -callback dsk_print_ok
+ #    
+ #}
+ 
+ # ---------------------------------------------------------------------------
  # dsk_print_string:
  # Asks for the command to use when printing strings.
  #
***************
*** 1480,1491 ****
      if [info exists tkdesk(cmd,print)] {
  	set cmd $tkdesk(cmd,print)
      } else {
! 	set cmd "lpr"
      }
  
      dsk_HistEntry .he[dsk_HistEntry :: id] \
! 	    -title "Print" \
! 	    -label "Print command (pipe):" \
  	    -entrydefault $cmd \
  	    -history printer_history \
  	    -callback dsk_print_ok
--- 1492,1503 ----
      if [info exists tkdesk(cmd,print)] {
  	set cmd $tkdesk(cmd,print)
      } else {
! 	set cmd "lpr2"
      }
  
      dsk_HistEntry .he[dsk_HistEntry :: id] \
! 	    -title "" \
! 	    -label "ޥ (ѥ):" \
  	    -entrydefault $cmd \
  	    -history printer_history \
  	    -callback dsk_print_ok
***************
*** 1571,1577 ****
      #puts $cmd
      set err [catch {send-netscape $cmd}]
      if $err {
! 	if {[cb_yesno "Netscape is not yet running on your display. Start it now?"] == 0} {
  	    # start new netscape
  	    if {$type == "rcmd"} {
  		eval dsk_exec $tkdesk(cmd,netscape) -$loc
--- 1583,1589 ----
      #puts $cmd
      set err [catch {send-netscape $cmd}]
      if $err {
! 	if {[cb_yesno "ͥåȥפưƤޤ󡢺ưޤ"] == 0} {
  	    # start new netscape
  	    if {$type == "rcmd"} {
  		eval dsk_exec $tkdesk(cmd,netscape) -$loc
***************
*** 1619,1633 ****
      set dsk_exec(here,dir) $dir
      
      if $tkdesk(exec_as_root) {
! 	set lab "Execute as root (%A: all selected):"
      } else {
! 	set lab "Enter Command (%A: all selected):"
      }
      
      dsk_HistEntry .dsk_exec_here \
  	    -title "Execute here" \
  	    -label $lab \
! 	    -checklabel "View Output" \
  	    -checkvalue $dsk_exec(here,view) \
  	    -entrydefault $cmd \
  	    -history xhere_history \
--- 1631,1645 ----
      set dsk_exec(here,dir) $dir
      
      if $tkdesk(exec_as_root) {
! 	set lab "롼ȤȤƼ¹ (%A: 򤵤줿):"
      } else {
! 	set lab "ޥɤ (%A: 򤵤줿):"
      }
      
      dsk_HistEntry .dsk_exec_here \
  	    -title "Execute here" \
  	    -label $lab \
! 	    -checklabel "Ϥɽ " \
  	    -checkvalue $dsk_exec(here,view) \
  	    -entrydefault $cmd \
  	    -history xhere_history \
***************
*** 1676,1691 ****
  	set dsk_mail(file) $file
  	set dsk_mail(string) ""
  	dsk_HistEntry .dsk_mail \
! 		-title "Send File" \
! 		-label "Send file to:" \
  		-history mail_history \
  		-callback dsk_mail_ok
      } else {
  	set dsk_mail(file) ""
  	set dsk_mail(string) $string
  	dsk_HistEntry .dsk_mail \
! 		-title "Send Buffer" \
! 		-label "Send buffer to:" \
  		-history mail_history \
  		-callback dsk_mail_ok
      }
--- 1688,1703 ----
  	set dsk_mail(file) $file
  	set dsk_mail(string) ""
  	dsk_HistEntry .dsk_mail \
! 		-title "ե" \
! 		-label "ե :" \
  		-history mail_history \
  		-callback dsk_mail_ok
      } else {
  	set dsk_mail(file) ""
  	set dsk_mail(string) $string
  	dsk_HistEntry .dsk_mail \
! 		-title "Хåե" \
! 		-label "Хåե:" \
  		-history mail_history \
  		-callback dsk_mail_ok
      }
***************
*** 1735,1750 ****
  proc dsk_man {{names ""}} {
  
      if {$names == ""} {
! 	set names [dsk_read_string "Show manual page for: (e.g. col(1))"]
      }
      
      foreach name $names {
  	set l [split $name ()]
  	if {[llength $l] == 1} {
! 	    dsk_view man $l | col -b
  	    #dsk_cbhelp "| man $l | col -b" man
  	} else {
! 	    dsk_view man [lindex $l 1] [lindex $l 0] | col -b
  	    #dsk_cbhelp "| man [lindex $l 1] [lindex $l 0] | col -b" man
  	}
      }
--- 1747,1764 ----
  proc dsk_man {{names ""}} {
  
      if {$names == ""} {
! 	set names [dsk_read_string "ޥ˥奢ڡɽ: (e.g. col(1))"]
      }
      
      foreach name $names {
  	set l [split $name ()]
  	if {[llength $l] == 1} {
! 	    dsk_view man $l | man2text
! 	    #dsk_view man $l | col -b
  	    #dsk_cbhelp "| man $l | col -b" man
  	} else {
! 	    dsk_view man [lindex $l 1] [lindex $l 0] | man2text
! 	    #dsk_view man [lindex $l 1] [lindex $l 0] | col -b
  	    #dsk_cbhelp "| man [lindex $l 1] [lindex $l 0] | col -b" man
  	}
      }
diff -crN tkdesk-1.1/tcldesk/bookmarks.tcl tkdesk-1.1-jp/tcldesk/bookmarks.tcl
*** tkdesk-1.1/tcldesk/bookmarks.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/bookmarks.tcl	Sun Nov  7 20:10:27 1999
***************
*** 62,68 ****
  	    bind $m <B1-ButtonRelease-3> break
  
  	    catch {$m delete 0 last}
! 	    $m add command -label "Add Bookmark" -underline 0 \
  		    -command "dsk_bookmark add"
  	    if {[llength $tkdesk(bookmarks)] > 0} {
  		$m add separator
--- 62,68 ----
  	    bind $m <B1-ButtonRelease-3> break
  
  	    catch {$m delete 0 last}
! 	    $m add command -label "A ֥åޡɲ" -underline 0 \
  		    -command "dsk_bookmark add"
  	    if {[llength $tkdesk(bookmarks)] > 0} {
  		$m add separator
***************
*** 96,102 ****
  	    }
  	    
  	    $m add separator
! 	    $m add cascade -label "Remove Bookmark" -menu $m.rb
  	    catch {destroy $m.rb}
  	    menu [set m $m.rb]
  
--- 96,102 ----
  	    }
  	    
  	    $m add separator
! 	    $m add cascade -label "֥åޡκ" -menu $m.rb
  	    catch {destroy $m.rb}
  	    menu [set m $m.rb]
  
diff -crN tkdesk-1.1/tcldesk/cb_tools/bindings.tcl tkdesk-1.1-jp/tcldesk/cb_tools/bindings.tcl
*** tkdesk-1.1/tcldesk/cb_tools/bindings.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/cb_tools/bindings.tcl	Sun Nov  7 20:09:51 1999
***************
*** 112,141 ****
  catch {bind Entry <bracketright> {tkEntryInsert %W \]}}
  catch {bind Entry <backslash> {tkEntryInsert %W \\}}
  catch {bind Entry <at> {tkEntryInsert %W @}}
- catch {bind Entry <mu> {tkEntryInsert %W }}
  catch {bind Entry <bar> {tkEntryInsert %W |}}
- catch {bind Entry <adiaeresis> {tkEntryInsert %W }}
- catch {bind Entry <odiaeresis> {tkEntryInsert %W }}
- catch {bind Entry <udiaeresis> {tkEntryInsert %W }}
- catch {bind Entry <Adiaeresis> {tkEntryInsert %W }}
- catch {bind Entry <Odiaeresis> {tkEntryInsert %W }}
- catch {bind Entry <Udiaeresis> {tkEntryInsert %W }}
- catch {
-     bind Entry <ssharp> {
- 	if {%s == 0} {
- 	    tkEntryInsert %W 
- 	} else {
- 	    tkEntryInsert %W \\
- 	}
-     }
- }
  
  # These might need to be commented out when using XKB:
  catch {bind Entry <asciitilde> {tkEntryInsert %W ~}}
  catch {bind Entry <grave> {tkEntryInsert %W `}}
  catch {bind Entry <dead_tilde> {tkEntryInsert %W ~}}
  catch {bind Entry <dead_grave> {tkEntryInsert %W `}}
- catch {bind Entry <dead_acute> {tkEntryInsert %W }}
  catch {bind Entry <dead_circumflex> {tkEntryInsert %W ^}}
  
  
--- 112,124 ----
***************
*** 153,185 ****
  	tkTextInsert %W \\}}
  catch {bind Text <at> {cb_Text_change_callback %W insert @; \
  	tkTextInsert %W @}}
- catch {bind Text <mu> {cb_Text_change_callback %W insert ; \
- 	tkTextInsert %W }}
  catch {bind Text <bar> {cb_Text_change_callback %W insert |; \
  	tkTextInsert %W |}}
- catch {bind Text <adiaeresis> {cb_Text_change_callback %W insert ; \
-         tkTextInsert %W }}
- catch {bind Text <odiaeresis> {cb_Text_change_callback %W insert ; \
-         tkTextInsert %W }}
- catch {bind Text <udiaeresis> {cb_Text_change_callback %W insert ; \
-         tkTextInsert %W }}
- catch {bind Text <Adiaeresis> {cb_Text_change_callback %W insert ; \
-         tkTextInsert %W }}
- catch {bind Text <Odiaeresis> {cb_Text_change_callback %W insert ; \
-         tkTextInsert %W }}
- catch {bind Text <Udiaeresis> {cb_Text_change_callback %W insert ; \
-         tkTextInsert %W }}
- catch {
-     bind Text <ssharp> {
- 	if {%s == 0} {
- 	    cb_Text_change_callback %W insert 
- 	    tkTextInsert %W 
- 	} else {
- 	    cb_Text_change_callback %W insert \\
- 	    tkTextInsert %W \\
- 	}
-     }
- }
  
  # These might need to be commented out when using XKB:
  catch {bind Text <asciitilde> {cb_Text_change_callback %W insert ~; \
--- 136,143 ----
***************
*** 190,197 ****
  	tkTextInsert %W ~}}
  catch {bind Text <dead_grave> {cb_Text_change_callback %W insert `; \
  	tkTextInsert %W `}}
- catch {bind Text <dead_acute> {cb_Text_change_callback %W insert ; \
- 	tkTextInsert %W }}
  catch {bind Text <dead_circumflex> {cb_Text_change_callback %W insert ^; \
  	tkTextInsert %W ^}}
  
--- 148,153 ----
***************
*** 279,285 ****
  	[bind Text <Return>]"
  bind Text <Tab> "cb_Text_change_callback %W insert <tab>; \
  	[bind Text <Tab>]"
- bind Text <mu> "cb_Text_change_callback %W insert ; [bind Text <mu>]"
  bind Text <Meta-BackSpace> "cb_Text_change_callback %W delete backchar; \
  	[bind Text <Meta-BackSpace>]"
  bind Text <Meta-Delete> "cb_Text_change_callback %W delete char; \
--- 235,240 ----
diff -crN tkdesk-1.1/tcldesk/cb_tools/dialog.tcl tkdesk-1.1-jp/tcldesk/cb_tools/dialog.tcl
*** tkdesk-1.1/tcldesk/cb_tools/dialog.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/cb_tools/dialog.tcl	Sun Nov  7 20:10:27 1999
***************
*** 26,36 ****
  proc cb_alert {text} {
      if [winfo exists .tcb_alert] return
      return [cb_dialog [toplevel .tcb_alert] \
! 	"Alert" \
  	$text \
  	warning \
  	0 \
! 	"  OK  " \
  	]
  }
  
--- 26,36 ----
  proc cb_alert {text} {
      if [winfo exists .tcb_alert] return
      return [cb_dialog [toplevel .tcb_alert] \
! 	"ٹ" \
  	$text \
  	warning \
  	0 \
! 	" λ " \
  	]
  }
  
***************
*** 40,50 ****
  proc cb_info {text} {
      if [winfo exists .tcb_info] return    
      return [cb_dialog [toplevel .tcb_info] \
! 	"Info" \
  	$text \
  	info \
  	0 \
! 	"  OK  " \
  	]
  }
  
--- 40,50 ----
  proc cb_info {text} {
      if [winfo exists .tcb_info] return    
      return [cb_dialog [toplevel .tcb_info] \
! 	"" \
  	$text \
  	info \
  	0 \
! 	" λ " \
  	]
  }
  
***************
*** 54,64 ****
  proc cb_error {text} {
      if [winfo exists .tcb_error] return    
      return [cb_dialog [toplevel .tcb_error] \
! 	"Error" \
  	$text \
  	error \
  	0 \
! 	"  OK  " \
  	]
  }
  
--- 54,64 ----
  proc cb_error {text} {
      if [winfo exists .tcb_error] return    
      return [cb_dialog [toplevel .tcb_error] \
! 	"顼" \
  	$text \
  	error \
  	0 \
! 	" λ " \
  	]
  }
  
***************
*** 68,79 ****
  proc cb_yesno {text {default 0}} {
      if [winfo exists .tcb_yesno] return    
      return [cb_dialog [toplevel .tcb_yesno] \
! 	"Question" \
  	$text \
  	questhead \
  	$default \
! 	" Yes " \
! 	" No "
  	]
  }
  
--- 68,79 ----
  proc cb_yesno {text {default 0}} {
      if [winfo exists .tcb_yesno] return    
      return [cb_dialog [toplevel .tcb_yesno] \
! 	"" \
  	$text \
  	questhead \
  	$default \
! 	"Ϥ" \
! 	""
  	]
  }
  
***************
*** 83,94 ****
  proc cb_okcancel {text {default 0}} {
      if [winfo exists .tcb_okcancel] return    
      return [cb_dialog [toplevel .tcb_okcancel] \
! 	"Confirmation" \
  	$text \
  	questhead \
  	$default \
! 	" OK " \
! 	" Cancel "
  	]
  }
  
--- 83,94 ----
  proc cb_okcancel {text {default 0}} {
      if [winfo exists .tcb_okcancel] return    
      return [cb_dialog [toplevel .tcb_okcancel] \
! 	"ǧ" \
  	$text \
  	questhead \
  	$default \
! 	"λ" \
! 	""
  	]
  }
  
diff -crN tkdesk-1.1/tcldesk/cb_tools/help.tcl tkdesk-1.1-jp/tcldesk/cb_tools/help.tcl
*** tkdesk-1.1/tcldesk/cb_tools/help.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/cb_tools/help.tcl	Sun Nov  7 20:10:27 1999
***************
*** 120,126 ****
      frame $this.fb -bd 1 -relief raised
      pack $this.fb -fill x -side bottom
  
!     label $this.ls -text "Search (regexp):"
      pack $this.ls -in $this.fb -side left -padx $cb_help($this,public,pad)
  
      entry $this.es -bd 2 -relief sunken -width 10 -font $cb_help(font)
--- 120,126 ----
      frame $this.fb -bd 1 -relief raised
      pack $this.fb -fill x -side bottom
  
!     label $this.ls -text " (ɽ):"
      pack $this.ls -in $this.fb -side left -padx $cb_help($this,public,pad)
  
      entry $this.es -bd 2 -relief sunken -width 10 -font $cb_help(font)
***************
*** 135,155 ****
      
      set ipad [expr $tk_strictMotif ? 2 : 0]
      
!     button $this.bClose -text "  Close  " -command "_cb_help_delete $this" \
!     	-underline 2
      pack $this.bClose -in $this.fb -side right -ipady $ipad \
  	    -padx $cb_help($this,public,pad) -pady $cb_help($this,public,pad)
      if [info exists tkdesk(cmd,print)] {
! 	button $this.bPrint -text "  Print  " \
  		-command "dsk_print_string \[$this.ft.text get 1.0 end\]" \
! 		-underline 2
  	pack $this.bPrint -in $this.fb -side right -ipady $ipad \
  		-padx $cb_help($this,public,pad) \
  		-pady $cb_help($this,public,pad)
      }
!     button $this.bBack -text "  Back  " \
  	    -command "_cb_help__scroll $this back" \
! 	    -underline 2
      pack $this.bBack -in $this.fb -side right -ipady $ipad \
  	    -padx $cb_help($this,public,pad) -pady $cb_help($this,public,pad)
  
--- 135,155 ----
      
      set ipad [expr $tk_strictMotif ? 2 : 0]
      
!     button $this.bClose -text "C Ĥ" -command "_cb_help_delete $this" \
!     	-underline 0
      pack $this.bClose -in $this.fb -side right -ipady $ipad \
  	    -padx $cb_help($this,public,pad) -pady $cb_help($this,public,pad)
      if [info exists tkdesk(cmd,print)] {
! 	button $this.bPrint -text "P " \
  		-command "dsk_print_string \[$this.ft.text get 1.0 end\]" \
! 		-underline 0
  	pack $this.bPrint -in $this.fb -side right -ipady $ipad \
  		-padx $cb_help($this,public,pad) \
  		-pady $cb_help($this,public,pad)
      }
!     button $this.bBack -text "B " \
  	    -command "_cb_help__scroll $this back" \
! 	    -underline 0
      pack $this.bBack -in $this.fb -side right -ipady $ipad \
  	    -padx $cb_help($this,public,pad) -pady $cb_help($this,public,pad)
  
diff -crN tkdesk-1.1/tcldesk/cb_tools/modules.tcl tkdesk-1.1-jp/tcldesk/cb_tools/modules.tcl
*** tkdesk-1.1/tcldesk/cb_tools/modules.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/cb_tools/modules.tcl	Sun Nov  7 20:10:27 1999
***************
*** 61,74 ****
  
  	frame $t.fdOK -relief sunken -bd 1
  	pack $t.fdOK -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bOK -text "   OK   " -command "destroy $t ;\
  		set $e_var \$cb_readStringASync(tmp) ;\
  		focus $cb_readStringASync(focus) "
  	pack $t.bOK -in $t.fdOK -padx 1m -pady 1m -ipady 0
  
  	frame $t.fdCancel -relief flat -bd 1
  	pack $t.fdCancel -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bCancel -text " Cancel " -command "destroy $t ;\
  		focus $cb_readStringASync(focus) "
  	pack $t.bCancel -in $t.fdCancel -padx 1m -pady 1m -ipady 0
  
--- 61,74 ----
  
  	frame $t.fdOK -relief sunken -bd 1
  	pack $t.fdOK -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bOK -text "  λ  " -command "destroy $t ;\
  		set $e_var \$cb_readStringASync(tmp) ;\
  		focus $cb_readStringASync(focus) "
  	pack $t.bOK -in $t.fdOK -padx 1m -pady 1m -ipady 0
  
  	frame $t.fdCancel -relief flat -bd 1
  	pack $t.fdCancel -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bCancel -text "    " -command "destroy $t ;\
  		focus $cb_readStringASync(focus) "
  	pack $t.bCancel -in $t.fdCancel -padx 1m -pady 1m -ipady 0
  
***************
*** 126,138 ****
  
  	frame $t.fdOK -relief sunken -bd 1
  	pack $t.fdOK -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bOK -text "   OK   " -command "destroy $t ;\
  		set $e_var \$e_tmp"
  	pack $t.bOK -in $t.fdOK -padx 1m -pady 1m
  
  	frame $t.fdCancel -relief flat -bd 1
  	pack $t.fdCancel -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bCancel -text " Cancel " -command "destroy $t ;\
  		set $e_var \"\" "
  	pack $t.bCancel -in $t.fdCancel -padx 1m -pady 1m
  
--- 126,138 ----
  
  	frame $t.fdOK -relief sunken -bd 1
  	pack $t.fdOK -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bOK -text "  λ  " -command "destroy $t ;\
  		set $e_var \$e_tmp"
  	pack $t.bOK -in $t.fdOK -padx 1m -pady 1m
  
  	frame $t.fdCancel -relief flat -bd 1
  	pack $t.fdCancel -in $t.f2 -side left -padx 2m -pady 2m
! 	button $t.bCancel -text "    " -command "destroy $t ;\
  		set $e_var \"\" "
  	pack $t.bCancel -in $t.fdCancel -padx 1m -pady 1m
  
***************
*** 236,242 ****
      frame $t.fFE
      pack $t.fFE -in $t.fUH -padx $pad -pady $pad -fill x
  
!     label $t.lFE -text "Filter:"
      pack $t.lFE -in $t.fFE -anchor w
  
      entry $t.eFE -relief sunken -bd 2 ;#-textvariable filter
--- 236,242 ----
      frame $t.fFE
      pack $t.fFE -in $t.fUH -padx $pad -pady $pad -fill x
  
!     label $t.lFE -text "ե륿:"
      pack $t.lFE -in $t.fFE -anchor w
  
      entry $t.eFE -relief sunken -bd 2 ;#-textvariable filter
***************
*** 266,272 ****
      frame $t.fLBl
      pack $t.fLBl -in $t.fLB -side left -fill both -expand yes
  
!     label $t.lLBl -text "Directories:"
      pack $t.lLBl -in $t.fLBl -anchor w -padx 4
  
      cb_listbox $t.lbl -lborder 1 -vscroll 1 -hscroll 1 -pad 4 \
--- 266,272 ----
      frame $t.fLBl
      pack $t.fLBl -in $t.fLB -side left -fill both -expand yes
  
!     label $t.lLBl -text "ե:"
      pack $t.lLBl -in $t.fLBl -anchor w -padx 4
  
      cb_listbox $t.lbl -lborder 1 -vscroll 1 -hscroll 1 -pad 4 \
***************
*** 286,292 ****
      frame $t.fLBr
      pack $t.fLBr -in $t.fLB -side left -fill both -expand yes
  
!     label $t.lLBr -text "Files:"
      pack $t.lLBr -in $t.fLBr -anchor w -padx 4
  
      cb_listbox $t.lbr -vscroll 1 -hscroll 1 -pad 4 \
--- 286,292 ----
      frame $t.fLBr
      pack $t.fLBr -in $t.fLB -side left -fill both -expand yes
  
!     label $t.lLBr -text "ե:"
      pack $t.lLBr -in $t.fLBr -anchor w -padx 4
  
      cb_listbox $t.lbr -vscroll 1 -hscroll 1 -pad 4 \
***************
*** 310,316 ****
      frame $t.fSE
      pack $t.fSE -in $t.fUH -padx $pad -pady $pad -fill x
  
!     label $t.lSE -text "Selected file:"
      pack $t.lSE -in $t.fSE -anchor w
  
      entry $t.eSE -relief sunken -bd 2
--- 310,316 ----
      frame $t.fSE
      pack $t.fSE -in $t.fUH -padx $pad -pady $pad -fill x
  
!     label $t.lSE -text "ե:"
      pack $t.lSE -in $t.fSE -anchor w
  
      entry $t.eSE -relief sunken -bd 2
***************
*** 338,356 ****
      # --- buttons
  
      set bPad 4
!     cb_button $t.bOK -text "OK" -width 8 -default 1 -pad 4 \
  	    -command "cb_fileSelOK $t"
      pack $t.bOK -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
!     cb_button $t.bFilter -text "Filter" -width 8 -pad 4 \
  	-command "cb_fileSelUpdate \[cb_tilde \[$t.eFE get\]\]"
      pack $t.bFilter -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
!     cb_button $t.bHome -text "Home" -width 8 -pad 4 \
  		-command "cb_fileSelUpdate $env(HOME) 1"
      pack $t.bHome -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
!     cb_button $t.bCancel -text "Cancel" -width 8 -pad 4 \
  		-command "set cb_fileSelector(tmpsel) \"\" ; destroy $t"
      pack $t.bCancel -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
--- 338,356 ----
      # --- buttons
  
      set bPad 4
!     cb_button $t.bOK -text "λ" -width 8 -default 1 -pad 4 \
  	    -command "cb_fileSelOK $t"
      pack $t.bOK -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
!     cb_button $t.bFilter -text "ե륿" -width 8 -pad 4 \
  	-command "cb_fileSelUpdate \[cb_tilde \[$t.eFE get\]\]"
      pack $t.bFilter -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
!     cb_button $t.bHome -text "ۡ" -width 8 -pad 4 \
  		-command "cb_fileSelUpdate $env(HOME) 1"
      pack $t.bHome -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
!     cb_button $t.bCancel -text "" -width 8 -pad 4 \
  		-command "set cb_fileSelector(tmpsel) \"\" ; destroy $t"
      pack $t.bCancel -in $t.fLH -side left -padx $bPad -pady $bPad -expand 1
  
diff -crN tkdesk-1.1/tcldesk/config.tcl tkdesk-1.1-jp/tcldesk/config.tcl
*** tkdesk-1.1/tcldesk/config.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/config.tcl	Sun Nov  7 20:10:27 1999
***************
*** 154,168 ****
  
      set tkdesk(configfiles) {AppBar ButtonBar Commands Directories \
  	    FileTags Local Popups Sounds System}
!     set tkdesk(configxpl,AppBar) {Buttons of the Application Bar}
!     set tkdesk(configxpl,ButtonBar) {Defines the Bar underneath the Menu Bar}
!     set tkdesk(configxpl,Commands) {Entries of the "Commands" Menu}
!     set tkdesk(configxpl,Directories) {Entries of the "Directories" Menu}
!     set tkdesk(configxpl,FileTags) {Colors, Fonts, and Icons of Files etc.}
!     set tkdesk(configxpl,Local) {Local Extensions}
!     set tkdesk(configxpl,Popups) {Popup Menus for Files etc.}
!     set tkdesk(configxpl,Sounds) {Sounds to use for TkDesk events}
!     set tkdesk(configxpl,System) {Fonts and Colors used by TkDesk, etc.}
  
      read_System
      read_ButtonBar
--- 154,168 ----
  
      set tkdesk(configfiles) {AppBar ButtonBar Commands Directories \
  	    FileTags Local Popups Sounds System}
!     set tkdesk(configxpl,AppBar) {硼ȥåȤ}
!     set tkdesk(configxpl,ButtonBar) {ܥ˥塼}
!     set tkdesk(configxpl,Commands) {ޥɥ˥塼}
!     set tkdesk(configxpl,Directories) {ǥ쥯ȥ˥塼}
!     set tkdesk(configxpl,FileTags) {եοʸʤɤ}
!     set tkdesk(configxpl,Local) {Ŀ}
!     set tkdesk(configxpl,Popups) {ݥåץåץ˥塼}
!     set tkdesk(configxpl,Sounds) {ǥȥåפǻѤ륵ɤ}
!     set tkdesk(configxpl,System) {ǥȥåפοʸʤɤ}
  
      read_System
      read_ButtonBar
***************
*** 294,301 ****
  set tkdesk(cmd,netscape) "netscape"
  set tkdesk(cmd,mail) "mail -s %s %a"
  set tkdesk(cmd,df) "df"
! set tkdesk(cmd,su,exec) {xterm -sb -T "%c" -n "%c" -e su root -c "%c"}
! set tkdesk(cmd,su,view) {xterm -sb -T "%c" -n "%c" -e pauseme su root -c "%c"}
  set tkdesk(focus_follows_mouse) 1
  set tkdesk(editor,auto_indent) 1
  set tkdesk(editor,brace_indent) 1
--- 294,301 ----
  set tkdesk(cmd,netscape) "netscape"
  set tkdesk(cmd,mail) "mail -s %s %a"
  set tkdesk(cmd,df) "df"
! set tkdesk(cmd,su,exec) {kterm -km euc -sb -T "%c" -n "%c" -e su root -c "%c"}
! set tkdesk(cmd,su,view) {kterm -km euc -sb -T "%c" -n "%c" -e pauseme su root -c "%c"}
  set tkdesk(focus_follows_mouse) 1
  set tkdesk(editor,auto_indent) 1
  set tkdesk(editor,brace_indent) 1
***************
*** 433,439 ****
--- 433,441 ----
      option add *Checkbutton.font [cb_font $tkdesk(font,labels)]
      option add *Radiobutton.font [cb_font $tkdesk(font,labels)]
      option add *Entry.font [cb_font $tkdesk(font,entries)]
+     option add *Entry.kanjiFont [cb_font $tkdesk(kanjiFont,entries)]
      option add *Text.font [cb_font $tkdesk(font,entries)]
+     option add *Text.kanjiFont [cb_font $tkdesk(kanjiFont,text)]
      option add *Button.font [cb_font $tkdesk(font,buttons)]
      option add *Menubutton.font [cb_font $tkdesk(font,menubuttons)]
      option add *Menu.font [cb_font $tkdesk(font,menus)]
***************
*** 452,458 ****
  	set tkdesk(trashdir) $tkdesk(configdir)/.trash
      } else {
  	if ![file isdirectory $tkdesk(trashdir)] {
! 	    set err [catch {mkdir $tkdesk(trashdir)} errmsg]
  	    if $err {
  		cb_error "Error: \"$errmsg\". Using default trash directory."
  		set tkdesk(trashdir) $tkdesk(configdir)/.trash
--- 454,460 ----
  	set tkdesk(trashdir) $tkdesk(configdir)/.trash
      } else {
  	if ![file isdirectory $tkdesk(trashdir)] {
! 	    set err [catch {exec mkdir $tkdesk(trashdir)} errmsg]
  	    if $err {
  		cb_error "Error: \"$errmsg\". Using default trash directory."
  		set tkdesk(trashdir) $tkdesk(configdir)/.trash
***************
*** 676,697 ****
  #
  
  set tkdesk(fileops,popup) {
!     {{Link (symbolic)} {
  	dsk_exec $tkdesk(cmd,symln) %S %T
      }}
!     {{Link (hard)} {
  	dsk_exec $tkdesk(cmd,ln) %S %T
      }}
!     {{Untar} {
  	dsk_bgexec {gzip -cd %S | tar xf - -C %T} {Untaring %f...}
      }}
!     {{Diff} {
! 	dsk_view diff -bc %S %T
      }}
!     {{Patch} {
! 	dsk_path_exec %T xterm -sb -T "patch <%S" -n patch -e pauseme sh -c "patch <%S"
      }}
!     {{Concatenate} {
  	dsk_exec cat %S >%T
      }}
  }
--- 678,699 ----
  #
  
  set tkdesk(fileops,popup) {
!     {{ܥå} {
  	dsk_exec $tkdesk(cmd,symln) %S %T
      }}
!     {{ϡɥ} {
  	dsk_exec $tkdesk(cmd,ln) %S %T
      }}
!     {{tar} {
  	dsk_bgexec {gzip -cd %S | tar xf - -C %T} {Untaring %f...}
      }}
!     {{ʬ} {
! 	dsk_view diff -bcr %S %T
      }}
!     {{ѥå} {
! 	dsk_path_exec %T kterm -km euc  -sb -T "patch <%S" -n patch -e pauseme sh -c "patch <%S"
      }}
!     {{ɲ} {
  	dsk_exec cat %S >%T
      }}
  }
diff -crN tkdesk-1.1/tcldesk/configs/ButtonBar tkdesk-1.1-jp/tcldesk/configs/ButtonBar
*** tkdesk-1.1/tcldesk/configs/ButtonBar	Mon Sep 21 04:41:43 1998
--- tkdesk-1.1-jp/tcldesk/configs/ButtonBar	Sun Nov  7 20:10:27 1999
***************
*** 68,128 ****
  set tkdesk(button_bar) {
      {{info.xpm} {
  	dsk_fileinfo
! 	{Display information about all selected files.}
      }}
      {{file_doc.xpm} {
  	{dsk_create file}
! 	{Create a new file.}
      }}
      {{folder.xpm} {
  	{dsk_create directory}
! 	{Create a new directory.}
      }}
      {{copy.xpm} {
  	dsk_copy
! 	{Copy, move or link files.}
      }}
      {{trash.xpm} {
  	dsk_delete
! 	{Delete files.}
      }}
      {-}
      {{magnify2.xpm} {
      	dsk_find_files
!     	{Find files.}
      }}
      {{lightning.xpm} {
  	{dsk_ask_exec}
! 	{Ask for a command to execute.}
      }}
      {{edit.xpm} {
  	{dsk_edit %B}
! 	{Edit all selected files or open a new editor.}
      }}
      {{printer16.xpm} {
  	{dsk_print %A}
! 	{Print all selected files.}
      }}
      {{xlogo16.xpm} {
  	{dsk_select X}
! 	{Copy names of selected files to\nX clipboard.}
      }}
      {-}
      {{home.xpm} {
  	{dsk_cd $env(HOME)}
! 	{Change to home directory.}
      }}
      {{up.xpm} {
      	{dsk_cd ..}
!     	{"Up": Change to parent directory.}
      }}
      {{arrleft.xpm} {
      	{dsk_cd [list [dir_history back]]}
!     	{Go back in the directory history.}
      }}
      {{arrright.xpm} {
      	{dsk_cd [list [dir_history forward]]}
!     	{Go forward in the directory history.}
      }}
  }
  
--- 68,140 ----
  set tkdesk(button_bar) {
      {{info.xpm} {
  	dsk_fileinfo
! 	{򤵤줿եξɽ}
      }}
      {{file_doc.xpm} {
  	{dsk_create file}
! 	{եκ}
      }}
      {{folder.xpm} {
  	{dsk_create directory}
! 	{եκ}
      }}
      {{copy.xpm} {
  	dsk_copy
! 	{ԡư}
      }}
      {{trash.xpm} {
  	dsk_delete
! 	{եκ}
      }}
      {-}
      {{magnify2.xpm} {
      	dsk_find_files
!     	{եθ}
      }}
      {{lightning.xpm} {
  	{dsk_ask_exec}
! 	{¹}
      }}
      {{edit.xpm} {
  	{dsk_edit %B}
! 	{򤵤줿եԽޤϡեԽ}
      }}
      {{printer16.xpm} {
  	{dsk_print %A}
! 	{򤵤줿եư}
!     }}
!     {{mail16.xpm} {
! 	{
! 	    global tkdesk
! 	    set tkdesk(TkMailer) "mail"
! 	    dsk_mailer {} {} {}
! 	}
! 	{᡼κ}
!     }}
!     {{mailbox16.xpm} {
! 	{dsk_receive_mail}
! 	{᡼μ}
      }}
      {{xlogo16.xpm} {
  	{dsk_select X}
! 	{򤵤줿ե̾򥯥åץܡɤ˥ԡ}
      }}
      {-}
      {{home.xpm} {
  	{dsk_cd $env(HOME)}
! 	{ۡ}
      }}
      {{up.xpm} {
      	{dsk_cd ..}
!     	{ľΥե˰ư}
      }}
      {{arrleft.xpm} {
      	{dsk_cd [list [dir_history back]]}
!     	{ե᤹}
      }}
      {{arrright.xpm} {
      	{dsk_cd [list [dir_history forward]]}
!     	{ե˿ʤ}
      }}
  }
  
***************
*** 133,163 ****
  set tkdesk(small_button_bar) {
      {{file_doc.xpm} {
  	{dsk_create file}
! 	{Create a new file.}
      }}
      {{folder.xpm} {
  	{dsk_create directory}
! 	{Create a new directory.}
      }}
      {{trash.xpm} {
  	dsk_delete
! 	{Delete files.}
      }}
      {{xlogo16.xpm} {
  	{dsk_select X}
! 	{Copy names of selected files to\nX clipboard.}
      }}
      {{up.xpm} {
      	{dsk_cd ..}
!     	{"Up": Change to parent directory.}
      }}
      {{arrleft.xpm} {
      	{dsk_cd [list [dir_history back]]}
!     	{Go back in the directory history.}
      }}
      {{arrright.xpm} {
      	{dsk_cd [list [dir_history forward]]}
!     	{Go forward in the directory history.}
      }}
  }
  
--- 145,175 ----
  set tkdesk(small_button_bar) {
      {{file_doc.xpm} {
  	{dsk_create file}
! 	{եκ}
      }}
      {{folder.xpm} {
  	{dsk_create directory}
! 	{եκ}
      }}
      {{trash.xpm} {
  	dsk_delete
! 	{եκ}
      }}
      {{xlogo16.xpm} {
  	{dsk_select X}
! 	{򤵤줿ե̾򥯥åץܡɤ˥ԡ}
      }}
      {{up.xpm} {
      	{dsk_cd ..}
!     	{ľΥե˰ư}
      }}
      {{arrleft.xpm} {
      	{dsk_cd [list [dir_history back]]}
!     	{ե᤹}
      }}
      {{arrright.xpm} {
      	{dsk_cd [list [dir_history forward]]}
!     	{ե˿ʤ}
      }}
  }
  
***************
*** 188,193 ****
  	}}
      }}
  }
- 
- 
- 
--- 200,202 ----
diff -crN tkdesk-1.1/tcldesk/configs/Commands tkdesk-1.1-jp/tcldesk/configs/Commands
*** tkdesk-1.1/tcldesk/configs/Commands	Mon Sep 21 04:41:43 1998
--- tkdesk-1.1-jp/tcldesk/configs/Commands	Sun Nov  7 20:10:27 1999
***************
*** 47,85 ****
  ### %D : Directory of last "ative" viewer.
  
  set tkdesk(commands) {
!     {{All my C files...} {dsk_find_files -path ~ -name *.c -type file}}
!     {{All my core files!} {dsk_find_files -path ~ -name core -type file -size +10 -doit}}
!     {{Top} {dsk_exec $tkdesk(cmd,xterm) -e top}}
!     {{Compression...}
!     	{{Gzip selected} {dsk_exec gzip %A}}
! 	{{Un-gzip selected} {dsk_exec gzip -d %A}}
  	-
!     	{{Bzip2 selected} {dsk_exec bzip2 %A}}
! 	{{Un-bzip2 selected} {dsk_exec bzip2 -d %A}}
  	-
!     	{{Compress selected} {dsk_exec compress %A}}
! 	{{Un-compress selected} {dsk_exec uncompress %A}}
      }
!     {{Dump File...}
!     	{{Hexadecimal} {dsk_view od -t x -A x -w %s}}
!     	{{Octal} {dsk_view od -t o -A x %s}}
!     	{{Characters} {dsk_view od -t c -A x %s}}
!     	{{Strings} {dsk_view od -s -A x %s}}
      }
!     {{RPM...}
          {.}
!     	{{Installed RPM's} {dsk_view rpm -q -a | sort}}
!     	{{Info about RPM...} {
      		dsk_read_string {Display info about RPM package:} {
      			dsk_view rpm -q -i $dsk_read_string
      		}
      	}}
!     	{{Show An RPM's Files...} {
!     		dsk_read_string {Display files of RPM package:} {
      			dsk_view rpm -q -l $dsk_read_string
      		}
      	}}
!     	{{Uninstall RPM...} {
      		dsk_read_string {Uninstall RPM package:} {
      			dsk_exec_as_root rpm -e $dsk_read_string
      		}
--- 47,85 ----
  ### %D : Directory of last "ative" viewer.
  
  set tkdesk(commands) {
!     {{ƤCե...} {dsk_find_files -path ~ -name *.c -type file}}
!     {{Ƥcoreե롪} {dsk_find_files -path ~ -name core -type file -size +10 -doit}}
!     {{ȥå} {dsk_exec $tkdesk(cmd,xterm) -e top}}
!     {{...}
!     	{{򤵤줿ΤGzip} {dsk_exec gzip %A}}
! 	{{򤵤줿ΤUn-gzip} {dsk_exec gzip -d %A}}
  	-
!     	{{򤵤줿ΤBzip2} {dsk_exec bzip2 %A}}
! 	{{򤵤줿ΤUn-bzip2} {dsk_exec bzip2 -d %A}}
  	-
!     	{{򤵤줿ΤCompress} {dsk_exec compress %A}}
! 	{{򤵤줿ΤUn-compress} {dsk_exec uncompress %A}}
      }
!     {{եΥ...}
!     	{{16} {dsk_view od -t x -A x -w %s}}
!     	{{8} {dsk_view od -t o -A x %s}}
!     	{{ʸ} {dsk_view od -t c -A x %s}}
!     	{{ʸ} {dsk_view od -s -A x %s}}
      }
!     {{åɥϥåȡѥå...}
          {.}
!     	{{RPMΥ󥹥ȡ} {dsk_view rpm -q -a | sort}}
!     	{{RPMξ...} {
      		dsk_read_string {Display info about RPM package:} {
      			dsk_view rpm -q -i $dsk_read_string
      		}
      	}}
!     	{{RPMΥե...} {
!     			dsk_read_string {Display files of RPM package:} {
      			dsk_view rpm -q -l $dsk_read_string
      		}
      	}}
!     	{{RPMΥ󥤥󥹥ȡ...} {
      		dsk_read_string {Uninstall RPM package:} {
      			dsk_exec_as_root rpm -e $dsk_read_string
      		}
diff -crN tkdesk-1.1/tcldesk/configs/FileTags tkdesk-1.1-jp/tcldesk/configs/FileTags
*** tkdesk-1.1/tcldesk/configs/FileTags	Mon Sep 21 04:41:44 1998
--- tkdesk-1.1-jp/tcldesk/configs/FileTags	Sun Nov  7 20:10:27 1999
***************
*** 48,53 ****
--- 48,61 ----
  set tkdesk(file_tags,executables) {
      {{!default} {red} {-*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*}
  		{ficons16/exec.xpm} {ficons32/exec.xpm}}
+     {{netscape} {red} {-*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*}
+ 		{ficons16/exec.xpm} {navigator.xpm}}
+     {{xawtv}    {red} {-*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*}
+ 		{ficons16/exec.xpm} {next/monitor_eye.xpm}}
+     {{tgif}     {red} {-*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*}
+ 		{ficons16/exec.xpm} {ficons32/drawing.xpm}}
+     {{kterm}    {red} {-*-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*}
+ 		{ficons16/exec.xpm} {terminal.xpm}}
      {{!symlink} {red} {-*-helvetica-bold-o-*-*-12-*-*-*-*-*-*-*}
  		{ficons16/symexec.xpm} {ficons32/exec.xpm}}
      {{tkdesk}	{red} {-*-helvetica-*-r-*-*-18-*-*-*-*-*-*-*}}
diff -crN tkdesk-1.1/tcldesk/configs/Popups tkdesk-1.1-jp/tcldesk/configs/Popups
*** tkdesk-1.1/tcldesk/configs/Popups	Mon Sep 21 04:41:44 1998
--- tkdesk-1.1-jp/tcldesk/configs/Popups	Sun Nov  7 20:10:27 1999
***************
*** 90,109 ****
  	{{Make tar.gz} {dsk_exec tar cf - -C %d %f | gzip >%s.tar.gz}}	
      }}
      {{*} {
! 	{{Open} {dsk_cd %s}}
! 	{{New Window} {dsk_open_dir %s}}
! 	{{New Browser} {dsk_open_browser %s}}
! 	-
! 	{{Find...} {dsk_find_files -path %s}}
! 	{{Disk Usage} {dsk_du %s}}
! 	{{Start XTerm here} {
  	    cd %s
! 	    exec $tkdesk(cmd,xterm) &
  	    cd ~  ;# this is the standard workdir of TkDesk
  	}}
  	-
! 	{{Make tar.gz} {dsk_exec tar cf - -C %d %f | gzip >%s.tar.gz}}	
! 	{{Make zip} {dsk_exec zip -r %s.zip %f}}
  	{{Which rpm} {dsk_view rpm -qfli %s}}
      }}
  }
--- 90,109 ----
  	{{Make tar.gz} {dsk_exec tar cf - -C %d %f | gzip >%s.tar.gz}}	
      }}
      {{*} {
! 	{{} {dsk_cd %s}}
! 	{{ե򳫤} {dsk_open_dir %s}}
! 	{{ɥ򳫤} {dsk_open_browser %s}}
! 	-
! 	{{...} {dsk_find_files -path %s}}
! 	{{ץѥƥ} {dsk_du %s}}
! 	{{ξü¹} {
  	    cd %s
! 	    exec kterm -ls -sb -km euc &
  	    cd ~  ;# this is the standard workdir of TkDesk
  	}}
  	-
! 	{{tar.gzֺ} {dsk_exec tar cf - -C %d %f | gzip >%s.tar.gz}}	
! 	{{zip} {dsk_exec zip -r %s.zip %f}}
  	{{Which rpm} {dsk_view rpm -qfli %s}}
      }}
  }
***************
*** 116,143 ****
  
  set tkdesk(popup,executables) {
      {{*.class} {
! 	{{Execute in Xterm} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme java %b}}
!     	{{Execute} {dsk_exec java %b}}
  	{{View Output} {dsk_view java %b}}
      }}
      {{{*.tcl} {*.tk}} {
! 	{{Source} {source %s}}
! 	{{Execute} {dsk_exec %s}}
! 	{{Execute in Xterm} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme %s}}
! 	{{View Output} {dsk_view %s}}
! 	-
! 	{{Edit} {dsk_edit %s}}
      }}
      {{*} {
! 	{{Execute} {dsk_exec %s}}
! 	{{Execute in Xterm} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme %s}}
! 	{{View Output} {dsk_view %s}}
! 	{{Manual Page} {dsk_view man %f | col -b}}
! 	-
! 	{{Edit} {dsk_edit %s}}
! 	{{Strip} {dsk_exec strip %s}}
! 	{{Libraries} {dsk_view ldd %s}}
! 	{{Which rpm} {dsk_view rpm -qfli %s}}
      }}
  }
  
--- 116,144 ----
  
  set tkdesk(popup,executables) {
      {{*.class} {
! 	{{Execute in Xterm} {dsk_exec kterm -km euc -sb -T %f -n %f -e pauseme java %b}}    	{{Execute} {dsk_exec java %b}}
  	{{View Output} {dsk_view java %b}}
      }}
      {{{*.tcl} {*.tk}} {
! 	{{} {source %s}}
! 	{{¹} {dsk_exec %s}}
! 	{{üǼ¹} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme %s}}
! 	{{Ϸ̤ɽ} {dsk_view %s}}
! 	-
! 	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
      }}
      {{*} {
! 	{{¹} {dsk_exec %s}}
! 	{{üǼ¹} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme %s}}
! 	{{¹Է̤ɽ} {dsk_view %s}}
! 	{{ޥ˥奢} {dsk_view man %f | col -b}}
! 	-
! 	{{Խ} {dsk_edit %s}}
! 	{{ȥå} {dsk_exec strip %s}}
! 	{{饤֥} {dsk_view ldd %s}}
      }}
  }
  
***************
*** 146,188 ****
  
  set tkdesk(popup,regulars) {
      {{{*-HOWTO} {*-HOWTO.gz}} {
!     	{{View (cbhelp)} {dsk_cbhelp %s howto}}
!     	{{Edit} {dsk_edit %s}}
      }}
      {{{Makefile} {Gmakefile} {makefile}} {
!         {{Make...} {
  	    dsk_read_string {Make Target:} {
! 		dsk_exec $tkdesk(cmd,xterm) -sb -geom 80x15 -T "make $dsk_read_string" -e pauseme make -f %s $dsk_read_string
  	    }
          }}
!         {{Make Default} {
! 	    dsk_exec $tkdesk(cmd,xterm) -sb -geom 80x15 -T "make" -e pauseme make -f %s
          }}
  	-
! 	{{Edit} {dsk_edit %s}}
! 	{{XEmacs} {xemacs_load %s}}
! 	{{Other Window} {xemacs_load %s other}}
! 	{{Other Frame} {xemacs_load %s frame}}
  	-
!         {{Check In... (RCS)} {jdb_rcs_ci %s}}
! 	{{Print...} {dsk_print %s}}
      }}
      {{{*.a} {*.o} {*.sl}} {
!     	{{List Symbols} {dsk_view nm %s}}
!     	{{List Matches...} {
      	    dsk_read_string {List Symbols Matching (RegExp):} {
      	    	dsk_view nm %s | grep $dsk_read_string
      	    }
      	}}
      }}
!     {{{*.c} {*.h} {*.cpp} {*.tcl}} {
! 	{{Edit} {dsk_edit %s}}
! 	{{XEmacs} {xemacs_load %s}}
! 	{{Other Window} {xemacs_load %s other}}
! 	{{Other Frame} {xemacs_load %s frame}}
  	-
!         {{Check In... (RCS)} {jdb_rcs_ci %s}}
! 	{{Print} {dsk_print %s}}
      }}
      {{*.class} {
  	{{Execute in Xterm} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme java %b}}
--- 147,220 ----
  
  set tkdesk(popup,regulars) {
      {{{*-HOWTO} {*-HOWTO.gz}} {
!     	{{ɽ(cbhelp)} {dsk_cbhelp %s howto}}
!     	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
      }}
      {{{Makefile} {Gmakefile} {makefile}} {
!         {{᡼...} {
  	    dsk_read_string {Make Target:} {
! 		dsk_exec kterm -km euc -sb -geom 80x15 -T "make $dsk_read_string" -e pauseme make -f %s $dsk_read_string
  	    }
          }}
!         {{ץʤǥ᡼} {
! 	    dsk_exec kterm -km euc -sb -geom 80x15 -T "make" -e pauseme make -f %s
          }}
  	-
! 	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
! 	-
!         {{å... (RCS)} {jdb_rcs_ci %s}}
! 	{{...} {dsk_print %s}}
!     }}
!     {{Imakefile} {
!         {{᡼ե} {
! 	    dsk_exec kterm -km euc -sb -geom 80x15 -T "generate Makefile" -e pauseme xmkmf -a
!         }}
!         {{ΥեΤߥ᡼ե} {
! 	    dsk_exec kterm -km euc -sb -geom 80x15 -T "generate Makefile" -e pauseme xmkmf
!         }}
  	-
! 	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
! 	-
!         {{å... (RCS)} {jdb_rcs_ci %s}}
! 	{{...} {dsk_print %s}}
      }}
      {{{*.a} {*.o} {*.sl}} {
!     	{{ܥΥꥹ} {dsk_view nm %s}}
!     	{{ѥȹΥꥹ...} {
      	    dsk_read_string {List Symbols Matching (RegExp):} {
      	    	dsk_view nm %s | grep $dsk_read_string
      	    }
      	}}
      }}
!     {{{*.h} {*.cpp} {*.tcl}} {
! 	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
! 	-
!         {{å... (RCS)} {jdb_rcs_ci %s}}
! 	{{...} {dsk_print %s}}
!     }}
!     {{*.c} {
! 	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
!         {{ѥ} {
! 	    dsk_exec kterm -km euc -sb -geom 80x15 -T "Compile" -e pauseme gcc %s
!         }}
  	-
!         {{å... (RCS)} {jdb_rcs_ci %s}}
! 	{{...} {dsk_print %s}}
      }}
      {{*.class} {
  	{{Execute in Xterm} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme java %b}}
***************
*** 190,232 ****
  	{{View Output} {dsk_view java %b}}
      }}
      {{core} {
!     	{{Strings in Header...} {dsk_view head %s | od -s -A x}}
      }}
      {{*.deb} {
!         {{Info } {dsk_view dpkg --info %s}}
          -
!         {{Install} {dsk_exec $tkdesk(cmd,xterm) -ls -sl 256 -caption "dpkg -i %f" -e pauseme "dpkg -i %s"}}
!         {{List} {dsk_view dpkg-deb -c %s}}
!         {{Extract} {dsk_exec dpkg-deb -x %s ./}}
      }}    
      {{{*.diff} {*.patch}} {
!     	{{Apply here } {dsk_exec $tkdesk(cmd,xterm) -sb -T "patch <%S" -n patch -e pauseme sh -c "patch <%s"}}
!     	{{Edit/View} {dsk_edit %s}}
!     	{{Print} {dsk_print %s}}
      }}
      {{{*.diff.gz} {*.patch.gz}} {
!     	{{Apply here } {dsk_exec $tkdesk(cmd,xterm) -sb -T "patch <%S" -n patch -e pauseme sh -c "gzip -cd %s | patch"}}
!     	{{Edit/View} {dsk_edit %s}}
      }}
      {{*.dvi} {
!     	{{View} {dsk_exec xdvi -paper a4 -s 3 %s}}
!     	{{Print} {dsk_print %s}}
!     	{{-> Postscript } {dsk_exec dvips %s}}
      }}
      {{{*.gif} {*.jpg} {*.jpeg} {*.bmp} {*.pcx} {*.p?m} {*.rle} {*.tif} {*.tga} {*.png}} {
! 	{{View (xv)} {dsk_exec xv %s}}
!       	{{Background (tiled)} {dsk_exec xv -root -quit %s}}
!       	{{Background (expand)} {dsk_exec xv -root -max -smooth -quit %s}}
      }}
      {{{*.html} {*.htm}} {
!     	{{Netscape (new window)} {dsk_netscape file %s window}}
! 	{{Netscape (reuse window)} {dsk_netscape file %s}}
      	{{Lynx} {dsk_exec $tkdesk(cmd,xterm) -e lynx %s}}
  	{-}
!     	{{Edit} {dsk_edit %s}}
! 	{{XEmacs} {xemacs_load %s}}
! 	{{Other Window} {xemacs_load %s other}}
! 	{{Other Frame} {xemacs_load %s frame}}
      }}
      {{*.java} {
        	{{Edit} {dsk_edit %s}}
--- 222,273 ----
  	{{View Output} {dsk_view java %b}}
      }}
      {{core} {
!     	{{إåʸ...} {dsk_view head %s | od -s -A x}}
      }}
      {{*.deb} {
!         {{} {dsk_view dpkg --info %s}}
          -
!         {{󥹥ȡ} {dsk_exec $tkdesk(cmd,xterm) -ls -sl 256 -caption "dpkg -i %f" -e pauseme "dpkg -i %s"}}
!         {{ꥹ} {dsk_view dpkg-deb -c %s}}
!         {{Ÿ} {dsk_exec dpkg-deb -x %s ./}}
      }}    
      {{{*.diff} {*.patch}} {
!     	{{ΥѥǥѥåƤ} {dsk_exec $tkdesk(cmd,xterm) -sb -T "patch <%S" -n patch -e pauseme sh -c "patch <%s"}}
!     	{{Խ/ɽ} {dsk_edit %s}}
!     	{{} {dsk_print %s}}
      }}
      {{{*.diff.gz} {*.patch.gz}} {
!     	{{ΥѥǥѥåƤ} {dsk_exec $tkdesk(cmd,xterm) -sb -T "patch <%S" -n patch -e pauseme sh -c "gzip -cd %s | patch"}}
!     	{{Խ/ɽ} {dsk_edit %s}}
!     }}
!     {{*.mgp} {
!     	{{ץ쥼ơ} {dsk_exec mgp %s}}
!     	{{Խ} {dsk_edit %s}}
!     }}
!     {{*.tex} {
!     	{{TeX¹} {dsk_exec jlatex %s}}
! 	{{TeXüǼ¹} {dsk_exec $tkdesk(cmd,xterm) -sb -T %f -n %f -e pauseme jlatex %s}}
! 	{{TeXμ¹Է̤ɽ} {dsk_view jlatex %s}}
! 	-
!     	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
      }}
      {{*.dvi} {
!     	{{ɽ} {dsk_exec xdvi -paper a4 -s 3 %s}}
      }}
      {{{*.gif} {*.jpg} {*.jpeg} {*.bmp} {*.pcx} {*.p?m} {*.rle} {*.tif} {*.tga} {*.png}} {
! 	{{xvɽ} {dsk_exec xv %s}}
!       	{{ɻ()} {dsk_exec xv -root -quit %s}}
!       	{{ɻ()} {dsk_exec xv -root -max -smooth -quit %s}}
      }}
      {{{*.html} {*.htm}} {
!     	{{ͥåȥ(ɥ)} {dsk_netscape file %s window}}
! 	{{ͥåȥ(ߤΥɥ)} {dsk_netscape file %s}}
      	{{Lynx} {dsk_exec $tkdesk(cmd,xterm) -e lynx %s}}
  	{-}
!     	{{Խ} {dsk_edit %s}}
      }}
      {{*.java} {
        	{{Edit} {dsk_edit %s}}
***************
*** 235,269 ****
        	{{Print} {dsk_exec groff -Tps -mandoc %s | $tkdesk(cmd,print)}}
      }} 
      {{{*.man} {*.[1-8n]}} {
!       	{{View} {dsk_view groff -Tascii -mandoc %s | col -b}}
!       	{{Edit} {dsk_edit %s}}
!       	{{Print (Postscript)} {dsk_exec groff -Tps -mandoc %s | $tkdesk(cmd,print)}}
      }}
      {{{*.mov} {*.avi}} {
!         {{View} {dsk_exec xanim %s}}
      }}
      {{{*.mpg} {*.mpeg}} {
! 	{{View} {dsk_exec mpeg_play %s 2>/dev/null}}
! 	{{View (big)} {dsk_exec mpeg_play -dither 2x2 %s 2>/dev/null}}
! 	{{View (gray)} {dsk_exec mpeg_play -dither gray %s 2>/dev/null}}
      }}
      {{{*.ps} {*.eps}} {
!     	{{View (ghostview)} {dsk_exec ghostview -a4 -magstep 1 %s}}
!     	{{View (gv)} {dsk_exec gv %s}}
!     	{{Print} {dsk_print %s}}
!       	{{Edit} {dsk_edit %s}}
      }}
      {{*.pdf} {
!     	{{View (acroread)} {dsk_exec acroread %s}}
!       	{{Edit} {dsk_edit %s}}
      }}
      {{{*.ps.gz} {*.ps.Z}} {
!     	{{View (ghostview)} {
  	     dsk_exec gzip -cd %s | ghostview -a4 -magstep 1 -
  	}}
!     	{{Print} {dsk_exec gzip -cd %s | $tkdesk(cmd,print)}}
  	-
! 	{{Uncompress} {dsk_exec gzip -d %s}}
      }}
      {{*.rpm} {
         {{Query} {dsk_view rpm -qip %s}}
--- 276,317 ----
        	{{Print} {dsk_exec groff -Tps -mandoc %s | $tkdesk(cmd,print)}}
      }} 
      {{{*.man} {*.[1-8n]}} {
!       	{{ɽ} {dsk_view groff -Tascii -mandoc %s | col -b}}
!       	{{Խ} {dsk_edit %s}}
!       	{{(PS)} {dsk_exec groff -Tps -mandoc %s | $tkdesk(cmd,print)}}
      }}
      {{{*.mov} {*.avi}} {
!         {{ɽ} {dsk_exec xanim %s}}
      }}
      {{{*.mpg} {*.mpeg}} {
! 	{{ɽ} {dsk_exec mpeg_play %s 2>/dev/null}}
! 	{{ɽ(礭)} {dsk_exec mpeg_play -dither 2x2 %s 2>/dev/null}}
! 	{{ɽ()} {dsk_exec mpeg_play -dither gray %s 2>/dev/null}}
      }}
      {{{*.ps} {*.eps}} {
!     	{{ɽ(ghostview)} {dsk_exec ghostview -a4 -magstep 1 %s}}
!     	{{ɽ(gv)} {dsk_exec gv %s}}
!     	{{} {dsk_print %s}}
!       	{{Խ} {dsk_edit %s}}
!       	-
!       	{{ϩCAD} {dsk_exec xcircuit %s}}
      }}
      {{*.pdf} {
!     	{{ɽ(acroread)} {dsk_exec acroread %s}}
!     	{{ɽ(xpdf)} {dsk_exec xpdf %s}}
!       	{{Խ} {dsk_edit %s}}
!     }}
!     {{*.obj} {
!     	{{Tgif} {dsk_exec tgif %s}}
!       	{{Խ} {dsk_edit %s}}
      }}
      {{{*.ps.gz} {*.ps.Z}} {
!     	{{ɽ(ghostview)} {
  	     dsk_exec gzip -cd %s | ghostview -a4 -magstep 1 -
  	}}
!     	{{} {dsk_exec gzip -cd %s | $tkdesk(cmd,print)}}
  	-
! 	{{} {dsk_exec gzip -d %s}}
      }}
      {{*.rpm} {
         {{Query} {dsk_view rpm -qip %s}}
***************
*** 274,301 ****
         {{Test} {dsk_view rpm -i --test %s 2>&1 && echo 'Test Successful'}} 
      }}
      {{*.tar} {
!       	{{List Contents} {dsk_view tar tvf %s}}
!       	{{Short Listing} {dsk_view tar tf %s}}
  	-
!       	{{Extract} {dsk_exec tar xf %s}}
!       	{{Extract to /} {dsk_exec tar xf %s -C /}}
!       	{{Extract to /usr/tmp} {dsk_exec tar xf %s -C /usr/tmp}}
      }}
      {{{*.tar.bz2} {*_tar.bz2} {*.tb2}}  {
!         {{List Contents} {dsk_view bzip2 -cd %s | tar tvf -}}
!         {{Short Listing} {dsk_view bzip2 -cd %s | tar tf -}}
!         {{Uncompressed Size } {dsk_view bzip2 -l %s}}
          -
!         {{Extract} {dsk_exec bzip2 -cd %s | tar xf -}}
!         {{Extract to /} {dsk_exec bzip2 -cd %s | tar xf - -C /}}
!         {{Extract to /usr/tmp} {dsk_exec bzip2 -cd %s | tar xf - -C /usr/tmp}}
      }}
      {{{*.tar.z} {*.tar.Z} {*.taz} {*.t.Z}} {
!       	{{List Contents} {dsk_view gzip -cd %s | tar tvf -}}
!       	{{Short Listing} {dsk_view gzip -cd %s | tar tf -}}
  	-
!       	{{Extract} {dsk_exec gzip -cd %s | tar xf -}}
!       	{{Extract to Subdir} {
        		set err [catch {exec mkdir %d/%b} errmsg]
        		if !$err {
        		  dsk_exec sh -c "gzip -cd %s | (cd %d/%b; tar xvf -)"
--- 322,349 ----
         {{Test} {dsk_view rpm -i --test %s 2>&1 && echo 'Test Successful'}} 
      }}
      {{*.tar} {
!       	{{ܺ٤ɽ} {dsk_view tar tvf %s}}
!       	{{ɽ} {dsk_view tar tf %s}}
  	-
!       	{{Ÿ} {dsk_exec tar xf %s}}
!       	{{/Ÿ} {dsk_exec tar xf %s -C /}}
!       	{{/usr/tmpŸ} {dsk_exec tar xf %s -C /usr/tmp}}
      }}
      {{{*.tar.bz2} {*_tar.bz2} {*.tb2}}  {
!         {{ܺ٤ɽ} {dsk_view bzip2 -cd %s | tar tvf -}}
!         {{ɽ} {dsk_view bzip2 -cd %s | tar tf -}}
!         {{Ÿ줿礭} {dsk_view bzip2 -l %s}}
          -
!         {{Ÿ} {dsk_exec bzip2 -cd %s | tar xf -}}
!         {{/Ÿ} {dsk_exec bzip2 -cd %s | tar xf - -C /}}
!         {{/usr/tmpŸ} {dsk_exec bzip2 -cd %s | tar xf - -C /usr/tmp}}
      }}
      {{{*.tar.z} {*.tar.Z} {*.taz} {*.t.Z}} {
!       	{{ܺ٤ɽ} {dsk_view gzip -cd %s | tar tvf -}}
!       	{{ɽ} {dsk_view gzip -cd %s | tar tf -}}
  	-
!       	{{Ÿ} {dsk_exec gzip -cd %s | tar xf -}}
!       	{{֥եŸ} {
        		set err [catch {exec mkdir %d/%b} errmsg]
        		if !$err {
        		  dsk_exec sh -c "gzip -cd %s | (cd %d/%b; tar xvf -)"
***************
*** 304,319 ****
        		  cb_error $errmsg
        		}
        	}}
!       	{{Extract to /} {dsk_exec gzip -cd %s | tar xf - -C /}}
!       	{{Extract to /usr/tmp} {dsk_exec gzip -cd %s | tar xf - -C /usr/tmp}}
      }}
      {{{*.tar.gz} {*.tgz}} {
!       	{{List Contents} {dsk_view gzip -cd %s | tar tvf -}}
!       	{{Short Listing} {dsk_view gzip -cd %s | tar tf -}}
! 	{{Uncompressed Size } {dsk_view gzip -l %s}}
  	-
!       	{{Extract} {dsk_exec gzip -cd %s | tar xf -}}
!       	{{Extract to Subdir} {
        		set err [catch {exec mkdir %d/%b} errmsg]
        		if !$err {
        		  dsk_exec sh -c "gzip -cd %s | (cd %d/%b; tar xvf -)"
--- 352,367 ----
        		  cb_error $errmsg
        		}
        	}}
!       	{{/Ÿ} {dsk_exec gzip -cd %s | tar xf - -C /}}
!       	{{/usr/tmpŸ} {dsk_exec gzip -cd %s | tar xf - -C /usr/tmp}}
      }}
      {{{*.tar.gz} {*.tgz}} {
!       	{{ܺ٤ɽ} {dsk_view gzip -cd %s | tar tvf -}}
!       	{{ɽ} {dsk_view gzip -cd %s | tar tf -}}
! 	{{Ÿ礭} {dsk_view gzip -l %s}}
  	-
!       	{{Ÿ} {dsk_exec gzip -cd %s | tar xf -}}
!       	{{֥ե} {
        		set err [catch {exec mkdir %d/%b} errmsg]
        		if !$err {
        		  dsk_exec sh -c "gzip -cd %s | (cd %d/%b; tar xvf -)"
***************
*** 322,334 ****
        		  cb_error $errmsg
        		}
        	}}
!       	{{Extract to /} {dsk_exec gzip -cd %s | tar xf - -C /}}
!       	{{Extract to /usr/tmp} {dsk_exec gzip -cd %s | tar xf - -C /usr/tmp}}
      }}
      {{*.url} {
      	{{Netscape (new window)} {dsk_netscape url [exec cat %s] window}}
  	{{Netscape (reuse window)} {dsk_netscape url [exec cat %s]}}
!     	{{Lynx} {dsk_exec $tkdesk(cmd,xterm) -e lynx [string trimleft [exec cat %s] file:]}}
  	{-}
      	{{Edit} {dsk_edit %s}}
      }}
--- 370,382 ----
        		  cb_error $errmsg
        		}
        	}}
!       	{{/Ÿ} {dsk_exec gzip -cd %s | tar xf - -C /}}
!       	{{/usr/tmpŸ} {dsk_exec gzip -cd %s | tar xf - -C /usr/tmp}}
      }}
      {{*.url} {
      	{{Netscape (new window)} {dsk_netscape url [exec cat %s] window}}
  	{{Netscape (reuse window)} {dsk_netscape url [exec cat %s]}}
!     	{{Lynx} {dsk_exec kterm -km euc -e lynx [string trimleft [exec cat %s] file:]}}
  	{-}
      	{{Edit} {dsk_edit %s}}
      }}
***************
*** 344,392 ****
  	}}
      }}
      {{*.xbm} {
! 	{{View (xv)} {dsk_exec xv %s}}
! 	{{Edit (bitmap)} {dsk_exec bitmap %s}}
! 	{{Edit ASCII} {dsk_edit %s}}
      }}
      {{*.xpm} {
! 	{{View (sxpm)} {dsk_exec sxpm %s}}
! 	{{View (xv)} {dsk_exec xv %s}}
! 	{{Edit (pixmap)} {dsk_exec pixmap -filename %s}}
! 	{{Edit ASCII} {dsk_edit %s}}
      }}
      {{{*.z} {*.Z}} {
! 	{{Edit} {dsk_edit %s}}
! 	{{Uncompress} {dsk_exec gzip -d %s}}
      }}
      {{*.gz} {
! 	{{Edit} {dsk_edit %s}}
! 	{{Uncompressed Size } {dsk_view gzip -l %s}}
  	-
! 	{{Uncompress} {dsk_exec gzip -d %s}}
      }}
      {{*.bz2} {
!         {{Edit} {dsk_edit %s}}
!         {{Uncompressed Size } {dsk_view bzip2 -l %s}}
          -
!         {{Uncompress} {dsk_exec bzip2 -d %s}}
      }}
      {{{*.zip}} {
!         {{List Contents} {dsk_view unzip -l %s}}
          -
!         {{Extract} {dsk_exec unzip %s}}
!         {{Extract to /} {dsk_exec unzip %s -d /}}
!         {{Extract to /usr/tmp} {dsk_exec unzip %s -d /usr/tmp}}
      }}
      {{*} {
! 	{{Edit} {dsk_edit %s}}
! 	{{XEmacs} {xemacs_load %s}}
! 	{{Other Window} {xemacs_load %s other}}
! 	{{Other Frame} {xemacs_load %s frame}}
! 	-
! 	{{Open Directory} {dsk_open_dir %d}}
! 	{{Print...} {dsk_print %s}}
! 	{{Mail to...} {dsk_mail %s}}
! 	{{Which rpm} {dsk_view rpm -qfli %s}}
      }}
  }
  
--- 392,441 ----
  	}}
      }}
      {{*.xbm} {
! 	{{ɽ(xv)} {dsk_exec xv %s}}
! 	{{ɽ(bitmap)} {dsk_exec bitmap %s}}
! 	{{ASCIIԽ} {dsk_edit %s}}
      }}
      {{*.xpm} {
! 	{{ɽ(sxpm)} {dsk_exec sxpm %s}}
! 	{{ɽ(xv)} {dsk_exec xv %s}}
! 	{{Խ(pixmap)} {dsk_exec pixmap -filename %s}}
! 	{{ASCIIԽ} {dsk_edit %s}}
      }}
      {{{*.z} {*.Z}} {
! 	{{Խ} {dsk_edit %s}}
! 	{{} {dsk_exec gzip -d %s}}
      }}
      {{*.gz} {
! 	{{Խ} {dsk_edit %s}}
! 	{{व줿礭} {dsk_view gzip -l %s}}
  	-
! 	{{} {dsk_exec gzip -d %s}}
      }}
      {{*.bz2} {
!         {{Խ} {dsk_edit %s}}
!         {{व줿礭} {dsk_view bzip2 -l %s}}
          -
!         {{} {dsk_exec bzip2 -d %s}}
      }}
      {{{*.zip}} {
!         {{Ƥɽ} {dsk_view unzip -l %s}}
          -
!         {{} {dsk_exec unzip %s}}
!         {{/ǲ} {dsk_exec unzip %s -d /}}
!         {{/usr/tmpǲ} {dsk_exec unzip %s -d /usr/tmp}}
      }}
      {{*} {
! 	{{Խ} {dsk_edit %s}}
! 	{{ߥ塼} {dsk_exec mule %s}}
! 	{{¾Υɥ} {dsk_exec mule %s other}}
! 	{{¾Υե졼} {dsk_exec mule %s frame}}
! 	-
! 	{{ǥ쥯ȥ򳫤} {dsk_open_dir %d}}
! 	{{...} {dsk_print %s}}
! 	{{᡼...} {dsk_mailer_file {} {} %s}}
! 	-
! 	{{ץȴCAD} {dsk_exec pcb %s}}
      }}
  }
  
***************
*** 400,425 ****
  ### %T : File/directory entered in the "Destination" entry field.
  
  set tkdesk(fileops,popup) {
!     {{Link (symbolic)} {
  	dsk_exec $tkdesk(cmd,symln) %S %T
      }}
!     {{Link (hard)} {
      	dsk_exec $tkdesk(cmd,ln) %S %T
      }}
!     {{Untar} {
  	dsk_bgexec {gzip -cd %S | tar xf - -C %T} {Untaring %f...}
      }}
!     {{Diff} {
! 	dsk_view diff -bc %S %T
      }}
!     {{Patch} {
  	dsk_path_exec %T $tkdesk(cmd,xterm) -sb -T "patch <%S" -n patch -e pauseme sh -c "patch <%S"
      }}
!     {{Concatenate} {
  	dsk_exec cat %S >%T
      }}
  }
- 
  
  # ---------------------------------------------------------------------------
  # xemacs_load what ?where?
--- 449,473 ----
  ### %T : File/directory entered in the "Destination" entry field.
  
  set tkdesk(fileops,popup) {
!     {{ܥå} {
  	dsk_exec $tkdesk(cmd,symln) %S %T
      }}
!     {{ϡɥ} {
      	dsk_exec $tkdesk(cmd,ln) %S %T
      }}
!     {{tar} {
  	dsk_bgexec {gzip -cd %S | tar xf - -C %T} {Untaring %f...}
      }}
!     {{ʬ} {
! 	dsk_view diff -bcr %S %T
      }}
!     {{ѥå} {
  	dsk_path_exec %T $tkdesk(cmd,xterm) -sb -T "patch <%S" -n patch -e pauseme sh -c "patch <%S"
      }}
!     {{ɲ} {
  	dsk_exec cat %S >%T
      }}
  }
  
  # ---------------------------------------------------------------------------
  # xemacs_load what ?where?
diff -crN tkdesk-1.1/tcldesk/configs/System tkdesk-1.1-jp/tcldesk/configs/System
*** tkdesk-1.1/tcldesk/configs/System	Mon Sep 21 04:41:44 1998
--- tkdesk-1.1-jp/tcldesk/configs/System	Sun Nov  7 20:10:27 1999
***************
*** 67,73 ****
--- 67,75 ----
  
  ### Fonts for entries and text widgets (preferrably mono-spaced):
  set tkdesk(font,entries)      -*-lucidatypewriter-medium-r-*-*-12-*-*-*-*-*-*-*
+ set tkdesk(kanjiFont,entries) -*-fixed-*-*-*--14-*-*-*-*-*-jisx0208.1983-0
  set tkdesk(font,text)         $tkdesk(font,entries)
+ set tkdesk(kanjiFont,text)    -*-fixed-*-*-*--14-*-*-*-*-*-jisx0208.1983-0
  
  ### A mono-spaced font for table-like output (disk usage etc.):
  set tkdesk(font,mono)         -*-lucidatypewriter-medium-r-*-*-12-*-*-*-*-*-*-*
***************
*** 137,159 ****
  set tkdesk(cmd,symln) "ln -sf"		;# for symbolic links
  set tkdesk(cmd,touch) "touch"		;# to create new files
  set tkdesk(cmd,mkdir) "mkdir"	        ;# to create new directories
! set tkdesk(cmd,print) "lpr"             ;# default command for printing
  set tkdesk(cmd,netscape) "netscape"     ;# command for surfing :-)
  set tkdesk(cmd,mail) "mail -s %s %a"    ;# mailing, %s: subject, %a: address
! set tkdesk(cmd,xterm) "xterm"           ;# command to use as "xterm"
  
  ### The following specifies the command to be used when "Execute as
  ### Superuser" is selected in the "Options" menu, or when the dsk_exec_as_root
  ### function is used.  "%c" will be replaced with the actual command that
  ### is to be used:
  
! set tkdesk(cmd,su,exec) {xterm -sb -T "%c" -n "%c" -e su root -c "%c"}
  #set tkdesk(cmd,su,exec) {xterm -sb -T "%c" -n "%c" -e sudo %c}
  
  ### The same for viewing command output ("View output" checked):
  
! set tkdesk(cmd,su,view) {xterm -sb -T "%c" -n "%c" -e pauseme su root -c "%c"}
! #set tkdesk(cmd,su,view) {xterm -sb -T "%c" -n "%c" -e pauseme sudo %c}
  
  
  ### =========================================================================
--- 139,161 ----
  set tkdesk(cmd,symln) "ln -sf"		;# for symbolic links
  set tkdesk(cmd,touch) "touch"		;# to create new files
  set tkdesk(cmd,mkdir) "mkdir"	        ;# to create new directories
! set tkdesk(cmd,print) "lpr2"            ;# default command for printing
  set tkdesk(cmd,netscape) "netscape"     ;# command for surfing :-)
  set tkdesk(cmd,mail) "mail -s %s %a"    ;# mailing, %s: subject, %a: address
! set tkdesk(cmd,xterm) "kterm"           ;# command to use as "xterm"
  
  ### The following specifies the command to be used when "Execute as
  ### Superuser" is selected in the "Options" menu, or when the dsk_exec_as_root
  ### function is used.  "%c" will be replaced with the actual command that
  ### is to be used:
  
! set tkdesk(cmd,su,exec) {kterm -km euc -sb -T "%c" -n "%c" -e su root -c "%c"}
  #set tkdesk(cmd,su,exec) {xterm -sb -T "%c" -n "%c" -e sudo %c}
  
  ### The same for viewing command output ("View output" checked):
  
! set tkdesk(cmd,su,view) {kterm -km euc -sb -T "%c" -n "%c" -e pauseme su root -c "%c"}
! #set tkdesk(cmd,su,view) {kterm -km euc -sb -T "%c" -n "%c" -e pauseme sudo %c}
  
  
  ### =========================================================================
***************
*** 176,181 ****
--- 178,184 ----
  ### The following settings are only for the built-in editor:
  
  set tkdesk(editor,font)		    $tkdesk(font,text)
+ set tkdesk(editor,kanjiFont)        $tkdesk(kanjiFont,text)
  set tkdesk(editor,default_geometry) "80x25"
  set tkdesk(editor,auto_indent) 1
  set tkdesk(editor,brace_indent) 1
diff -crN tkdesk-1.1/tcldesk/copy.tcl tkdesk-1.1-jp/tcldesk/copy.tcl
*** tkdesk-1.1/tcldesk/copy.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/copy.tcl	Sun Nov  7 20:10:27 1999
***************
*** 108,122 ****
  
      label $t.lFile
      if {$files == ""} {
! 	$t.lFile config -text "File (no files selected):"
      } else {
  	$t.lFile config \
!       -text "File ([expr $dsk_copy(fcnt) + 1] of [expr $dsk_copy(fmax) + 1]):"
      }
      pack $t.lFile -in $t.fff -side left
  
      if {$dsk_copy(fmax) > 0} {
!     	checkbutton $t.cbAll -text "all selected files" \
  		-padx $tkdesk(pad) -relief flat -variable dsk_copy(all)
      	pack $t.cbAll -in $t.fff -side right
      }
--- 108,122 ----
  
      label $t.lFile
      if {$files == ""} {
! 	$t.lFile config -text "ե (ե뤬򤵤Ƥޤ):"
      } else {
  	$t.lFile config \
!       -text "ե ([expr $dsk_copy(fmax) + 1] Τ [expr $dsk_copy(fcnt) + 1]):"
      }
      pack $t.lFile -in $t.fff -side left
  
      if {$dsk_copy(fmax) > 0} {
!     	checkbutton $t.cbAll -text "ƤΥե뤬" \
  		-padx $tkdesk(pad) -relief flat -variable dsk_copy(all)
      	pack $t.cbAll -in $t.fff -side right
      }
***************
*** 130,136 ****
      pack $t.fdf -in $t.fd -fill both -expand yes \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  
!     entry $t.eDest -width 40 -bd 2 -relief sunken
      pack $t.eDest -in $t.fdf -side bottom -fill x -expand yes -ipady 2
      if {$dest == ""} {
      	$t.eDest insert end $dsk_copy(ldest)
--- 130,136 ----
      pack $t.fdf -in $t.fd -fill both -expand yes \
  		-padx $tkdesk(pad) -pady $tkdesk(pad)
  
!     entry $t.eDest -width 52 -bd 2 -relief sunken
      pack $t.eDest -in $t.fdf -side bottom -fill x -expand yes -ipady 2
      if {$dest == ""} {
      	$t.eDest insert end $dsk_copy(ldest)
***************
*** 146,152 ****
  
      blt_drag&drop target $t.eDest handler text "dd_handle_text $t.eDest 1"
  
!     label $t.lDest -text "Destination:"
      pack $t.lDest -in $t.fdf -side left
  
      frame $t.fdlm
--- 146,152 ----
  
      blt_drag&drop target $t.eDest handler text "dd_handle_text $t.eDest 1"
  
!     label $t.lDest -text "ž:"
      pack $t.lDest -in $t.fdf -side left
  
      frame $t.fdlm
***************
*** 160,166 ****
      menu [set m $t.mbDir.menu] \
  	    -postcommand "_dsk_dmenu $t.mbDir.menu $t.eDest"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m add command -label "dummy"
  
      menubutton $t.mbHist -bd 2 -relief raised \
  		-bitmap @$tkdesk(library)/cb_tools/bitmaps/combo.xbm \
--- 160,166 ----
      menu [set m $t.mbDir.menu] \
  	    -postcommand "_dsk_dmenu $t.mbDir.menu $t.eDest"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$m add command -label "ߡ"
  
      menubutton $t.mbHist -bd 2 -relief raised \
  		-bitmap @$tkdesk(library)/cb_tools/bitmaps/combo.xbm \
***************
*** 169,191 ****
  
      menu $t.mbHist.menu -postcommand "_dsk_hmenu $t.mbHist.menu $t.eDest"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbHist.menu add command -label "dummy"
  
      # ---- Buttons
  
      frame $t.fb -bd 1 -relief raised
      pack $t.fb -fill x
  
!     cb_button $t.bCopy -text " Copy " -command "dsk_copy_action copy" \
  	    -default 1
!     cb_button $t.bMove -text " Move " -command "dsk_copy_action move"
!     #button $t.bLink -text " Link " -command "dsk_copy_action link"
!     #button $t.bSymLink -text " SymLink " -command "dsk_copy_action symlink"
      
      cb_button $t.bOther -textvar dsk_copy_other \
  	    -command "dsk_copy_action other"
  
!     menubutton $t.mbOther -text " Other... " -menu [set m $t.mbOther.m] \
  	    -bitmap @$tkdesk(library)/cb_tools/bitmaps/combo.xbm \
  	    -bd 2 -relief raised 
      menu $m
--- 169,191 ----
  
      menu $t.mbHist.menu -postcommand "_dsk_hmenu $t.mbHist.menu $t.eDest"
  	# add dummy entry to work around bug in pre Tk 4.0p2:
! 	$t.mbHist.menu add command -label "ߡ"
  
      # ---- Buttons
  
      frame $t.fb -bd 1 -relief raised
      pack $t.fb -fill x
  
!     cb_button $t.bCopy -text " ԡ " -command "dsk_copy_action copy" \
  	    -default 1
!     cb_button $t.bMove -text " ư " -command "dsk_copy_action move"
!     #button $t.bLink -text "  " -command "dsk_copy_action link"
!     #button $t.bSymLink -text " ܥå " -command "dsk_copy_action symlink"
      
      cb_button $t.bOther -textvar dsk_copy_other \
  	    -command "dsk_copy_action other"
  
!     menubutton $t.mbOther -text " ¾... " -menu [set m $t.mbOther.m] \
  	    -bitmap @$tkdesk(library)/cb_tools/bitmaps/combo.xbm \
  	    -bd 2 -relief raised 
      menu $m
***************
*** 198,204 ****
  	}
      }
  
!     cb_button $t.bCancel -text " Cancel " -command  {
  		set dsk_copy(ldest) [.dsk_copy.eDest get]
  		set tkdesk(geometry,dsk_copy) [wm geometry .dsk_copy]
  		destroy .dsk_copy }
--- 198,204 ----
  	}
      }
  
!     cb_button $t.bCancel -text "  " -command  {
  		set dsk_copy(ldest) [.dsk_copy.eDest get]
  		set tkdesk(geometry,dsk_copy) [wm geometry .dsk_copy]
  		destroy .dsk_copy }
***************
*** 206,212 ****
  		-padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 1
  		
      if {$dsk_copy(fmax) > 0} {
! 	button $t.bSkip -text " Skip " -command "dsk_copy_action skip"
  	pack $t.bSkip -in $t.fb -side right \
  		-padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 1
      }
--- 206,212 ----
  		-padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 1
  		
      if {$dsk_copy(fmax) > 0} {
! 	button $t.bSkip -text " å " -command "dsk_copy_action skip"
  	pack $t.bSkip -in $t.fb -side right \
  		-padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 1
      }
***************
*** 222,228 ****
      bind $t.eFile <Escape> "$t.bCancel.button invoke"
      bind $t.eDest <Escape> "$t.bCancel.button invoke"
  
!     wm minsize $t 486 167
      wm title $t "Copy, Move, Link Files"
      wm protocol $t WM_DELETE_WINDOW {.dsk_copy.bCancel.button invoke}
      
--- 222,228 ----
      bind $t.eFile <Escape> "$t.bCancel.button invoke"
      bind $t.eDest <Escape> "$t.bCancel.button invoke"
  
!     wm minsize $t 586 167
      wm title $t "Copy, Move, Link Files"
      wm protocol $t WM_DELETE_WINDOW {.dsk_copy.bCancel.button invoke}
      
***************
*** 390,397 ****
      if {[file exists $dest] && !$tkdesk(overwrite_always) && $cmd != "skip" \
  	&& $cmd != "other"} {
  	if ![file isdirectory $dest] {
! 	    if {[cb_dialog $t-ED "File exists" "$dest already exists!" \
! 			questhead 0 "Overwrite" "  Skip  "] == 1} {
  	   	set cmd skip
  	    }
  	} elseif {[llength $alist] == 1} {
--- 390,397 ----
      if {[file exists $dest] && !$tkdesk(overwrite_always) && $cmd != "skip" \
  	&& $cmd != "other"} {
  	if ![file isdirectory $dest] {
! 	    if {[cb_dialog $t-ED "ե뤬¸ߤޤ" "$dest Ǥ¸ߤޤ" \
! 			questhead 0 "" ""] == 1} {
  	   	set cmd skip
  	    }
  	} elseif {[llength $alist] == 1} {
***************
*** 405,412 ****
  	    }
  	    set dfile [string trimright $dest /]/[file tail $alist]
  	    if [file exists $dfile] {
! 	    	if {[cb_dialog $t-ED "File exists" "$dfile already exists!" \
! 			questhead 0 "Overwrite" "  Skip  "] == 1} {
  	    	    set cmd skip
  	    	}
  	    }
--- 405,412 ----
  	    }
  	    set dfile [string trimright $dest /]/[file tail $alist]
  	    if [file exists $dfile] {
! 	    	if {[cb_dialog $t-ED "ե뤬¸ߤޤ" "$dest Ǥ¸ߤޤ" \
! 			questhead 0 "" ""] == 1} {
  	    	    set cmd skip
  	    	}
  	    }
***************
*** 428,436 ****
  		set dfile $dir/[file tail $file]
  		if [file exists $dfile] {
  		    set ret [cb_dialog $t-ED "File exists" \
! 				"$dfile already exists!" questhead 0 \
! 				"Overwrite" "Overwrite all" \
! 				"  Skip  " " Cancel "]
  		    switch $ret {
  			1 {
  			    break
--- 428,436 ----
  		set dfile $dir/[file tail $file]
  		if [file exists $dfile] {
  		    set ret [cb_dialog $t-ED "File exists" \
! 				"$dfile Ǥ¸ߤޤ" questhead 0 \
! 				"" "ƾ" \
! 				"å" ""]
  		    switch $ret {
  			1 {
  			    break
diff -crN tkdesk-1.1/tcldesk/delete.tcl tkdesk-1.1-jp/tcldesk/delete.tcl
*** tkdesk-1.1/tcldesk/delete.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/delete.tcl	Sun Nov  7 20:10:27 1999
***************
*** 110,124 ****
  
      label $t.lFile
      if {$files == ""} {
! 	$t.lFile config -text "File (no files selected):"
      } else {
  	$t.lFile config \
!   -text "File ([expr $dsk_delete(fcnt) + 1] of [expr $dsk_delete(fmax) + 1]):"
!     }
      pack $t.lFile -in $t.fff -side left
  
      if {$dsk_delete(fmax) > 0} {
!     	checkbutton $t.cbAll -text "all selected files" \
  		-padx $tkdesk(pad) -relief flat -variable dsk_delete(all)
      	pack $t.cbAll -in $t.fff -side right
      }
--- 110,123 ----
  
      label $t.lFile
      if {$files == ""} {
! 	$t.lFile config -text "ե뤬򤵤Ƥޤ:"
      } else {
  	$t.lFile config \
!   -text "ե ([expr $dsk_delete(fmax) + 1] Τ [expr $dsk_delete(fcnt) + 1]):"}
      pack $t.lFile -in $t.fff -side left
  
      if {$dsk_delete(fmax) > 0} {
!     	checkbutton $t.cbAll -text "ƤΥե" \
  		-padx $tkdesk(pad) -relief flat -variable dsk_delete(all)
      	pack $t.cbAll -in $t.fff -side right
      }
***************
*** 128,141 ****
      frame $t.fb -bd 1 -relief raised
      pack $t.fb -fill x
  
!     button $t.bDelete -text "  Delete  " -command "dsk_delete_action delete"
!     checkbutton $t.cbReally -text "Delete permanently" \
  		-padx $tkdesk(pad) -relief flat -variable dsk_delete(really)
!     button $t.bSkip -text "  Skip  " -command "dsk_delete_action skip"
      if {$dsk_delete(fmax) < 1} {
  	$t.bSkip config -state disabled
      }
!     button $t.bCancel -text " Cancel " -command  {
  		set tkdesk(geometry,dsk_delete) [wm geometry .dsk_delete]
  		destroy .dsk_delete }
  
--- 127,140 ----
      frame $t.fb -bd 1 -relief raised
      pack $t.fb -fill x
  
!     button $t.bDelete -text "  " -command "dsk_delete_action delete"
!     checkbutton $t.cbReally -text "ºݤ˺" \
  		-padx $tkdesk(pad) -relief flat -variable dsk_delete(really)
!     button $t.bSkip -text "å" -command "dsk_delete_action skip"
      if {$dsk_delete(fmax) < 1} {
  	$t.bSkip config -state disabled
      }
!     button $t.bCancel -text "  " -command  {
  		set tkdesk(geometry,dsk_delete) [wm geometry .dsk_delete]
  		destroy .dsk_delete }
  
***************
*** 149,156 ****
  
      #bind $t <Any-Enter> "+focus $t.eFile"
      
!     wm minsize $t 326 100
!     wm title $t "Delete Files"
      wm protocol $t WM_DELETE_WINDOW {.dsk_delete.bCancel invoke}
  
      dsk_place_window $t dsk_delete 470x98
--- 148,155 ----
  
      #bind $t <Any-Enter> "+focus $t.eFile"
      
!     wm minsize $t 376 100
!     wm title $t "delete file"
      wm protocol $t WM_DELETE_WINDOW {.dsk_delete.bCancel invoke}
  
      dsk_place_window $t dsk_delete 470x98
***************
*** 189,195 ****
      dsk_debug "dsk_delete_action: alist: $alist"
      if {$alist == "" || $alist == "{}" } {
  	dsk_bell
! 	cb_info "Nothing to $cmd!"
  	return
      }
  
--- 188,194 ----
      dsk_debug "dsk_delete_action: alist: $alist"
      if {$alist == "" || $alist == "{}" } {
  	dsk_bell
! 	cb_info "$cmd ޤ"
  	return
      }
  
***************
*** 237,243 ****
  	skip {
  	    if $dsk_delete(all) return
  	    incr dsk_delete(fcnt)
! 	    $t.lFile config -text "File ([expr $dsk_delete(fcnt) + 1] of [expr $dsk_delete(fmax) + 1]):"
  	    if {$dsk_delete(fcnt) > $dsk_delete(fmax)} {
  		catch {$t.bCancel invoke}
  		return
--- 236,242 ----
  	skip {
  	    if $dsk_delete(all) return
  	    incr dsk_delete(fcnt)
! 	    $t.lFile config -text "ե ([expr $dsk_delete(fmax) + 1] Τ [expr $dsk_delete(fcnt) + 1]):"
  	    if {$dsk_delete(fcnt) > $dsk_delete(fmax)} {
  		catch {$t.bCancel invoke}
  		return
***************
*** 253,261 ****
  	    foreach file $alist {
  		if ![dsk_check_perm $file] {
  		    dsk_errbell
! 		    set rc [cb_dialog $t-ED "Permission denied" \
! 		    "[file tail $file]:\nYou don't have permission to delete this item." \
! 			    error 0 " OK " "Cancel"]
  		    if {$rc == 1} {
  			return
  		    } else {
--- 252,260 ----
  	    foreach file $alist {
  		if ![dsk_check_perm $file] {
  		    dsk_errbell
! 		    set rc [cb_dialog $t-ED "ե븢¤ޤ" \
! 		    "[file tail $file]:\n򤵤줿եǤޤ" \
! 			    error 0 " λ " "  "]
  		    if {$rc == 1} {
  			return
  		    } else {
***************
*** 270,276 ****
  	    if $dsk_delete(really) {
  		dsk_sound dsk_really_deleting
  	    	set out [dsk_bgexec "$tkdesk(cmd,rm) $alist" \
! 			"Deleting $anum $fll..."]
  	    } else {
  		
  		set dir [string trimright $dest /]
--- 269,275 ----
  	    if $dsk_delete(really) {
  		dsk_sound dsk_really_deleting
  	    	set out [dsk_bgexec "$tkdesk(cmd,rm) $alist" \
! 			" $anum $fll..."]
  	    } else {
  		
  		set dir [string trimright $dest /]
***************
*** 280,295 ****
  			if [dsk_on_rofs $file] {
  			    # all files in $alist live on the same file system
  			    dsk_errbell
! 			    cb_error "The filesystem is mounted read-only."
  			    return
  			}
  			set rofs_checked 1
  		    }
  		    set dfile $dir/[file tail $file]
  		    if [file exists $dfile] {
! 			set ret [cb_dialog $t-ED "File exists" \
! 				"There already is a file \"[file tail $file]\" in the trash can!" questhead 0 \
! 				"Overwrite" "Overwrite all" "  Skip  "]
  			if {$ret == 1} {
  			    break
  			} elseif {$ret == 2} {
--- 279,294 ----
  			if [dsk_on_rofs $file] {
  			    # all files in $alist live on the same file system
  			    dsk_errbell
! 			    cb_error "Υե륷ƥɤ߹ѤǤ"
  			    return
  			}
  			set rofs_checked 1
  		    }
  		    set dfile $dir/[file tail $file]
  		    if [file exists $dfile] {
! 			set ret [cb_dialog $t-ED "ǤޤǤ" \
! 				" \"[file tail $file]\" ϤǤˤȢΤʤ¸ߤޤ" questhead 0 \
! 				"" "ƾ" "å"]
  			if {$ret == 1} {
  			    break
  			} elseif {$ret == 2} {
***************
*** 297,303 ****
  			    if {$i > -1} {
  				set alist [lreplace $alist $i $i]
  			    } else {
! 				cb_error "?? Couldn't find $file !?"
  			    }
  			}
  		    }
--- 296,302 ----
  			    if {$i > -1} {
  				set alist [lreplace $alist $i $i]
  			    } else {
! 				cb_error "?? $file 򸫤Ĥ뤳ȤǤޤ ?"
  			    }
  			}
  		    }
***************
*** 323,335 ****
  
  		if $one {
  	    	    set out [dsk_bgexec "$tkdesk(cmd,mv) $alist $dest" \
! 				"Moving $anum $fll to the trash can..."]
  		} else {
  	    	    set out [dsk_bgexec "$tkdesk(cmd,cp) $alist $dest" \
! 				"Copying $anum $fll to the trash can..."]
  		    if {$out != "error" && $out != "break"} {
  	    	    	set out [dsk_bgexec "$tkdesk(cmd,rm) $alist" \
! 				"Deleting $anum $fll..."]
  		    }
  		}
  
--- 322,334 ----
  
  		if $one {
  	    	    set out [dsk_bgexec "$tkdesk(cmd,mv) $alist $dest" \
! 				" $anum $fll 򤴤Ȣ˰ư..."]
  		} else {
  	    	    set out [dsk_bgexec "$tkdesk(cmd,cp) $alist $dest" \
! 				" $anum $fll 򤴤Ȣ˥ԡ..."]
  		    if {$out != "error" && $out != "break"} {
  	    	    	set out [dsk_bgexec "$tkdesk(cmd,rm) $alist" \
! 				"$anum $fll ..."]
  		    }
  		}
  
***************
*** 376,384 ****
      set alist [dskC_ls -p -a $tkdesk(trashdir)]
      set anum [llength $alist]
      if {$anum == 0} {
! 	cb_info "The trash can is empty."
      } else {
! 	if {[cb_okcancel "Empty trash can?\nThis will delete ALL files in the trash can!"] == 0} {
  	    dsk_sound dsk_really_deleting
  	    if {$anum == 1} {set fll "File"} {set fll "Files"}
  	    set tlist ""
--- 375,383 ----
      set alist [dskC_ls -p -a $tkdesk(trashdir)]
      set anum [llength $alist]
      if {$anum == 0} {
! 	cb_info "Ȣ϶Ǥ"
      } else {
! 	if {[cb_okcancel "Ȣˤޤ\nȢˤեƤޤ"] == 0} {
  	    dsk_sound dsk_really_deleting
  	    if {$anum == 1} {set fll "File"} {set fll "Files"}
  	    set tlist ""
***************
*** 386,392 ****
  		lappend tlist [string trimright \
  			$tkdesk(trashdir)/$f " "]
  	    }
! 	    dsk_bgexec "$tkdesk(cmd,rm) $tlist" "Deleting $anum $fll..."
  	    dsk_refresh $tkdesk(trashdir)
  	}
      }
--- 385,391 ----
  		lappend tlist [string trimright \
  			$tkdesk(trashdir)/$f " "]
  	    }
! 	    dsk_bgexec "$tkdesk(cmd,rm) $tlist" "$anum $fll ..."
  	    dsk_refresh $tkdesk(trashdir)
  	}
      }
diff -crN tkdesk-1.1/tcldesk/doc/License tkdesk-1.1-jp/tcldesk/doc/License
*** tkdesk-1.1/tcldesk/doc/License	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/doc/License	Sun Nov  7 20:10:27 1999
***************
*** 1,358 ****
  
!  TkDesk - A Desktop and File Manager for Unix and the X Window System
!  Copyright (C) 1996-1998  Christian Bolik
   
!  This program is free software; you can redistribute it and/or modify
!  it under the terms of the GNU General Public License as published by
!  the Free Software Foundation; either version 2 of the License, or
!  (at your option) any later version.
!  
!  This program is distributed in the hope that it will be useful,
!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!  GNU General Public License appended below for more details.
   
   --------------------------------------------------------------------
  
  
! 		    GNU GENERAL PUBLIC LICENSE
! 		       Version 2, June 1991
! 
!  Copyright (C) 1989, 1991 Free Software Foundation, Inc.
!                           675 Mass Ave, Cambridge, MA 02139, USA
!  Everyone is permitted to copy and distribute verbatim copies
!  of this license document, but changing it is not allowed.
! 
! 			    Preamble
! 
!   The licenses for most software are designed to take away your
! freedom to share and change it.  By contrast, the GNU General Public
! License is intended to guarantee your freedom to share and change free
! software--to make sure the software is free for all its users.  This
! General Public License applies to most of the Free Software
! Foundation's software and to any other program whose authors commit to
! using it.  (Some other Free Software Foundation software is covered by
! the GNU Library General Public License instead.)  You can apply it to
! your programs, too.
! 
!   When we speak of free software, we are referring to freedom, not
! price.  Our General Public Licenses are designed to make sure that you
! have the freedom to distribute copies of free software (and charge for
! this service if you wish), that you receive source code or can get it
! if you want it, that you can change the software or use pieces of it
! in new free programs; and that you know you can do these things.
! 
!   To protect your rights, we need to make restrictions that forbid
! anyone to deny you these rights or to ask you to surrender the rights.
! These restrictions translate to certain responsibilities for you if you
! distribute copies of the software, or if you modify it.
! 
!   For example, if you distribute copies of such a program, whether
! gratis or for a fee, you must give the recipients all the rights that
! you have.  You must make sure that they, too, receive or can get the
! source code.  And you must show them these terms so they know their
! rights.
! 
!   We protect your rights with two steps: (1) copyright the software, and
! (2) offer you this license which gives you legal permission to copy,
! distribute and/or modify the software.
! 
!   Also, for each author's protection and ours, we want to make certain
! that everyone understands that there is no warranty for this free
! software.  If the software is modified by someone else and passed on, we
! want its recipients to know that what they have is not the original, so
! that any problems introduced by others will not reflect on the original
! authors' reputations.
! 
!   Finally, any free program is threatened constantly by software
! patents.  We wish to avoid the danger that redistributors of a free
! program will individually obtain patent licenses, in effect making the
! program proprietary.  To prevent this, we have made it clear that any
! patent must be licensed for everyone's free use or not licensed at all.
! 
!   The precise terms and conditions for copying, distribution and
! modification follow.
! 
! 		    GNU GENERAL PUBLIC LICENSE
!    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
! 
!   0. This License applies to any program or other work which contains
! a notice placed by the copyright holder saying it may be distributed
! under the terms of this General Public License.  The "Program", below,
! refers to any such program or work, and a "work based on the Program"
! means either the Program or any derivative work under copyright law:
! that is to say, a work containing the Program or a portion of it,
! either verbatim or with modifications and/or translated into another
! language.  (Hereinafter, translation is included without limitation in
! the term "modification".)  Each licensee is addressed as "you".
! 
! Activities other than copying, distribution and modification are not
! covered by this License; they are outside its scope.  The act of
! running the Program is not restricted, and the output from the Program
! is covered only if its contents constitute a work based on the
! Program (independent of having been made by running the Program).
! Whether that is true depends on what the Program does.
! 
!   1. You may copy and distribute verbatim copies of the Program's
! source code as you receive it, in any medium, provided that you
! conspicuously and appropriately publish on each copy an appropriate
! copyright notice and disclaimer of warranty; keep intact all the
! notices that refer to this License and to the absence of any warranty;
! and give any other recipients of the Program a copy of this License
! along with the Program.
! 
! You may charge a fee for the physical act of transferring a copy, and
! you may at your option offer warranty protection in exchange for a fee.
! 
!   2. You may modify your copy or copies of the Program or any portion
! of it, thus forming a work based on the Program, and copy and
! distribute such modifications or work under the terms of Section 1
! above, provided that you also meet all of these conditions:
! 
!     a) You must cause the modified files to carry prominent notices
!     stating that you changed the files and the date of any change.
! 
!     b) You must cause any work that you distribute or publish, that in
!     whole or in part contains or is derived from the Program or any
!     part thereof, to be licensed as a whole at no charge to all third
!     parties under the terms of this License.
! 
!     c) If the modified program normally reads commands interactively
!     when run, you must cause it, when started running for such
!     interactive use in the most ordinary way, to print or display an
!     announcement including an appropriate copyright notice and a
!     notice that there is no warranty (or else, saying that you provide
!     a warranty) and that users may redistribute the program under
!     these conditions, and telling the user how to view a copy of this
!     License.  (Exception: if the Program itself is interactive but
!     does not normally print such an announcement, your work based on
!     the Program is not required to print an announcement.)
! 
! These requirements apply to the modified work as a whole.  If
! identifiable sections of that work are not derived from the Program,
! and can be reasonably considered independent and separate works in
! themselves, then this License, and its terms, do not apply to those
! sections when you distribute them as separate works.  But when you
! distribute the same sections as part of a whole which is a work based
! on the Program, the distribution of the whole must be on the terms of
! this License, whose permissions for other licensees extend to the
! entire whole, and thus to each and every part regardless of who wrote it.
! 
! Thus, it is not the intent of this section to claim rights or contest
! your rights to work written entirely by you; rather, the intent is to
! exercise the right to control the distribution of derivative or
! collective works based on the Program.
! 
! In addition, mere aggregation of another work not based on the Program
! with the Program (or with a work based on the Program) on a volume of
! a storage or distribution medium does not bring the other work under
! the scope of this License.
! 
!   3. You may copy and distribute the Program (or a work based on it,
! under Section 2) in object code or executable form under the terms of
! Sections 1 and 2 above provided that you also do one of the following:
! 
!     a) Accompany it with the complete corresponding machine-readable
!     source code, which must be distributed under the terms of Sections
!     1 and 2 above on a medium customarily used for software interchange; or,
! 
!     b) Accompany it with a written offer, valid for at least three
!     years, to give any third party, for a charge no more than your
!     cost of physically performing source distribution, a complete
!     machine-readable copy of the corresponding source code, to be
!     distributed under the terms of Sections 1 and 2 above on a medium
!     customarily used for software interchange; or,
! 
!     c) Accompany it with the information you received as to the offer
!     to distribute corresponding source code.  (This alternative is
!     allowed only for noncommercial distribution and only if you
!     received the program in object code or executable form with such
!     an offer, in accord with Subsection b above.)
! 
! The source code for a work means the preferred form of the work for
! making modifications to it.  For an executable work, complete source
! code means all the source code for all modules it contains, plus any
! associated interface definition files, plus the scripts used to
! control compilation and installation of the executable.  However, as a
! special exception, the source code distributed need not include
! anything that is normally distributed (in either source or binary
! form) with the major components (compiler, kernel, and so on) of the
! operating system on which the executable runs, unless that component
! itself accompanies the executable.
! 
! If distribution of executable or object code is made by offering
! access to copy from a designated place, then offering equivalent
! access to copy the source code from the same place counts as
! distribution of the source code, even though third parties are not
! compelled to copy the source along with the object code.
! 
!   4. You may not copy, modify, sublicense, or distribute the Program
! except as expressly provided under this License.  Any attempt
! otherwise to copy, modify, sublicense or distribute the Program is
! void, and will automatically terminate your rights under this License.
! However, parties who have received copies, or rights, from you under
! this License will not have their licenses terminated so long as such
! parties remain in full compliance.
! 
!   5. You are not required to accept this License, since you have not
! signed it.  However, nothing else grants you permission to modify or
! distribute the Program or its derivative works.  These actions are
! prohibited by law if you do not accept this License.  Therefore, by
! modifying or distributing the Program (or any work based on the
! Program), you indicate your acceptance of this License to do so, and
! all its terms and conditions for copying, distributing or modifying
! the Program or works based on it.
! 
!   6. Each time you redistribute the Program (or any work based on the
! Program), the recipient automatically receives a license from the
! original licensor to copy, distribute or modify the Program subject to
! these terms and conditions.  You may not impose any further
! restrictions on the recipients' exercise of the rights granted herein.
! You are not responsible for enforcing compliance by third parties to
! this License.
! 
!   7. If, as a consequence of a court judgment or allegation of patent
! infringement or for any other reason (not limited to patent issues),
! conditions are imposed on you (whether by court order, agreement or
! otherwise) that contradict the conditions of this License, they do not
! excuse you from the conditions of this License.  If you cannot
! distribute so as to satisfy simultaneously your obligations under this
! License and any other pertinent obligations, then as a consequence you
! may not distribute the Program at all.  For example, if a patent
! license would not permit royalty-free redistribution of the Program by
! all those who receive copies directly or indirectly through you, then
! the only way you could satisfy both it and this License would be to
! refrain entirely from distribution of the Program.
! 
! If any portion of this section is held invalid or unenforceable under
! any particular circumstance, the balance of the section is intended to
! apply and the section as a whole is intended to apply in other
! circumstances.
! 
! It is not the purpose of this section to induce you to infringe any
! patents or other property right claims or to contest validity of any
! such claims; this section has the sole purpose of protecting the
! integrity of the free software distribution system, which is
! implemented by public license practices.  Many people have made
! generous contributions to the wide range of software distributed
! through that system in reliance on consistent application of that
! system; it is up to the author/donor to decide if he or she is willing
! to distribute software through any other system and a licensee cannot
! impose that choice.
! 
! This section is intended to make thoroughly clear what is believed to
! be a consequence of the rest of this License.
! 
!   8. If the distribution and/or use of the Program is restricted in
! certain countries either by patents or by copyrighted interfaces, the
! original copyright holder who places the Program under this License
! may add an explicit geographical distribution limitation excluding
! those countries, so that distribution is permitted only in or among
! countries not thus excluded.  In such case, this License incorporates
! the limitation as if written in the body of this License.
! 
!   9. The Free Software Foundation may publish revised and/or new versions
! of the General Public License from time to time.  Such new versions will
! be similar in spirit to the present version, but may differ in detail to
! address new problems or concerns.
! 
! Each version is given a distinguishing version number.  If the Program
! specifies a version number of this License which applies to it and "any
! later version", you have the option of following the terms and conditions
! either of that version or of any later version published by the Free
! Software Foundation.  If the Program does not specify a version number of
! this License, you may choose any version ever published by the Free Software
! Foundation.
! 
!   10. If you wish to incorporate parts of the Program into other free
! programs whose distribution conditions are different, write to the author
! to ask for permission.  For software which is copyrighted by the Free
! Software Foundation, write to the Free Software Foundation; we sometimes
! make exceptions for this.  Our decision will be guided by the two goals
! of preserving the free status of all derivatives of our free software and
! of promoting the sharing and reuse of software generally.
! 
! 			    NO WARRANTY
! 
!   11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
! FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
! OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
! PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
! OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
! MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
! TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
! PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
! REPAIR OR CORRECTION.
! 
!   12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
! WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
! REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
! INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
! OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
! TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
! YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
! PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
! POSSIBILITY OF SUCH DAMAGES.
! 
! 		     END OF TERMS AND CONDITIONS
! 
! 	Appendix: How to Apply These Terms to Your New Programs
! 
!   If you develop a new program, and you want it to be of the greatest
! possible use to the public, the best way to achieve this is to make it
! free software which everyone can redistribute and change under these terms.
! 
!   To do so, attach the following notices to the program.  It is safest
! to attach them to the start of each source file to most effectively
! convey the exclusion of warranty; and each file should have at least
! the "copyright" line and a pointer to where the full notice is found.
! 
!     <one line to give the program's name and a brief idea of what it does.>
!     Copyright (C) 19yy  <name of author>
! 
!     This program is free software; you can redistribute it and/or modify
!     it under the terms of the GNU General Public License as published by
!     the Free Software Foundation; either version 2 of the License, or
!     (at your option) any later version.
! 
!     This program is distributed in the hope that it will be useful,
!     but WITHOUT ANY WARRANTY; without even the implied warranty of
!     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!     GNU General Public License for more details.
! 
!     You should have received a copy of the GNU General Public License
!     along with this program; if not, write to the Free Software
!     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! 
! Also add information on how to contact you by electronic and paper mail.
! 
! If the program is interactive, make it output a short notice like this
! when it starts in an interactive mode:
! 
!     Gnomovision version 69, Copyright (C) 19yy name of author
!     Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
!     This is free software, and you are welcome to redistribute it
!     under certain conditions; type `show c' for details.
! 
! The hypothetical commands `show w' and `show c' should show the appropriate
! parts of the General Public License.  Of course, the commands you use may
! be called something other than `show w' and `show c'; they could even be
! mouse-clicks or menu items--whatever suits your program.
! 
! You should also get your employer (if you work as a programmer) or your
! school, if any, to sign a "copyright disclaimer" for the program, if
! necessary.  Here is a sample; alter the names:
! 
!   Yoyodyne, Inc., hereby disclaims all copyright interest in the program
!   `Gnomovision' (which makes passes at compilers) written by James Hacker.
! 
!   <signature of Ty Coon>, 1 April 1989
!   Ty Coon, President of Vice
! 
! This General Public License does not permit incorporating your program into
! proprietary programs.  If your program is a subroutine library, you may
! consider it more useful to permit linking proprietary applications with the
! library.  If this is what you want to do, use the GNU Library General
! Public License instead of this License.
! 
  
--- 1,377 ----
  
!  TkDesk - UNIXXɥΤΥǥȥåפȥեޥ͡㡼
!   
!              Copyright (C) 1996-1998  Christian Bolik
! 
!  Υץϡե꡼եȥǤꡢFree Software Foundation
!  ˤGNU̸ͭѵС2ޤϤʹߤΥС
!  ȤǼͳѹۤ뤳ȤǤޤ
   
!  ΥץͭѤۤ뤳Ȥ˾ߤޤ
!  褷ͭˤƤϤޤ󡣾Ѥͭˤꡢ1ʬ
!  Ӥ˸ꤷƤФˤޤ
!  ʲ˵ҤƤGNU̸ͭѵ򸫤Ƥ
   
   --------------------------------------------------------------------
  
  
!                           GNU̸ͭѵ 
  
+                           1991ǯ6С2
+                Copyright (C) 1989,1991 Free Software Foundation, Inc.
+                                675 Mass Ave, Cambridge, MA 02139, USA
+ 
+ ͤ⡢ʲƤѹʤǤΤޤʣ̤˸¤ꡢܻѵ
+ ʣۤ뤳ȤǤޤ 
+ 
+ Ϥ 
+ 
+ ۤȤɤΥեȥλѵϡեȥͭѹ桼
+ μͳåȤտޤƤޤФơ桹GNU̸ͭѵ
+ ϡե꡼եȥͭѹ뼫ͳ桼ݾڤ뤿
+ ΤΡ¨ե꡼եȥΥ桼ƤˤȤäƥե꡼Ǥ뤳
+ ݾڤ뤿ΤΤǤ
+ ܻѵϡFree Software FoundationΤۤȤƤΥեȥŬ
+ ǤʤץκԤܻѵ˰ͤȤΤ
+ ץˤŬѤ뤳ȤǤޤ(¾ Free Software Foundation
+ ΥեȥΤĤϡܵǤϤʤGNU饤̸֥ͭ
+ ݸޤ)
+ ʤϼʬΥץˤ⤳ŬѤǤޤ桹ե꡼ե
+ ˤĤƸϼͳΤȤ˸ڤƤΤǤäơʤΤȤǤ
+ ޤ
+ 桹ΰ̸ͭѵγƾϡλμ¤˼¸뤳ȤŪȤ
+ ΩƤƤޤ 
+ 
+ ե꡼եȥʣʪͳۤǤ뤳(ơ˾ʤ餢ʤ
+ ΥӥФвǤ뤳) 
+ ɤºݤ˼뤫뤤ϡ˾Фꤹ
+ ȤǽǤ뤳ȡ ꤷեȥѹꡢե꡼
+ ץΰȤƻѤǤ뤳ȡ 
+ ʾγƤԤʤȤǤȤȤ桼ȤΤäƤ뤳ȡ 
+ 
+ Τ褦ʥ桼θ뤿ˡ桹ϡͤ⤳θꤷ
+ ꡢ뤤褦˥桼˵뤳ȤϤǤʤȤ¾
+ ɬפޤ¾ϡ桼ե꡼եȥ
+ ʣʪۤѹ褦ȤˤϡΥ桼Ȥ٤̳
+ Ȥʤޤ㤨Сʤե꡼եȥʣʪۤ硢
+ ̵ͭˤ餺ʤϼʬλäƤ븢Ϳ
+ Фʤޤ󡣤ʤϡޤɤä
+ ȤȤǧʤФʤޤ󡣤ˤʤϡ餬ʬ
+ Τ褦ˡξΤ餷ʤФʤޤ 
+ 
+ 桹ϼΣĤˡǥ桼θޤ(1)եȥ
+ ĥ(2)ܻѵξβǥեȥʣۡѹ븢
+ 桼Ϳޤ 
+ 
+ ޤƺԤ桹Ȥ뤿ˡܥե꡼եȥ̵ݾڤǤ
+ 뤳ȤƤο͡λ򤷤Ƥɬפޤˡ¾ïˤä
+ ѹ줿եȥۤ줿硢μԤϤΥեȥꥸ
+ ʥ롦СǤϤʤȤȤΤ餵ɬפޤϡ¾
+ ͤδͿˤäƸȯԤФɾƶʤ褦ˤ뤿Ǥ 
+ 
+ ǸˡɤΥե꡼ץ⥽եȥõ䤨Ƥޤ
+ 桹ϡե꡼ץκۼԤĿŪõ¾夽
+ ץʬκ⻺ˤƤޤȤ򤱤ȴäƤޤ
+ ɤ˲桹ϡõ⡢ïǤ⼫ͳ˻ѤǤ褦˻
+ ٤뤤ϲͤФƤѤʤΡ줫
+ ٤Ǥ뤳Ȥ餫ˤƤޤ 
+ 
+ ʣ̡ۡѹФΤʾȾ򼡤˼ޤ 
+ 
+ GNU̸ͭѵβǤʣۡѹ˴ؤȾ 
+ 
+   1.ܻѵϡ̸ܰͭѵγƾ˽äۤȤ
+     ԤιʸɽƤץ䤽¾κʪŬ
+     ޤʲˤơ֥ץפȤϡΤ褦ʥץ
+     ʪؤΤȤޤ֥ץʪפȤϡҤ֥ץ
+     ׼ȡޤϡˡˤƤʪʤ
+     Ρ֥ץפϰ򡢤Τޤѹơġ
+     ¾θѴơȤ߹ʪ̣ޤ(ʲ
+     ѴϡѹפȤѸ̵˴ޤޤΤȤޤ)ܻ
+     ˤäƵԤ֤ʤפȸƤӤޤ 
+ 
+     ʣۡѹʳι԰٤ܻѵоݤȤޤ󡣤
+     ѵϰϳǤ֥ץפ¹Ԥ԰٤˴ؤ
+     ޤ󡣡֥ץפνϤϡ(֥ץפ¹Ԥƺ
+     ɤȤ̵ط)Ƥ֥ץʪפǤ
+     ˸¤ܻѵоݤȤʤޤ줬ƤϤޤ뤫ɤϡ֥
+     פ򤹤Τ˰ͤޤ 
+ 
+   2.ʤϡɤΤ褦ξʣ褦ȤǤäƤ⡢ꤷ
+     ֥ץפΥɤ򤽤ΤޤޤƤʣ̤Ŭ
+     ɽݾڤΡŬյ˸¤ꡢʣ
+      ۤ뤳ȤǤޤξ硢ܻѵڤ̵ݾڤ˴ؤ
+      ʬϡƸΤޤޤηɽƤޤ֥ץ
+      ФƤϡ֥ץפȶܻѵμ̤Ϥ
+      ʣʪΰϤפ᤹뤳ȤǤޤ
+      ޤʤȼݾڤԤʤϤͭȤ뤳ȤǤޤ 
+ 
+   3.γƾƤ¤ꡢʤϡ֥ץϤ
+     ʬѹơ֥ץʪפȤ뤳ȤǤˡѹ
+     Ǥ䱦ʪ嵭 2 ˽äʣۤ뤳ȤǤޤ 
+ 
+     a.եѹݤȤѹȤѹե
+       ɽ뤳ȡ 
+ 
+     b.ѹݤ鷺ޤ֥ץϤΰʬ
+       Ȥ߹Ǥ뤫Ϥ줫ʪۤˤϡ
+       Τܻѵξ˽ä軰Ԥ̵ǻѵ뤳ȡ
+ 
+     c.ѹץब¹Ի̾Ūˡǥޥɤɤ
+       褦ˤʤäƤȤСǤ̤ˡŪˤΥץ
+       ¹ԤˡƤ򼨤ʸץ󥿤ذ뤫
+       ϲ̤ɽ뤳ȡ 
+       Ŭڤɽ
+       ̵ݾڤǤ뤳(ʤȼݾڤϡλ) 
+       ۤԤ⡢ܻѵƱξ˽äơ֥ץ
+       ۤǤ뤳ȡ
+       ۤԤܻѵμ̤򻲾Ȥˡ
+       (㳰Ȥơ֥ץ׼ΤŪǤäƤⵯưʸ
+       ̾ϰʤΤʤСʤΡ֥ץʪפϤΤ
+       ʸɬפϤޤ) 
+ 
+     ׷ѹ줿ʪˤŬѤޤѹǤΰ
+     ʬ֥ץפʪǤϤʤ⤽켫Ωǰۤʤ
+     ʪȹŪ˹ͤ硢ʤ̤κʪȤ
+     ۤϡܻѵȤξϤʬˤŬѤޤ
+     ֥ץʪפΰȤۤϡ
+     ܻѵξ˽äۤʤФʤ餺ѵ
+     ¾ƤμԤФץΤˤ錄äͿʤ
+     ʤ餺̤Ȥơï񤤤ˤ餺Ƥʬܻѵ
+     ŬѤʤФʤޤ 
+ 
+     Τ褦ˡܾΰտޤȤϡˤʤˤäƽ񤫤줿
+     ʪˤĤơ׵ᤷꡢʤȸط褦ȤǤϤ
+     ޤ󡣤षŪϡʪ֥ץʪפǤ
+     ˤʪ佸ʪۤ뤳Ȥˤޤ 
+ 
+     ˡ֥ץ(ϡ֥ץʪ)ȡ֥ץʪ
+     ȤϤʤʤ¾ΥץȤñݴɤۤΤƱξ
+     ޤȤƵϿȤƤ⡢ܻѵ¾ΥץˤŬѤޤ 
+ 
+   4.ʤϡʲΤ줫1Ĥ¤ꡢ嵭2ڤ3˽
+     ơ֥ץ(ϡ嵭3ǸڤƤ֥ץʪ)
+     򥪥֥ȡϼ¹Բǽʷʣڤۤ뤳Ȥ
+     ޤ 
+ 
+     a.б뵡ɤ߼ǽʥɰ켰˰Ϥȡ
+       ξ硢ΥɤΰϤϾ嵭2ڤ3˽äơ
+       ̾諒եȥθ򴹤ѤΤǹԤʤ뤳ȡ
+        
+     b.ʤȤ3ǯ֤֤ͭᡢĤδǤб
+       ɤ߼ǽʥɰ켰ʣ򡢥ۤ˴ؤ
+       ʾв׵᤻󶡤ݡڤӤξˤϾ嵭 2ڤ3
+       ˽äơ̾諒եȥθ򴹤ѤΤ󶡤ݤ
+       ܤ̤軰Ԥ˰˰Ϥȡ
+        
+     c.б륽ۤοФ˺ݤơʤ
+       ˰Ϥȡ(ϡŪȤʤۤǤäơ
+       ʤ嵭(b)˴Ťơ֥ȡɰ ϼ¹Բǽ
+       ΥץषꤷƤʤ˸¤ŬѤܤǤ) 
+       
+     ʤɤȤϡѹȤŬҷؤޤޤ
+     ¹ԲǽΥեб륽ɰ켰Ȥϡ˴ޤޤ
+     ⥸塼бƤΥɡڤӤϢΥ
+     եե롢ڤӼ¹Ԥǽˤ륳ѥȥ󥹥ȡ
+     ˴ؤ뵭Ҥؤޤ̤㳰Ȥơ¹Բǽʥե뤬ư
+     륪ڥ졼ƥ󥰡ƥμפʹ(ѥ顢 ͥ
+     ʤ)ȶ(ϥХʥΤɤ餫)ۤƤΤ
+     ĤƤϡιǼΤ¹Էտ路Ƥʤ˸¤ꡢ
+     륽ɤ˴ޤɬפϤޤ 
+ 
+     ¹Բǽޤϥ֥ȡɤۤؼ줿꤫
+     ʣΤΥͿǤ硢Ʊ꤫Υɤ
+     ʣΤƱʥͿСȤ軰Ԥ˥֥ ȡ
+     ɤȶ˥ʣ򶯤ʤȤ⡢ɤ Τ
+     ߤʤޤ 
+ 
+   5.ܻѵŪ˵Ƥʤϡ֥ץפ
+     ʣѹ֥饤󥹡ۤ뤳ȤǤޤܻѵ˽鷺
+     ˡ֥ץפʣѹ֥饤󥹡ۤ褦Ȥ԰٤ϡ
+     켫Τ̵Ǥꡢġܻѵʤ˵Ƥ֥ץ
+     θưŪ˾Ǥޤξ硢ܻѵ˽äƤʤʣ
+     ʪ䤽θƤ軰Ԥϡܻѵ˴˽äƤ˸¤ꡢ
+     ³ͭʻѸ¤ĤΤȤޤ 
+ 
+   6.ʤϤޤƱդΰȤƽ̾ƤʤΤǡܻѵɬ
+     Ϥޤ󡣤ʤˡ֥ץϤʪѹ
+     ۤĤͿΤܻѵʳˤϤޤ󡣤ι԰٤ϡ
+     ʤ⤷ܻѵʤΤǤСˡΧˤäƶؤޤ
+     äơʤ֥ץ(ϡ֥ץ ʪ)ѹۤ
+     ԤС켫ΤǤʤܻѵ졢ġ֥ץ
+     Ρ֥ץʪפʣۡѹ˴ؤ뤳ξȾ
+     Ƥ줿Ȥ򼨤ޤ 
+ 
+   7.ʤ֥ץ(ϤΡ֥ץʪ)ۤȼưŪ
+     ˡμμԤϡλѵԤ顢ܻѵξ˽äơ֥ץ
+     פʣۡѹ뤳ȤƤȤѵΤȤޤ
+     ʤϡμԤ˵줿ιԻȤˤĤơä뤳Ȥ
+     Ǥޤ󡣤ʤˤϡ軰Ԥܻѵμ򶯤ǤϤ
+     
+ 
+   8.ȽȽ衢õοΩơ(õ˸¤ʤ)餫
+     ͳη̤Ȥơʤ˲ݤ줿郎ܻѵʤΤ
+     äȤƤ(Ƚ̿ᡢ󡢤¾ˤΤǤ)ܻѵ
+     郎ȽΤǤϤޤ
+     ܻѵˤ̳ȡ¾β餫δϢ̳Ʊͤ
+     뤳ȤǤʤʤСʤϥץפۤƤϤޤ
+     㤨СõƤʤľϴܤʣäƤ
+     ͤ˻ΤʤץκۤʤΤǤСʤ
+     õܻѵξ­ˡϡ֥ץפۤ
+     ǰ뤳ȤǤ
+ 
+     ܾΰʬ餫̤ʾ̵ޤŬԲǽˤʤä硢
+     ܾΤ¾λĤʬŬѤ褦˰տޤƤꡢ ޤܾ
+     ΤȤƤ¾ξƤϤޤ褦˰տޤƤޤ 
+ 
+     ܾŪϡõ䤽¾κ⻺򿯳ꡢΤ褦ʸ˴Ť
+     ĥ褦褦ˤʤ˴뤳ȤǤϤޤܾͣ
+     Ūϡե꡼եȥۥƥδ뤳Ȥǡ
+     ͭѵμˤäԤޤ
+     ¿ο͡ΥƥΰӤŬѤꤷơΥƥ̤
+     ۤƤϰϤΥեȥˤߤʤ׸򤷤Ƥޤ
+     Ԥ£Ԥ¾β餫Υƥ̤ƥեȥۤ
+     뤳Ȥμͳջ֤ǤꡢѵԤϤ򶯤
+     ȤϤǤޤ 
+ 
+     ܾϡܻѵ¾ξΰ̣ƤǤ뤫餫ˤ
+     ȤտޤƤޤ 
+ 
+   9.֥ץפۡѤˤõݸ줿
+     󥿥եΤɤ餫¤硢֥ץפܻѵ
+     ݻԤϡιݡŪϰ¤ä
+     ʳ(ʤ)˸ꤷۤ褦ˤ뤳ȤǤޤ
+     Τ褦ʾ硢¤ܻѵʸˤ񤫤Ƥ뤫Τ褦
+     ܻѵȤΤȤޤ 
+ 
+  10.Free Software FoundationϿ̸ܰͭѵβǡϿǤ
+     ɽ뤳Ȥޤ
+     Τ褦ʿСϡԤΥСȴŪѤȤ
+     ޤ󤬡ƻ б뤿˺Ǥϰۤʤ뤫
+     ޤ 
+ 
+     ƥСϡСֹˤäƶ̤ޤ֥ץ
+     ܻѵΥСֹλ꤬ϡλꤵ줿С󤫡
+     Ϥθ Free Software FoundationɽƤ 줫
+     С󤫤1Ĥ򤷤ơξȾ˽äƤ֥ץ
+     ܻѵΥСֹλ꤬ʤϡ Free Software Foundation
+     ɽɤΥСǤ򤹤뤳ȤǤޤ 
+ 
+  11.֥ץפΰ۾ΰۤʤ¾Υե꡼ץȤ߹
+     ϡγȯԤ˽̤ǵĤƤFree Software Foundation
+     äƤ륽եȥˤĤƤϡFree Software Foundation
+     ̤ФƤ
+     Τ褦ʾб뤿˲桹㳰Ū򤹤뤳Ȥ⤢ޤ
+     ȽǴȤʤΤϡ2 Ĥɸμ¸˹פ뤫ݤȤǤ
+     ¨Ĥϲ桹Υե꡼եȥƤʪե꡼ʾ֤
+     ݤĤȤǤꡢ⤦ĤϥեȥζͭȺѤȤ򹭤¥ʤ
+     ȤǤ 
+ 
+ ̵ݾ 
+ 
+  12.֥ץפ̵ǻѵޤΤǡŬˡϰǡ
+     ֥ץפݾڤϰڤޤԤ䤽¾軰Ԥ
+     ̵ݾڤǡ֤Τޤޡפξ֤ǡġۤǤ뤫鷺
+     ڤݾڤĤʤ󶡤ΤȤޤ
+     ǤݾڤȤϡԾŪŬˤĤƤΰۤݾڤޤޤ
+     ޤ˸ꤵΤǤϤޤ󡣡֥ץפʼǽ
+     ˴ؤƤΥꥹϤʤ餦ΤȤޤ
+     ֥ץפ˷٤Ȥ狼ä硢ȼڤѤ
+     פѤƤʤôȤޤ 
+ 
+  13.ŬˡᡢϽ̤ˤդԤ嵭
+     ơ֥ץפѹۤ٤軰Ԥϡ֥ץ
+     ѤȡޤϻѤǤʤȤ˵ڤ»ˤĤƲ
+     Ǥ餤ޤԤ軰ԤΤ褦»ȯ
+     ǽˤĤΤ餵ƤǤƱͤǤʤǤ»ˤ
+     ̾»»ȯ»»ޤޤޤ(ǡξü
+     ΤӼʤ軰Ԥä»¾ΥץȤ
+     󥿥եŬ粽ޤޤޤ˸ꤵΤǤ
+     ޤ) 
+ 
+ ʾ
+ 
+  
+ 
+ ʸʸ(GNU General Public Licence)ʸȤ롣ʸʸ۸
+ ΰոΤơǤΤ˱ʸʸΤǤ뤬ˡΧŪ
+ ͭʷǤϤʤ 
+ 
+ ʸʸΤκۤ˴ؤ 
+ 
+ ʤΤǤ⼡ξ郎٤Ƥ˸¤ꡢʸʸ
+ Τޤʣ̤ۤ뤳ȤĤ롣
+ ޤʤ軰ԤФܵĹΤƱεĤͿ˸¤ꡢ
+ ۤ뤳ȤĤƤޤ 
+ 
+ Ρۤ줿ԡɽܵΤäƺܤƤ
+ ȡ 
+ ԡμμԤ˺ۤ硢ۼԤܹΤƱĤͿ
+ 뤳ȡ 
+ ʸʸʸѤʤȡ 
+ 
+ ʤοץˤξŬѤˡ 
+ 
+ ʤץѤ˶ϡץ
+ ե꡼եȥˤơƤο͡ʾγƾ˽äƤ
+ ۤѹ򤹤뤳ȤǤ褦ˤΤɤˡǤ 
+ 
+ 뤿ˤϡץ˰ʲɽ򤷤Ƥξ硢̵ݾڤ
+ ȤȤǤŪ뤿ˡեƬˤʸ
+ ɽкǤǤ¾ˡɽǤ⡢ɽ
+ ʸɤ߽Ф٤Υɥ쥹ؤΥݥ󥿤ϥեɽƤ
+  
+ 
+ ץ̾Ȥɤư򤹤ΤˤĤƤδñι
+ 
+ Copyright (C) 19ǯ̾ 
+ 
+ ܥץϥե꡼եȥǤʤϡFree Software Foundation
+ ɽGNU̸ͭѵΡ֥С2װϤʹߤγƥС
+ 椫餤줫򤷡ΥС˽äܥץ
+ ۤޤѹ뤳ȤǤޤ 
+ 
+ ܥץͭѤȤϻפޤۤˤäƤϡԾڤŪŬ
+ ˤĤƤΰۤݾڤޤơʤݾڤԤʤޤ󡣾ܺ٤ˤĤƤ
+ GNU̸ͭѵɤߤ 
+ 
+ ʤϡܥץȰGNU ̸ͭѵμ̤äƤϤ
+ Ǥ
+ ǤʤϡFree Software Foundation, Inc., 675 Mass Ave, Cambridge,
+ MA 02139,USAؼ񤤤Ƥ 
+ 
+ ޤ桼Żҥᥤ񿮤ǤʤϢȤˡˤĤƤξ
+ źƤ 
+ 
+ ץबŪưϡå⡼ɤǵư˼Τ褦û
+ ʸɽ褦ˤƤ 
+ 
+ Gnomovision С69Copyright (C) 19 ǯ̾ 
+ 
+ Gnomovisionϴ̵ݾڤǤܺ٤ show wȥפƤ
+ ϥե꡼եȥʤΤǡξβǤۤ뤳
+ ȤǤޤܺ٤show cȥפƤ 
+ 
+ 嵭show wshow cϳơ̸ܰͭѵδϢʬɽ륳ޥ
+ ؤޤ
+ 󡢤ʤȤΥޥɤshow wshow cȤäƤ̾ǤʤƤ
+ ޤ
+ ˡΥޥɤϤʤΥץ˹碌٤ˡޥǥå
+ ˥塼ˤ뤳ȤǤޤ 
+ 
+ ޤɬפǧ᤿ˤϡʤθۤ(ʤץޤȤƯƤ
+ )Ҥع顢ΥץФפǧ᤿̾
+ ν̤ꤷƤˤʸܤޤ̾ѤƤ 
+ 
+ Yoyodyne, Inc. ϡJames Hacker ȯץ`Gnomovision'(ѥ
+ ˤĤʤץ)ˤĤƤˡƤθ롣 
+ 
+ Ty Coon ν̾, 1 April 1989
+ Ty Coon, Ĺ 
+ 
+ ̸ܰͭѵϡʤΥץ⻺оݤȤʤäƤ¾Υץ
+ Ȥ߹ळȤǧƤޤ
+ ʤΥץब֥롼 饤֥ǤäơʤΥ饤֥
+ ⻺оݤȤʤäƤ¾Υץꥱȥ󥯤뤳Ȥˤäơ
+ ͭѤʤΤˤ褦ȤˤϡܻѵˡGNU饤֥
+ ̸ͭѵ˽äƤ 
diff -crN tkdesk-1.1/tcldesk/doc/MailUsage tkdesk-1.1-jp/tcldesk/doc/MailUsage
*** tkdesk-1.1/tcldesk/doc/MailUsage	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tcldesk/doc/MailUsage	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,243 ----
+ 
+  TkMailerܸ(TkDesk᡼ĥ)δñʻȤ
+  
+  =============================================================================
+ 
+  ǽ
+  -----------------------------------------------------------------------------
+  TkMailerܸǤϡ乬פ鿴Ԥˤбܸ᡼&˥塼
+  ĶǡTkDeskܸǥꥸʥ뵡ǽǤ
+  ǿϡ http://www2.famille.ne.jp/~mituiwa/ ˤޤ
+  TkMailerܸǤΥ顼ʤɤΥХϡ
+                                     乬 mailto: mituiwa@marinet.or.jp ޤ
+ 
+  ᡼뵡ǽθƤӽФˤĤ
+  -----------------------------------------------------------------------------
+ 
+  ᡼򤹤ޤɬ᡼ԤäƤ
+ 
+  ǥȥåפΥᥤ˥塼M ᡼פǰʲεǽƤӽФȤǤޤ
+  
+    o ᡼ -- ΥޥľϤ᡼ץХΥ᡼륵С
+                    Ϥ᡼äơ̤̾˱Ǥޤ
+                    ץХΥ᡼륵ФϡPOPץȥˤäƥ᡼
+                    ޤ
+                    ޤźեեեȤΥ᡼Ǥޤ
+    
+    o ᡼ -- ᡼ƤԽơΥޥ󤫤顢ޤϡ
+                    ץХΥ᡼륵Ф᡼ޤ
+                    ޤǤ˼᡼Фֿźեե
+                    ԤȤǤޤ
+ 
+    o ˥塼 - ˥塼ƤԽơ˥塼Ф˥塼
+                     Ƥޤ
+    
+    o ñ ---- 鿴ԤΤΥ᡼̤Ǥ
+                    ץХٵ뤵줿᡼륢ɥ쥹ȥץХΥ᡼
+                    С̾Ϥǥ᡼꤬Ǥޤ
+                    ¾ιܤϼưꤵޤ
+    
+    o ܺ ---- ᡼˴ؤܺ٤˻ꤹ뤳ȤǤޤ
+                    ޤǥեȤ򤹤뤳ȤǤޤ
+ 
+  ˥塼M ᡼װʳˤ⡢ӥåȥޥåפΥܥǤ᡼᡼
+  ƤӽФȤǤޤ
+  䵤γ򥯥å뤳Ȥˤ᡼͹Ȣγ򥯥å
+  Ȥˤ᡼ƤӽФȤǤޤ
+ 
+ 
+  ᡼
+  -----------------------------------------------------------------------------
+  
+  ᡼ǽϡ᡼η̾Υɥ᡼ʸɽ
+  ɥźեեΰɽ륦ɥޥɤ¹Ԥܥ
+  鹽ޤ
+  
+  ᡼η̾ǥޥܥ֥륯å뤳Ȥˤ᡼ʸ
+  ɽޤ 
+  
+  ᡼Ƥ¨ˤϰȿǤʤΤǡߤΥ᡼ȿǤ
+  ˤϡֹפ򥯥åޤ
+  
+  ޤ᡼η̾ʣ򤹤뤳ȤǤȤˤޤȤƺǤޤ
+  
+     ᡼η̾
+         ޥܥդ (1:ܥ2:ܥ3:ܥ)
+  
+  		           1:  ᡼
+ 	  	 Control + 1:  ᡼1ܤɲ 
+         	   Shift + 1:  ᡼ϰ
+   	        ɥå + 1:  ᡼ΰ
+            1֥륯å:  ᡼ʸɽ
+ 
+  ΥޥϤ᡼μߤϡּפΥܥΥåǹԤޤ
+  ץХΥ᡼륵ФϤ᡼μߤϡPOPפΥܥ
+  åǹԤޤ
+  ᡼δñ򤷤ϡּפ̵ˤʤäƤޤ 
+  
+  źեեΥ᡼뤬ϤȤϡκΥɥ˥ե̾ΰ
+  ɽޤ
+  ơե֥̾륯å뤳ȤˤоݤȤʤե¸Ǥ
+  ޤ
+  ⤷źեե뤬BASE64ξϡ¸򤹤Ȥ˼ưŪBASE64ǥ
+  Ԥޤ
+  
+  եȤ˥᡼硢ե졼κΡ֥եפ򥯥åޤ
+  ȳƥեե˥塼ޤ
+  ɸǤϡǥեȤΥեinboxס᡼ΥեsendסȢ
+  Υեtrashפޤ
+  ʳΥեϡ˥塼Ρ֥եפǺޤ
+  եȡΥ᡼ե졼൯ưȿǤ졢
+  ֥եץ˥塼βˡ֥᡼뿶ʬץ֥˥塼ޤ᡼
+  ʬϡΥ֥˥塼Ǥǻꤷޤ
+  ޤֹܡפ򥯥åʬоݾȤƷ̾пͤ򤷤ޤ
+  ˡ֥ɡפȽȤʤʸϤžפ򥯥åƿ
+  ʬΥեꤷޤ
+  ơǧƤɤСɲáפ򥯥åޤ
+  
+  ᡼뤬ޤ̵ǡinboxפޤ
+  ơֿʬפ򥯥åȡinboxפ餽줾Υե˿ʬޤ
+  ΤޤޤǤϡ̤ȿǤʤΤǡֹפǲ̤ȿǤޤ
+  
+ 
+  ᡼
+  -----------------------------------------------------------------------------
+ 
+  Żҥ᡼ΰ衢̾CCϤ륦ɥ᡼ʸԽ륦ɥ
+  źեեΰɽ륦ɥޥɤ¹Ԥܥ󷲤鹽ޤ
+  
+  ñʸϤκԽǤСΥե졼ǺȤƤ⤫ޤޤ󤬡
+  ɥʤɤڤǤʤΤǤޤꤪᤷޤ
+  
+  եɤ߹ߡʸκԡڡȡ
+  ʤɥƥԽִɽƥȤȤΤȤʤɤ
+  ٤ʥǥǽɬפȤϡTkDeskΥǥѤޤ
+  TkDeskΥǥǥ᡼ʸԽǥΥᥤ˥塼
+  F եפβM ᡼פꤹȥ᡼Υɥޤ
+  Ǥ˥ƥȤʬˤϥǥԽƤϤäƤΤǡȷ̾
+  ϤơפΥܥ򥯥åǤޤ
+  
+  ᡼Ǥϡ᡼ֿ򤹤뤳ȤǤޤ 
+  ֿ򤹤ˤϡ᡼Υɥֿ᡼η֥̾륯å
+  ᡼ʸɽֿפΥܥ򥯥åޤ
+  
+  ᡼ȾǤΤǡ᡼Ƥ¸ϡ¸...
+  Υܥ򥯥åޤ
+ 
+  եźդϡź...פ򥯥åźդե򤷤ޤ
+  
+  ޤ1ĤǤʤʣꤹ뤳ȤǤޤ
+  ʣꤹϡ,פǶڤޤ
+  㤨Сmituiwa@marinet.or.jp  kinsaitoh@fugu.or.jp ꤹϡ
+  
+  mituiwa@marinet.or.jp,kinsaitoh@fugu.or.jp
+  
+  Ȼꤷޤ
+  
+ 
+  ˥塼
+  -----------------------------------------------------------------------------
+ 
+  ˥塼롼פΰ衢̾CCϤ륦ɥ᡼ʸԽ
+  ɥ źեեΰɽ륦ɥޥɤ¹Ԥܥ
+  鹽ޤ
+  
+  ñʸϤκԽǤСΥե졼ǺȤǤޤ
+  
+  եɤ߹ߡʸκԡڡȡ
+  ʤɥƥԽִɽƥȤȤΤȤʤɤ
+  ٤ʥǥǽɬפȤϡTkDeskΥǥѤޤ
+  TkDeskΥǥǥ᡼ʸԽǥΥᥤ˥塼
+  F եפβD ˥塼ơפꤹȥ˥塼Υɥ
+  ޤ
+  Ǥ˥ƥȤʬˤϥǥԽƤϤäƤΤǡȷ̾
+  ϤơפΥܥ򥯥åǤޤ
+  
+  ˥塼ȾǤΤǡ˥塼Ƥ¸ϡ
+  ¸... Υܥ򥯥åޤ
+ 
+  եźդϡź...פ򥯥åźդե򤷤ޤ
+  
+  ޤ˥塼롼פ1ĤǤʤʣꤹ뤳ȡĤޤꡢݥȤ
+  Ǥޤ
+  ʣꤹϡ,פǶڤޤ
+  㤨Сfj.os.linux  fj.unix ꤹϡ
+  
+  fj.os.linux,fj.unix
+  
+  Ȼꤷޤ
+  
+ 
+  ܺ
+  -----------------------------------------------------------------------------
+ 
+  Żҥ᡼˴ؤʲ򤷤ޤ
+  
+   o ᡼륢ɥ쥹
+       ȯԤΥ᡼륢ɥ쥹ꤹ롣
+         
+   o ̾
+       ȯԤΥե͡ꤹ롣
+       Full Name <User@FromDomain>  Full Name Ѥ롣
+       ǥեȤǤϡѥɥե GCOS եɤƤѤ롣  
+ 
+   o ᡼륵С
+       SMTP ФӥݡȤꤹ롣
+       ϡ֥̾פ뤤ϡ֥̾/ݡֹפ/ݡֹά
+       SMTP(25)Ѥ롣
+       ʣΥФꤹϡ줺 ',' Ƕڤä󤹤롣
+ 
+   o إ᡼륵С
+       顼ȯǡġSMTPservers ˻ꤷƤΥФ
+       ᡼ʤä˻Ԥ٤᡼륵Фꤹ롣  
+ 
+   o POPС
+       POPСꤹ롣
+ 
+   o ˥塼С
+       NNTP ФӥݡȤꤹ롣
+       ϡ֥̾פ뤤ϡ֥̾/ݡֹפ/ݡֹά
+       NNTP(119)Ѥ롣
+       ʣΥФꤹϡ줺 ',' Ƕڤä󤹤롣  
+ 
+   o ᡼γǼ
+       ᡼Ǽե̾ꤹ
+       ᡼뤬Ǽեϡۡǥ쥯ȥβλꤷե
+       ˤʤ롣
+   
+   o ˥塼γǼ
+       ˥塼Ǽե̾ꤹ
+       ˥塼Ǽեϡۡǥ쥯ȥβλꤷե
+       ˤʤ롣
+     
+   o 1Ԥʸ
+       ᡼1Ԥʸꤹ롣
+   
+   o JISθ
+       on:  scan ɽΥեޥåȽκݤˡISO-2022-JPΥץ
+            θ롣  
+       off: scan ɽΥեޥåȽκݤˡISO-2022-JPΥץ
+            θʤ  
+ 
+   o JISإå
+       on:  إå JIS  MIME (RFC2047) 沽롣
+       off: إå JIS  MIME (RFC2047) 沽ʤ
+       
+   o JISѴ 
+       on:  EUC/SJIS -> JIS ѴԤʤ
+       off: EUC/SJIS -> JIS ѴԤʤʤ
+       
+   o ֶػ
+       on:  72ʸ/٤βԤʤ
+       off: 72ʸ/٤βԤ
+ 
+   o Q󥳡
+       on:  إå沽Q沽ǹԤ
+       off: إå沽B沽ǹԤ
+ 
+   o 7ӥåѴ
+       on:  8bit ɤδޤޤåܥǥ7ӥåȤ沽롣
+            8bit ɤγˤ base64  quoted-printableΤɤ餫
+            ưŪ򤵤롣
+       off: 8bit ɤδޤޤåܥǥ7bit沽ʤ
+ 
diff -crN tkdesk-1.1/tcldesk/doc/QuickStart tkdesk-1.1-jp/tcldesk/doc/QuickStart
*** tkdesk-1.1/tcldesk/doc/QuickStart	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/doc/QuickStart	Sun Nov  7 20:10:27 1999
***************
*** 1,116 ****
  
!  How To Get Started With TkDesk Really Quickly  (V1.1)
   =============================================================================
  
! 	
!  What's On Desk
   -----------------------------------------------------------------------------
  
!  When you start TkDesk for the first time, it comes up with its default
!  window layout.  This is:
  
!    o The Application Bar (or appbar for short) -- that's the vertical
!      row of buttons on the left hand side of the screen, and
       
!    o A File Browser Window (or browser) containing three file listboxes.
!      This is the "main" window of TkDesk used for file operations like
!      copy, move etc. (in fact, you can have several of such browsers).
  
!  There's also a smaller variant of the browser window: the File List
!  Window.  This is a compact version of the browser with just one file
!  listbox.
  
  
!  The Application Bar
   -----------------------------------------------------------------------------
  
!  Each button provides a pop-up menu that can be accessed by pressing the
!  right mouse button over any of the appbar's buttons.  Clicking the first
!  mouse button over an appbar button invokes the first entry of the pop-up
!  menu.  The appbar can be moved around by pressing the Meta- or Alt-key
!  and the first mouse-button at the same time over the appbar.
  
!  Summary of mouse button bindings (1: left, 2: middle, 3: right button):
!  
!     		1:  Invokes first entry of associated pop-up menu.
!     		3:  Displays associated pop-up menu.
!        Meta/Alt-1:  Move the application bar around.
!        Meta/Alt-2:  Shortcut to TkDesk's configuration files.
  
-  The first appbar button gives access to some more often used functions
-  of TkDesk, and to most history lists managed by TkDesk.  It also contains
-  an entry to change the layout of the appbar to horizontal, if that's what
-  you prefer.
-  
  
!  The File Browser Window
   -----------------------------------------------------------------------------
  
!  The main part of the file browser windows are the file listboxes.
!  They are laid out such that the left listbox always displays the contents
!  of the parent directory of the file listbox to the right.  As you traverse
!  a directory tree, listboxes "move off" the visible area to the left. The
!  large horizontal scrollbar on top of the listboxes can be used to make them
!  visible again.
! 
!  Summary of mouse button bindings (1: left, 2: middle, 3: right button):
! 
!                 1:  Select directory or file.
!         Control-1:  Single-select directory or file.
!           Shift-1:  Range-select directories or files.
!            Drag-1:  Select an area.
!    Shift-Double-1:  Select all items.
!          Double-1:  Open directory or file (actually invokes the
! 		    first entry of the associated pop-up menu).
!     Ctrl-Double-1:  Directory: Open file list window with this directory.
! 		    File: Open file interactively.
!            2-Move:  Drag directory or file.  Can be dropped on
! 		    other file listboxes, some appbar buttons,
! 		    or the desktop (root window).
!                 3:  Display associated pop-up menu.
! 
!  The button right above each file listbox displaying the name of the
!  directory whose contents is displayed in the listbox is a menu button.
!  Pressing the first mouse button over it displays a menu of operations
!  applicable to the contents of the listbox.
   
   
!  The File List Window
   -----------------------------------------------------------------------------
  
!  File list windows can be opened by opening a directory while pressing
!  the Control key, or by entries from the browser's "Directory" menu.
!  The default directory popup menu also contains an entry for this purpose.
!  The main difference of the file list window compared with a browser window
!  is that the contents of directories you open are always displayed in the
!  same file listbox.
! 
!  For the list of mouse bindings please refer to the previous section.
  
  
!  Get going!
   -----------------------------------------------------------------------------
  
!  Hopefully, this is enough to get you started with TkDesk.  Note that
!  there is a "Help" menu button in the menu bar of the file browser
!  window.  It gives access to the TkDesk User's Guide, which documents
!  every tiny feature of TkDesk (not yet though).  Also note that TkDesk
!  has a "balloon help" feature: just place the mouse pointer over any
!  button of the application bar or button bar in the browser window.
!  A very useful place to look for help is the searchable archive of
!  the TkDesk mailing list at http://www.findmail.com/list/tkdesk.
! 
!  And now it's your turn:  Start exploring TkDesk!  Look into every
!  menu, click on every button, and take a look at the User's Guide!
!  Please also take a look at "Help/Changes", even if you're a first-time
!  TkDesk user.  It explains many of the less obvious TkDesk features.
!  
!  When you've become a bit more familiar with TkDesk you will want to take
!  a look at TkDesk's configuration files (Menu "TkDesk/Configuration").
!  Virtually every aspect of TkDesk can be configured!  Just experiment with
!  the default configuration.
  
  
   
!  Enjoy TkDesk!!
! 
--- 1,128 ----
  
!  TkDeskС1.1δñʻȤ
!  
   =============================================================================
  
!  ǽ
!  -----------------------------------------------------------------------------
!  ܸǥȥåפϡΥѥåȤ˻乬פǥȥåפܸ
!  ΤǤ
!  ǿϡ http://www2.famille.ne.jp/~mituiwa/ ˤޤ
!  ܸǥȥåפΥ顼ʤɤΥХϡ
!                                     乬 mailto: mituiwa@marinet.or.jp ޤ
! 
!  ǥȥåפˤĤ
   -----------------------------------------------------------------------------
  
!  TkDeskǽ˵ưȤˡͤǤʲΥɥɽޤ
  
!    o 硼ȥåȥС  --- ̤αü˥ܥ󤬽ˤʤäƤޤ
       
!    o 3ĤΥꥹȥܥåǥȥåײ̤Ǥ
!      ϡԡưʤɤΥե򤹤뤿ΥǥȥåפΥᥤ
!      ɥǤ
  
!  ޤեΰ򸫤뤿Τ꾮ʼΥɥ⤢ޤ
!  ϡ1ĤΥեΤߤ򸫤륳ѥȤʤΤǤ
  
  
!  硼ȥåȥС
   -----------------------------------------------------------------------------
  
!  줾Υܥϡ
  
!  硼ȥåȥСξǥޥαܥ򲡤Ȥˤäơ硼ȥåȥС
!  Τ줾Υܥ°ݥåץåץ˥塼ưǤޤ
!  硼ȥåȥСξǥޥ򥯥å뤳Ȥˤäơݥåץåץ˥塼
!  κǽιܤưޤ
!  硼ȥåȥСξAlt(PC98Graph)򲡤ʤޥκܥ
!  ɥåȥ硼ȥåȥСư뤳ȤǤ硼ȥåȥС
!  ־ΥܥξǥޥκܥɥåƤƱͤˤǤޤ
!  
!  ޥܥդ (1:ܥ2:ܥ3:ܥ)
!  
!              1:  ݥåץåץ˥塼κǽιܤư
!              3:  ݥåץåץ˥塼ɽ
!        Alt + 1:  硼ȥåȥСΰư
!        Alt + 2:  ǥȥåؤΥ硼ȥå
! 
!  硼ȥåȥСκǽΥܥϡǥȥåפǻѤ뵡ǽ䡢
!  ǥȥå򤬴Ǥޤ
!  ޤ硼ȥåȥСˤʤɡʤ褦֤֡ѹ
!  Ǥޤ
  
  
!  ǥȥå
   -----------------------------------------------------------------------------
  
!  ǥȥåפμפʬϡեꥹȥܥåǤ
!  ꥹȥܥåϲǡ¦Υꥹȥܥå鸫ơˤκ¦
!  οƥեΥꥹȥܥå֤ޤ
!  ꥹȥܥåΤɥ˼ޤ꤭ʤϡ
!  СɽޤΤȤꥹȥܥåƤκʬɽ
!  ΤǡʳƤ򸫤ϡСɽΰư
!  ޤ
! 
!  ޥܥդ (1:ܥ2:ܥ3:ܥ)
!  
!  		           1:  եޤϥե
! 	  	 Control + 1:  եޤϥե1ܤɲ 
!         	   Shift + 1:  եޤϥեϰ
!   	        ɥå + 1:  եޤϥեΰ
!    Shift + 1֥륯å:  եޤϥե
!            1֥륯å:  եޤϥե򳫤
!                		       (ݥåץåץ˥塼κǽιܤưޤ)
!     Ctrl + 1֥륯å:
!     			      ե - ñեΥꥹȥܥå򳫤
!     			      ե - ¹ԥ򳫤
!            	ɥå + 2: եޤϥեɥå¾Υꥹ
!            		      ܥå䥷硼ȥåȥС¾Υǥȥå
!            		      ؤɥåפǤޤ
!                 	   3: ݥåץåץ˥塼ɽ
! 
!  եΥꥹȥܥåɽƤ̾ξǥޥαܥ
!  򲡤ȥݥåץåץ˥塼ɽޤ
!  ܥ򲡤³ȥݥåץåץ˥塼ɽ³оݤȤʤܤ
!  Фơޤޤ䥢ץꥱ󤬵ưǤޤ
   
   
!  ñեΥꥹȥܥåɥ
   -----------------------------------------------------------------------------
  
!  ꥹȥܥåɥϡȥ륭򲡤ʤե򳫤
!  ޤϡ ե˥塼ǥեΥɥ򤹤ȡ ꥹ
!  ܥåɥޤ
!  ޤեΥݥåץåץ˥塼ǥե򳫤򤷤ƤƱͤǤ
!  ꥹȥܥåɥΥǥȥåפӤƤ礭ʰ㤤ϡե
!  Ƥ򳫤ȤƱꥹȥܥå˾ɽ롣
  
+  ޥܥդϡǥȥåפƱͤǤ
  
!  
!  ǤϡϤޤ礦
   -----------------------------------------------------------------------------
  
!  ޤСǥȥåפϤˤäƤɬפμޤ
!  ʸϡǥȥåפΥ˥塼Υإפ祬ɤ򤹤뤳Ȥˤä
!  ɽޤ
!  ޤΥǥȥåפϡХ롼إפƤꡢޥΥݥ󥿤
!  硼ȥåȥСܥǥȥåΥܥʤɤξ˰ưɽ
!  ޤ
!  ȤƤͭѤʥإפtkdeskΥ᡼󥰥ꥹȤǤ
!  http://www.findmail.com/list/tkdesk
!  Υ֤򸡺뤳Ȥˤäޤ
!  
!  ǤϡǥȥåפõϤޤ礦
!  ƤΥ˥塼ϤƤΥܥ򥯥å桼ɤ򸫤
!  ޤ礦
!  ޤ˥塼Υإפѹǽ˸Ƥߤޤ礦
!  βˤäơʤȤ¿Υǥȥåפħ餫ˤʤǤ礦
! 
!  ǥȥåפΤǤ褦ˤʤޤ顢ǥȥåפե
!  򸫤ƤߤƤ(ǥȥåפΥ˥塼ɽ) 
!  ˤäơǥȥåפΤۤȤɤ꤬Ǥޤ
!  ˥ǥեȤ򤤤ѹƤߤƤ
  
  
   
!  ܸǥȥåפǲŬ򡪡
\ No newline at end of file
diff -crN tkdesk-1.1/tcldesk/file_ops.tcl tkdesk-1.1-jp/tcldesk/file_ops.tcl
*** tkdesk-1.1/tcldesk/file_ops.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/file_ops.tcl	Sun Nov  7 20:10:27 1999
***************
*** 87,93 ****
      frame $t.fb -bd 1 -relief raised
      pack $t.fb -fill x
  
!     button $t.bBreak -text "  Stop  " \
  	    -command "set dsk_bgexec(out$cnt) break ;\
  	    set dsk_bgexec(stat$cnt) {} ;\
  	    destroy .dsk_bgexec$cnt"
--- 87,93 ----
      frame $t.fb -bd 1 -relief raised
      pack $t.fb -fill x
  
!     button $t.bBreak -text "    " \
  	    -command "set dsk_bgexec(out$cnt) break ;\
  	    set dsk_bgexec(stat$cnt) {} ;\
  	    destroy .dsk_bgexec$cnt"
***************
*** 178,193 ****
  
      if {$type == "file"} {
  	set dsk_create(win,file) [dsk_HistEntry .dhe[dsk_HistEntry :: id] \
! 		-label "Name of new file:" \
  		-title "New File" \
! 		-checklabel "Open in Editor" \
  		-callback {dsk_create_callback file} \
  		-nograb 1]
      } else {
  	set dsk_create(win,directory) [dsk_HistEntry .dhe[dsk_HistEntry :: id] \
! 		-label "Name of new directory:" \
  		-title "New Directory" \
! 		-checklabel "Open after Creation" \
  		-callback {dsk_create_callback dir} \
  		-nograb 1]
      }
--- 178,193 ----
  
      if {$type == "file"} {
  	set dsk_create(win,file) [dsk_HistEntry .dhe[dsk_HistEntry :: id] \
! 		-label "ե̾:" \
  		-title "New File" \
! 		-checklabel "ǥǳ" \
  		-callback {dsk_create_callback file} \
  		-nograb 1]
      } else {
  	set dsk_create(win,directory) [dsk_HistEntry .dhe[dsk_HistEntry :: id] \
! 		-label "ե̾:" \
  		-title "New Directory" \
! 		-checklabel "" \
  		-callback {dsk_create_callback dir} \
  		-nograb 1]
      }
***************
*** 215,221 ****
  	set err [catch {eval exec $tkdesk(cmd,$cmd) [list $name]} errmsg]
  	if $err {
  	    dsk_errbell
! 	    cb_error "Couldn't create $name! ($errmsg)"
  	    return
  	}
  	set win [dsk_active win]
--- 215,221 ----
  	set err [catch {eval exec $tkdesk(cmd,$cmd) [list $name]} errmsg]
  	if $err {
  	    dsk_errbell
! 	    cb_error "$name Ǥޤ ($errmsg)"
  	    return
  	}
  	set win [dsk_active win]
***************
*** 538,544 ****
  	    incr c
  	    if {$c >= $dsk_casdirs(cmax)} {
  		set om $m
! 		$m add cascade -label "More..." -menu [set m $m.c$c]
  		catch {destroy $m}
  		menu $m
  		foreach b [bind $om] {
--- 538,544 ----
  	    incr c
  	    if {$c >= $dsk_casdirs(cmax)} {
  		set om $m
! 		$m add cascade -label "..." -menu [set m $m.c$c]
  		catch {destroy $m}
  		menu $m
  		foreach b [bind $om] {
***************
*** 572,587 ****
  
      if {$files == ""} {
  	dsk_bell
! 	cb_info "Please select one or more files first."
  	return
      }
  
      foreach file $files {
  	set file [subst $file]
  	if ![dsk_check_perm $file] {
! 	    set rc [cb_dialog .trename "Permission denied" \
! 		    "[file tail $file]:\nYou don't have permission to rename this item." \
! 		    error 0 " OK " "Cancel"]
  	    if {$rc == 1} {
  		return
  	    } else {
--- 572,587 ----
  
      if {$files == ""} {
  	dsk_bell
! 	cb_info "ե򤷤Ƥ"
  	return
      }
  
      foreach file $files {
  	set file [subst $file]
  	if ![dsk_check_perm $file] {
! 	    set rc [cb_dialog .trename "ե븢¤ޤ" \
! 		    "[file tail $file]:\nΥե̾ѹ븢¤ޤ" \
! 		    error 0 " Ϥ " ""]
  	    if {$rc == 1} {
  		return
  	    } else {
***************
*** 591,601 ****
  	if [file exists $file] {
  	    set tmpnewname [file tail [dskC_striptc $file]]
  	    set path [file dirname [dskC_striptc $file]]
! 	    cb_readString "Rename $tmpnewname to:" tmpnewname "Rename File"
  	    if {$tmpnewname != "" && \
  		    [list $file] != [list $path/$tmpnewname]} {
  		if [file exists [list $path/$tmpnewname]] {
! 		    if {[cb_okcancel "File \"$tmpnewname\" already exists. Overwrite?"] == 1} {
  			unset tmpnewname
  			continue
  		    }
--- 591,601 ----
  	if [file exists $file] {
  	    set tmpnewname [file tail [dskC_striptc $file]]
  	    set path [file dirname [dskC_striptc $file]]
! 	    cb_readString "$tmpnewname Υե̾ѹ:" tmpnewname "Rename File"
  	    if {$tmpnewname != "" && \
  		    [list $file] != [list $path/$tmpnewname]} {
  		if [file exists [list $path/$tmpnewname]] {
! 		    if {[cb_okcancel " \"$tmpnewname\" ϤǤ¸ߤޤ񤭤ޤ"] == 1} {
  			unset tmpnewname
  			continue
  		    }
***************
*** 618,624 ****
  	    unset tmpnewname
  	} else {
  	    dsk_errbell
! 	    cb_error "File does not exist."
  	}
      }
  }
--- 618,624 ----
  	    unset tmpnewname
  	} else {
  	    dsk_errbell
! 	    cb_error "ե뤬¸ߤޤ"
  	}
      }
  }
diff -crN tkdesk-1.1/tcldesk/find.tcl tkdesk-1.1-jp/tcldesk/find.tcl
*** tkdesk-1.1/tcldesk/find.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/find.tcl	Sun Nov  7 20:10:27 1999
***************
*** 57,67 ****
      set dsk_find(path) ""
      set dsk_find(name) ""
      set dsk_find(string) ""
!     set dsk_find(strtype) "String"
      set dsk_find(size) ""
      set dsk_find(days) ""
!     set dsk_find(type) "All Types"
!     set dsk_find(time) "Last Modified"
      set dsk_find(owner) ""
      set dsk_find(group) ""
      set dsk_find(samefs) 0
--- 57,67 ----
      set dsk_find(path) ""
      set dsk_find(name) ""
      set dsk_find(string) ""
!     set dsk_find(strtype) "ʸ"
      set dsk_find(size) ""
      set dsk_find(days) ""
!     set dsk_find(type) "Ƥμ"
!     set dsk_find(time) "Ǹѹ"
      set dsk_find(owner) ""
      set dsk_find(group) ""
      set dsk_find(samefs) 0
***************
*** 110,116 ****
      frame $t.f1
      pack $t.f1 -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.lsp -text "Path:" -width 10 -anchor w
      entry $t.esp -bd 2 -relief sunken -width 20 -textvar dsk_find(path)
      if !$path_set {
  	set p [dsk_active dir]
--- 110,116 ----
      frame $t.f1
      pack $t.f1 -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.lsp -text "ѥ:" -width 10 -anchor w
      entry $t.esp -bd 2 -relief sunken -width 20 -textvar dsk_find(path)
      if !$path_set {
  	set p [dsk_active dir]
***************
*** 125,149 ****
      bind $t.esp <Control-c> "$t.bClose invoke; break"
      blt_drag&drop target $t.esp handler text "dd_handle_text $t.esp 1"
      cb_bindForCompletion $t.esp <Control-Tab>
!     cb_balloonHelp $t.esp "The search will start at this directory. If this field remains blank, search will start at the current directory of the last active file browser. You may specify multiple paths by separating them with a space."
      
      frame $t.fs1 -width 8
      menubutton $t.mbDir -bd 2 -relief raised \
  		-bitmap @$tkdesk(library)/cb_tools/bitmaps/slash.xbm \
  		-menu $t.mbDir.menu
!     cb_balloonHelp $t.mbDir "This menu contains the custom directories from the Directories menu."
      menu [set m $t.mbDir.menu] \
  	    -postcommand "_dsk_dmenu $t.mbDir.menu $t.esp"
      # add dummy entry to work around bug in pre Tk 4.0p2:
!     $m add command -label "dummy"
  
      menubutton $t.mbHist -bd 2 -relief raised \
  		-bitmap @$tkdesk(library)/cb_tools/bitmaps/combo.xbm \
  		-menu $t.mbHist.menu
!     cb_balloonHelp $t.mbHist "This menu contains the directories you have last visited."
      menu $t.mbHist.menu -postcommand "_dsk_hmenu $t.mbHist.menu $t.esp"
      # add dummy entry to work around bug in pre Tk 4.0p2:
!     $t.mbHist.menu add command -label "dummy"
  
      pack $t.lsp $t.esp $t.fs1 $t.mbDir $t.mbHist -in $t.f1 -side left \
  	    -pady $tkdesk(pad)
--- 125,149 ----
      bind $t.esp <Control-c> "$t.bClose invoke; break"
      blt_drag&drop target $t.esp handler text "dd_handle_text $t.esp 1"
      cb_bindForCompletion $t.esp <Control-Tab>
!     cb_balloonHelp $t.esp "Υեθ򤹤ˤäơ󤬶ʤСǥȥåפǺǸͭˤʤäߤΥե鸡򳫻ϤޤʣΥѥ򸡺ϡ򥹥ڡǶڤäƤ"
      
      frame $t.fs1 -width 8
      menubutton $t.mbDir -bd 2 -relief raised \
  		-bitmap @$tkdesk(library)/cb_tools/bitmaps/slash.xbm \
  		-menu $t.mbDir.menu
!     cb_balloonHelp $t.mbDir "Υ˥塼Ƥϡե˥塼ΥեǤ"
      menu [set m $t.mbDir.menu] \
  	    -postcommand "_dsk_dmenu $t.mbDir.menu $t.esp"
      # add dummy entry to work around bug in pre Tk 4.0p2:
!     $m add command -label "ߡ"
  
      menubutton $t.mbHist -bd 2 -relief raised \
  		-bitmap @$tkdesk(library)/cb_tools/bitmaps/combo.xbm \
  		-menu $t.mbHist.menu
!     cb_balloonHelp $t.mbHist "Υ˥塼ƤϡǸ˻ꤷΥեǤ"
      menu $t.mbHist.menu -postcommand "_dsk_hmenu $t.mbHist.menu $t.esp"
      # add dummy entry to work around bug in pre Tk 4.0p2:
!     $t.mbHist.menu add command -label "ߡ"
  
      pack $t.lsp $t.esp $t.fs1 $t.mbDir $t.mbHist -in $t.f1 -side left \
  	    -pady $tkdesk(pad)
***************
*** 154,175 ****
      frame $t.f2
      pack $t.f2 -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.ln -text "File-Mask:" -width 10 -anchor w
!     entry $t.en -bd 2 -relief sunken -width 16 -textvar dsk_find(name)
      bind $t.en <Return> "$t.bSearch.button invoke"
      bind $t.en <Escape> "$t.bClose invoke"
      bind $t.en <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.en "Enter a shell-like glob pattern here (e.g. *.c) to search for files with a certain name. You may specify multiple masks by separating them with a space."
      frame $t.fs2 -width 8
!     tk_optionMenu $t.mst dsk_find(strtype) "String" "RegExp" "ExtReg"
      $t.mst config -width 7 -anchor w
!     cb_balloonHelp $t.mst "Whether to look for a set of strings (separated by ||), for a regular expression, or for an extended regular expression (see the grep manual-page for more)."
!     #label $t.lst -text "String:"
      entry $t.est -bd 2 -relief sunken -width 34 -textvar dsk_find(string)
      bind $t.est <Return> "$t.bSearch.button invoke"
      bind $t.est	<Escape> "$t.bClose invoke"
      bind $t.est	<Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.est "Enter a string or regular expression in this field if you're looking for files containing a certain string."
      pack $t.ln $t.en $t.fs2 $t.mst $t.est \
  	    -in $t.f2 -side left -pady $tkdesk(pad)
      pack config $t.en -ipady 2
--- 154,175 ----
      frame $t.f2
      pack $t.f2 -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.ln -text "եμλ:" -width 20 -anchor w
!     entry $t.en -bd 2 -relief sunken -width 26 -textvar dsk_find(name)
      bind $t.en <Return> "$t.bSearch.button invoke"
      bind $t.en <Escape> "$t.bClose invoke"
      bind $t.en <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.en "ե̾(*.cΤ褦)磻ɥɤΥѥǻꤷƤʣΥѥꤹϡ򥹥ڡǶڤäƤ"
      frame $t.fs2 -width 8
!     tk_optionMenu $t.mst dsk_find(strtype) "ʸ" "ɽ" "ĥɽ"
      $t.mst config -width 7 -anchor w
!     cb_balloonHelp $t.mst "(||Ƕڤ줿)ʸΥåȤɽĥ줿ɽ(grepΥޥ˥奢ڡ򹹤˻ȤΤ)ɤ򤹤롣"
!     #label $t.lst -text "ʸ:"
      entry $t.est -bd 2 -relief sunken -width 34 -textvar dsk_find(string)
      bind $t.est <Return> "$t.bSearch.button invoke"
      bind $t.est	<Escape> "$t.bClose invoke"
      bind $t.est	<Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.est "ե˸ʸ󤬴ޤޤƤ뤫ϡɽʸϤƤ"
      pack $t.ln $t.en $t.fs2 $t.mst $t.est \
  	    -in $t.f2 -side left -pady $tkdesk(pad)
      pack config $t.en -ipady 2
***************
*** 179,202 ****
      frame $t.f3b
      pack $t.f3b -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.lown -text "Owner:" -width 10 -anchor w
      entry $t.eown -bd 2 -relief sunken -width 16 -textvar dsk_find(owner)
      bind $t.en <Return> "$t.bSearch.button invoke"
      bind $t.en <Escape> "$t.bClose invoke"
      bind $t.en <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.eown "Enter a numeric or textual user ID to look for files belonging to that user."
      frame $t.fs3b -width 8
!     label $t.lgrp -text "Group:" -anchor w
      entry $t.egrp -bd 2 -relief sunken -width 16 -textvar dsk_find(group)
      bind $t.egrp <Return> "$t.bSearch.button invoke"
      bind $t.egrp <Escape> "$t.bClose invoke"
      bind $t.egrp <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.egrp "Enter a numeric or textual group ID to look for files belonging to that group."
      frame $t.fs3b2 -width 8
!     tk_optionMenu $t.mt dsk_find(type) "All Types" "Regular Files" \
! 	    "Directories" "Symbolic Links" "Sockets" "Named Pipes"
!     $t.mt config -width 12 -anchor w
!     cb_balloonHelp $t.mt "The type of files to look for."
  
      pack $t.lown $t.eown $t.fs3b $t.lgrp $t.egrp $t.fs3b2 $t.mt \
  	    -in $t.f3b -side left -pady $tkdesk(pad)
--- 179,204 ----
      frame $t.f3b
      pack $t.f3b -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.lown -text "ͭ:" -width 10 -anchor w
      entry $t.eown -bd 2 -relief sunken -width 16 -textvar dsk_find(owner)
      bind $t.en <Return> "$t.bSearch.button invoke"
      bind $t.en <Escape> "$t.bClose invoke"
      bind $t.en <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.eown "桼̤°ե򸡺뤿ˡ̾ޤϿΥ桼ID"
      frame $t.fs3b -width 8
!     label $t.lgrp -text "롼:" -anchor w
      entry $t.egrp -bd 2 -relief sunken -width 16 -textvar dsk_find(group)
      bind $t.egrp <Return> "$t.bSearch.button invoke"
      bind $t.egrp <Escape> "$t.bClose invoke"
      bind $t.egrp <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.egrp "롼̤°ե򸡺뤿ˡ̾ޤϿΥ롼ID"
      frame $t.fs3b2 -width 8
!     tk_optionMenu $t.mt dsk_find(type) "Ƥμ" "̾Υե" \
! 	    "ե" "ܥå" "å" "̾Ĥѥ"
! #    tk_optionMenu $t.mt dsk_find(type) "Ƥμ" "Regular Files" \
! #	    "ե" "Symbolic Links" "å" "̾Ĥѥ"
!     $t.mt config -width 16 -anchor w
!     cb_balloonHelp $t.mt "ե°򸫤"
  
      pack $t.lown $t.eown $t.fs3b $t.lgrp $t.egrp $t.fs3b2 $t.mt \
  	    -in $t.f3b -side left -pady $tkdesk(pad)
***************
*** 207,235 ****
      frame $t.f3
      pack $t.f3 -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.ls -text "Size (kB):" -width 10 -anchor w
      entry $t.es -bd 2 -relief sunken -width 16 -textvar dsk_find(size)
      bind $t.es <Return> "$t.bSearch.button invoke"
      bind $t.es <Escape> "$t.bClose invoke"
      bind $t.es <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.es "If the size of files is important, this either gives the exact number of kilobytes, or, if preceded with a + resp. -, files will be matched which are bigger resp. smaller than this number. E.g. +100 will match all files which are bigger than 100 kB."
!     frame $t.fs3 -width 8
!     tk_optionMenu $t.mtm  dsk_find(time) "Last Accessed" "Last Modified"
      $t.mtm config -width 13 -anchor w
!     cb_balloonHelp $t.mtm "This setting relates to the entry field right to this menu button. The value entered there can either relate to when the file was last accessed or last modified."
      entry $t.etm -bd 2 -relief sunken -width 5 -textvar dsk_find(days)
!     cb_balloonHelp $t.etm "10 will match files which are 10 days old, +10 will match all files older than 10 days, and -10 all newer than 10 days. Leave this field blank if this is not important for your search."
      bind $t.etm <Return> "$t.bSearch.button invoke"
      bind $t.etm	<Escape> "$t.bClose invoke"
      bind $t.etm	<Control-c> "$t.bClose invoke; break"
      frame $t.fs32 -width 8
!     menubutton $t.mbOpts -text "Options..." -menu [set m $t.mbOpts.m] \
  	    -padx 4 -relief raised -bd 2
!     cb_balloonHelp $t.mbOpts "This is a menubutton giving access to several options related to the find operation."
      menu $m
!     $m add checkbutton -label "Case Sensitive" -variable dsk_find(case)
!     $m add checkbutton -label "Same Filesystem" -variable dsk_find(samefs)
!     $m add checkbutton -label "Follow Symbolic Links" \
  	    -variable dsk_find(follow)
  
      pack $t.ls $t.es $t.fs3 $t.mtm $t.etm $t.fs32 \
--- 209,237 ----
      frame $t.f3
      pack $t.f3 -in $t.f -fill x -expand yes -padx $tkdesk(pad)
  
!     label $t.ls -text "礭(kB):" -width 10 -anchor w
      entry $t.es -bd 2 -relief sunken -width 16 -textvar dsk_find(size)
      bind $t.es <Return> "$t.bSearch.button invoke"
      bind $t.es <Escape> "$t.bClose invoke"
      bind $t.es <Control-c> "$t.bClose invoke; break"
!     cb_balloonHelp $t.es "ե礭Ǹ硢Хñ̤ǤΤ礭ꤹˡȡ+  - Ӥ礭˻ꤷƤ礭Ρޤϡ꾮Τꤹˡ2Ĥޤ㤨С+100 Ȼꤷ硢100ХȤ礭ե뤬졢-100 Ȼꤷ硢100ХȤ꾮ե뤬ޤ"
!     frame $t.fs3 -width 10
!     tk_optionMenu $t.mtm  dsk_find(time) "Ǹ" "Ǹѹ"
      $t.mtm config -width 13 -anchor w
!     cb_balloonHelp $t.mtm "ϥ˥塼ܥ󱦤Ƥ˴طޤϤ줿ƤϡեǸޤϡǸѹΤ줫˴طޤ"
      entry $t.etm -bd 2 -relief sunken -width 5 -textvar dsk_find(days)
!     cb_balloonHelp $t.etm "10 Ȼꤹ10Υե롢+10 Ȼꤹ10Υե롢-10 Ȼꤹ10ʹߤΥե뤬Ǹޤѹ줿򸡺ޤ⤷󤬻ꤵƤʤθƸޤ"
      bind $t.etm <Return> "$t.bSearch.button invoke"
      bind $t.etm	<Escape> "$t.bClose invoke"
      bind $t.etm	<Control-c> "$t.bClose invoke; break"
      frame $t.fs32 -width 8
!     menubutton $t.mbOpts -text "ץ..." -menu [set m $t.mbOpts.m] \
  	    -padx 4 -relief raised -bd 2
!     cb_balloonHelp $t.mbOpts "Υ˥塼ܥϡ뤿Τޤޤʥץ˴طޤ"
      menu $m
!     $m add checkbutton -label "羮ʸ" -variable dsk_find(case)
!     $m add checkbutton -label "Ʊե륷ƥ" -variable dsk_find(samefs)
!     $m add checkbutton -label "ܥå󥯤⸡" \
  	    -variable dsk_find(follow)
  
      pack $t.ls $t.es $t.fs3 $t.mtm $t.etm $t.fs32 \
***************
*** 245,257 ****
      frame $t.f4sep -height 6
      pack $t.f4sep -in $t.f4 -fill x
  
!     cb_button $t.bSearch -text " Search " -default 1 \
  	    -command dsk_do_find_files
!     cb_balloonHelp $t.bSearch.button "Starts the search. The search will be carried out in the background."
!     button $t.bClose -text "  Close  " -command \
  	    "set tkdesk(geometry,dsk_find_files) \[wm geometry $t\] ;\
  	    destroy $t; catch \{destroy $t-icon\}"
!     cb_balloonHelp $t.bClose "Closes this dialog."
      
      pack $t.bSearch $t.bClose -in $t.f4 -side left \
  	    -padx $tkdesk(pad) -pady $tkdesk(pad)
--- 247,259 ----
      frame $t.f4sep -height 6
      pack $t.f4sep -in $t.f4 -fill x
  
!     cb_button $t.bSearch -text "  " -default 1 \
  	    -command dsk_do_find_files
!     cb_balloonHelp $t.bSearch.button "򳫻Ϥ롣ϥХå饦ɤǹԤ롣"
!     button $t.bClose -text "Ĥ" -command \
  	    "set tkdesk(geometry,dsk_find_files) \[wm geometry $t\] ;\
  	    destroy $t; catch \{destroy $t-icon\}"
!     cb_balloonHelp $t.bClose "ΥĤ"
      
      pack $t.bSearch $t.bClose -in $t.f4 -side left \
  	    -padx $tkdesk(pad) -pady $tkdesk(pad)
***************
*** 263,274 ****
      frame $t.f5
      pack $t.f5 -in $t.flb -fill both -expand yes -pady $tkdesk(pad)
      
!     label $t.llb -text "Matching files:" -anchor w
      pack $t.llb -in $t.f5 -anchor w -padx $tkdesk(pad) 
      
      pack [_dsk_find_lb $t.dlb] -in $t.f5 -fill both -expand yes
  
!     wm title $t "Find Files"
      wm minsize $t 10 2
      dsk_place_window $t dsk_find_files 10x5 1
      wm protocol $t WM_DELETE_WINDOW "$t.bClose invoke"
--- 265,276 ----
      frame $t.f5
      pack $t.f5 -in $t.flb -fill both -expand yes -pady $tkdesk(pad)
      
!     label $t.llb -text "פե:" -anchor w
      pack $t.llb -in $t.f5 -anchor w -padx $tkdesk(pad) 
      
      pack [_dsk_find_lb $t.dlb] -in $t.f5 -fill both -expand yes
  
!     wm title $t "find file"
      wm minsize $t 10 2
      dsk_place_window $t dsk_find_files 10x5 1
      wm protocol $t WM_DELETE_WINDOW "$t.bClose invoke"
***************
*** 336,374 ****
  	    -string {
  		incr i
  		set dsk_find(string) [lindex $args $i]
! 		set dsk_find(strtype) "String"
  	    }
  	    -regexp {
  		incr i
  		set dsk_find(string) [lindex $args $i]
! 		set dsk_find(strtype) "RegExp"
  	    }
  	    -extreg {
  		incr i
  		set dsk_find(string) [lindex $args $i]
! 		set dsk_find(strtype) "ExtReg"
  	    }
  	    -type {
  		incr i
  		switch -glob [lindex $args $i] {
  		    all {
! 			set dsk_find(type) "All Types"
  		    }
  		    fil* {
! 			set dsk_find(type) "Regular Files"
  		    }
  		    dir* {
! 			set dsk_find(type) "Directories"
  		    }
  		    sym* {
! 			set dsk_find(type) "Symbolic Links"
  		    }
  		    sock* {
! 			set dsk_find(type) "Sockets"
  		    }
  		    name* -
  		    pipe* {
! 			set dsk_find(type) "Named Pipes"
  		    }
  		}
  	    }
--- 338,376 ----
  	    -string {
  		incr i
  		set dsk_find(string) [lindex $args $i]
! 		set dsk_find(strtype) "ʸ"
  	    }
  	    -regexp {
  		incr i
  		set dsk_find(string) [lindex $args $i]
! 		set dsk_find(strtype) "ɽ"
  	    }
  	    -extreg {
  		incr i
  		set dsk_find(string) [lindex $args $i]
! 		set dsk_find(strtype) "ĥɽ"
  	    }
  	    -type {
  		incr i
  		switch -glob [lindex $args $i] {
  		    all {
! 			set dsk_find(type) "Ƥμ"
  		    }
  		    fil* {
! 			set dsk_find(type) "̾Υե"
  		    }
  		    dir* {
! 			set dsk_find(type) "ե"
  		    }
  		    sym* {
! 			set dsk_find(type) "ܥå"
  		    }
  		    sock* {
! 			set dsk_find(type) "å"
  		    }
  		    name* -
  		    pipe* {
! 			set dsk_find(type) "̾Ĥѥ"
  		    }
  		}
  	    }
***************
*** 385,396 ****
  	    -mod* {
  		incr i
  		set dsk_find(days) [lindex $args $i]
! 		set dsk_find(time) "Last Modified"
  	    }
  	    -acc* {
  		incr i
  		set dsk_find(days) [lindex $args $i]
! 		set dsk_find(time) "Last Accessed"
  	    }
  	    -size {
  		incr i
--- 387,398 ----
  	    -mod* {
  		incr i
  		set dsk_find(days) [lindex $args $i]
! 		set dsk_find(time) "Ǹѹ"
  	    }
  	    -acc* {
  		incr i
  		set dsk_find(days) [lindex $args $i]
! 		set dsk_find(time) "Ǹ"
  	    }
  	    -size {
  		incr i
***************
*** 441,459 ****
      }
  
      switch $dsk_find(type) {
! 	"Regular Files" {
  	    append cmd " -type f"
  	}
! 	"Directories" {
  	    append cmd " -type d"
  	}
! 	"Symbolic Links" {
  	    append cmd " -type l"
  	}
! 	"Sockets" {
  	    append cmd " -type s"
  	}
! 	"Named Pipes" {
  	    append cmd " -type p"
  	}
      }
--- 443,461 ----
      }
  
      switch $dsk_find(type) {
! 	"̾Υե" {
  	    append cmd " -type f"
  	}
! 	"ե" {
  	    append cmd " -type d"
  	}
! 	"ܥå" {
  	    append cmd " -type l"
  	}
! 	"å" {
  	    append cmd " -type s"
  	}
! 	"̾Ĥѥ" {
  	    append cmd " -type p"
  	}
      }
***************
*** 485,491 ****
  	append cmd " -size $rc[expr 2 * $num]"
      }
      if {$dsk_find(days) != ""} {
! 	if {$dsk_find(time) == "Last Accessed"} {
  	    append cmd " -atime $dsk_find(days)"
  	} else {
  	    append cmd " -mtime $dsk_find(days)"
--- 487,493 ----
  	append cmd " -size $rc[expr 2 * $num]"
      }
      if {$dsk_find(days) != ""} {
! 	if {$dsk_find(time) == "Ǹ"} {
  	    append cmd " -atime $dsk_find(days)"
  	} else {
  	    append cmd " -mtime $dsk_find(days)"
***************
*** 511,524 ****
      if {$dsk_find(string) != ""} {
  	set str $dsk_find(string)
  	switch $dsk_find(strtype) {
! 	    "String" {
  		set grep "fgrep"
  		set str [string_replace $dsk_find(string) "||" "\n"]
  	    }
! 	    "RegExp" {
  		set grep "grep"
  	    }
! 	    "ExtReg" {
  		set grep "egrep -e"
  	    }
  	}
--- 513,526 ----
      if {$dsk_find(string) != ""} {
  	set str $dsk_find(string)
  	switch $dsk_find(strtype) {
! 	    "ʸ" {
  		set grep "fgrep"
  		set str [string_replace $dsk_find(string) "||" "\n"]
  	    }
! 	    "ɽ" {
  		set grep "grep"
  	    }
! 	    "ĥɽ" {
  		set grep "egrep -e"
  	    }
  	}
diff -crN tkdesk-1.1/tcldesk/help.tcl tkdesk-1.1-jp/tcldesk/help.tcl
*** tkdesk-1.1/tcldesk/help.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/help.tcl	Sun Nov  7 20:10:27 1999
***************
*** 64,78 ****
      frame $t.f1 -bd 2 -relief groove
      pack $t.f1 -in $t.f -padx 8 -pady 8
  
!     label $t.lLabel -text "You're looking at..." -anchor center
      catch {$t.lLabel config -font -*-helvetica-medium-r-*-*-14-*}
      pack $t.lLabel -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
  
!     image create bitmap welcome_bm -data $tkdesk(welcome_bm) -foreground blue3
      label $t.lTkDesk -image welcome_bm
      pack $t.lTkDesk -in $t.f1 -padx 6 -pady 2 -fill x -expand yes
      #message $t.lVersion -text "Version $tkdesk(version), dated $tkdesk(date)\nCopyright (C) 1996, 1997 Christian Bolik\n\nTkDesk comes with ABSOLUTELY NO WARRANTY.\nSee menu entry Help/License for details." -aspect 1000 -justify center
!     message $t.lVersion -text "A File Manager for\nUnix and the X Window System\n\nVersion $tkdesk(version), dated $tkdesk(date)\n\nWritten by Christian Bolik\n($tkdesk(authormail))\n\nPlease send me a short mail and tell me what you\nthink about this program, and what you feel could be\nimproved or added. Thanks!\n" -aspect 1000 -justify center
      catch {$t.lVersion config -font -*-helvetica-medium-r-*-*-14-*}
      pack $t.lVersion -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
  
--- 64,78 ----
      frame $t.f1 -bd 2 -relief groove
      pack $t.f1 -in $t.f -padx 8 -pady 8
  
!     label $t.lLabel -text "褦ܸǥȥåפ..." -anchor center
      catch {$t.lLabel config -font -*-helvetica-medium-r-*-*-14-*}
      pack $t.lLabel -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
  
!     image create bitmap welcome_bm -data $tkdesk(welcome_bm) -foreground purple3
      label $t.lTkDesk -image welcome_bm
      pack $t.lTkDesk -in $t.f1 -padx 6 -pady 2 -fill x -expand yes
      #message $t.lVersion -text "Version $tkdesk(version), dated $tkdesk(date)\nCopyright (C) 1996, 1997 Christian Bolik\n\nTkDesk comes with ABSOLUTELY NO WARRANTY.\nSee menu entry Help/License for details." -aspect 1000 -justify center
!     message $t.lVersion -text "UNIXXɥƥΤ\nեޥ͡㡼Ǥ\n\nС $tkdesk(version) $tkdesk(patch),  $tkdesk(date)\n\nChristian Bolik\n($tkdesk(authormail))\n\nΥץ˴ؤ뤢ʤΤոʤɤ򤼤ҡʷʥ᡼\nΤ餻ޤʤɤΤ褦ʴ\nǽɲä⤪Τ餻ɡ!\n" -aspect 1000 -justify center
      catch {$t.lVersion config -font -*-helvetica-medium-r-*-*-14-*}
      pack $t.lVersion -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
  
***************
*** 82,99 ****
      frame $t.fBottom -height 4
      pack $t.fBottom -in $t.f
      
!     cb_button $t.bOK -text "OK" -width 6 -command "destroy $t" -default 1
      bind $t <Return> "if \[winfo exists $t\] \{destroy $t\}"
!     cb_button $t.bLic -text " License " -command "dsk_help license"
!     cb_button $t.bMail -text " Mail... " \
  	    -command "dsk_mailbug \"About TkDesk $tkdesk(version)...\" {}"
!     cb_button $t.bWeb -text " Web... " \
  	    -command {dsk_netscape url http://people.mainz.netsurf.de/~bolik/tkdesk/ window}
      
      pack $t.bOK $t.bLic $t.bMail $t.bWeb -in $t.fButtons -side left \
  	    -padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 0
  
!     wm title $t "About TkDesk"
      wm iconname $t "About TkDesk"
      wm resizable $t 0 0
      cb_centerToplevel $t
--- 82,99 ----
      frame $t.fBottom -height 4
      pack $t.fBottom -in $t.f
      
!     cb_button $t.bOK -text "λ" -width 6 -command "destroy $t" -default 1
      bind $t <Return> "if \[winfo exists $t\] \{destroy $t\}"
!     cb_button $t.bLic -text "饤" -command "dsk_help license"
!     cb_button $t.bMail -text "᡼... " \
  	    -command "dsk_mailbug \"About TkDesk $tkdesk(version)...\" {}"
!     cb_button $t.bWeb -text "..." \
  	    -command {dsk_netscape url http://people.mainz.netsurf.de/~bolik/tkdesk/ window}
      
      pack $t.bOK $t.bLic $t.bMail $t.bWeb -in $t.fButtons -side left \
  	    -padx $tkdesk(pad) -pady $tkdesk(pad) -ipady 0
  
!     wm title $t "TkDeskˤĤ"
      wm iconname $t "About TkDesk"
      wm resizable $t 0 0
      cb_centerToplevel $t
***************
*** 189,194 ****
--- 189,198 ----
  	    set nfile $tkdesk(library)/doc/guide-8.html
  	    set tfile $tkdesk(library)/doc/Guide\#Frequently
  	    set cbhm howto
+ 	}
+ 	"mail" {
+ 	    set nfile $tkdesk(library)/doc/MailUsage
+ 	    set tfile $tkdesk(library)/doc/MailUsage
  	}
      }
      
diff -crN tkdesk-1.1/tcldesk/images/mail16.xpm tkdesk-1.1-jp/tcldesk/images/mail16.xpm
*** tkdesk-1.1/tcldesk/images/mail16.xpm	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tcldesk/images/mail16.xpm	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,23 ----
+ /* XPM */
+ static char * mail16_xpm[] = {
+ "16 16 4 1",
+ " 	s none c none",
+ ".	c black",
+ "X	c white",
+ "O	c blue",
+ "                ",
+ "                ",
+ " .............. ",
+ ".XXXXXXXXXXXXXX.",
+ "..XXXXXXXXXXXX..",
+ ".X.XXXXXXXXXX.X.",
+ ".XX.XXXXXXXX.XX.",
+ ".XXX.XXXXXX.XXX.",
+ ".XXXX.XXXX.XXXX.",
+ ".XXX.XOOOOX.XXX.",
+ ".XX.XXOOOOXX.XX.",
+ ".X.XXXXXXXXXX.X.",
+ "..XXXXXXXXXXXX..",
+ " .............. ",
+ "                ",
+ "                "};
diff -crN tkdesk-1.1/tcldesk/images/mailbox16.xpm tkdesk-1.1-jp/tcldesk/images/mailbox16.xpm
*** tkdesk-1.1/tcldesk/images/mailbox16.xpm	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tcldesk/images/mailbox16.xpm	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,23 ----
+ /* XPM */
+ static char * mailbox16_xpm[] = {
+ "16 16 4 1",
+ " 	c none s none",
+ ".	c black",
+ "X	c red",
+ "o	c white",
+ "          ....  ",
+ "        ..XXXX. ",
+ "      ..XXXXXXX.",
+ "    ..XXXXXXXX..",
+ "  .....XXXXX..X.",
+ " .XXXXX.XX..XXX.",
+ ".XXXXXXX..XXXXX.",
+ ".XXXXXXX.XXXXXX.",
+ ".XoooooX.XXXXXX.",
+ ".XXXXXXX.XXXXXX.",
+ ".XoooooX.XXXXXX.",
+ ".XXXoXXX.XXXXXX.",
+ ".XXXoXXX.XXXXX. ",
+ ".XXXoXXX.XXX..  ",
+ ".XXXoXXX.X..    ",
+ "..........      "};
diff -crN tkdesk-1.1/tcldesk/popup.tcl tkdesk-1.1-jp/tcldesk/popup.tcl
*** tkdesk-1.1/tcldesk/popup.tcl	Mon Sep 21 04:41:41 1998
--- tkdesk-1.1-jp/tcldesk/popup.tcl	Sun Nov  7 20:10:27 1999
***************
*** 172,202 ****
  		.dsk_popup add cascade -label "$fname " -menu .dsk_popup.fm \
  			-font $ffnt -foreground $ffg -activeforeground $ffg
  		menu [set m .dsk_popup.fm]
! 		$m add command -label "Info " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_fileinfo [list $sfile]"
! 		$m add command -label "Bookmark " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_bookmark add [list $sfile]"
  		if {$poplist != "tkdesk(popup,directories)"} {
! 		    $m add command -label "Open with... " -command \
  			    "catch {destroy .dsk_popup} ;\
  			    set tkdesk(file_lb,control) 1 ;\
  			    dsk_open \"$tkdesk(active_viewer)\" \"$sfile\""
  		}
  		$m add separator
! 		$m add command -label "Copy, Move, ... " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_copy [list $sfile]"
! 		$m add command -label "Rename... " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_rename [list $sfile]"
! 		$m add command -label "Delete " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_delete [list $sfile]"
  		if ![string match "deskitem*" $opt] {
  		    $m add separator
! 		    $m add command -label "Put on Desk " -command \
  			    "dsk_DeskItem .di\[dsk_DeskItem :: id\] \
  			    -file \"$sfile\""
  		}
--- 172,202 ----
  		.dsk_popup add cascade -label "$fname " -menu .dsk_popup.fm \
  			-font $ffnt -foreground $ffg -activeforeground $ffg
  		menu [set m .dsk_popup.fm]
! 		$m add command -label "" -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_fileinfo [list $sfile]"
! 		$m add command -label "֥åޡ" -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_bookmark add [list $sfile]"
  		if {$poplist != "tkdesk(popup,directories)"} {
! 		    $m add command -label "ץդƼ¹... " -command \
  			    "catch {destroy .dsk_popup} ;\
  			    set tkdesk(file_lb,control) 1 ;\
  			    dsk_open \"$tkdesk(active_viewer)\" \"$sfile\""
  		}
  		$m add separator
! 		$m add command -label "ԡư... " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_copy [list $sfile]"
! 		$m add command -label "̾ѹ... " -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_rename [list $sfile]"
! 		$m add command -label "" -command \
  			"catch {destroy .dsk_popup} ;\
  			dsk_delete [list $sfile]"
  		if ![string match "deskitem*" $opt] {
  		    $m add separator
! 		    $m add command -label "ǥȥåפŽդ" -command \
  			    "dsk_DeskItem .di\[dsk_DeskItem :: id\] \
  			    -file \"$sfile\""
  		}
***************
*** 234,245 ****
  
  		if {$poplist == "tkdesk(popup,directories)"} {
  		    .dsk_popup add separator
! 		    .dsk_popup add cascade -label "Subdirectories" \
  			    -menu [set m .dsk_popup.ms]
  		    menu $m -postcommand "dsk_casdirs [_make_fname_safe $file] $m 1 [list $cascmd_dirs]"
  		    $m add command -label "dummy"
  		    
! 		    .dsk_popup add cascade -label "... and Files" \
  			    -menu [set m .dsk_popup.mf]
  		    menu $m -postcommand "dsk_casdirs [_make_fname_safe $file] $m 1 [list $cascmd_mixed] 1"
  		    $m add command -label "dummy"
--- 234,245 ----
  
  		if {$poplist == "tkdesk(popup,directories)"} {
  		    .dsk_popup add separator
! 		    .dsk_popup add cascade -label "Υե" \
  			    -menu [set m .dsk_popup.ms]
  		    menu $m -postcommand "dsk_casdirs [_make_fname_safe $file] $m 1 [list $cascmd_dirs]"
  		    $m add command -label "dummy"
  		    
! 		    .dsk_popup add cascade -label "Υե" \
  			    -menu [set m .dsk_popup.mf]
  		    menu $m -postcommand "dsk_casdirs [_make_fname_safe $file] $m 1 [list $cascmd_mixed] 1"
  		    $m add command -label "dummy"
Binary files tkdesk-1.1/text2bin and tkdesk-1.1-jp/text2bin differ
diff -crN tkdesk-1.1/text2bin.c tkdesk-1.1-jp/text2bin.c
*** tkdesk-1.1/text2bin.c	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/text2bin.c	Sun Nov  7 20:10:27 1999
***************
*** 0 ****
--- 1,41 ----
+ #include <stdio.h>
+ #include <string.h>
+ 
+ void	decode(int *src,int s) {
+ 	int	i,j,n;
+ 
+ 	i = n = 0;
+ 	j = 3;
+ 	n |= (src[i++] & 0x3f) << (j-- * 6);
+ 	while(i < s) {
+ 		n |= (src[i++] & 0x3f) << (j * 6);
+ 		putchar(n >> (j-- * 8));
+ 	}
+ }
+ 
+ void main() {
+ 	int	num[4];
+ 	int	c,i;
+ 
+ 	c = getchar();
+ 	i = 0;
+ 	while(!feof(stdin)) {
+ 		if(isupper(c)) {
+ 			num[i++] = c - 'A';
+ 		} else if(islower(c)) {
+ 			num[i++] = c - 'a' + 26;
+ 		} else if(isdigit(c)) {
+ 			num[i++] = c - '0' + 52;
+ 		} else if(c == '+') {
+ 			num[i++] = 62;
+ 		} else if(c == '/') {
+ 			num[i++] = 63;
+ 		}
+ 		if(i >= 4) {
+ 			decode(num,4);
+ 			i = 0;
+ 		}
+ 		c = getchar();
+ 	}
+ 	decode(num,i);
+ }
\ No newline at end of file
Binary files tkdesk-1.1/tkAppInit.o and tkdesk-1.1-jp/tkAppInit.o differ
diff -crN tkdesk-1.1/tkdesk tkdesk-1.1-jp/tkdesk
*** tkdesk-1.1/tkdesk	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tkdesk	Sun Nov  7 20:15:08 1999
***************
*** 0 ****
--- 1,1082 ----
+ #!/bin/sh
+ #-*- tcl -*- \
+ PATH=/usr/local/bin:$PATH ;#\
+ exec tkdesksh "$0" "$@"
+ 
+ set tkdesk(library) "/usr/local/lib/TkDesk"
+ set tkdesk(in_development) 0
+ set tkdesk(no_auto_loading) 0
+ set tkdesk(debug) 0
+ # Set the following variable to 0 to enable dynamic auto-loading of TkDesk's
+ # library files.  This usually improves start-up time.
+ set tkdesk(no_auto_loading) 1
+ 
+ #    TkDesk - a file manager for Unix and the X Window System
+ #    Copyright (C) 1996, 1997  Christian Bolik
+ #
+ #    This program is free software; you can redistribute it and/or modify
+ #    it under the terms of the GNU General Public License as published by
+ #    the Free Software Foundation; either version 2 of the License, or
+ #    (at your option) any later version.
+ #
+ #    This program is distributed in the hope that it will be useful,
+ #    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #    GNU General Public License for more details.
+ #
+ #    You should have received a copy of the GNU General Public License
+ #    along with this program; if not, write to the Free Software
+ #    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ #    See the file "COPYING" in the base directory of this distribution
+ #    for more.
+ 
+ #
+ # =============================================================================
+ #
+ #                           START FILE FOR TKDESK
+ #
+ # =============================================================================
+ #
+ 
+ 
+ 
+ bind Text <Shift-space> {kinput_start %W over}
+ bind Entry <Shift-space> {kinput_start %W over}
+ 
+ set dsk_appbar(is_visible) 0
+ 
+ wm withdraw .
+ wm group . .
+ wm command . "$argv0 $argv"
+ 
+ #
+ # ==== Init ===================================================================
+ #
+ 
+ set tkdesk(version) "1.1"
+ set tkdesk(patch) "p58"
+ set tkdesk(date) "1999ǯ107"
+ set tkdesk(TkMailer) "mail"
+ set tkdesk(TkMailerFile) "none"
+ 
+ if [info exists env(TKDESK_LIBRARY)] {
+     set tkdesk(library) $env(TKDESK_LIBRARY)
+ }
+ if ![info exists tkdesk(library)] {
+     set tkdesk(library) "./tcldesk"
+ }
+ if {[string index $tkdesk(library) 0] == "~"} {
+     catch {set tkdesk(library) [glob $tkdesk(library)]}
+ }
+ 
+ if ![file exists $tkdesk(library)] {
+     puts ""
+     puts "Can't find the TkDesk run-time library.  Please either edit"
+     puts "the first lines of the tkdesk script to point to where you"
+     puts "installed the library, or set the environment variable"
+     puts "TKDESK_LIBRARY accordingly.  Also please check that the"
+     puts "correct tkdesksh is being used by the script."
+     puts ""
+     exit 2
+ }
+ 
+ if {![info exists dskC_version] || $dskC_version != $tkdesk(version)} {
+     puts ""
+     puts "The tkdesk script seems to be using an older version of tkdesksh."
+     puts "Please edit the third line of this script to point to the absolute"
+     puts "path and file name of tkdesksh.  Both are usually located in the"
+     puts "same directory."
+     puts ""
+     puts "An alternative is also to modify your PATH environment variable to"
+     puts "list the directory where you installed Tkdesk $tkdesk(version) before"
+     puts "the one that contains the older tkdesksh."
+     puts ""
+     puts "The easiest method is of course to simply delete the old tkdesksh."
+     puts ""
+     #exit 3
+ }
+    
+ # -------------------------------------------------------
+ # Following is the bitmap used by dsk_welcome:
+ 
+ set tkdesk(welcome_bm) {
+ #define tkdesk_width 253
+ #define tkdesk_height 88
+ static char tkdesk_bits[] = {
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0xf8,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0xc0,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,0x0f,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0xc0,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,0x0f,0x00,0x00,
+  0x00,0x00,0xfe,0xff,0xff,0xff,0xff,0x07,0xf0,0x07,0x00,0x00,0x00,0xff,0xff,
+  0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x0f,
+  0x00,0x00,0x00,0x00,0xfe,0xff,0xff,0xff,0xff,0x07,0xf0,0x03,0x00,0x00,0x00,
+  0xff,0xff,0xff,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0xe0,0x07,0x00,0x00,0x00,0x00,0xff,0x00,0xfc,0x01,0xf8,0x07,0xf0,0x03,0x00,
+  0x00,0x00,0xc0,0x3f,0x00,0xfc,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0xe0,0x07,0x00,0x00,0x00,0x00,0x3f,0x00,0xfc,0x01,0xe0,0x07,0xf8,
+  0x03,0x00,0x00,0x00,0xc0,0x1f,0x00,0xc0,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x0f,0x00,0xfc,0x01,0xc0,
+  0x07,0xf8,0x03,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0xff,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x07,0x00,0xfe,
+  0x00,0x80,0x03,0xf8,0x01,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0xfe,0x01,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x03,0x00,0x00,0x00,0x80,0x07,
+  0x00,0xfe,0x00,0x80,0x03,0xf8,0x01,0x00,0x00,0x00,0xe0,0x1f,0x00,0x00,0xfc,
+  0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x03,0x00,0x00,0x00,
+  0x80,0x03,0x00,0xfe,0x00,0x80,0x03,0xfc,0x01,0x00,0x00,0x00,0xe0,0x0f,0x00,
+  0x00,0xf8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,0x03,0x00,
+  0x00,0x00,0x80,0x01,0x00,0xfe,0x00,0x80,0x01,0xfc,0x01,0x00,0x00,0x00,0xe0,
+  0x0f,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,
+  0x03,0x00,0x00,0x00,0x80,0x01,0x00,0x7f,0x00,0x80,0x01,0xfc,0x00,0x00,0x00,
+  0x00,0xe0,0x0f,0x00,0x00,0xe0,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0xf8,0x01,0x00,0x00,0x00,0xc0,0x01,0x00,0x7f,0x00,0x80,0x01,0xfc,0x00,
+  0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0xf8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,
+  0xfe,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x1f,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,
+  0x00,0x00,0xfe,0x00,0x80,0x0f,0x00,0xf0,0x07,0x00,0x00,0xc0,0x1f,0x00,0x00,
+  0xf0,0x07,0x00,0x00,0x7f,0x00,0x00,0xfc,0x01,0x00,0x1f,0x00,0x00,0x00,0x80,
+  0x3f,0x00,0x00,0x00,0x7e,0x00,0xe0,0x1f,0x00,0xf0,0x07,0x00,0x00,0xc0,0x1f,
+  0x00,0x00,0xfe,0x3f,0x00,0xe0,0xff,0x03,0x00,0xfc,0x00,0xc0,0x3f,0x00,0x00,
+  0x00,0x80,0x3f,0x00,0x00,0x00,0x7e,0x00,0xf0,0x3f,0x00,0xf8,0x07,0x00,0x00,
+  0xc0,0x3f,0x00,0xc0,0xff,0x7f,0x00,0xf0,0xff,0x07,0x00,0xfc,0x00,0xe0,0x7f,
+  0x00,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x7f,0x00,0xfc,0x3f,0x00,0xf8,0x03,
+  0x00,0x00,0xc0,0x3f,0x00,0xe0,0x07,0xff,0x00,0xf8,0xf0,0x0f,0x00,0xfe,0x00,
+  0xf8,0x7f,0x00,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x3f,0x00,0xff,0x3f,0x00,
+  0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0xfc,0x00,0xfc,0x01,0x3e,0xc0,0x1f,0x00,
+  0x7e,0x00,0xfe,0x7f,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0x00,0x3f,0x80,0xc7,
+  0x1f,0x00,0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0x7e,0x00,0xfc,0x01,0x1e,0x80,
+  0x1f,0x00,0x7e,0x00,0x8f,0x3f,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0x3f,
+  0xc0,0x01,0x0f,0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0x00,0x3f,0x00,0xfc,0x01,
+  0x1e,0x80,0x1f,0x00,0x7f,0x80,0x03,0x1e,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,
+  0x80,0x3f,0xe0,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0x80,0x1f,0x00,
+  0xfc,0x01,0x1f,0x00,0x1f,0x00,0x7f,0xc0,0x01,0x00,0x00,0x00,0x00,0xc0,0x1f,
+  0x00,0x00,0x80,0x3f,0x70,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0xc0,
+  0x1f,0x00,0xfc,0x01,0x1f,0x00,0x06,0x00,0x7f,0xe0,0x00,0x00,0x00,0x00,0x00,
+  0xe0,0x0f,0x00,0x00,0x80,0x1f,0x38,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xc0,
+  0x3f,0xc0,0x0f,0x00,0xfe,0x01,0x3f,0x00,0x00,0x00,0x3f,0x70,0x00,0x00,0x00,
+  0x00,0x00,0xe0,0x0f,0x00,0x00,0xc0,0x1f,0x1c,0x00,0x00,0x00,0xfe,0x00,0x00,
+  0x00,0xc0,0x3f,0xe0,0x0f,0x00,0xfe,0x00,0x3f,0x00,0x00,0x80,0x3f,0x38,0x00,
+  0x00,0x00,0x00,0x00,0xe0,0x0f,0x00,0x00,0xc0,0x1f,0x0e,0x00,0x00,0x00,0xfe,
+  0x00,0x00,0x00,0xe0,0x3f,0xf0,0x07,0x00,0xff,0x00,0x7f,0x00,0x00,0x80,0x3f,
+  0x1c,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xc0,0x8f,0x03,0x00,0x00,
+  0x00,0xfe,0x00,0x00,0x00,0xe0,0x1f,0xf8,0x03,0x80,0x3f,0x00,0xff,0x01,0x00,
+  0x80,0x1f,0x07,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xc0,0xcf,0x03,
+  0x00,0x00,0x00,0xff,0x00,0x00,0x00,0xe0,0x1f,0xf8,0x03,0xc0,0x1f,0x00,0xfe,
+  0x03,0x00,0x80,0x9f,0x07,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,
+  0xef,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x1f,0xf8,0x03,0xf0,0x0f,
+  0x00,0xfe,0x07,0x00,0xc0,0xdf,0x0f,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,
+  0x00,0xe0,0xef,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x0f,0xfc,0x01,
+  0xf8,0x03,0x00,0xfc,0x0f,0x00,0xc0,0xdf,0x0f,0x00,0x00,0x00,0x00,0x00,0xf0,
+  0x07,0x00,0x00,0xe0,0xf7,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x0f,
+  0xfc,0x01,0xfe,0x01,0x00,0xf8,0x1f,0x00,0xc0,0xef,0x0f,0x00,0x00,0x00,0x00,
+  0x00,0xf8,0x03,0x00,0x00,0xe0,0xe7,0x0f,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,
+  0xf8,0x0f,0xfc,0xc1,0x3f,0x00,0x00,0xf0,0x3f,0x00,0xc0,0xcf,0x1f,0x00,0x00,
+  0x00,0x00,0x00,0xf8,0x03,0x00,0x00,0xf0,0xe7,0x0f,0x00,0x00,0x80,0x3f,0x00,
+  0x00,0x00,0xf8,0x07,0xfc,0xf9,0x0f,0x00,0x00,0xe0,0x7f,0x00,0xe0,0xcf,0x1f,
+  0x00,0x00,0x00,0x00,0x00,0xf8,0x03,0x00,0x00,0xf0,0xe7,0x0f,0x00,0x00,0x80,
+  0x3f,0x00,0x00,0x00,0xfc,0x07,0xfe,0xff,0x01,0x00,0x00,0xc0,0x7f,0x00,0xe0,
+  0xcf,0x1f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xf0,0xc3,0x1f,0x00,
+  0x00,0x80,0x3f,0x00,0x00,0x00,0xfe,0x03,0xfe,0x01,0x00,0x00,0x00,0x00,0xff,
+  0x00,0xe0,0x87,0x3f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xf8,0xc3,
+  0x1f,0x00,0x00,0xc0,0x3f,0x00,0x00,0x00,0xfe,0x01,0xfe,0x00,0x00,0x00,0x00,
+  0x00,0xfe,0x01,0xf0,0x87,0x3f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,
+  0xf8,0x83,0x3f,0x00,0x00,0xc0,0x1f,0x00,0x00,0x00,0xff,0x00,0xfe,0x00,0x00,
+  0x00,0x00,0x00,0xfc,0x01,0xf0,0x07,0x7f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,
+  0x00,0x00,0xf8,0x83,0x3f,0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0xff,0x00,0xfe,
+  0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0xf0,0x07,0x7f,0x00,0x00,0x00,0x00,0x00,
+  0xfc,0x01,0x00,0x00,0xf8,0x01,0x7f,0x00,0x00,0xc0,0x1f,0x00,0x00,0xc0,0x7f,
+  0x00,0xfe,0x00,0x00,0x18,0x00,0x00,0xfc,0x01,0xf0,0x03,0xfe,0x00,0x00,0x00,
+  0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0x7f,0x00,0x06,0xe0,0x1f,0x00,0x00,
+  0xc0,0x3f,0x00,0xfe,0x00,0x00,0x1c,0x78,0x00,0xf8,0x01,0xf8,0x03,0xfe,0x00,
+  0x0c,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0xff,0x00,0x06,0xe0,0x0f,
+  0x00,0x00,0xf0,0x1f,0x00,0xfe,0x01,0x00,0x1e,0x7c,0x00,0xf8,0x01,0xf8,0x03,
+  0xfe,0x01,0x0c,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0xfe,0x00,0x07,
+  0xe0,0x0f,0x00,0x00,0xf8,0x0f,0x00,0xfe,0x01,0x00,0x0e,0x7e,0x00,0xf8,0x01,
+  0xf8,0x03,0xfc,0x01,0x0e,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xfc,0x00,0xfc,
+  0x81,0x03,0xe0,0x0f,0x00,0x00,0xff,0x01,0x00,0xfc,0x03,0xc0,0x03,0xfe,0x00,
+  0xf8,0x00,0xf8,0x01,0xfe,0x03,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xfe,
+  0x00,0xfc,0xc3,0x01,0xf0,0x0f,0x00,0xe0,0xff,0x80,0x0f,0xfc,0x07,0xe0,0x01,
+  0xfe,0x01,0x7c,0x00,0xfc,0x01,0xfe,0x87,0x03,0x00,0x00,0x80,0xff,0x00,0x00,
+  0x00,0xfe,0x00,0xf8,0xe7,0x00,0xf0,0x1f,0x00,0xfe,0x3f,0x80,0x0f,0xf8,0x0f,
+  0xfc,0x00,0xff,0x03,0x7c,0x0c,0xfc,0x1f,0xff,0xcf,0x01,0x10,0x00,0xe0,0xff,
+  0x03,0x00,0x00,0xfe,0x00,0xf8,0xff,0xe0,0xff,0xff,0xff,0xff,0x07,0x80,0x07,
+  0xf0,0xff,0x7f,0x80,0xff,0x0f,0x3e,0x1e,0xfc,0x0f,0xff,0xff,0x01,0x18,0x00,
+  0xff,0xff,0x7f,0x00,0x00,0x7e,0x00,0xf0,0x7f,0xe0,0xff,0xff,0xff,0xff,0x00,
+  0xc0,0x03,0xe0,0xff,0xdf,0xff,0xff,0xff,0x1f,0x3f,0xfc,0x07,0xef,0xff,0xff,
+  0x1f,0x00,0xff,0xff,0x7f,0x00,0x00,0x7f,0x00,0xe0,0x7f,0xe0,0xff,0xff,0xff,
+  0x07,0x00,0xc0,0x03,0xc0,0xff,0x07,0x00,0xe0,0xff,0xff,0x3f,0xfe,0x87,0xc7,
+  0x7f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0x80,0xff,0xff,0xff,
+  0x0f,0x00,0x00,0x00,0xc0,0x03,0x00,0xfe,0x00,0x00,0x00,0xff,0x01,0x00,0x9e,
+  0x87,0x07,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,
+  0x00,0x80,0x0f,0x00,0x00,0x00,0xe0,0x01,0x00,0x00,0x00,0x00,0x0e,0xe0,0x00,
+  0x00,0xc0,0x83,0x07,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x3c,0x00,0xc0,0x03,0x00,0x00,0x00,0xe0,0x01,0x80,0x07,0xfc,0xff,0x1f,
+  0x70,0x00,0x00,0xc0,0xc3,0x03,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x3c,0x00,0xc0,0x03,0x00,0x00,0x00,0xf0,0x00,0xe0,0x0f,0x00,
+  0x00,0x00,0x78,0x00,0x00,0xe0,0xc1,0x03,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xc0,0x03,0x00,0xfc,0xff,0xff,0xff,0xff,
+  0x1f,0x00,0x00,0x00,0x38,0x00,0x00,0xe0,0xe1,0x31,0x0f,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,0x00,0xfc,
+  0x01,0x00,0x00,0x00,0x00,0x00,0x3c,0x70,0x00,0xe0,0xe1,0x79,0x0f,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,
+  0x00,0xfe,0x01,0x00,0x00,0x00,0x60,0xf0,0xff,0xff,0x00,0xf0,0xff,0xff,0x07,
+  0x80,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0xe0,0x01,
+  0x00,0x00,0x00,0xff,0x01,0x00,0x00,0x00,0xf0,0x00,0x1c,0x78,0x00,0xf0,0x00,
+  0x80,0xff,0xff,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,
+  0xf0,0x00,0x00,0x00,0x80,0xff,0x03,0x00,0x00,0xfc,0xff,0x01,0x1e,0x3c,0x00,
+  0xf0,0x00,0x80,0x1f,0xc0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x0f,0x00,0xf0,0x00,0x00,0x00,0xc0,0xbf,0x03,0x00,0x00,0x00,0x00,0x00,0x0e,
+  0x3c,0x00,0x78,0x00,0xc0,0x1b,0xe0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x80,0x07,0x00,0x78,0x00,0x00,0x00,0xe0,0xbd,0x07,0x00,0x00,0x00,0x00,
+  0x00,0x07,0x1e,0x00,0x78,0x00,0xc0,0x1b,0xf0,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x80,0xff,0xff,0x7f,0x00,0x00,0x00,0xf0,0x1e,0x07,0x00,0x00,
+  0x00,0x18,0x80,0x07,0x1e,0x00,0x3c,0x00,0xe0,0x1d,0x70,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0xc0,0x03,0x00,0x78,0x00,0x00,0x00,0x78,0x1e,0x07,
+  0x00,0x00,0x00,0x3c,0x80,0x03,0x9e,0x03,0x3c,0x00,0xe0,0x1d,0x78,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xc0,0x03,0x00,0x3c,0x00,0x00,0x00,0x3c,
+  0x1e,0x0f,0x00,0x00,0xff,0x7f,0xc0,0x03,0xef,0x07,0x3c,0x30,0xe0,0x1d,0x38,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xc0,0x03,0x00,0x3c,0x00,0x00,
+  0x00,0x1e,0x0f,0x0e,0x00,0x00,0x00,0x80,0xff,0xff,0xff,0x0f,0xfe,0x7f,0xf0,
+  0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x01,0x00,0x3c,
+  0x00,0x00,0x00,0x07,0x0f,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1e,
+  0x7c,0xf0,0x1c,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x01,
+  0x00,0x1e,0x00,0x00,0x80,0x03,0x0f,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x1e,0x3c,0x70,0x1c,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0xe0,0x01,0x00,0x1e,0x00,0x00,0xe0,0x81,0x07,0x7c,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x0f,0x3c,0x78,0x1c,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0xf0,0x00,0x00,0x0f,0x00,0x00,0x78,0x80,0x07,0xf8,0x00,0xc0,0xff,
+  0x0f,0xfe,0xff,0x1f,0x00,0x0f,0x1e,0x3c,0x9c,0x03,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0xf0,0x00,0x00,0x0f,0x00,0x00,0x1c,0xc0,0x83,0xf3,0x01,
+  0xc0,0x83,0x1f,0x0f,0x00,0x1f,0x80,0x07,0x1e,0x1c,0xdc,0x01,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x00,0x0f,0x00,0x00,0x0e,0xc0,0xc3,
+  0xe7,0x07,0xc0,0x83,0x07,0x0f,0x80,0x07,0x80,0x07,0x0f,0x1e,0xfc,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x80,0x07,0x00,0x80,0xe7,
+  0xff,0xff,0xef,0x0f,0xe0,0x81,0x07,0x0f,0x80,0x07,0x80,0x03,0x0f,0x0e,0xfc,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x80,0x07,0x00,
+  0xc0,0x01,0xe0,0x01,0xc0,0x3f,0xe0,0xc1,0x83,0x07,0x80,0x07,0xc0,0x03,0x0f,
+  0x0f,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3c,0x00,0x80,
+  0x07,0x00,0xf0,0x00,0xe0,0x01,0x80,0x3f,0xe0,0xc1,0x83,0x07,0xc0,0x03,0xc0,
+  0x81,0x87,0x07,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3c,
+  0x00,0xc0,0x03,0x00,0x38,0x00,0xe0,0x01,0x00,0x0f,0xf0,0xc0,0x83,0x07,0xc0,
+  0x03,0xe0,0x81,0x87,0x03,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0xfc,0xff,0xff,0x03,0x00,0x0e,0x00,0xf0,0x00,0x00,0x00,0xf0,0xe0,0xc1,
+  0x03,0xc0,0x03,0xe0,0x80,0xc7,0x03,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,0x00,0xf0,0x00,0x00,0x00,0x78,
+  0xe0,0xc1,0x03,0xe0,0x01,0x78,0xc0,0xe3,0xc0,0xf1,0x03,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,0x00,0x78,0x00,0x00,
+  0x00,0xf8,0xff,0xe0,0x01,0xe0,0x01,0x38,0xc0,0x73,0xf0,0xe0,0x07,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0xe0,0x00,0x00,0x00,0x00,0x78,
+  0x00,0x00,0x00,0x78,0xf0,0xe0,0xff,0xff,0x00,0x1c,0xe0,0x39,0x38,0xc0,0x0f,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x78,0x00,0x00,0x00,0x3c,0xf0,0xe0,0x01,0xf0,0x00,0x0e,0xe0,0x1d,0x1e,
+  0xc0,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x3c,0x00,0x00,0x00,0x3c,0x38,0xf0,0x00,0xf0,0x00,0x06,0xe0,
+  0x8f,0x07,0x80,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x3c,0x00,0x00,0x00,0x3c,0x00,0xf0,0x00,0x38,0x00,
+  0x03,0xf0,0xe6,0x01,0x00,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x00,0x00,0x00,0x0c,0x00,0x30,0x00,
+  0x00,0x80,0x01,0x00,0x3b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
+  0x00,0x00,0x00,0x00,0x00,0x80,0x0f,0x00,0x00,0x00,0x00};
+ }
+ 
+ #
+ # -----------------------------------------------------------------------------
+ #
+ # Proc:    dsk_welcome
+ # Desc:    Shows an informational "welcome" window when starting up.
+ # In:      cmd: "show" or "hide"
+ # Out:     ""
+ # Side FX: none
+ #
+ 
+ proc dsk_welcome {cmd} {
+     global tkdesk
+ 
+     #set bgcol gray
+     set bgcol gray82
+     set t .dsk_welcome
+ 
+     if {$cmd == "hide"} {
+ 	catch "destroy $t"
+ 	return ""
+     }
+     
+     toplevel $t -bg $bgcol
+     wm withdraw $t
+     wm group $t .
+     wm command $t
+     
+     frame $t.f -bd 2 -relief raised -bg $bgcol
+     pack $t.f
+ 
+     frame $t.f1 -bd 2 -relief groove -bg $bgcol
+     pack $t.f1 -in $t.f -padx 8 -pady 8
+ 
+     label $t.lLabel -text "褦ܸǥȥåפ..." -anchor center -fg black -bg $bgcol
+     catch {$t.lLabel config -font -*-helvetica-medium-r-*-*-14-*}
+     pack $t.lLabel -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
+ 
+     image create bitmap welcome_bm -data $tkdesk(welcome_bm) -foreground navy
+     label $t.lTkDesk -image welcome_bm -bg $bgcol
+     pack $t.lTkDesk -in $t.f1 -padx 6 -pady 2 -fill x -expand yes
+ 
+     message $t.lVersion -text "С $tkdesk(version) $tkdesk(patch),  $tkdesk(date)\nCopyright (C) 1996-1998 Christian Bolik\nܸ˥塼---乬\n\nTkDeskϡȥ֥˴ؤƲݾڤ⤷ޤ\n˥塼ȥΥإ/饤󥹤򻲾ȤƤ" \
+ 	    -bg $bgcol -fg black \
+ 	    -aspect 1000 -justify center
+     catch {$t.lVersion config -font -*-helvetica-medium-r-*-*-14-*}
+     pack $t.lVersion -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
+ 
+     if $tkdesk(in_development) {
+ 	label $t.lDevel -text "...in Development..." \
+ 		-bg $bgcol -fg black
+ 	catch {$t.lDevel config -font -*-helvetica-bold-o-*-*-14-*}
+ 	pack $t.lDevel -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
+     }
+ 
+     frame $t.f2 -bd 2 -relief groove -bg $bgcol
+     pack $t.f2 -in $t.f -fill x -padx 8 -pady 8
+     
+     label $t.lProgress -text "ɤ߹ǤФ餯Ԥ..." -anchor w \
+ 	    -bg $bgcol -fg black -width 25
+     pack $t.lProgress -in $t.f2 -fill x -anchor w -padx 8
+ 
+     update idletasks
+     set x [expr [winfo screenwidth $t]/2 - [winfo reqwidth $t]/2 \
+ 	    - [winfo vrootx [winfo parent $t]]]
+     set y [expr [winfo screenheight $t]/2 - [winfo reqheight $t]/2 \
+ 	    - [winfo vrooty [winfo parent $t]]]
+     wm geom $t +$x+$y
+     wm title $t "ưƤޤ..."
+     wm deiconify $t
+     update
+ 
+     return ""
+ }
+ 
+ proc dsk_progress {string} {
+     if ![winfo exists .dsk_welcome] return
+     
+     .dsk_welcome.lProgress config -text $string
+     update idletasks
+ }
+ 
+ set tkdesk(error_source) ""
+ proc tkerror {err} {
+     global tkdesk errorCode errorInfo tk_patchLevel tcl_patchLevel
+ 
+     set code $errorCode
+     set info $errorInfo
+     
+     if [winfo exists .dsk_tkerror] return
+     
+     cd ~
+     dsk_lazy force
+     dsk_sound dsk_bug
+     
+     if {$tkdesk(error_source) == ""} {
+ 	set ans [tk_dialog [toplevel .dsk_tkerror] \
+ 		"Oh no, an error!" \
+ 		"Sorry, but you have just found an error in TkDesk. You can ignore it or choose one of the actions below." \
+ 		@$tkdesk(library)/images/xbm/bomb.xbm \
+ 		0 " Ignore " " Inspect " " Mail Author "]
+     } else {
+ 	set ans [tk_dialog [toplevel .dsk_tkerror] \
+ 		"Configuration Error" \
+ 		"Error while executing action from \"$tkdesk(error_source)\":\n$err" \
+ 		error 0 "  λ  " "Ƥɽ"]
+ 	set tkdesk(error_source) ""
+     }
+ 
+     switch $ans {
+ 	1 {dsk_editor string "Error: $err\n\nerrorCode: $code\n\nerrorInfo: $info"}
+ 	2 {
+ 	    set subject "Error in TkDesk $tkdesk(version)"
+ 	    set msg "What did you try to do when this bug occured:\n"
+ 	    append msg "\n\n-----------------------------------------------"
+ 	    append msg "\nError in TkDesk $tkdesk(version), using "
+ 	    append msg "Tcl [set tcl_patchLevel] and "
+ 	    append msg "Tk [set tk_patchLevel].\nPlatform: "
+ 	    catch {append msg "[exec uname -a]\n"}
+ 	    append msg "\n"
+ 	    append msg "Error: $err\n"
+ 	    append msg "errorCode: $code\n"
+ 	    append msg "errorInfo: $info"
+ 
+ 	    dsk_mailbug $subject $msg
+ 	}
+     }
+     
+     return ""
+ }
+ 
+ proc dsk_mailbug {subject msg} {
+     global tkdesk dsk_mailbug
+ 
+     catch {destroy .dsk_mailbug}
+     toplevel [set t .dsk_mailbug]
+     wm withdraw $t
+ 
+     frame $t.f1 -bd 1 -relief raised
+     pack $t.f1 -fill x
+     label $t.ls -text "Subject:"
+     pack $t.ls -in $t.f1 -side left -padx 4 -pady 4
+     entry $t.es -width 10 -bd 2 -relief sunken
+     $t.es insert end $subject
+     pack $t.es -in $t.f1 -side left -fill x -expand yes \
+ 	    -padx 4 -pady 4 -ipady 2
+ 
+     frame $t.f2 -bd 1 -relief raised
+     pack $t.f2 -fill both -expand yes
+     frame $t.f2a
+     pack $t.f2a -in $t.f2 -fill both -expand yes -padx 4 -pady 4
+     text $t.tm -width 10 -height 4 -bd 2 -relief sunken -setgrid 1 \
+ 	    -yscroll "$t.sb set"
+     $t.tm insert end "$msg"
+     $t.tm mark set insert 2.0
+     pack $t.tm -in $t.f2a -side left -fill both -expand yes
+     scrollbar $t.sb -orient vertical -command "$t.tm yview"
+     pack $t.sb -in $t.f2a -side left -fill y
+ 
+     frame $t.f3 -bd 1 -relief raised
+     pack $t.f3 -fill x
+     button $t.bc -text "Cancel" \
+ 	    -command "set dsk_mailbug(mail) 0"
+     button $t.bs -text "Save..." \
+ 	    -command "set dsk_mailbug(mail) 2"
+     button $t.bm -text "Send Mail to $tkdesk(authormail)" \
+ 	    -command "set dsk_mailbug(mail) 1"
+     pack $t.bc $t.bs $t.bm -in $t.f3 -side left -padx 4 -pady 4 -ipady 1
+ 
+     wm protocol $t WM_DELETE_WINDOW "set dsk_mailbug(mail) 0"
+     if {$msg != ""} {
+ 	wm title $t "Mail Bug Report to Author"
+     } else {
+ 	wm title $t "Send Mail to Author"
+     }
+     wm geometry $t 38x15
+     cb_centerToplevel $t
+     wm deiconify $t
+ 
+     focus $t.tm
+     grab $t
+     set dsk_mailbug(mail) ""
+     tkwait variable dsk_mailbug(mail)
+ 
+     if {$dsk_mailbug(mail) == 1} {
+ 	catch {set fd [open "|mail -s \"$subject\" $tkdesk(authormail)" w]} em
+ 	if ![info exists fd] {
+ 	    catch {set fd [open "|mail $tkdesk(authormail)" w]} em
+ 	}
+ 	if ![info exists fd] {
+ 	    cb_error "Couldn't execute: mail $tkdesk(authormail). Please send your bug report manually."
+ 	    tkwait variable dsk_mailbug(mail)
+ 	} else {
+ 	    set msg [$t.tm get 1.0 end]
+ 	    puts -nonewline $fd $msg
+ 	    close $fd
+ 	}
+     } elseif {$dsk_mailbug(mail) == 2} {
+ 	while 1 {
+ 	    set f [cb_fileSelector -label "Save bug report"]
+ 	    if {$f != ""} {
+ 		set err [catch {set fd [open $f "w"]}]
+ 		if $err {
+ 		    cb_error "Couldn't open $f for writing."
+ 		} else {
+ 		    set msg [$t.tm get 1.0 end]
+ 		    puts -nonewline $fd $msg
+ 		    close $fd
+ 		    break
+ 		}
+ 	    } else {
+ 		break
+ 	    }
+ 	}
+     }
+     destroy $t
+ }
+ 
+ proc dsk_widget_config {} {
+     global tkdesk
+     
+     dsk_Listbox :: selcolor [cb_col $tkdesk(color,listsel)]
+     dsk_Listbox :: modifier $tkdesk(use_old_modifiers)
+ 
+     # "System" Settings
+     dsk_FileListbox :: font [cb_font $tkdesk(font,file_lbs)]
+ 
+     dsk_FileListbox :: tag config dir \
+ 	    [cb_col $tkdesk(color,directories)] \
+ 	    [cb_font $tkdesk(font,directories)]
+     dsk_FileListbox :: tag config exec \
+ 	    [cb_col $tkdesk(color,executables)] \
+ 	    [cb_font $tkdesk(font,executables)]
+     dsk_FileListbox :: tag config sym \
+ 	    [cb_col $tkdesk(color,symlinks)] \
+ 	    [cb_font $tkdesk(font,symlinks)]
+     dsk_FileListbox :: tag config symdir \
+ 	    [cb_col $tkdesk(color,symdirectories)] \
+ 	    [cb_font $tkdesk(font,symdirectories)]
+     dsk_FileListbox :: tag config symexec \
+ 	    [cb_col $tkdesk(color,symexecutables)] \
+ 	    [cb_font $tkdesk(font,symexecutables)]
+ 
+     # "Preferences" Settings
+     dsk_FileListbox :: showall $tkdesk(show_all_files)
+     dsk_FileListbox :: longlist $tkdesk(long_listing)
+     dsk_FileListbox :: topfolders $tkdesk(folders_on_top)
+     dsk_FileListbox :: typechar $tkdesk(append_type_char)
+     dsk_FileListbox :: addicons $tkdesk(add_icons)
+     dsk_FileListbox :: sort $tkdesk(default_sort)
+ 
+     # "FileTags" Settings
+     dsk_FileListbox_fileTags
+ }
+ 
+ #
+ # -----------------------------------------------------------------------------
+ #
+ 
+ if {$tkdesk(library) == "./tcldesk"} {
+     # need an absolute library path
+     set tkdesk(library) [pwd]/tcldesk
+ }
+ 
+ # See if the user just wants to learn TkDesk's command line arguments:
+ if {$argv == "-?" || $argv == "--help"} {
+     puts -nonewline \
+ "TkDesk - A Graphical Desktop and File Manager for UNIX and X11
+ Version $tkdesk(version), dated $tkdesk(date)
+ Copyright (C) 1996-1998 Christian Bolik
+ 
+ Usage: tkdesk \[options\]
+ 
+ Options may be any combination of the following:
+ 
+     -configdir <dir>       Read user configuration from <dir>.
+     -debug                 Enable so-called debug mode.
+     -default               Use default user configuration found in:
+                            $tkdesk(library)/configs
+     -develop               Enable development mode.
+     -iconic                Iconify all windows of TkDesk on start-up.
+     -layout <file>         Read the window layout from <file>.
+     -startdir <dir>        Display <dir> in first file browser.
+     -twm                   Disable use of colored icon windows.
+ "
+ exit 0
+ }
+ 
+ dsk_welcome show
+ 
+ # "Uglify" ;-) namespaced BLT:
+ if {[info command bgexec] != ""} {
+     rename bgexec blt_bgexec
+ }
+ if {[info command busy] != ""} {
+     rename busy blt_busy
+ }
+ if {[info command drag&drop] != ""} {
+     # this must be handled differently due to internal bindings:
+     proc blt_drag&drop {args} {
+ 	eval drag&drop $args
+     }
+ }
+ 
+ 
+ #
+ # Init cb_tools
+ #
+ 
+ dsk_progress "cb_toolsƤޤ..."
+ set cb_tools(path) [glob "$tkdesk(library)/cb_tools"]
+ source $cb_tools(path)/tools.tcl
+ 
+ cb_tools_init $cb_tools(path) $tkdesk(no_auto_loading)
+ 
+ #cb_debug trace wm
+ #cb_debug trace update
+ #cb_debug trace cb_image
+ 
+ #
+ # Init tcldesk
+ #
+ 
+ if {[info command grab-orig] == ""} {
+     rename grab grab-orig
+     proc grab {args} {
+ 	set ret ""
+ 	catch {set ret [eval grab-orig $args]}
+ 	return $ret
+     }
+ }
+ 
+ if {[info command itcl_class-orig] == ""} {
+     rename itcl_class itcl_class-orig
+     proc itcl_class {name def} {
+         catch {rename $name {}}
+ 	uplevel 1 itcl_class-orig $name [list $def]
+     }
+ }
+ 
+ # Provide backward-compatibility for "history:"
+ if {[info command history-orig] == ""} {
+     rename history history-orig
+     proc history {args} {
+ 	set ret {}
+ 	set err [catch {set ret [eval dir_history $args]}]
+ 	if $err {
+ 	    set ret [eval history-orig $args]
+ 	}
+ 	return $ret
+     }
+ }
+ 
+ # Give options set in tk_setPalette higher priority (to override weird
+ # CDE resources, for instance):
+ catch {tk_setPalette}
+ if [regsub {widgetDefault} [info body tk_setPalette] {interactive} nb] {
+     proc tk_setPalette [info args tk_setPalette] $nb
+     unset nb
+ }
+ 
+ dsk_progress "tcldeskƤޤ..."
+ foreach c [itcl_info classes dsk_*] {
+     catch {rename $c {}}
+ }
+ 
+ if $tkdesk(no_auto_loading) {
+     set tkdesk(color,listsel) white
+     set libfiles {
+ 	config.tcl
+ 	Common.tcl         
+ 	Desktop.tcl        
+ 	DiskUsage.tcl      
+ 	Editor.tcl         
+ 	FileInfo.tcl       
+ 	FileListbox.tcl    
+ 	HistEntry.tcl
+ 	List.tcl
+ 	Mail.tcl           
+ 	Periodic.tcl       
+ 	Viewer.tcl         
+ 	action.tcl         
+ 	annotations.tcl    
+ 	appbar-date.tcl    
+ 	appbar-dialup.tcl  
+ 	appbar-load.tcl    
+ 	appbar-mail.tcl    
+ 	appbar-trash.tcl   
+ 	appbar.tcl         
+ 	bookmarks.tcl      
+ 	clrpick.tcl           
+ 	copy.tcl      
+ 	cpanels.tcl   
+ 	dd-file.tcl   
+ 	dd-text.tcl   
+ 	delete.tcl    
+ 	diary.tcl     
+ 	dsk_Listbox.tcl
+ 	file_ops.tcl  
+ 	find.tcl      
+ 	help.tcl      
+ 	history.tcl   
+ 	itcl_reload.tcl
+ 	jdb_rcs.tcl   
+ 	jobs.tcl      
+ 	popup.tcl
+ 	server.tcl    
+ 	sound.tcl     
+ 	tkpatches.tcl 
+ 	update.tcl    
+ 	util.tcl
+     }
+     foreach f $libfiles {
+ 	#puts "sourcing $tkdesk(library)/$f"
+ 	dsk_progress "tcldeskƤޤ...($f)"
+ 	source $tkdesk(library)/$f
+     }
+ } else {
+     if {[info tclversion] < 8.0} {
+ 	source $tkdesk(library)/tkpatches.tcl
+     }
+     set auto_path "$tkdesk(library) $auto_path"
+ }
+     
+ if $tkdesk(in_development) {
+     blt_drag&drop errors tkerror
+ } else {
+     blt_drag&drop errors ""
+ }
+ 
+ #
+ # ====  Set misc. global variables ============================================
+ #
+ 
+ set tkdesk(authormail) "Christian.Bolik@mainz.netsurf.de"
+ set tkdesk(startdir) [pwd]
+ set tkdesk(initdir) $tkdesk(startdir)
+ set tkdesk(menu,control) 0	;# used to track <control> in menu invocations
+ set tkdesk(file_lb,control) 0	;# used to track <control> in file LBs
+ set tkdesk(active_viewer) ""	;# contains name of window last entered
+ set tkdesk(button_bar) ""	;# list for the button bar
+ set tkdesk(xmaster) 0		;# X "master" app
+ set tkdesk(status) lazy         ;# busy or lazy
+ set tkdesk(_dd_x) 0
+ set tkdesk(_dd_y) 0
+ set tkdesk_filelb_cmd ""
+ set tkdesk(systype) ""
+ catch {set tkdesk(systype) [exec uname]}
+ set tkdesk(_max_menu_entries) [expr [winfo screenheight .] / 21]
+ 
+ set tkPriv(x) 0
+ set tkPriv(y) 0
+ 
+ # use icon windows by default
+ set tkdesk(fvwm) 1
+ 
+ # is this itcl >= 2.x?
+ if [info exists itcl::version] {
+     puts "New Itcl!!"
+     set tkdesk(new_itcl) 1
+ } else {
+     set tkdesk(new_itcl) 0
+ }
+ 
+ # Overwrite cb_tools' busy and lazy commands:
+ set cb_tools(busy_cmd) dsk_busy
+ set cb_tools(lazy_cmd) dsk_lazy
+ 
+ # cd to user's home dir cause this is unlikely to be moved/deleted
+ cd $env(HOME)
+ 
+ #
+ # ==== Process command line arguments =========================================
+ #
+ 
+ dsk_busy
+ dsk_progress "Processing command line options..."
+ dsk_debug "Processing cmdline arguments"
+ set tkdesk(iconic) 0
+ if {$argc > 0} {
+     for {set i 0} {$i < [llength $argv]} {incr i} {
+ 	set o [lindex $argv $i]
+ 	switch -glob -- $o {
+ 	    -conf* {
+ 		incr i
+ 		set tkdesk(configdir) [lindex $argv $i]
+ 		if {[string index $tkdesk(configdir) 0] != "/" && \
+ 		    [string index $tkdesk(configdir) 0] != "~"} {
+ 		    set tkdesk(configdir) $tkdesk(startdir)/$tkdesk(configdir)
+ 		}
+ 	    }
+ 	    -deb* {
+ 		set tkdesk(debug) 1
+ 		dsk_debug "Debugging enabled (hopefully :-))"
+ 	    }
+ 	    -def* {
+ 		set tkdesk(configdir) $tkdesk(library)/configs
+ 		dsk_debug "Reading default configuration."
+ 	    }
+ 	    -dev* {
+ 		set tkdesk(in_development) 1
+ 		dsk_debug "Development mode."
+ 	    }
+ 	    -fvwm {
+ 		set tkdesk(fvwm) 1
+ 		dsk_debug "Fvwm mode forced."
+ 	    }
+ 	    -ic* {
+ 		set tkdesk(iconic) 1
+ 		dsk_debug "Iconic startup."
+ 	    }
+ 	    -lay* {
+ 		incr i
+ 		set tkdesk(layout_file) [lindex $argv $i]
+ 		if {[string index $tkdesk(layout_file) 0] != "/" && \
+ 		    [string index $tkdesk(layout_file) 0] != "~"} {
+ 		    set tkdesk(layout_file) \
+ 			    $tkdesk(startdir)/$tkdesk(layout_file)
+ 		}
+ 	    }
+ 	    -sta* {
+ 		incr i
+ 		set tkdesk(user,startdir) [lindex $argv $i]
+ 	    }
+ 	    -twm {
+ 		set tkdesk(fvwm) 0
+ 		dsk_debug "Fvwm mode switched off."
+ 	    }
+ 	    -xm* {
+ 		set tkdesk(xmaster) 1
+ 	    }
+ 	    default {
+ 		if {[string index $o 0] == "-"} {
+ 		    puts "Don't know what $o means. Proceding anyway."
+ 		} else {
+ 		    set tkdesk(initdir) $o
+ 		    dsk_debug " tkdesk(initdir) = $tkdesk(initdir)"
+ 		}
+ 	    }
+ 	}
+     }
+ }
+ 
+ #
+ # ==== Read config files: =====================================================
+ #
+ 
+ dsk_progress "Reading configuration..."
+ dsk_read_config
+ if $tkdesk(no_auto_loading) {
+     # adjust widget config if not auto-loading
+     dsk_widget_config
+ }
+ 
+ if {[winfo depth .] == 1} {
+     set tkdesk(append_type_char) 1
+     dsk_FileListbox :: typechar $tkdesk(append_type_char)
+ }
+ 
+ #
+ # ==== Start-up ===============================================================
+ #
+ 
+ dsk_debug "Now starting up"
+ if ![info exists tkdesk(restarted)] {
+     dsk_sound dsk_welcome_begin
+ }
+ 
+ #
+ # ---- Enable history management:
+ #
+ dsk_progress "Enabling history..."
+ # path history:
+ dsk_history dir_history -size $tkdesk(history_size)
+ # interactive command history:
+ dsk_history cmd_history -size $tkdesk(history_size)
+ # periodic execution history
+ dsk_history pcmd_history -size $tkdesk(history_size) \
+ 	-callback dsk_periodic_cb
+ # hypersearch history:
+ dsk_history hsearch_history -size $tkdesk(history_size) \
+ 	-callback dsk_editor_hsearch_cb
+ # opened file history:
+ dsk_history file_history -size $tkdesk(history_size) \
+ 	-command "dsk_open .fv0"
+ # executed commands history:
+ dsk_history exec_history -size $tkdesk(history_size) \
+ 	-command "eval dsk_exec"
+ # read strings history:
+ dsk_history string_history -size $tkdesk(history_size)
+ # print command history:
+ dsk_history printer_history -size $tkdesk(history_size)
+ # file mask history:
+ dsk_history mask_history -size $tkdesk(history_size)
+ # "execute here" history:
+ dsk_history xhere_history -size $tkdesk(history_size)
+ # mail history:
+ dsk_history mail_history -size $tkdesk(history_size)
+ # search history:
+ dsk_history search_history -size $tkdesk(history_size)
+ # replace history:
+ dsk_history replace_history -size $tkdesk(history_size)
+ # dial-up phone number history:
+ dsk_history dialup_history -size $tkdesk(history_size)
+ 
+ set histlist {dir_history cmd_history pcmd_history hsearch_history \
+ 	file_history exec_history string_history printer_history \
+         mask_history xhere_history mail_history search_history \
+         replace_history dialup_history}
+ 
+ set hi 0
+ if [info exists tkdesk(history_list)] {
+     set hlist [lindex $histlist 0]
+     set i 0
+     foreach h $tkdesk(history_list) {
+ 	set ll 0
+ 	catch {set ll [llength [lindex $h 0]]}
+ 	if {[regexp {^\#.*history$} [lindex $h 0]] && $i > 0} {
+ 	    incr hi
+ 	    set hlist [lindex $histlist $hi]
+ 	} elseif {$i > 0} {
+ 	    $hlist add $h
+ 	}
+ 	incr i
+     }
+ }
+ 
+ set tkdesk(histlist) $histlist
+ unset histlist hi
+ 
+ #
+ # ---- Possibly restore the window layout of the last session:
+ #
+ dsk_progress "Restoring layout..."
+ dsk_restore_layout
+ 
+ #
+ # ---- Open the initial file viewer window:
+ #
+ 
+ if {![info exists tkdesk(layout)] || !$tkdesk(have_window)} {
+     # disable at_pointer placement for initial window:
+     set ap $tkdesk(at_pointer)
+     set tkdesk(at_pointer) 0
+     
+     dsk_progress "Creating a file browser..."
+     set dir [dir_history get]
+     if {$dir != ""} {
+ 	set dir [lindex $dir end]
+     } else {
+ 	if [info exists tkdesk(user,startdir)] {
+ 	    set dir $tkdesk(user,startdir)
+ 	} else {
+ 	    set dir $tkdesk(initdir)
+ 	}
+     }
+     set tkdesk(geometry,fbrowser) \
+ 	    $tkdesk(file_lb,width)x$tkdesk(file_lb,height)+100+50
+     dsk_FileViewer .fv[dsk_FileViewer :: id] \
+ 	    -dir $dir -num_lbs $tkdesk(num_lbs)
+     set tkdesk(geometry,fbrowser) ""
+ 
+     # create the Trash window:
+     #set twin .dfl[dsk_FileList :: id]
+     #dsk_progress "Creating the trash window..."
+     #dsk_FileList $twin -dir $tkdesk(configdir)/.trash -dontmap 1
+     #update
+     #wm iconify $twin
+     #unset twin
+ 
+     # and the app bar
+     #dsk_progress "Creating the Application Bar..."
+     #dsk_appbar
+ 
+     set tkdesk(at_pointer) $ap
+ }
+ 
+ if ![info exists tkdesk(restarted)] {
+     #
+     # ---- Start the periodic update of the file listboxes:
+     #
+     dsk_progress "Starting background procs..."
+     after [expr $tkdesk(update,file_lists) * 1000] dsk_update_flbs
+ 
+     # ... and the periodic config-save:
+     if !$tkdesk(xmaster) {
+ 	after [expr $tkdesk(update,config) * 60000] dsk_persave_config
+     }
+ }
+ 
+ dsk_progress "Ready."
+ if ![info exists tkdesk(restarted)] {
+     dsk_sound dsk_welcome_end
+ }
+ dsk_welcome hide
+ dsk_lazy
+ 
+ if [info exists tkdesk(first_time_user)] {
+     dsk_help quick
+ }
+ 
+ if [info exists tkdesk(after_startup)] {
+     set tkdesk(error_source) "System"
+     eval $tkdesk(after_startup)
+     set tkdesk(error_source) ""
+ }
+ 
+ #
+ # ==== Misc. Procs ============================================================
+ #
+ 
+ #
+ # -----------------------------------------------------------------------------
+ #
+ # Proc:		dsk_exit
+ # Args:		ask	(opt.) set to 1 if it should ask by all means
+ # Returns: 	""
+ # Desc:		Exits TkDesk.
+ # Side-FX:	May lead to the termination of tkdesk.
+ #
+ 
+ proc dsk_exit {{ask 0}} {
+     global tkdesk
+ 
+     if {($tkdesk(ask_on_exit) && !$tkdesk(in_development)) || $ask} {
+ 	if !$tkdesk(xmaster) {
+ 	    set msg "ǥȥåפλޤ?"
+ 	} else {
+ 	    set msg "Xɥλޤ?"
+ 	}
+     	if {[cb_yesno $msg] != 0} {
+ 	    return
+ 	}
+     }
+ 
+     foreach obj [itcl_info objects -class dsk_Editor] {
+ 	if [winfo exists $obj] {
+ 	    if {[$obj close_win] == "cancel"} {
+ 		return
+ 	    }
+ 	}
+     }
+     if [info exists tkdesk(at_exit)] {
+ 	set tkdesk(error_source) "System"
+ 	eval $tkdesk(at_exit)
+ 	set tkdesk(error_source) ""
+     }
+     dsk_sound dsk_quit_tkdesk
+     dsk_save_config
+     catch {dsk_shutdown_server}
+     exit 0
+ }
+ 
+ #
+ # -----------------------------------------------------------------------------
+ #
+ # Proc:		dsk_restart
+ # Args:		-
+ # Returns: 	""
+ # Desc:		Restarts TkDesk.
+ # Side-FX:	none
+ #
+ 
+ proc dsk_restart {} {
+    global argv0 tkdesk
+ 
+     dsk_save_config
+ 
+     # clean up
+     cb_image !reset
+     foreach obj [itcl_info objects -class dsk_Editor] {
+ 	if {[$obj close_win] == "cancel"} {
+ 	    return
+ 	}
+     }
+     catch {eval itcl_unload [itcl_info classes]}
+     foreach w [winfo children .] {destroy $w}
+ 
+     # and now restart
+     set tkdesk(restarted) 1
+     uplevel #0 "cd $tkdesk(startdir)"
+     uplevel #0 "source $argv0"
+ }
+ 
+ # -----------------------------------------------------------------------------
+ # _dsk_server_connect:
+ # Gets invoked when a client connects to our server port.
+ #
diff -crN tkdesk-1.1/tkdesk.main tkdesk-1.1-jp/tkdesk.main
*** tkdesk-1.1/tkdesk.main	Mon Sep 21 04:41:40 1998
--- tkdesk-1.1-jp/tkdesk.main	Sun Nov  7 20:14:58 1999
***************
*** 1,4 ****
- 
  # Set the following variable to 0 to enable dynamic auto-loading of TkDesk's
  # library files.  This usually improves start-up time.
  set tkdesk(no_auto_loading) 1
--- 1,3 ----
***************
*** 30,35 ****
--- 29,41 ----
  # =============================================================================
  #
  
+ 
+ 
+ bind Text <Shift-space> {kinput_start %W over}
+ bind Entry <Shift-space> {kinput_start %W over}
+ 
+ set dsk_appbar(is_visible) 0
+ 
  wm withdraw .
  wm group . .
  wm command . "$argv0 $argv"
***************
*** 39,45 ****
  #
  
  set tkdesk(version) "1.1"
! set tkdesk(date) "02.09.98"
  
  if [info exists env(TKDESK_LIBRARY)] {
      set tkdesk(library) $env(TKDESK_LIBRARY)
--- 45,54 ----
  #
  
  set tkdesk(version) "1.1"
! set tkdesk(patch) "p58"
! set tkdesk(date) "1999ǯ107"
! set tkdesk(TkMailer) "mail"
! set tkdesk(TkMailerFile) "none"
  
  if [info exists env(TKDESK_LIBRARY)] {
      set tkdesk(library) $env(TKDESK_LIBRARY)
***************
*** 83,231 ****
  
  set tkdesk(welcome_bm) {
  #define tkdesk_width 253
! #define tkdesk_height 66
  static char tkdesk_bits[] = {
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
-  0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
-  0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
-  0x00,0x00,0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0xf8,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x1f,0x00,0x00,0xe0,0x00,0x00,0x00,
   0x00,0x00,0x00,0xc0,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,0x0f,0x00,0x00,0xe0,0x00,
   0x00,0x00,0x00,0x00,0x00,0xc0,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,0x0f,0x00,0x00,
!  0xe0,0x00,0xfe,0xff,0xff,0xff,0xff,0x0f,0xfc,0x07,0x00,0x00,0x00,0xff,0xff,
!  0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,0x0f,
!  0x00,0x00,0xe0,0x00,0xfe,0xff,0xff,0xff,0xff,0x07,0xf0,0x07,0x00,0x00,0x00,
!  0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0xe0,0x0f,0x00,0x00,0xe0,0x00,0xfe,0xff,0xff,0xff,0xff,0x07,0xf0,0x03,0x00,
!  0x00,0x00,0xff,0xff,0xff,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0xe0,0x07,0x00,0x00,0xe0,0x00,0xff,0x00,0xfc,0x01,0xf8,0x07,0xf0,
!  0x03,0x00,0x00,0x00,0xc0,0x3f,0x00,0xfc,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0xe0,0x07,0x00,0x00,0xe0,0x00,0x3f,0x00,0xfc,0x01,0xe0,
!  0x07,0xf8,0x03,0x00,0x00,0x00,0xc0,0x1f,0x00,0xc0,0x3f,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x00,0x0f,0x00,0xfc,
!  0x01,0xc0,0x07,0xf8,0x03,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0xff,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x00,0x07,
!  0x00,0xfe,0x00,0x80,0x03,0xf8,0x01,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0xfe,
!  0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x03,0x00,0x00,0xe0,
!  0x80,0x07,0x00,0xfe,0x00,0x80,0x03,0xf8,0x01,0x00,0x00,0x00,0xe0,0x1f,0x00,
!  0x00,0xfc,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x03,0x00,
!  0x00,0xe0,0x80,0x03,0x00,0xfe,0x00,0x80,0x03,0xfc,0x01,0x00,0x00,0x00,0xe0,
!  0x0f,0x00,0x00,0xf8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,
!  0x03,0x00,0x00,0xe0,0x80,0x03,0x00,0xfe,0x00,0x80,0x03,0xfc,0x01,0x00,0x00,
!  0x00,0xe0,0x0f,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0xf8,0x03,0x00,0x00,0xe0,0x80,0x01,0x00,0xfe,0x00,0x80,0x01,0xfc,0x01,
!  0x00,0x00,0x00,0xe0,0x0f,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0xf8,0x03,0x00,0x00,0xe0,0x80,0x01,0x00,0x7f,0x00,0x80,0x01,
!  0xfc,0x00,0x00,0x00,0x00,0xe0,0x0f,0x00,0x00,0xe0,0x0f,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0xf8,0x01,0x00,0x00,0xe0,0xc0,0x01,0x00,0x7f,0x00,
!  0x80,0x01,0xfc,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x0f,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,0x01,0x00,0x00,0xe0,0x00,0x00,0x00,
!  0x7f,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x1f,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xe0,0x00,
!  0x00,0x00,0x7f,0x00,0x00,0x00,0xfe,0x00,0x80,0x0f,0x00,0xf0,0x07,0x00,0x00,
!  0xc0,0x1f,0x00,0x00,0xf0,0x07,0x00,0x00,0x7f,0x00,0x00,0xfc,0x01,0x00,0x1f,
!  0xe0,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x7e,0x00,0xe0,0x1f,0x00,0xf0,0x07,
!  0x00,0x00,0xc0,0x1f,0x00,0x00,0xfe,0x3f,0x00,0xe0,0xff,0x03,0x00,0xfc,0x00,
!  0xc0,0x3f,0xe0,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x7e,0x00,0xf0,0x3f,0x00,
!  0xf8,0x07,0x00,0x00,0xc0,0x3f,0x00,0xc0,0xff,0x7f,0x00,0xf0,0xff,0x07,0x00,
!  0xfc,0x00,0xe0,0x7f,0xe0,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x7f,0x00,0xfc,
!  0x3f,0x00,0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0xe0,0x07,0xff,0x00,0xf8,0xf0,
!  0x0f,0x00,0xfe,0x00,0xf8,0x7f,0xe0,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x7f,
!  0x00,0xfe,0x3f,0x00,0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0xf8,0x01,0xfe,0x00,
!  0x3c,0xe0,0x1f,0x00,0xfe,0x00,0xfc,0x7f,0xe0,0x00,0x00,0x80,0x3f,0x00,0x00,
!  0x00,0x3f,0x00,0xff,0x3f,0x00,0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0xfc,0x00,
!  0xfc,0x01,0x3e,0xc0,0x1f,0x00,0x7e,0x00,0xfe,0x7f,0xe0,0x00,0x00,0xc0,0x1f,
!  0x00,0x00,0x00,0x3f,0x80,0xc7,0x1f,0x00,0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,
!  0x7e,0x00,0xfc,0x01,0x1e,0x80,0x1f,0x00,0x7e,0x00,0x8f,0x3f,0xe0,0x00,0x00,
!  0xc0,0x1f,0x00,0x00,0x80,0x3f,0xc0,0x01,0x0f,0x00,0xfc,0x01,0x00,0x00,0xc0,
!  0x3f,0x00,0x3f,0x00,0xfc,0x01,0x1e,0x80,0x1f,0x00,0x7f,0x80,0x03,0x1e,0xe0,
!  0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0x3f,0xe0,0x00,0x00,0x00,0xfc,0x01,0x00,
!  0x00,0xc0,0x3f,0x80,0x1f,0x00,0xfc,0x01,0x1f,0x00,0x1f,0x00,0x7f,0xc0,0x01,
!  0x00,0xe0,0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0x3f,0x70,0x00,0x00,0x00,0xfc,
!  0x01,0x00,0x00,0xc0,0x3f,0xc0,0x1f,0x00,0xfc,0x01,0x1f,0x00,0x06,0x00,0x7f,
!  0xe0,0x00,0x00,0xe0,0x00,0x00,0xe0,0x0f,0x00,0x00,0x80,0x1f,0x38,0x00,0x00,
!  0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0xc0,0x0f,0x00,0xfe,0x01,0x3f,0x00,0x00,
!  0x00,0x3f,0x70,0x00,0x00,0xe0,0x00,0x00,0xe0,0x0f,0x00,0x00,0xc0,0x1f,0x1c,
!  0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xc0,0x3f,0xe0,0x0f,0x00,0xfe,0x00,0x3f,
!  0x00,0x00,0x80,0x3f,0x38,0x00,0x00,0xe0,0x00,0x00,0xe0,0x0f,0x00,0x00,0xc0,
!  0x1f,0x0e,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xe0,0x3f,0xf0,0x07,0x00,0xff,
!  0x00,0x7f,0x00,0x00,0x80,0x3f,0x1c,0x00,0x00,0xe0,0x00,0x00,0xe0,0x0f,0x00,
!  0x00,0xc0,0x1f,0x07,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xe0,0x1f,0xf0,0x07,
!  0x00,0x7f,0x00,0xff,0x00,0x00,0x80,0x3f,0x0e,0x00,0x00,0xe0,0x00,0x00,0xf0,
!  0x07,0x00,0x00,0xc0,0x8f,0x03,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xe0,0x1f,
!  0xf8,0x03,0x80,0x3f,0x00,0xff,0x01,0x00,0x80,0x1f,0x07,0x00,0x00,0xe0,0x00,
!  0x00,0xf0,0x07,0x00,0x00,0xc0,0xcf,0x03,0x00,0x00,0x00,0xff,0x00,0x00,0x00,
!  0xe0,0x1f,0xf8,0x03,0xc0,0x1f,0x00,0xfe,0x03,0x00,0x80,0x9f,0x07,0x00,0x00,
!  0xe0,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0xef,0x07,0x00,0x00,0x00,0x7f,0x00,
!  0x00,0x00,0xf0,0x1f,0xf8,0x03,0xf0,0x0f,0x00,0xfe,0x07,0x00,0xc0,0xdf,0x0f,
!  0x00,0x00,0xe0,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0xef,0x07,0x00,0x00,0x00,
!  0x7f,0x00,0x00,0x00,0xf0,0x0f,0xfc,0x01,0xf8,0x03,0x00,0xfc,0x0f,0x00,0xc0,
!  0xdf,0x0f,0x00,0x00,0xe0,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0xf7,0x07,0x00,
!  0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x0f,0xfc,0x01,0xfe,0x01,0x00,0xf8,0x1f,
!  0x00,0xc0,0xef,0x0f,0x00,0x00,0xe0,0x00,0x00,0xf8,0x03,0x00,0x00,0xe0,0xe7,
!  0x0f,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf8,0x0f,0xfc,0xc1,0x3f,0x00,0x00,
!  0xf0,0x3f,0x00,0xc0,0xcf,0x1f,0x00,0x00,0xe0,0x00,0x00,0xf8,0x03,0x00,0x00,
!  0xf0,0xe7,0x0f,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0xf8,0x07,0xfc,0xf9,0x0f,
!  0x00,0x00,0xe0,0x7f,0x00,0xe0,0xcf,0x1f,0x00,0x00,0xe0,0x00,0x00,0xf8,0x03,
!  0x00,0x00,0xf0,0xe7,0x0f,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0xfc,0x07,0xfe,
!  0xff,0x01,0x00,0x00,0xc0,0x7f,0x00,0xe0,0xcf,0x1f,0x00,0x00,0xe0,0x00,0x00,
!  0xf8,0x03,0x00,0x00,0xf0,0xc7,0x1f,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0xfc,
!  0x03,0xfe,0x1f,0x00,0x00,0x00,0x80,0xff,0x00,0xe0,0x8f,0x3f,0x00,0x00,0xe0,
!  0x00,0x00,0xfc,0x01,0x00,0x00,0xf0,0xc3,0x1f,0x00,0x00,0x80,0x3f,0x00,0x00,
!  0x00,0xfe,0x03,0xfe,0x01,0x00,0x00,0x00,0x00,0xff,0x00,0xe0,0x87,0x3f,0x00,
!  0x00,0xe0,0x00,0x00,0xfc,0x01,0x00,0x00,0xf8,0xc3,0x1f,0x00,0x00,0xc0,0x3f,
!  0x00,0x00,0x00,0xfe,0x01,0xfe,0x00,0x00,0x00,0x00,0x00,0xfe,0x01,0xf0,0x87,
!  0x3f,0x00,0x00,0xe0,0x00,0x00,0xfc,0x01,0x00,0x00,0xf8,0x83,0x3f,0x00,0x00,
!  0xc0,0x1f,0x00,0x00,0x00,0xff,0x00,0xfe,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,
!  0xf0,0x07,0x7f,0x00,0x00,0xe0,0x00,0x00,0xfc,0x01,0x00,0x00,0xf8,0x83,0x3f,
!  0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0xff,0x00,0xfe,0x00,0x00,0x00,0x00,0x00,
!  0xfc,0x01,0xf0,0x07,0x7f,0x00,0x00,0xe0,0x00,0x00,0xfc,0x01,0x00,0x00,0xf8,
!  0x01,0x7f,0x00,0x00,0xc0,0x1f,0x00,0x00,0xc0,0x7f,0x00,0xfe,0x00,0x00,0x18,
!  0x00,0x00,0xfc,0x01,0xf0,0x03,0xfe,0x00,0x00,0xe0,0x00,0x00,0xfe,0x00,0x00,
!  0x00,0xfc,0x01,0x7f,0x00,0x06,0xe0,0x1f,0x00,0x00,0xc0,0x3f,0x00,0xfe,0x00,
!  0x00,0x1c,0x78,0x00,0xf8,0x01,0xf8,0x03,0xfe,0x00,0x0c,0xe0,0x00,0x00,0xfe,
!  0x00,0x00,0x00,0xfc,0x01,0xff,0x00,0x06,0xe0,0x0f,0x00,0x00,0xf0,0x1f,0x00,
!  0xfe,0x01,0x00,0x1e,0x7c,0x00,0xf8,0x01,0xf8,0x03,0xfe,0x01,0x0c,0xe0,0x00,
!  0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0xfe,0x00,0x07,0xe0,0x0f,0x00,0x00,0xf8,
!  0x0f,0x00,0xfe,0x01,0x00,0x0e,0x7e,0x00,0xf8,0x01,0xf8,0x03,0xfc,0x01,0x0e,
!  0xe0,0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x00,0xfe,0x01,0x03,0xe0,0x0f,0x00,
!  0x00,0xfc,0x07,0x00,0xfc,0x01,0x80,0x07,0xfe,0x00,0xf8,0x00,0xf8,0x01,0xfc,
!  0x03,0x06,0xe0,0x00,0x00,0x7f,0x00,0x00,0x00,0xfc,0x00,0xfc,0x81,0x03,0xe0,
!  0x0f,0x00,0x00,0xff,0x01,0x00,0xfc,0x03,0xc0,0x03,0xfe,0x00,0xf8,0x00,0xf8,
!  0x01,0xf8,0x03,0x07,0xe0,0x00,0x00,0x7f,0x00,0x00,0x00,0xfe,0x00,0xfc,0xc3,
!  0x01,0xf0,0x0f,0x00,0xe0,0xff,0x00,0x00,0xfc,0x07,0xe0,0x01,0xfe,0x01,0x7c,
!  0x00,0xfc,0x01,0xf8,0x87,0x03,0xe0,0x00,0x80,0xff,0x00,0x00,0x00,0xfe,0x00,
!  0xf8,0xe7,0x00,0xf0,0x1f,0x00,0xfe,0x3f,0x00,0x00,0xf8,0x0f,0xfc,0x00,0xfc,
!  0x03,0x7c,0x00,0xfc,0x01,0xf0,0xcf,0x01,0xe0,0x00,0xe0,0xff,0x03,0x00,0x00,
!  0xfe,0x00,0xf8,0xff,0xe0,0xff,0xff,0xff,0xff,0x07,0x00,0x00,0xf0,0xff,0x7f,
!  0x00,0xf8,0x0f,0x3e,0x00,0xfc,0x01,0xf0,0xff,0x01,0xe0,0x00,0xff,0xff,0x7f,
!  0x00,0x00,0x7e,0x00,0xf0,0x7f,0xe0,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0xe0,
!  0xff,0x1f,0x00,0xf0,0xff,0x1f,0x00,0xfc,0x00,0xe0,0xff,0x00,0xe0,0x00,0xff,
!  0xff,0x7f,0x00,0x00,0x7f,0x00,0xe0,0x3f,0xe0,0xff,0xff,0xff,0x07,0x00,0x00,
!  0x00,0xc0,0xff,0x07,0x00,0xe0,0xff,0x07,0x00,0xfe,0x00,0xc0,0x7f,0x00,0xe0,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0x80,0x0f,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xff,0x00,0x00,0x1e,0x00,0x00,0x1f,
!  0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0};
  }
  
  #
--- 92,287 ----
  
  set tkdesk(welcome_bm) {
  #define tkdesk_width 253
! #define tkdesk_height 88
  static char tkdesk_bits[] = {
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0xf8,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0xc0,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,0x0f,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0xc0,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xff,0x0f,0x00,0x00,
!  0x00,0x00,0xfe,0xff,0xff,0xff,0xff,0x07,0xf0,0x07,0x00,0x00,0x00,0xff,0xff,
!  0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x0f,
!  0x00,0x00,0x00,0x00,0xfe,0xff,0xff,0xff,0xff,0x07,0xf0,0x03,0x00,0x00,0x00,
!  0xff,0xff,0xff,0xff,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0xe0,0x07,0x00,0x00,0x00,0x00,0xff,0x00,0xfc,0x01,0xf8,0x07,0xf0,0x03,0x00,
!  0x00,0x00,0xc0,0x3f,0x00,0xfc,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0xe0,0x07,0x00,0x00,0x00,0x00,0x3f,0x00,0xfc,0x01,0xe0,0x07,0xf8,
!  0x03,0x00,0x00,0x00,0xc0,0x1f,0x00,0xc0,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x0f,0x00,0xfc,0x01,0xc0,
!  0x07,0xf8,0x03,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0xff,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x07,0x00,0xfe,
!  0x00,0x80,0x03,0xf8,0x01,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0xfe,0x01,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x03,0x00,0x00,0x00,0x80,0x07,
!  0x00,0xfe,0x00,0x80,0x03,0xf8,0x01,0x00,0x00,0x00,0xe0,0x1f,0x00,0x00,0xfc,
!  0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf0,0x03,0x00,0x00,0x00,
!  0x80,0x03,0x00,0xfe,0x00,0x80,0x03,0xfc,0x01,0x00,0x00,0x00,0xe0,0x0f,0x00,
!  0x00,0xf8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,0x03,0x00,
!  0x00,0x00,0x80,0x01,0x00,0xfe,0x00,0x80,0x01,0xfc,0x01,0x00,0x00,0x00,0xe0,
!  0x0f,0x00,0x00,0xf0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xf8,
!  0x03,0x00,0x00,0x00,0x80,0x01,0x00,0x7f,0x00,0x80,0x01,0xfc,0x00,0x00,0x00,
!  0x00,0xe0,0x0f,0x00,0x00,0xe0,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0xf8,0x01,0x00,0x00,0x00,0xc0,0x01,0x00,0x7f,0x00,0x80,0x01,0xfc,0x00,
!  0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0xf8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,
!  0xfe,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,0x1f,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,
!  0x00,0x00,0xfe,0x00,0x80,0x0f,0x00,0xf0,0x07,0x00,0x00,0xc0,0x1f,0x00,0x00,
!  0xf0,0x07,0x00,0x00,0x7f,0x00,0x00,0xfc,0x01,0x00,0x1f,0x00,0x00,0x00,0x80,
!  0x3f,0x00,0x00,0x00,0x7e,0x00,0xe0,0x1f,0x00,0xf0,0x07,0x00,0x00,0xc0,0x1f,
!  0x00,0x00,0xfe,0x3f,0x00,0xe0,0xff,0x03,0x00,0xfc,0x00,0xc0,0x3f,0x00,0x00,
!  0x00,0x80,0x3f,0x00,0x00,0x00,0x7e,0x00,0xf0,0x3f,0x00,0xf8,0x07,0x00,0x00,
!  0xc0,0x3f,0x00,0xc0,0xff,0x7f,0x00,0xf0,0xff,0x07,0x00,0xfc,0x00,0xe0,0x7f,
!  0x00,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x7f,0x00,0xfc,0x3f,0x00,0xf8,0x03,
!  0x00,0x00,0xc0,0x3f,0x00,0xe0,0x07,0xff,0x00,0xf8,0xf0,0x0f,0x00,0xfe,0x00,
!  0xf8,0x7f,0x00,0x00,0x00,0x80,0x3f,0x00,0x00,0x00,0x3f,0x00,0xff,0x3f,0x00,
!  0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0xfc,0x00,0xfc,0x01,0x3e,0xc0,0x1f,0x00,
!  0x7e,0x00,0xfe,0x7f,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0x00,0x3f,0x80,0xc7,
!  0x1f,0x00,0xf8,0x03,0x00,0x00,0xc0,0x3f,0x00,0x7e,0x00,0xfc,0x01,0x1e,0x80,
!  0x1f,0x00,0x7e,0x00,0x8f,0x3f,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0x3f,
!  0xc0,0x01,0x0f,0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0x00,0x3f,0x00,0xfc,0x01,
!  0x1e,0x80,0x1f,0x00,0x7f,0x80,0x03,0x1e,0x00,0x00,0x00,0xc0,0x1f,0x00,0x00,
!  0x80,0x3f,0xe0,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0x80,0x1f,0x00,
!  0xfc,0x01,0x1f,0x00,0x1f,0x00,0x7f,0xc0,0x01,0x00,0x00,0x00,0x00,0xc0,0x1f,
!  0x00,0x00,0x80,0x3f,0x70,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xc0,0x3f,0xc0,
!  0x1f,0x00,0xfc,0x01,0x1f,0x00,0x06,0x00,0x7f,0xe0,0x00,0x00,0x00,0x00,0x00,
!  0xe0,0x0f,0x00,0x00,0x80,0x1f,0x38,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xc0,
!  0x3f,0xc0,0x0f,0x00,0xfe,0x01,0x3f,0x00,0x00,0x00,0x3f,0x70,0x00,0x00,0x00,
!  0x00,0x00,0xe0,0x0f,0x00,0x00,0xc0,0x1f,0x1c,0x00,0x00,0x00,0xfe,0x00,0x00,
!  0x00,0xc0,0x3f,0xe0,0x0f,0x00,0xfe,0x00,0x3f,0x00,0x00,0x80,0x3f,0x38,0x00,
!  0x00,0x00,0x00,0x00,0xe0,0x0f,0x00,0x00,0xc0,0x1f,0x0e,0x00,0x00,0x00,0xfe,
!  0x00,0x00,0x00,0xe0,0x3f,0xf0,0x07,0x00,0xff,0x00,0x7f,0x00,0x00,0x80,0x3f,
!  0x1c,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xc0,0x8f,0x03,0x00,0x00,
!  0x00,0xfe,0x00,0x00,0x00,0xe0,0x1f,0xf8,0x03,0x80,0x3f,0x00,0xff,0x01,0x00,
!  0x80,0x1f,0x07,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xc0,0xcf,0x03,
!  0x00,0x00,0x00,0xff,0x00,0x00,0x00,0xe0,0x1f,0xf8,0x03,0xc0,0x1f,0x00,0xfe,
!  0x03,0x00,0x80,0x9f,0x07,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,0x00,0xe0,
!  0xef,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x1f,0xf8,0x03,0xf0,0x0f,
!  0x00,0xfe,0x07,0x00,0xc0,0xdf,0x0f,0x00,0x00,0x00,0x00,0x00,0xf0,0x07,0x00,
!  0x00,0xe0,0xef,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x0f,0xfc,0x01,
!  0xf8,0x03,0x00,0xfc,0x0f,0x00,0xc0,0xdf,0x0f,0x00,0x00,0x00,0x00,0x00,0xf0,
!  0x07,0x00,0x00,0xe0,0xf7,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xf0,0x0f,
!  0xfc,0x01,0xfe,0x01,0x00,0xf8,0x1f,0x00,0xc0,0xef,0x0f,0x00,0x00,0x00,0x00,
!  0x00,0xf8,0x03,0x00,0x00,0xe0,0xe7,0x0f,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,
!  0xf8,0x0f,0xfc,0xc1,0x3f,0x00,0x00,0xf0,0x3f,0x00,0xc0,0xcf,0x1f,0x00,0x00,
!  0x00,0x00,0x00,0xf8,0x03,0x00,0x00,0xf0,0xe7,0x0f,0x00,0x00,0x80,0x3f,0x00,
!  0x00,0x00,0xf8,0x07,0xfc,0xf9,0x0f,0x00,0x00,0xe0,0x7f,0x00,0xe0,0xcf,0x1f,
!  0x00,0x00,0x00,0x00,0x00,0xf8,0x03,0x00,0x00,0xf0,0xe7,0x0f,0x00,0x00,0x80,
!  0x3f,0x00,0x00,0x00,0xfc,0x07,0xfe,0xff,0x01,0x00,0x00,0xc0,0x7f,0x00,0xe0,
!  0xcf,0x1f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xf0,0xc3,0x1f,0x00,
!  0x00,0x80,0x3f,0x00,0x00,0x00,0xfe,0x03,0xfe,0x01,0x00,0x00,0x00,0x00,0xff,
!  0x00,0xe0,0x87,0x3f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,0xf8,0xc3,
!  0x1f,0x00,0x00,0xc0,0x3f,0x00,0x00,0x00,0xfe,0x01,0xfe,0x00,0x00,0x00,0x00,
!  0x00,0xfe,0x01,0xf0,0x87,0x3f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0x00,0x00,
!  0xf8,0x83,0x3f,0x00,0x00,0xc0,0x1f,0x00,0x00,0x00,0xff,0x00,0xfe,0x00,0x00,
!  0x00,0x00,0x00,0xfc,0x01,0xf0,0x07,0x7f,0x00,0x00,0x00,0x00,0x00,0xfc,0x01,
!  0x00,0x00,0xf8,0x83,0x3f,0x00,0x00,0xc0,0x1f,0x00,0x00,0x80,0xff,0x00,0xfe,
!  0x00,0x00,0x00,0x00,0x00,0xfc,0x01,0xf0,0x07,0x7f,0x00,0x00,0x00,0x00,0x00,
!  0xfc,0x01,0x00,0x00,0xf8,0x01,0x7f,0x00,0x00,0xc0,0x1f,0x00,0x00,0xc0,0x7f,
!  0x00,0xfe,0x00,0x00,0x18,0x00,0x00,0xfc,0x01,0xf0,0x03,0xfe,0x00,0x00,0x00,
!  0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0x7f,0x00,0x06,0xe0,0x1f,0x00,0x00,
!  0xc0,0x3f,0x00,0xfe,0x00,0x00,0x1c,0x78,0x00,0xf8,0x01,0xf8,0x03,0xfe,0x00,
!  0x0c,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0xff,0x00,0x06,0xe0,0x0f,
!  0x00,0x00,0xf0,0x1f,0x00,0xfe,0x01,0x00,0x1e,0x7c,0x00,0xf8,0x01,0xf8,0x03,
!  0xfe,0x01,0x0c,0x00,0x00,0x00,0xfe,0x00,0x00,0x00,0xfc,0x01,0xfe,0x00,0x07,
!  0xe0,0x0f,0x00,0x00,0xf8,0x0f,0x00,0xfe,0x01,0x00,0x0e,0x7e,0x00,0xf8,0x01,
!  0xf8,0x03,0xfc,0x01,0x0e,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xfc,0x00,0xfc,
!  0x81,0x03,0xe0,0x0f,0x00,0x00,0xff,0x01,0x00,0xfc,0x03,0xc0,0x03,0xfe,0x00,
!  0xf8,0x00,0xf8,0x01,0xfe,0x03,0x07,0x00,0x00,0x00,0x7f,0x00,0x00,0x00,0xfe,
!  0x00,0xfc,0xc3,0x01,0xf0,0x0f,0x00,0xe0,0xff,0x80,0x0f,0xfc,0x07,0xe0,0x01,
!  0xfe,0x01,0x7c,0x00,0xfc,0x01,0xfe,0x87,0x03,0x00,0x00,0x80,0xff,0x00,0x00,
!  0x00,0xfe,0x00,0xf8,0xe7,0x00,0xf0,0x1f,0x00,0xfe,0x3f,0x80,0x0f,0xf8,0x0f,
!  0xfc,0x00,0xff,0x03,0x7c,0x0c,0xfc,0x1f,0xff,0xcf,0x01,0x10,0x00,0xe0,0xff,
!  0x03,0x00,0x00,0xfe,0x00,0xf8,0xff,0xe0,0xff,0xff,0xff,0xff,0x07,0x80,0x07,
!  0xf0,0xff,0x7f,0x80,0xff,0x0f,0x3e,0x1e,0xfc,0x0f,0xff,0xff,0x01,0x18,0x00,
!  0xff,0xff,0x7f,0x00,0x00,0x7e,0x00,0xf0,0x7f,0xe0,0xff,0xff,0xff,0xff,0x00,
!  0xc0,0x03,0xe0,0xff,0xdf,0xff,0xff,0xff,0x1f,0x3f,0xfc,0x07,0xef,0xff,0xff,
!  0x1f,0x00,0xff,0xff,0x7f,0x00,0x00,0x7f,0x00,0xe0,0x7f,0xe0,0xff,0xff,0xff,
!  0x07,0x00,0xc0,0x03,0xc0,0xff,0x07,0x00,0xe0,0xff,0xff,0x3f,0xfe,0x87,0xc7,
!  0x7f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0x80,0xff,0xff,0xff,
!  0x0f,0x00,0x00,0x00,0xc0,0x03,0x00,0xfe,0x00,0x00,0x00,0xff,0x01,0x00,0x9e,
!  0x87,0x07,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,
!  0x00,0x80,0x0f,0x00,0x00,0x00,0xe0,0x01,0x00,0x00,0x00,0x00,0x0e,0xe0,0x00,
!  0x00,0xc0,0x83,0x07,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x3c,0x00,0xc0,0x03,0x00,0x00,0x00,0xe0,0x01,0x80,0x07,0xfc,0xff,0x1f,
!  0x70,0x00,0x00,0xc0,0xc3,0x03,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x3c,0x00,0xc0,0x03,0x00,0x00,0x00,0xf0,0x00,0xe0,0x0f,0x00,
!  0x00,0x00,0x78,0x00,0x00,0xe0,0xc1,0x03,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xc0,0x03,0x00,0xfc,0xff,0xff,0xff,0xff,
!  0x1f,0x00,0x00,0x00,0x38,0x00,0x00,0xe0,0xe1,0x31,0x0f,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,0x00,0xfc,
!  0x01,0x00,0x00,0x00,0x00,0x00,0x3c,0x70,0x00,0xe0,0xe1,0x79,0x0f,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,
!  0x00,0xfe,0x01,0x00,0x00,0x00,0x60,0xf0,0xff,0xff,0x00,0xf0,0xff,0xff,0x07,
!  0x80,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0xe0,0x01,
!  0x00,0x00,0x00,0xff,0x01,0x00,0x00,0x00,0xf0,0x00,0x1c,0x78,0x00,0xf0,0x00,
!  0x80,0xff,0xff,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,
!  0xf0,0x00,0x00,0x00,0x80,0xff,0x03,0x00,0x00,0xfc,0xff,0x01,0x1e,0x3c,0x00,
!  0xf0,0x00,0x80,0x1f,0xc0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x0f,0x00,0xf0,0x00,0x00,0x00,0xc0,0xbf,0x03,0x00,0x00,0x00,0x00,0x00,0x0e,
!  0x3c,0x00,0x78,0x00,0xc0,0x1b,0xe0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x80,0x07,0x00,0x78,0x00,0x00,0x00,0xe0,0xbd,0x07,0x00,0x00,0x00,0x00,
!  0x00,0x07,0x1e,0x00,0x78,0x00,0xc0,0x1b,0xf0,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x80,0xff,0xff,0x7f,0x00,0x00,0x00,0xf0,0x1e,0x07,0x00,0x00,
!  0x00,0x18,0x80,0x07,0x1e,0x00,0x3c,0x00,0xe0,0x1d,0x70,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0xc0,0x03,0x00,0x78,0x00,0x00,0x00,0x78,0x1e,0x07,
!  0x00,0x00,0x00,0x3c,0x80,0x03,0x9e,0x03,0x3c,0x00,0xe0,0x1d,0x78,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xc0,0x03,0x00,0x3c,0x00,0x00,0x00,0x3c,
!  0x1e,0x0f,0x00,0x00,0xff,0x7f,0xc0,0x03,0xef,0x07,0x3c,0x30,0xe0,0x1d,0x38,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xc0,0x03,0x00,0x3c,0x00,0x00,
!  0x00,0x1e,0x0f,0x0e,0x00,0x00,0x00,0x80,0xff,0xff,0xff,0x0f,0xfe,0x7f,0xf0,
!  0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x01,0x00,0x3c,
!  0x00,0x00,0x00,0x07,0x0f,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1e,
!  0x7c,0xf0,0x1c,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xe0,0x01,
!  0x00,0x1e,0x00,0x00,0x80,0x03,0x0f,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x1e,0x3c,0x70,0x1c,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0xe0,0x01,0x00,0x1e,0x00,0x00,0xe0,0x81,0x07,0x7c,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x0f,0x3c,0x78,0x1c,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0xf0,0x00,0x00,0x0f,0x00,0x00,0x78,0x80,0x07,0xf8,0x00,0xc0,0xff,
!  0x0f,0xfe,0xff,0x1f,0x00,0x0f,0x1e,0x3c,0x9c,0x03,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0xf0,0x00,0x00,0x0f,0x00,0x00,0x1c,0xc0,0x83,0xf3,0x01,
!  0xc0,0x83,0x1f,0x0f,0x00,0x1f,0x80,0x07,0x1e,0x1c,0xdc,0x01,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x00,0x0f,0x00,0x00,0x0e,0xc0,0xc3,
!  0xe7,0x07,0xc0,0x83,0x07,0x0f,0x80,0x07,0x80,0x07,0x0f,0x1e,0xfc,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x80,0x07,0x00,0x80,0xe7,
!  0xff,0xff,0xef,0x0f,0xe0,0x81,0x07,0x0f,0x80,0x07,0x80,0x03,0x0f,0x0e,0xfc,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x80,0x07,0x00,
!  0xc0,0x01,0xe0,0x01,0xc0,0x3f,0xe0,0xc1,0x83,0x07,0x80,0x07,0xc0,0x03,0x0f,
!  0x0f,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3c,0x00,0x80,
!  0x07,0x00,0xf0,0x00,0xe0,0x01,0x80,0x3f,0xe0,0xc1,0x83,0x07,0xc0,0x03,0xc0,
!  0x81,0x87,0x07,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3c,
!  0x00,0xc0,0x03,0x00,0x38,0x00,0xe0,0x01,0x00,0x0f,0xf0,0xc0,0x83,0x07,0xc0,
!  0x03,0xe0,0x81,0x87,0x03,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0xfc,0xff,0xff,0x03,0x00,0x0e,0x00,0xf0,0x00,0x00,0x00,0xf0,0xe0,0xc1,
!  0x03,0xc0,0x03,0xe0,0x80,0xc7,0x03,0xff,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,0x00,0xf0,0x00,0x00,0x00,0x78,
!  0xe0,0xc1,0x03,0xe0,0x01,0x78,0xc0,0xe3,0xc0,0xf1,0x03,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x1e,0x00,0xe0,0x01,0x00,0x00,0x00,0x78,0x00,0x00,
!  0x00,0xf8,0xff,0xe0,0x01,0xe0,0x01,0x38,0xc0,0x73,0xf0,0xe0,0x07,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0xe0,0x00,0x00,0x00,0x00,0x78,
!  0x00,0x00,0x00,0x78,0xf0,0xe0,0xff,0xff,0x00,0x1c,0xe0,0x39,0x38,0xc0,0x0f,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0f,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x78,0x00,0x00,0x00,0x3c,0xf0,0xe0,0x01,0xf0,0x00,0x0e,0xe0,0x1d,0x1e,
!  0xc0,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x3c,0x00,0x00,0x00,0x3c,0x38,0xf0,0x00,0xf0,0x00,0x06,0xe0,
!  0x8f,0x07,0x80,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x3c,0x00,0x00,0x00,0x3c,0x00,0xf0,0x00,0x38,0x00,
!  0x03,0xf0,0xe6,0x01,0x00,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x00,0x00,0x00,0x0c,0x00,0x30,0x00,
!  0x00,0x80,0x01,0x00,0x3b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
!  0x00,0x00,0x00,0x00,0x00,0x80,0x0f,0x00,0x00,0x00,0x00};
  }
  
  #
***************
*** 261,275 ****
      frame $t.f1 -bd 2 -relief groove -bg $bgcol
      pack $t.f1 -in $t.f -padx 8 -pady 8
  
!     label $t.lLabel -text "Welcome to..." -anchor center -fg black -bg $bgcol
      catch {$t.lLabel config -font -*-helvetica-medium-r-*-*-14-*}
      pack $t.lLabel -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
  
!     image create bitmap welcome_bm -data $tkdesk(welcome_bm) -foreground blue3
      label $t.lTkDesk -image welcome_bm -bg $bgcol
      pack $t.lTkDesk -in $t.f1 -padx 6 -pady 2 -fill x -expand yes
  
!     message $t.lVersion -text "Version $tkdesk(version), dated $tkdesk(date)\nCopyright (C) 1996-1998 Christian Bolik\n\nTkDesk comes with ABSOLUTELY NO WARRANTY.\nSee menu entry Help/License for details." \
  	    -bg $bgcol -fg black \
  	    -aspect 1000 -justify center
      catch {$t.lVersion config -font -*-helvetica-medium-r-*-*-14-*}
--- 317,331 ----
      frame $t.f1 -bd 2 -relief groove -bg $bgcol
      pack $t.f1 -in $t.f -padx 8 -pady 8
  
!     label $t.lLabel -text "褦ܸǥȥåפ..." -anchor center -fg black -bg $bgcol
      catch {$t.lLabel config -font -*-helvetica-medium-r-*-*-14-*}
      pack $t.lLabel -in $t.f1 -padx 8 -pady 8 -fill x -expand yes
  
!     image create bitmap welcome_bm -data $tkdesk(welcome_bm) -foreground navy
      label $t.lTkDesk -image welcome_bm -bg $bgcol
      pack $t.lTkDesk -in $t.f1 -padx 6 -pady 2 -fill x -expand yes
  
!     message $t.lVersion -text "С $tkdesk(version) $tkdesk(patch),  $tkdesk(date)\nCopyright (C) 1996-1998 Christian Bolik\nܸ˥塼---乬\n\nTkDeskϡȥ֥˴ؤƲݾڤ⤷ޤ\n˥塼ȥΥإ/饤󥹤򻲾ȤƤ" \
  	    -bg $bgcol -fg black \
  	    -aspect 1000 -justify center
      catch {$t.lVersion config -font -*-helvetica-medium-r-*-*-14-*}
***************
*** 285,291 ****
      frame $t.f2 -bd 2 -relief groove -bg $bgcol
      pack $t.f2 -in $t.f -fill x -padx 8 -pady 8
      
!     label $t.lProgress -text "Loading..." -anchor w \
  	    -bg $bgcol -fg black -width 25
      pack $t.lProgress -in $t.f2 -fill x -anchor w -padx 8
  
--- 341,347 ----
      frame $t.f2 -bd 2 -relief groove -bg $bgcol
      pack $t.f2 -in $t.f -fill x -padx 8 -pady 8
      
!     label $t.lProgress -text "ɤ߹ǤФ餯Ԥ..." -anchor w \
  	    -bg $bgcol -fg black -width 25
      pack $t.lProgress -in $t.f2 -fill x -anchor w -padx 8
  
***************
*** 295,301 ****
      set y [expr [winfo screenheight $t]/2 - [winfo reqheight $t]/2 \
  	    - [winfo vrooty [winfo parent $t]]]
      wm geom $t +$x+$y
!     wm title $t "Starting..."
      wm deiconify $t
      update
  
--- 351,357 ----
      set y [expr [winfo screenheight $t]/2 - [winfo reqheight $t]/2 \
  	    - [winfo vrooty [winfo parent $t]]]
      wm geom $t +$x+$y
!     wm title $t "ưƤޤ..."
      wm deiconify $t
      update
  
***************
*** 332,338 ****
  	set ans [tk_dialog [toplevel .dsk_tkerror] \
  		"Configuration Error" \
  		"Error while executing action from \"$tkdesk(error_source)\":\n$err" \
! 		error 0 "   OK   " " Inspect "]
  	set tkdesk(error_source) ""
      }
  
--- 388,394 ----
  	set ans [tk_dialog [toplevel .dsk_tkerror] \
  		"Configuration Error" \
  		"Error while executing action from \"$tkdesk(error_source)\":\n$err" \
! 		error 0 "  λ  " "Ƥɽ"]
  	set tkdesk(error_source) ""
      }
  
***************
*** 536,542 ****
  # Init cb_tools
  #
  
! dsk_progress "Initializing cb_tools..."
  set cb_tools(path) [glob "$tkdesk(library)/cb_tools"]
  source $cb_tools(path)/tools.tcl
  
--- 592,598 ----
  # Init cb_tools
  #
  
! dsk_progress "cb_toolsƤޤ..."
  set cb_tools(path) [glob "$tkdesk(library)/cb_tools"]
  source $cb_tools(path)/tools.tcl
  
***************
*** 588,594 ****
      unset nb
  }
  
! dsk_progress "Initializing tcldesk..."
  foreach c [itcl_info classes dsk_*] {
      catch {rename $c {}}
  }
--- 644,650 ----
      unset nb
  }
  
! dsk_progress "tcldeskƤޤ..."
  foreach c [itcl_info classes dsk_*] {
      catch {rename $c {}}
  }
***************
*** 604,610 ****
  	FileInfo.tcl       
  	FileListbox.tcl    
  	HistEntry.tcl
! 	List.tcl           
  	Periodic.tcl       
  	Viewer.tcl         
  	action.tcl         
--- 660,667 ----
  	FileInfo.tcl       
  	FileListbox.tcl    
  	HistEntry.tcl
! 	List.tcl
! 	Mail.tcl           
  	Periodic.tcl       
  	Viewer.tcl         
  	action.tcl         
***************
*** 631,637 ****
  	itcl_reload.tcl
  	jdb_rcs.tcl   
  	jobs.tcl      
! 	popup.tcl     
  	server.tcl    
  	sound.tcl     
  	tkpatches.tcl 
--- 688,694 ----
  	itcl_reload.tcl
  	jdb_rcs.tcl   
  	jobs.tcl      
! 	popup.tcl
  	server.tcl    
  	sound.tcl     
  	tkpatches.tcl 
***************
*** 640,646 ****
      }
      foreach f $libfiles {
  	#puts "sourcing $tkdesk(library)/$f"
! 	dsk_progress "Initializing tcldesk... ($f)"
  	source $tkdesk(library)/$f
      }
  } else {
--- 697,703 ----
      }
      foreach f $libfiles {
  	#puts "sourcing $tkdesk(library)/$f"
! 	dsk_progress "tcldeskƤޤ...($f)"
  	source $tkdesk(library)/$f
      }
  } else {
***************
*** 897,904 ****
      #unset twin
  
      # and the app bar
!     dsk_progress "Creating the Application Bar..."
!     dsk_appbar
  
      set tkdesk(at_pointer) $ap
  }
--- 954,961 ----
      #unset twin
  
      # and the app bar
!     #dsk_progress "Creating the Application Bar..."
!     #dsk_appbar
  
      set tkdesk(at_pointer) $ap
  }
***************
*** 952,960 ****
  
      if {($tkdesk(ask_on_exit) && !$tkdesk(in_development)) || $ask} {
  	if !$tkdesk(xmaster) {
! 	    set msg "Are you sure you want to exit TkDesk?"
  	} else {
! 	    set msg "This will end your X Session! Is this o.k.?"
  	}
      	if {[cb_yesno $msg] != 0} {
  	    return
--- 1009,1017 ----
  
      if {($tkdesk(ask_on_exit) && !$tkdesk(in_development)) || $ask} {
  	if !$tkdesk(xmaster) {
! 	    set msg "ǥȥåפλޤ?"
  	} else {
! 	    set msg "Xɥλޤ?"
  	}
      	if {[cb_yesno $msg] != 0} {
  	    return
diff -crN tkdesk-1.1/tkdeskclient/Makefile tkdesk-1.1-jp/tkdeskclient/Makefile
*** tkdesk-1.1/tkdeskclient/Makefile	Thu Jan  1 09:00:00 1970
--- tkdesk-1.1-jp/tkdeskclient/Makefile	Sun Nov  7 20:12:24 1999
***************
*** 0 ****
--- 1,43 ----
+ # Generated automatically from Makefile.in by configure.
+ # This is the Makefile for the TkDesk client.
+ # It is called from the main Makefile in .., which passes the CC_OPTS.
+ 
+ #----------------------------------------------------------------
+ # Things you can change to personalize the Makefile for your own
+ # site (you can make these changes in either Makefile.in or
+ # Makefile, but changes to Makefile will get lost if you re-run
+ # the configuration script).
+ #----------------------------------------------------------------
+ 
+ # Configuration compiler flags:
+ AC_FLAGS =		-DHAVE_CONFIG_H
+ 
+ # Additional libraries:
+ LIBS =                  
+ 
+ # Miscellaneous settings:
+ RANLIB =		ranlib
+ CC =			gcc
+ AR =			ar rc
+ RM =			rm -f
+ 
+ #----------------------------------------------------------------
+ # The information below should be usable as is.  The configure
+ # script won't modify it and you shouldn't need to modify it
+ # either.
+ #----------------------------------------------------------------
+ 
+ CFLAGS =	${CC_OPTS} ${AC_FLAGS} -I..
+ LDFLAGS =	${LD_OPTS} 
+ 
+ OBJS = 		tkdeskclient.o
+ 
+ progname =	tkdeskclient
+ 
+ all: $(progname)
+ 
+ $(progname):  $(OBJS)
+ 	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+ 
+ clean:
+ 	$(RM) $(OBJS) $(libname) *\~ "#"*
Binary files tkdesk-1.1/tkdeskclient/tkdeskclient and tkdesk-1.1-jp/tkdeskclient/tkdeskclient differ
Binary files tkdesk-1.1/tkdeskclient/tkdeskclient.o and tkdesk-1.1-jp/tkdeskclient/tkdeskclient.o differ
Binary files tkdesk-1.1/tkdesksh and tkdesk-1.1-jp/tkdesksh differ
